#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4890403, "kvm_x86_vendor_init" },
	{ 0xeebc778c, "__tracepoint_kvm_ple_window_update" },
	{ 0xbf78830d, "vcpu_put" },
	{ 0x8ce0f850, "kvm_arch_has_assigned_device" },
	{ 0x189350aa, "kvm_vcpu_mark_page_dirty" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb8bdeb6e, "kvm_host" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3ab2794c, "kvm_find_user_return_msr" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x7aa3d3c7, "kvm_requeue_exception" },
	{ 0xd416cfec, "perf_guest_get_msrs" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x45acd57b, "kvm_init" },
	{ 0x0cf72e3c, "kvm_set_msr" },
	{ 0xf0728a09, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x5dfc5a8d, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0xa282d773, "__tracepoint_kvm_nested_vmenter" },
	{ 0xf881cecd, "load_fixmap_gdt" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0x9789a8c7, "perf_event_create_kernel_counter" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc9f4d5f5, "hrtimer_try_to_cancel" },
	{ 0xac32f004, "kvm_lapic_expired_hv_timer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x85f0ed82, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf51cca83, "kvm_fixup_and_inject_pf_error" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x30277223, "debug_locks_silent" },
	{ 0x436538e0, "kvm_vcpu_write_guest_page" },
	{ 0x27e1661a, "do_machine_check" },
	{ 0xce576a13, "enable_apicv" },
	{ 0x7faf122f, "kvm_read_guest_cached" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0xd68dec90, "handle_ud" },
	{ 0x4c36ba79, "kvm_mmu_new_pgd" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xac1cf718, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x911bccc8, "kvm_get_msr_common" },
	{ 0xd9884c26, "smp_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x03045364, "kvm_apic_update_hwapic_isr" },
	{ 0xc55f5377, "__tracepoint_kvm_fast_mmio" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xfb41b7b0, "kvm_arch_has_noncoherent_dma" },
	{ 0x14afd3e9, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0x0c04f10a, "kvm_emulate_halt" },
	{ 0xfcc16c54, "kvm_pmu_eventsel" },
	{ 0x343be200, "handle_fastpath_hlt" },
	{ 0x961e0b60, "kvm_emulate_mwait" },
	{ 0x65e047bb, "__copy_user_ll" },
	{ 0x682ae208, "kvm_lapic_readable_reg_mask" },
	{ 0x3b155dd5, "kvm_msr_allowed" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xff470a84, "kvm_service_local_tlb_flush_requests" },
	{ 0x9225492e, "kvm_lapic_find_highest_irr" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0xa0d26b95, "kvm_wait_lapic_expire" },
	{ 0xb1e32ccf, "hv_flush_remote_tlbs" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9a4742f5, "perf_event_read_value" },
	{ 0x0b8f75a3, "node_states" },
	{ 0x3c246e12, "kvm_write_guest_virt_system" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x4828e476, "kvm_find_cpuid_entry" },
	{ 0x5cfaebc3, "kvm_task_switch" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xea5cda33, "__SCT__tp_func_kvm_fast_mmio" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbaa9f1eb, "kvm_read_guest_virt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x472af8f8, "__tracepoint_kvm_cr" },
	{ 0xce7dc892, "kvm_io_bus_write" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x053614ec, "kvm_set_user_return_msr" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0xc135eb54, "kvm_init_shadow_ept_mmu" },
	{ 0x1e98f5b7, "kvm_prepare_event_vectoring_exit" },
	{ 0xc4e45a29, "kvm_emulate_monitor" },
	{ 0x3dc0e92c, "__tracepoint_kvm_pml_full" },
	{ 0xfcb4390d, "kvm_requeue_exception_e" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x32316263, "__alloc_pages_noprof" },
	{ 0x070f7896, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0xeb5941b2, "kvm_gfn_to_hva_cache_init" },
	{ 0x3a5b5a1a, "kvm_lmsw" },
	{ 0x3ef2f595, "x86_perf_get_lbr" },
	{ 0xbcb6bd85, "kvm_lapic_set_eoi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x0f121b18, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x356dd0ba, "kvm_emulate_halt_noskip" },
	{ 0x4f172d08, "kvm_emulate_rdmsr" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x01a7d526, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x618911fc, "numa_node" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0xbb5c93c9, "kvm_vcpu_unmap" },
	{ 0x978f96eb, "kvm_write_guest_page" },
	{ 0xc287d96a, "kvm_set_posted_intr_wakeup_handler" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xbaf9d785, "__tss_limit_invalid" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x3e39d447, "__SCT__apic_call_send_IPI_self" },
	{ 0x7b1fba0d, "__SCT__apic_call_send_IPI_mask" },
	{ 0x2fec2ea0, "kvm_valid_efer" },
	{ 0x464d6a8a, "__tracepoint_ipi_send_cpu" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x422cbabd, "kvm_apic_ack_interrupt" },
	{ 0x559f6390, "kvm_read_guest_offset_cached" },
	{ 0xa0eaa1d7, "kvm_handle_invpcid" },
	{ 0xe688067c, "__tracepoint_kvm_entry" },
	{ 0x4b9c2769, "kvm_load_host_xsave_state" },
	{ 0x49df8b25, "__tracepoint_kvm_page_fault" },
	{ 0x8f32ce7a, "kvm_mmu_free_roots" },
	{ 0x02ce0212, "irq_stat" },
	{ 0xa61ddaec, "kvm_queue_exception_p" },
	{ 0x624fc962, "kvm_read_l1_tsc" },
	{ 0x4a35dfda, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x4307b21c, "__tracepoint_kvm_inj_virq" },
	{ 0x49608959, "migrate_disable" },
	{ 0xdfc8b4ec, "kvm_cpu_has_interrupt" },
	{ 0x6243ac82, "__kvm_apic_update_irr" },
	{ 0xd93b021c, "handle_fastpath_set_msr_irqoff" },
	{ 0x84fe967f, "kvm_apic_update_ppr" },
	{ 0x06cdc8d1, "kvm_configure_mmu" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x674c69de, "kvm_make_all_cpus_request" },
	{ 0x60e143cb, "pmc_write_counter" },
	{ 0x5fcd6a11, "kvm_apic_update_irr" },
	{ 0x0b627535, "kvm_cpu_get_extint" },
	{ 0x3a25a13b, "kvm_init_mmu" },
	{ 0x03ce7234, "sched_smt_present" },
	{ 0xe05fdb3c, "kvm_emulate_wbinvd" },
	{ 0x669abddb, "kvm_set_cr3" },
	{ 0x696d7e0b, "l1tf_mitigation" },
	{ 0xd1b73c28, "kvm_update_cpuid_runtime" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3b91db5b, "intel_pt_handle_vmx" },
	{ 0x30452d11, "kvm_alloc_apic_access_page" },
	{ 0x475c6801, "kvm_get_cr8" },
	{ 0x07d47717, "vcpu_load" },
	{ 0x4f514d98, "__kvm_faultin_pfn" },
	{ 0x4a9c8109, "kvm_handle_memory_failure" },
	{ 0x8b5a5c5a, "kvm_set_dr" },
	{ 0xe4001a3a, "kvm_emulate_hypercall" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31c45b8c, "mds_verw_sel" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0x4ef0e7dc, "kvm_get_linear_rip" },
	{ 0x10871346, "kvm_prepare_emulation_failure_exit" },
	{ 0x2a5c0933, "x86_cpu_to_apicid" },
	{ 0x0b58a11d, "kvm_nr_uret_msrs" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x1a0f386a, "load_pdptrs" },
	{ 0x9c606f55, "__tracepoint_write_msr" },
	{ 0x07541f6d, "kvm_get_running_vcpu" },
	{ 0xe3e88acb, "__get_current_cr3_fast" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xfff4edc2, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0xeec99600, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xf2df48f3, "__SCT__tp_func_kvm_pml_full" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa8275a6b, "kvm_set_cr4" },
	{ 0xc1c164d8, "kvm_get_msr_with_filter" },
	{ 0xe626d326, "kvm_release_page_clean" },
	{ 0x5877619e, "kvm_handle_page_fault" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0x37fd3b98, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x17345980, "get_cpu_entry_area" },
	{ 0x9d3c9c56, "kvm_apic_clear_irr" },
	{ 0x681a73cf, "__x86_set_memory_region" },
	{ 0xf6ed070b, "kvm_load_guest_xsave_state" },
	{ 0x1600b32b, "kvm_set_cr0" },
	{ 0xa6c1ea5b, "kvm_mmu_free_guest_mode_roots" },
	{ 0xb13e67ea, "kvm_set_cr8" },
	{ 0x615af6ff, "kvm_get_dr" },
	{ 0xc8b1914c, "__kvm_vcpu_map" },
	{ 0x0b637410, "cr4_update_irqsoff" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xa77d2409, "kvm_mmu_page_fault" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbc92596d, "intel_pt_validate_cap" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xb101c1a3, "kvm_emulate_instruction" },
	{ 0xfb0da0c8, "cpu_info" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0xea358260, "kvm_pmu_trigger_event" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0xee579fb4, "kvm_mmu_reset_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51a6a2ad, "__tracepoint_read_msr" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0xf3075ab0, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaa0146ef, "kvm_vcpu_on_spin" },
	{ 0x9d72c7f6, "kvm_read_guest" },
	{ 0x9ac1d8d1, "__hrtimer_get_remaining" },
	{ 0xaffb63f8, "kvm_write_guest_cached" },
	{ 0xe6b8ad8c, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x40ffb37d, "kvm_get_rflags" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x3cdf233e, "kvm_queue_exception_e" },
	{ 0xa2d0b59d, "mmio_stale_data_clear" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0xc1517bff, "__tracepoint_kvm_exit" },
	{ 0x236bf242, "kvm_emulate_cpuid" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xf9290594, "kvm_emulate_wrmsr" },
	{ 0xd84aa763, "kvm_apic_set_eoi_accelerated" },
	{ 0x8a514cf7, "kvm_find_cpuid_entry_index" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0x221d0dca, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x71835a2e, "kvm_inject_realmode_interrupt" },
	{ 0x471d5d5c, "kvm_mmu_invlpg" },
	{ 0x4f18d584, "kvm_emulate_invd" },
	{ 0x05b949a3, "kvm_fast_pio" },
	{ 0xeacb825b, "kvm_set_msr_common" },
	{ 0x8a2b85a9, "kvm_mmu_invalidate_addr" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xe2da5cf8, "hv_vp_assist_page" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0xf7bac116, "page_address" },
	{ 0xa48ce544, "perf_event_release_kernel" },
	{ 0xfb0252c3, "kvm_apic_has_interrupt" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xb47878e0, "gdt_page" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x92f74b92, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0xd16d7040, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x2b25704a, "kvm_require_dr" },
	{ 0xcf185335, "kvm_cpu_has_injectable_intr" },
	{ 0x0d2ff76e, "kvm_skip_emulated_instruction" },
	{ 0x5bf7cde0, "kvm_mmu_set_ept_masks" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x3123e1ef, "kvm_handle_invalid_op" },
	{ 0x133ba44f, "kvm_set_msr_with_filter" },
	{ 0xcf509080, "kvm_caps" },
	{ 0x7ffa3d85, "kvm_vcpu_write_guest" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xbb8aefac, "hv_flush_remote_tlbs_range" },
	{ 0x510fed15, "kvm_complete_insn_gp" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1b2820dd, "kvm_mmu_print_sptes" },
	{ 0xb75e3361, "asm_exc_nmi_kvm_vmx" },
	{ 0x04b3d531, "kvm_apic_write_nodecode" },
	{ 0x808a8088, "handle_guest_split_lock" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0085*");

MODULE_INFO(srcversion, "5E924D06E03C8C56FFBC2DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
