#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xc3f02fcb, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x1da7879b, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x02f9fa1f, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xd9b5d9d6, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xceaaeee5, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xd1f49361, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x8449486d, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x724b52ef, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xcc82b93d, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x74495751, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xf3d00f07, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x859b6c30, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x95e53050, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x745d95c4, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xc86fd0f8, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x22e3fabe, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xc581e64d, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x165f7c5b, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x7fee8890, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0x3875d28b, "regulator_put" },
	{ 0x037a0cba, "kfree" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x263a8de4, "devm_of_phy_get" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9f4abb61, "platform_get_irq" },
	{ 0xc0851a43, "ahci_save_initial_config" },
	{ 0x3f70969f, "ahci_set_em_messages" },
	{ 0xaf78816b, "ata_host_alloc_pinfo" },
	{ 0x34b9c070, "platform_get_resource" },
	{ 0x50687689, "ata_port_desc" },
	{ 0x6d736bf6, "ata_dummy_port_ops" },
	{ 0x69a293dc, "ahci_reset_controller" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x75200f80, "ahci_init_controller" },
	{ 0xb15c1616, "ahci_print_info" },
	{ 0xf9736403, "ahci_host_activate" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x2a265773, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x31f63a39, "phy_power_off" },
	{ 0xd9a7f3e2, "phy_exit" },
	{ 0x9f1e6e7f, "ata_host_suspend" },
	{ 0x2784f17f, "phy_init" },
	{ 0xf92fd35e, "phy_set_mode_ext" },
	{ 0xa38ab528, "phy_power_on" },
	{ 0x41b7e24b, "ata_host_resume" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x771fefae, "devres_open_group" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x5a427a0e, "devres_add" },
	{ 0x3df6b739, "platform_get_resource_byname" },
	{ 0x1f568308, "devm_platform_ioremap_resource_byname" },
	{ 0xb2fc2c8f, "devm_clk_bulk_get_all" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0x24d71e23, "devm_reset_control_array_get" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0x8b2a0929, "devres_release_group" },
	{ 0x8700fa96, "devm_platform_ioremap_resource" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5bf3e4bd, "of_device_is_available" },
	{ 0x114e7163, "of_platform_device_create" },
	{ 0x86fd456f, "of_find_device_by_node" },
	{ 0x9e22e7d1, "regulator_get" },
	{ 0x05075827, "of_node_put" },
	{ 0xe84ea0cc, "devm_clk_get_optional" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xe043d7f5, "devres_remove_group" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x3a3454e3, "ahci_ops" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libahci,libata");


MODULE_INFO(srcversion, "C4C40FD9550D9D154291846");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
