#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x199518f2, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x71a8f546, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x75862fda, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x053d6f6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656ff3b9, "percpu_free_rwsem" },
	{ 0x1b598137, "gpiod_get_value_cansleep" },
	{ 0x5532898b, "tty_set_termios" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0x1753ff3e, "device_property_present" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x5e91fc0c, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x86210e3c, "skb_put" },
	{ 0xce657080, "gpiod_set_value" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x250226d3, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x7149f59c, "serdev_device_set_baudrate" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4d41bb8e, "hci_free_dev" },
	{ 0x9f4abb61, "platform_get_irq" },
	{ 0x5a03a6a4, "btintel_check_bdaddr" },
	{ 0x7aae2d0c, "btbcm_finalize" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2fb38a94, "btrtl_download_firmware" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xda02ca49, "btintel_send_intel_reset" },
	{ 0x10ca6d4f, "nvmem_cell_get" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0x1ea6eb2c, "devm_pwrseq_get" },
	{ 0x0e454536, "request_firmware" },
	{ 0x6d749ab2, "btintel_download_firmware" },
	{ 0xef746a5c, "btbcm_initialize" },
	{ 0x30923de6, "serdev_device_set_flow_control" },
	{ 0x19e39db4, "btrtl_initialize" },
	{ 0x07d2fb0a, "gpiod_to_irq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x509961fb, "hci_alloc_dev_priv" },
	{ 0xfaa6ed2c, "btintel_read_version" },
	{ 0x037a0cba, "kfree" },
	{ 0x990543c1, "qca_send_pre_shutdown_cmd" },
	{ 0xbe2ca897, "serdev_device_open" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x662f73d2, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf8770b3c, "dev_kfree_skb_irq_reason" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xdf636def, "get_device" },
	{ 0xd9f9ea29, "btintel_set_bdaddr" },
	{ 0xc4b518a7, "hci_devcd_init" },
	{ 0xdf737142, "hci_devcd_append_pattern" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x653ecc4f, "serdev_device_set_parity" },
	{ 0xac822a7b, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0x87fb847e, "hci_devcd_complete" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2b4ea592, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa2c79df5, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x809bb19b, "pwrseq_power_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf634df27, "btrtl_get_uart_settings" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0x555b6446, "tty_driver_flush_buffer" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x82470882, "btintel_exit_mfg" },
	{ 0x738803e6, "strnlen" },
	{ 0xca3fe8c9, "pwrseq_power_off" },
	{ 0x3877811e, "btintel_set_diag" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x47fae6b0, "regulator_bulk_disable" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0xd9221c2e, "__hci_cmd_sync_status" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x376c05b2, "module_put" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0x934b9c45, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x9382809e, "btbcm_read_pcm_int_params" },
	{ 0x7524dabb, "percpu_up_write" },
	{ 0x7b7c2e05, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x97094c88, "devm_acpi_dev_add_driver_gpios" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x11ac2d07, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x4fcd38ef, "device_property_read_u8_array" },
	{ 0xaeacdbd8, "devm_clk_put" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xb95ba74e, "serdev_device_write_flush" },
	{ 0x3ea8bf6d, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xa15a72d1, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc1027ddf, "btrtl_set_quirks" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x8acdf02b, "device_property_read_string_array" },
	{ 0xd0c166ac, "btintel_load_ddc_config" },
	{ 0xbf47c830, "n_tty_ioctl_helper" },
	{ 0x070f92bd, "debugfs_create_u64" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa8f9be0e, "btintel_set_event_mask_mfg" },
	{ 0xf1d1ef1e, "tty_ldisc_flush" },
	{ 0x8d279220, "__percpu_init_rwsem" },
	{ 0x391c3cb1, "__hci_cmd_send" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x60e58445, "serdev_device_wait_until_sent" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x26a90cf5, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbf31be23, "qca_uart_setup" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xe4f6e493, "hci_devcd_register" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x2497f03e, "device_get_match_data" },
	{ 0x20e53375, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0x48ff988d, "acpi_match_device" },
	{ 0x82dccac1, "serdev_device_set_tiocm" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x0718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x6d03eb45, "regulator_bulk_enable" },
	{ 0x01723ce6, "devm_regulator_bulk_get" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xc454985e, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc6e6b920, "serdev_device_write_buf" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3884054e, "tty_unregister_ldisc" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0xe84ea0cc, "devm_clk_get_optional" },
	{ 0x09d8130c, "__hci_cmd_sync_ev" },
	{ 0x1a8d9a3b, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xd424e556, "desc_to_gpio" },
	{ 0x24c5e47f, "hci_recv_frame" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa6a27a8a, "qca_read_soc_version" },
	{ 0x0619f228, "of_irq_get_byname" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xf377f811, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x11271188, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb973fe9e, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0xb6101e5e, "btbcm_write_pcm_int_params" },
	{ 0x0c622f37, "btbcm_set_bdaddr" },
	{ 0xf68e5196, "tty_unthrottle" },
	{ 0x2de97471, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa611328d, "btbcm_check_bdaddr" },
	{ 0x16a2d8c6, "skb_pull_data" },
	{ 0x52166e9c, "rcuwait_wake_up" },
	{ 0x5c83eafd, "device_property_read_bool" },
	{ 0x3d0a2b39, "acpi_dev_get_property" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0xf7f727b7, "qca_set_bdaddr_rome" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xcbbaee7b, "hci_register_dev" },
	{ 0x49d67b58, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6c51927d, "btintel_enter_mfg" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xf568f58a, "__hci_cmd_sync" },
	{ 0xf95c32ac, "debugfs_create_u8" },
	{ 0x609b5100, "of_device_get_match_data" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x4a9f6cc3, "devm_clk_get_optional_enabled_with_rate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xe58b6169, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xcac714f7, "hci_recv_diag" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btintel,btbcm,btrtl,pwrseq-core,btqca");

MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0C*");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-bt");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-btC*");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-bt");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("of:N*T*Cqcom,qca2066-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca2066-btC*");
MODULE_ALIAS("of:N*T*Cqcom,qca6174-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca6174-btC*");
MODULE_ALIAS("of:N*T*Cqcom,qca6390-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca6390-btC*");
MODULE_ALIAS("of:N*T*Cqcom,qca9377-bt");
MODULE_ALIAS("of:N*T*Cqcom,qca9377-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3988-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3988-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3990-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3990-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3991-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3991-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn3998-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn3998-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn6750-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn6750-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn6855-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn6855-btC*");
MODULE_ALIAS("of:N*T*Cqcom,wcn7850-bt");
MODULE_ALIAS("of:N*T*Cqcom,wcn7850-btC*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-btC*");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-btC*");

MODULE_INFO(srcversion, "BD2F0D3262B3BEDF4B9D83A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
