#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0xde2d575d, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0xa1eb95db, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xae71627d, "");
SYMBOL_CRC(ipmi_get_smi_info, 0x85a7f429, "");
SYMBOL_CRC(ipmi_destroy_user, 0x5c08065d, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0xaca90ebd, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0x4e05de58, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0x96a6e5e8, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x1f65170f, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x80aa4656, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0xd35f75a1, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x037a0cba, "kfree" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0xac3dcd67, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x07ceeac9, "panic_notifier_list" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x070f7896, "_printk" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe5515291, "driver_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd5ff4744, "init_srcu_struct" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0x57095a2a, "synchronize_srcu" },
	{ 0x376c05b2, "module_put" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4292364c, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x27165c40, "driver_find_device" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x21810b94, "platform_device_register" },
	{ 0x5152e605, "memcmp" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x578eff81, "platform_bus_type" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0xc71ca44d, "param_ops_ulong" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E29C45B45A116F907642326");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
