#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xb6f8f2c5, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x358584a6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x2c41d093, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x9dfe9f3a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x34215c06, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x87f28f83, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0xd25810cf, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xf2da64f0, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xbc99e297, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x9be14f47, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x9b469509, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x45d0b0de, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x79f15a2a, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xc59be92d, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x8d439637, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x86a8557c, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xcbca9f4f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x99599e9b, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x8b539113, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x5b546233, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xc6026d2b, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xdbab202b, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x995d3875, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xdee488ce, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xaa64f0c3, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x27855e17, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x7f07d28e, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x98b723be, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xd74d6cc1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0xc8ed0b25, "debugfs_create_x32" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x7722dba8, "single_open" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xf727437f, "regmap_raw_write" },
	{ 0x41fb3237, "regmap_raw_read" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x5152e605, "memcmp" },
	{ 0x2e60bace, "memcpy" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x2b25321e, "regmap_multi_reg_write" },
	{ 0xbeaac2d3, "regmap_bulk_read" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xdda430b4, "single_release" },
	{ 0x946d6020, "simple_open" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18057076C45EADAA00BFD8C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
