#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0x071734d3, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0xadb3365d, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x6b0cb58d, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x6b136806, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0x39b9399b, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x4b76b273, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x37bb7a4c, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x59e8f5b7, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0x33a2a8c4, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0xbabef42f, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x46f80149, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0xb6cd2cb8, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0x0345b142, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf636def, "get_device" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x137f1cc7, "device_match_of_node" },
	{ 0x28f65080, "class_find_device" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x376c05b2, "module_put" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x070f7896, "_printk" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x5969ad9f, "device_register" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x78bd32eb, "sg_miter_skip" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8f4ae8a3, "vmalloc_to_page" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x0b021544, "__kmap_to_page" },
	{ 0x1d3ae753, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x0e454536, "request_firmware" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
