#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(amdgpu_bo_create_kernel, "", "");
KSYMTAB_FUNC(amdgpu_bo_create_isp_user, "", "");
KSYMTAB_FUNC(amdgpu_bo_free_kernel, "", "");
KSYMTAB_FUNC(amdgpu_bo_free_isp_user, "", "");

SYMBOL_CRC(amdgpu_bo_create_kernel, 0xdb808a4b, "");
SYMBOL_CRC(amdgpu_bo_create_isp_user, 0xb75fef07, "");
SYMBOL_CRC(amdgpu_bo_free_kernel, 0xecff1c7b, "");
SYMBOL_CRC(amdgpu_bo_free_isp_user, 0xc35d21de, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xe8c156a8, "drm_show_fdinfo" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc03d97a, "page_is_ram" },
	{ 0xee20f132, "drm_atomic_helper_commit_hw_done" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4292364c, "schedule" },
	{ 0x87f79567, "drm_gem_object_release" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x92b57248, "flush_work" },
	{ 0x688e7aa8, "drm_connector_attach_max_bpc_property" },
	{ 0x0e454536, "request_firmware" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x6329287f, "atomic64_xchg_cx8" },
	{ 0xdf682716, "drm_crtc_vblank_get" },
	{ 0x2ca8dc02, "drm_mode_probed_add" },
	{ 0xd1f60a89, "arch_io_free_memtype_wc" },
	{ 0xf0e6b8a2, "smca_get_bank_type" },
	{ 0x80c368ad, "drm_dp_cec_unset_edid" },
	{ 0x85e95486, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xff3c02c8, "kobj_sysfs_ops" },
	{ 0xf981a1c3, "drm_writeback_queue_job" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8235805b, "memmove" },
	{ 0xd2c9a7ac, "drm_dp_atomic_find_time_slots" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x80bcf327, "ttm_bo_vm_close" },
	{ 0x3a586a55, "drm_print_memory_stats" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xe6691352, "drm_syncobj_get_handle" },
	{ 0xb5a3dc68, "pm_genpd_add_device" },
	{ 0xcf13b98b, "drm_sched_stop" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0xbbe6ea3b, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x4c816140, "drm_crtc_arm_vblank_event" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6a8cea8b, "drm_sched_entity_error" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xef9211e8, "pci_clear_master" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x7af96477, "ttm_resource_init" },
	{ 0x26f952c8, "drm_connector_list_iter_next" },
	{ 0x3dbabfca, "ttm_bo_vm_fault_reserved" },
	{ 0x55684e17, "drm_plane_create_blend_mode_property" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xc8ed0b25, "debugfs_create_x32" },
	{ 0x8107b3cd, "ww_mutex_lock_interruptible" },
	{ 0x2ca8e07d, "hmm_range_fault" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2fbb2405, "drm_atomic_helper_dirtyfb" },
	{ 0x4ad38e4f, "drm_mode_config_helper_resume" },
	{ 0x9ed9f29b, "drm_gem_private_object_init" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0xaab8a969, "ttm_range_man_init_nocheck" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x3845e685, "ttm_resource_manager_evict_all" },
	{ 0xa2635124, "debugfs_lookup" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x089121ec, "drm_atomic_state_alloc" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x69353664, "__drm_debug" },
	{ 0x5af8e078, "down_write" },
	{ 0xc2facbf5, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xa662edbd, "pci_reset_function" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0xad5595ff, "drm_property_blob_put" },
	{ 0x1cf99edf, "drm_helper_force_disable_all" },
	{ 0x13257ef0, "drm_dp_cec_attach" },
	{ 0x2a6d8cc2, "drm_open" },
	{ 0xe8303e61, "drm_add_edid_modes" },
	{ 0x8e524926, "mmu_interval_notifier_remove" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x85f30aa0, "drm_send_event_locked" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x306c8849, "drm_dp_mst_put_port_malloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x74dd9e0b, "dma_fence_wait_any_timeout" },
	{ 0x349cba85, "strchr" },
	{ 0xe705ece3, "drm_atomic_get_mst_payload_state" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x592ebc13, "drm_dp_aux_unregister" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0xa0f9745b, "mfd_remove_devices" },
	{ 0x04e8f828, "mtree_load" },
	{ 0x55bebc1e, "drm_atomic_helper_page_flip" },
	{ 0xc75f5c29, "drm_connector_unregister" },
	{ 0x53c535f6, "pci_device_is_present" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x94b318f8, "debugfs_create_blob" },
	{ 0x86725fd9, "dma_buf_dynamic_attach" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x5eefd315, "pci_get_domain_bus_and_slot" },
	{ 0xd0c05159, "emergency_restart" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xd88810be, "drm_sched_fault" },
	{ 0x3145452b, "drm_dp_mst_update_slots" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xbc6b96e9, "dma_map_resource" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x05a3f58f, "drm_modeset_lock_all_ctx" },
	{ 0x2220bd48, "hdmi_drm_infoframe_pack_only" },
	{ 0x494a75ea, "drm_connector_set_path_property" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1119251c, "drm_connector_list_iter_end" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x29f3a126, "up_read" },
	{ 0xd1b33edc, "drm_atomic_helper_shutdown" },
	{ 0x1d3ae753, "sg_alloc_table_from_pages_segment" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xadf48755, "dma_resv_iter_next_unlocked" },
	{ 0x0d64c83d, "drm_atomic_helper_check_modeset" },
	{ 0x994f56c4, "drm_helper_hpd_irq_event" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x6e420fc4, "trace_print_array_seq" },
	{ 0x77cf53aa, "__mmap_lock_do_trace_start_locking" },
	{ 0x738803e6, "strnlen" },
	{ 0x21cc0de6, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xf54b22ec, "drm_dp_mst_atomic_enable_dsc" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7e8026ac, "pci_store_saved_state" },
	{ 0x70f05dc4, "perf_pmu_register" },
	{ 0xa542ecb6, "__drm_puts_coredump" },
	{ 0x02fccc99, "pcie_get_speed_cap" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a426f65, "amdgpu_xcp_drm_dev_alloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x256afb65, "pci_load_saved_state" },
	{ 0x23ba9e94, "drm_crtc_vblank_off" },
	{ 0x8e4b6926, "drm_atomic_helper_suspend" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0b8f75a3, "node_states" },
	{ 0x3b72b0ba, "drm_sched_suspend_timeout" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xe5c8ac9d, "ttm_bo_wait_ctx" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf8a1fd4f, "firmware_request_nowarn" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x5c0144b8, "drm_gem_fb_get_obj" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xc98fb097, "vga_client_register" },
	{ 0x80d2bbfc, "ttm_resource_manager_usage" },
	{ 0xf1ff3a4f, "drm_atomic_helper_check_planes" },
	{ 0x0949221b, "dma_resv_wait_timeout" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x7bdd5b9e, "ttm_resource_manager_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10abe764, "drm_syncobj_create" },
	{ 0x92108eb3, "drm_dp_mst_connector_late_register" },
	{ 0x35945e94, "drm_gem_dmabuf_vmap" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x5182323d, "ttm_bo_vm_access" },
	{ 0xee4a419c, "drm_sched_job_add_resv_dependencies" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x339d9fb1, "pid_task" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x2bf8830d, "ttm_resource_free" },
	{ 0x4ea7d7d7, "drm_sched_fini" },
	{ 0x023519fc, "to_drm_sched_fence" },
	{ 0x6097a283, "ttm_bo_init_reserved" },
	{ 0x2fb0a0ed, "cec_notifier_conn_register" },
	{ 0x1ee678d1, "pcie_capability_clear_and_set_word_locked" },
	{ 0xe300963c, "drm_suballoc_manager_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x1e4e1a8e, "drm_sched_entity_modify_sched" },
	{ 0x2ed93a31, "drm_crtc_vblank_on_config" },
	{ 0xd7b5313b, "drm_connector_attach_encoder" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x5ed192fe, "param_ops_hexint" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1e4003af, "i2c_new_client_device" },
	{ 0x7d3ff528, "vga_switcheroo_register_client" },
	{ 0x0f1dac55, "drm_dp_mst_topology_state_funcs" },
	{ 0xe74c1a9c, "irq_set_chip_and_handler_name" },
	{ 0xdf636def, "get_device" },
	{ 0x3c8391e0, "drm_exec_lock_obj" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xdc67956f, "drm_set_preferred_mode" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x8cc8e384, "drm_get_edid" },
	{ 0xc9f4d5f5, "hrtimer_try_to_cancel" },
	{ 0xa2140937, "drm_crtc_enable_color_mgmt" },
	{ 0x2a56d6c9, "drm_dp_dpcd_write" },
	{ 0x55509ab7, "down_read_killable" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x792a4ecb, "drm_modeset_acquire_init" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0x9a03faa6, "drm_plane_get_damage_clips_count" },
	{ 0x8ced3bf7, "kobject_add" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0x59722f00, "pci_wait_for_pending_transaction" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x3389c7f0, "backlight_device_unregister" },
	{ 0xb87fb7eb, "drm_sched_entity_set_priority" },
	{ 0x5746cf55, "drm_plane_get_damage_clips" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x0de9a3eb, "drm_sched_pick_best" },
	{ 0x1a5ee049, "drm_modeset_acquire_fini" },
	{ 0x6b63c16c, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa5c41631, "drm_sched_job_cleanup" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4cbfabf0, "ttm_tt_fini" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xb3ec47aa, "drm_dp_cec_unregister_connector" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x43d060e3, "drm_dp_start_crc" },
	{ 0xb918ef95, "ttm_pool_fini" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0x03bb9103, "drm_crtc_helper_set_mode" },
	{ 0xe7280052, "__drm_atomic_helper_plane_reset" },
	{ 0x73a1ab35, "drm_dp_dpcd_read" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdd745464, "cancel_work" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xce8ad95e, "drm_modeset_unlock_all" },
	{ 0xddf20003, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0x3212fd4d, "dma_buf_unmap_attachment" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x460e49b8, "dma_resv_iter_first" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc2af7e09, "ttm_bo_kmap" },
	{ 0xaacc9e27, "sort" },
	{ 0x751a4447, "generic_handle_domain_irq" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x4029958c, "acpi_video_get_edid" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa57d5ccb, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf3de9788, "dma_buf_move_notify" },
	{ 0x835f1ad1, "dma_resv_reserve_fences" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xd7088716, "ttm_bo_set_bulk_move" },
	{ 0x2e471e1d, "debugfs_attr_write_signed" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x62da6c15, "drm_edid_read_custom" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xb661a65b, "drm_gem_prime_export" },
	{ 0x4745e3f2, "devm_device_add_group" },
	{ 0xf96b0c8f, "dma_buf_put" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7722dba8, "single_open" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x30ec4793, "pcie_get_readrq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29c5b112, "dma_resv_iter_first_unlocked" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdab6d1f7, "dma_resv_add_fence" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x4d2818c4, "__drm_atomic_helper_connector_destroy_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4aac931b, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x74155fd6, "drm_dp_atomic_release_time_slots" },
	{ 0x7bfab8f2, "drm_atomic_add_affected_connectors" },
	{ 0x3565274a, "kthread_stop" },
	{ 0x7c7d46de, "dma_resv_get_fences" },
	{ 0xd44c5d88, "drm_dp_mst_detect_port" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xfaf79774, "drm_helper_connector_dpms" },
	{ 0x64760077, "drm_get_panel_min_brightness_quirk" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6a29e215, "seq_hex_dump" },
	{ 0xba707be2, "pci_unmap_rom" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x14cf8bc3, "sync_file_create" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xb3e3c09c, "drm_edid_alloc" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x1b151fe2, "drm_plane_create_rotation_property" },
	{ 0xe7a76029, "iommu_iova_to_phys" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x8a867332, "kset_register" },
	{ 0x56464d95, "drm_add_modes_noedid" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x99d1edc6, "ttm_bo_vm_dummy_page" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc583ca57, "drm_modeset_lock_all" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0xf207c5e4, "dma_resv_iter_next" },
	{ 0x663a64e9, "drm_atomic_private_obj_init" },
	{ 0x06488093, "debugfs_create_file_unsafe" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7bc3d736, "drm_atomic_normalize_zpos" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc5caa9c4, "drm_gem_dmabuf_mmap" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x868f6cf7, "drm_crtc_helper_set_config" },
	{ 0xe091c977, "list_sort" },
	{ 0xab31953a, "drm_gem_handle_create" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x46582c7e, "pci_enable_atomic_ops_to_root" },
	{ 0x4c6d0974, "drm_atomic_helper_set_config" },
	{ 0x1f60ca1b, "ww_mutex_unlock" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbd13e36c, "drm_dp_read_dpcd_caps" },
	{ 0x6f2eb45d, "drm_dev_enter" },
	{ 0x6626afca, "down" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4c2ae700, "strnstr" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x251ce889, "pm_runtime_autosuspend_expiration" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0x2762b6b8, "ttm_bo_pin" },
	{ 0x5c50eba4, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x0d9b4753, "drm_mode_equal" },
	{ 0x2bc95bd4, "memset" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9124b848, "component_del" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x56672a97, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xc351be53, "vga_switcheroo_register_handler" },
	{ 0x3e9ec683, "hwmon_device_register_with_groups" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x26aa81d0, "drm_sched_init" },
	{ 0xe3b998fa, "fd_install" },
	{ 0xa0138dfd, "drm_object_property_set_value" },
	{ 0x037a0cba, "kfree" },
	{ 0x85ad1e20, "drm_sched_wqueue_ready" },
	{ 0xe371198e, "iommu_get_domain_for_dev" },
	{ 0x89f499c8, "sysfs_create_bin_file" },
	{ 0xa3cc3d14, "acpi_get_name" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x3262249c, "drm_client_register" },
	{ 0xc73d0683, "drm_dp_mst_topology_queue_probe" },
	{ 0x5183de71, "drm_atomic_commit" },
	{ 0x9498c5a7, "drm_atomic_helper_plane_reset" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xa53758c5, "drm_dp_remove_payload_part2" },
	{ 0xfc04795f, "drm_atomic_private_obj_fini" },
	{ 0xa01fbb6b, "cec_notifier_set_phys_addr" },
	{ 0x43071bac, "drm_kms_helper_connector_hotplug_event" },
	{ 0xdd1563db, "drm_client_dev_suspend" },
	{ 0x9a001345, "pcie_capability_read_dword" },
	{ 0xbba93381, "perf_pmu_unregister" },
	{ 0x2da5275f, "__put_task_struct" },
	{ 0x3463fbc2, "drm_crtc_send_vblank_event" },
	{ 0xd396a982, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf08d07e2, "ttm_bo_mem_space" },
	{ 0x5f5714aa, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xca1e7dda, "acpi_amd_wbrf_supported_consumer" },
	{ 0xd653654f, "ttm_device_init" },
	{ 0xbf2046e2, "pci_wake_from_d3" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x1265db2d, "amd_wbrf_unregister_notifier" },
	{ 0x6bf577e4, "drm_dp_add_payload_part2" },
	{ 0xc1d958bb, "drm_client_init" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x92860c7d, "sysfs_create_files" },
	{ 0x6d5a39ac, "drm_connector_attach_dp_subconnector_property" },
	{ 0xcf2a6966, "up" },
	{ 0x116d214b, "ww_mutex_trylock" },
	{ 0xfbb80be5, "drm_release" },
	{ 0x4106728e, "drm_atomic_helper_connector_destroy_state" },
	{ 0xebbb5cd2, "drm_universal_plane_init" },
	{ 0x73bb4814, "drm_atomic_helper_crtc_reset" },
	{ 0x670dcba0, "pci_get_class" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x79fa2e29, "pnp_get_resource" },
	{ 0x8dcac617, "drm_dp_stop_crc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1e119803, "pci_bus_resource_n" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x585c0831, "drm_connector_attach_vrr_capable_property" },
	{ 0x5bd9160f, "drm_property_blob_get" },
	{ 0xcede275c, "memremap" },
	{ 0xccea3ea2, "drm_crtc_accurate_vblank_count" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x55c76a23, "ksys_sync_helper" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0xa7d338da, "drm_atomic_helper_disable_plane" },
	{ 0xd8ddd2c7, "param_ops_string" },
	{ 0x6cd6b6db, "__tracepoint_mmap_lock_start_locking" },
	{ 0x1d4c05f3, "drm_sched_job_arm" },
	{ 0x2400f58a, "drm_dp_mst_dsc_aux_for_port" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa6fffd5c, "drm_mode_create_scaling_mode_property" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3676eaf1, "drm_read" },
	{ 0x7c31e5d1, "dma_buf_map_attachment" },
	{ 0x448fee04, "_dev_printk" },
	{ 0xd56a3584, "pci_restore_msi_state" },
	{ 0x11d0c1a5, "i2c_add_adapter" },
	{ 0x07650d87, "drm_memory_stats_is_zero" },
	{ 0xdbdef1ba, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x77f64f69, "drm_simple_encoder_init" },
	{ 0x0ed6cd71, "kobject_init" },
	{ 0x59f4a5a4, "drm_dp_mst_topology_mgr_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xf9f812c3, "drm_crtc_handle_vblank" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x00067aea, "drm_atomic_helper_check_plane_state" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdadabc74, "drm_syncobj_get_fd" },
	{ 0x841aeeae, "drm_gem_fb_create_handle" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbd03308a, "drm_plane_create_zpos_property" },
	{ 0x56470118, "__warn_printk" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x530cb3d3, "drm_atomic_get_mst_topology_state" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x72c5643e, "drm_dev_register" },
	{ 0xfc4a9bfc, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x1d59656a, "mmput" },
	{ 0xebf59fae, "drm_gem_ttm_vunmap" },
	{ 0x88f0b72d, "drm_dp_send_real_edid_checksum" },
	{ 0x782f7602, "param_ops_bint" },
	{ 0x1ea3edf9, "drm_dp_link_train_channel_eq_delay" },
	{ 0x1972f053, "cec_fill_conn_info_from_drm" },
	{ 0x595240ac, "device_remove_file" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x669e3b6e, "drm_crtc_init_with_planes" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0xd9e8101e, "ttm_device_clear_dma_mappings" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8f5047b1, "drm_gem_object_lookup" },
	{ 0xaee236c6, "cec_notifier_conn_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0bf0dba, "drm_crtc_init" },
	{ 0xd5934e48, "drm_atomic_helper_connector_reset" },
	{ 0x9fac878a, "pm_genpd_init" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0x93ebffc0, "perf_event_update_userpage" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0x0de8bdaf, "ttm_pool_free" },
	{ 0x4ea82e8a, "drm_dp_cec_irq" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xdec372d0, "drm_sched_entity_init" },
	{ 0xc4200dab, "drm_edid_is_valid" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd6475c00, "drm_buddy_print" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xe1f81857, "drm_dp_aux_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd08fde32, "ttm_bo_move_to_lru_tail" },
	{ 0x2847a134, "drm_sched_entity_flush" },
	{ 0x8fb3c3e4, "drm_kms_helper_poll_disable" },
	{ 0xeb999396, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x548a7338, "drm_dp_check_act_status" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xa6257a2f, "complete" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x21d31536, "drm_plane_enable_fb_damage_clips" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xee9c61ed, "_dev_emerg" },
	{ 0xe53182ce, "pci_assign_unassigned_bus_resources" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xaf00f967, "drm_fbdev_ttm_driver_fbdev_probe" },
	{ 0x16e9959c, "drm_mode_create_hdmi_colorspace_property" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x8eaf2a5f, "vga_switcheroo_unregister_handler" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xfbde845b, "drm_sched_wqueue_stop" },
	{ 0xb8b74e52, "drm_atomic_helper_check" },
	{ 0x6833baa3, "dma_buf_get" },
	{ 0xe0c29037, "ttm_bo_unpin" },
	{ 0x8f548aa4, "drm_dp_mst_connector_early_unregister" },
	{ 0x21f86620, "drm_plane_create_color_properties" },
	{ 0x59fd8e24, "drm_gem_dmabuf_release" },
	{ 0x47e22e1f, "drm_edid_to_speaker_allocation" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xc18b79ae, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xfb0da0c8, "cpu_info" },
	{ 0xe61b1b61, "drm_gem_dmabuf_vunmap" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x74609a7e, "drm_modeset_lock" },
	{ 0xdda430b4, "single_release" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0x99857806, "drm_atomic_get_connector_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x35f67329, "dma_resv_test_signaled" },
	{ 0x69332796, "drm_connector_attach_content_type_property" },
	{ 0x511bb016, "drm_encoder_cleanup" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7fcb01d8, "drm_connector_attach_colorspace_property" },
	{ 0x25b374c4, "drm_atomic_get_plane_state" },
	{ 0x1959d443, "drm_helper_probe_single_connector_modes" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xb730ad56, "ttm_bo_eviction_valuable" },
	{ 0x6dc087fa, "__devm_drm_dev_alloc" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xcbf21804, "drm_plane_helper_destroy" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x0e90c768, "drm_client_release" },
	{ 0xcf97bc80, "drm_dp_aux_register" },
	{ 0xd1057745, "component_add" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x79e262a4, "drm_sched_entity_push_job" },
	{ 0xc9f0f387, "drm_atomic_add_affected_planes" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x766b27b0, "drm_syncobj_find" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xae0e2fce, "drm_crtc_add_crc_entry" },
	{ 0x44195764, "pcie_get_width_cap" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xc956f1fc, "drm_modeset_drop_locks" },
	{ 0x5aa4dcab, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xf82788fe, "pcie_set_readrq" },
	{ 0xb7b56225, "drm_dp_dpcd_read_link_status" },
	{ 0x4f417005, "drm_edid_connector_update" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xa3386825, "dma_buf_unpin" },
	{ 0xe24d3251, "ttm_bo_vm_open" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0xef863130, "drm_atomic_get_crtc_state" },
	{ 0x2eae10df, "drm_syncobj_replace_fence" },
	{ 0x487687a3, "amd_wbrf_retrieve_freq_band" },
	{ 0xc3c06fe3, "i2c_bit_add_bus" },
	{ 0x90e4aa86, "pci_ignore_hotplug" },
	{ 0x5ca46eb1, "drm_modeset_backoff" },
	{ 0x58580406, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x46d30c05, "drm_cvt_mode" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0x2aad3bc6, "ttm_pool_init" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xd2e8ec66, "drm_dp_mst_add_affected_dsc_crtcs" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x08fd21c1, "drm_poll" },
	{ 0x6e84c553, "dma_unmap_resource" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x12c13afc, "drmm_mode_config_init" },
	{ 0xe61b857d, "kobject_set_name" },
	{ 0x85ef1a15, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0xc0f2371c, "ttm_bo_move_memcpy" },
	{ 0x16091acd, "drm_kms_helper_poll_init" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xf7ee8b64, "pcie_bandwidth_available" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x48935be0, "unmap_mapping_range" },
	{ 0xa5225908, "drm_property_create_range" },
	{ 0xbd87af07, "pci_get_base_class" },
	{ 0xafb1da98, "drm_framebuffer_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4cc5567e, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3d57d44b, "ttm_lru_bulk_move_tail" },
	{ 0x598ffd7b, "dma_addressing_limited" },
	{ 0x2fb59756, "ttm_resource_fini" },
	{ 0x1f2c5760, "drm_mode_crtc_set_gamma_size" },
	{ 0xecc2d5e0, "drm_sched_increase_karma" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x192f93e1, "drm_dp_mst_dump_topology" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbeef9acc, "mfd_add_devices" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x56256e8a, "orderly_poweroff" },
	{ 0xf566a5f1, "vga_switcheroo_fini_domain_pm_ops" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x8a30e081, "drm_edid_connector_add_modes" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xd199d1ef, "pci_release_resource" },
	{ 0x26a888ea, "drm_mode_config_cleanup" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x0128e2f1, "drm_atomic_helper_cleanup_planes" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x4718e930, "__drm_atomic_helper_crtc_reset" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x999e8297, "vfree" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x882b6896, "drm_atomic_helper_plane_destroy_state" },
	{ 0x12fe5e04, "drm_atomic_get_private_obj_state" },
	{ 0x355e2e11, "drm_property_create_enum" },
	{ 0xa33f37b8, "drm_handle_vblank" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7550d6c4, "ttm_bo_kunmap" },
	{ 0xba7f84ab, "bpf_trace_run9" },
	{ 0xa61f8b24, "pci_resize_resource" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb1250748, "drm_crtc_vblank_crtc" },
	{ 0xbdc9aa03, "drm_gem_ttm_mmap" },
	{ 0x0c4da6ca, "ttm_bo_put" },
	{ 0xb35d0f3d, "drm_syncobj_add_point" },
	{ 0x76f5bec8, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x0ea5d74b, "amdgpu_xcp_drv_release" },
	{ 0x881b427b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xdaafe639, "drm_suballoc_free" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0x0dcd6092, "dma_map_sgtable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0xffef70c6, "drm_dp_mst_atomic_check" },
	{ 0xb03cc919, "ttm_pool_debugfs" },
	{ 0x794d8cdf, "__num_cores_per_package" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x0eef6172, "backlight_device_register" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9ee5e40a, "__ktime_divns" },
	{ 0xa3b394f1, "pcie_aspm_enabled" },
	{ 0xf83d4c58, "drm_prime_gem_destroy" },
	{ 0x5152e605, "memcmp" },
	{ 0xe3815ad1, "ttm_range_man_fini_nocheck" },
	{ 0xe3053978, "drm_atomic_helper_async_check" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x7230beea, "fdget" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x0e0b38a2, "hrtimer_forward" },
	{ 0x26d71eb6, "drm_exec_fini" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x3bc5db49, "drm_dev_unplug" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x6afb9649, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf19909be, "__drm_printfn_coredump" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x5924c254, "pci_map_rom" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x70bf1740, "drm_client_setup" },
	{ 0x396860ba, "dma_resv_get_singleton" },
	{ 0x3af58af8, "page_to_nid" },
	{ 0xf5cb6c6a, "drm_sched_job_init" },
	{ 0x98b4dc1a, "mmu_interval_read_begin" },
	{ 0x85e5bb5d, "drm_gem_fb_destroy" },
	{ 0x6e423017, "sysfs_create_file_ns" },
	{ 0x56a9332c, "drm_hdcp_update_content_protection" },
	{ 0x09727275, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x0f1b7c41, "drm_vblank_init" },
	{ 0x2ab7096f, "drm_connector_dynamic_init" },
	{ 0x3904ab8a, "drm_exec_cleanup" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x863004ea, "vga_switcheroo_init_domain_pm_ops" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3cb15e2e, "drm_sched_entity_destroy" },
	{ 0x863f8409, "gcd" },
	{ 0x7e4e0e14, "drm_dp_mst_edid_read" },
	{ 0xa780682c, "drm_dp_cec_register_connector" },
	{ 0x13fc68bb, "drm_syncobj_find_fence" },
	{ 0xccb5d0ea, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0xbc3b7c41, "dma_buf_pin" },
	{ 0xf18c7e1b, "kobject_get" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x67455ad1, "pcie_get_mps" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x15345d8c, "drm_helper_resume_force_mode" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4a566b30, "drm_plane_cleanup" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x7061d984, "drm_writeback_connector_init" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x54e8ba09, "drm_connector_set_vrr_capable_property" },
	{ 0xadd2d03d, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xd973daf1, "drm_sched_wqueue_start" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x0889188b, "irq_domain_remove" },
	{ 0x8804ad5b, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x3fc0b20d, "irq_domain_instantiate" },
	{ 0xf07e9348, "drm_dp_mst_atomic_setup_commit" },
	{ 0x334d35b5, "ww_mutex_lock" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x420eabe4, "mem_section" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x7044c1f1, "ttm_lru_bulk_move_init" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0x3e7f7f67, "drm_encoder_init" },
	{ 0x57b1be3f, "dev_coredumpm_timeout" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xb23e4e1d, "drm_buddy_block_trim" },
	{ 0x244cc70b, "pm_genpd_remove_device" },
	{ 0xedd4743a, "drm_connector_attach_content_protection_property" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xd7b5680d, "ttm_bo_vm_reserve" },
	{ 0x4090ec34, "drm_sched_start" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x807bb247, "drm_connector_init_with_ddc" },
	{ 0xfe149bea, "drm_dp_mst_get_port_malloc" },
	{ 0xf38b9dfd, "drm_sched_entity_fini" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7e28e12b, "ttm_sg_tt_init" },
	{ 0xd0ec6cd8, "drm_atomic_helper_calc_timestamping_constants" },
	{ 0xf9249535, "sysfs_add_file_to_group" },
	{ 0x8fc1ad7d, "drm_mode_config_helper_suspend" },
	{ 0xb20a980b, "drm_gem_ttm_vmap" },
	{ 0x36b4a8fc, "ttm_bo_validate" },
	{ 0xaa173b39, "up_write" },
	{ 0xe8347d2d, "mmu_interval_notifier_insert" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0xa54c8250, "ttm_resource_manager_create_debugfs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b9b9f3f, "__drm_dev_dbg" },
	{ 0x0dbfd69a, "drm_helper_mode_fill_fb_struct" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0x070f7896, "_printk" },
	{ 0xd65bcadb, "__drm_atomic_helper_connector_reset" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x90771906, "drm_calc_timestamping_constants" },
	{ 0x70dbeed3, "ttm_glob" },
	{ 0x90b2e095, "drm_crtc_vblank_on" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc15385e1, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x6a20c341, "drm_connector_cleanup" },
	{ 0xddbc886c, "drm_gem_mmap" },
	{ 0x0a891d1f, "sysfs_remove_file_from_group" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xcf8a5d41, "vga_switcheroo_unregister_client" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x760e72ba, "sysfs_remove_bin_file" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb30b4d49, "drm_dp_set_subconnector_property" },
	{ 0xbb23f809, "drm_kms_helper_poll_fini" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x99462881, "drm_atomic_helper_commit" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa31d759e, "drm_connector_update_edid_property" },
	{ 0x585e8db7, "dput" },
	{ 0xb746ca52, "drm_dp_link_train_clock_recovery_delay" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xaa6a63a6, "debugfs_create_file_size" },
	{ 0xdc50bb71, "drm_atomic_helper_update_plane" },
	{ 0xee55794b, "drm_modeset_unlock" },
	{ 0xba70f784, "drm_kms_helper_hotplug_event" },
	{ 0xb62203a9, "drm_any_plane_has_format" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0x772dbe60, "drm_prime_pages_to_sg" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x659ad19c, "drm_mode_config_reset" },
	{ 0x1ca442e2, "drm_exec_init" },
	{ 0x3c8c860b, "ttm_bo_move_accel_cleanup" },
	{ 0xff831030, "drm_atomic_helper_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xb51311dd, "i2c_transfer" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd592de51, "memset_io" },
	{ 0x11bd6478, "drm_gem_plane_helper_prepare_fb" },
	{ 0x6d514753, "pci_rebar_get_possible_sizes" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6af0f0ea, "drm_kms_helper_poll_enable" },
	{ 0x69cc2943, "ttm_tt_pages_limit" },
	{ 0x71a69455, "drm_dp_mst_root_conn_atomic_check" },
	{ 0xbba63170, "acpi_dev_get_first_match_dev" },
	{ 0x92926d17, "ttm_device_fini" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x76bb1f0e, "drm_connector_init" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x7a445e26, "drm_dp_remove_payload_part1" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2c72e686, "sysfs_remove_files" },
	{ 0x34555e12, "drm_dp_add_payload_part1" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76647da5, "fput" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7978bd9, "drm_connector_list_iter_begin" },
	{ 0x57b82a84, "drm_mode_create_dp_colorspace_property" },
	{ 0xb6127243, "drm_need_swiotlb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x487617f7, "drm_suballoc_new" },
	{ 0xf523f0a4, "drm_is_current_master" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd8003836, "sysfs_remove_file_ns" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x001b074f, "mce_is_correctable" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x627a5f58, "irq_create_mapping_affinity" },
	{ 0x73fef0c5, "drm_sched_job_add_dependency" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x4f119e41, "aperture_remove_conflicting_pci_devices" },
	{ 0x016ed4af, "drm_suballoc_dump_debug_info" },
	{ 0x74553fa1, "drm_suballoc_manager_fini" },
	{ 0x887283ad, "drm_crtc_vblank_count" },
	{ 0x30b105e0, "__mmap_lock_do_trace_released" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0x72b5a23c, "drm_crtc_cleanup" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf2b81b64, "arch_io_reserve_memtype_wc" },
	{ 0x5cdbc49d, "drm_edid_read_ddc" },
	{ 0x26370abf, "pci_pr3_present" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x930af6ac, "dma_fence_array_create" },
	{ 0xbc348137, "ttm_pool_alloc" },
	{ 0x90e49278, "backlight_device_set_brightness" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x1211f23e, "drm_plane_create_zpos_immutable_property" },
	{ 0x4124e206, "drm_edid_to_sad" },
	{ 0x87f6fde6, "acpi_get_first_physical_node" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0xf8c99a3b, "drm_mode_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x0a96b96a, "kstrtouint_from_user" },
	{ 0xdf5e7119, "pm_runtime_get_if_active" },
	{ 0xc82bf851, "drm_crtc_vblank_put" },
	{ 0xec4c6ffd, "amd_wbrf_register_notifier" },
	{ 0x6bb2517f, "drm_client_dev_resume" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xfe2ba5c5, "drm_ioctl" },
	{ 0xae331134, "param_ops_ullong" },
	{ 0xb44b7b3d, "handle_simple_irq" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xff1fddac, "drm_mode_duplicate" },
	{ 0x38768f0f, "drm_exec_prepare_obj" },
	{ 0xbe1351a9, "drm_plane_create_alpha_property" },
	{ 0x4129b75e, "ttm_lru_bulk_move_fini" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf01066d0, "drm_dev_printk" },
	{ 0x1ae53272, "hdmi_avi_infoframe_pack" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x2aefb3b3, "drm_writeback_signal_completion" },
	{ 0x946d6020, "simple_open" },
	{ 0x9201e1e7, "drm_object_attach_property" },
	{ 0x00aa1603, "xa_find" },
	{ 0x5a4734d1, "drm_kms_helper_is_poll_worker" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,ttm,gpu-sched,drm_buddy,amdxcp,cec,drm_suballoc_helper,drm_exec,video,drm_panel_backlight_quirks,drm_ttm_helper,i2c-algo-bit");

MODULE_ALIAS("pci:v00001002d00006780sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006788sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000678Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006790sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006791sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006792sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006798sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006799sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006810sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006811sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006816sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006602sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006603sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006611sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006613sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006617sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006623sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006631sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006825sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006826sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006827sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006828sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006829sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006830sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006831sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006835sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006837sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006838sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006839sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006660sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006663sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006665sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006667sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000666Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001305sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001309sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001316sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001317sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006641sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006647sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006650sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006651sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006658sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009830sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009831sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009832sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009835sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009836sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009837sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009838sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009839sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009850sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009851sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009852sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009853sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009854sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009855sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009856sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009857sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009858sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009859sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006901sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006902sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006907sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006920sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006921sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006928sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006929sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000692Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000692Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006930sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006938sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006939sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000730Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009870sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009874sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009875sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009876sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009877sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000098E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006FDFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006980sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006981sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006985sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006986sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006987sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006995sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006997sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000699Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006860sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006861sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006862sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006863sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006864sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006867sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006868sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006869sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000687Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000738Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007388sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000738Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007341sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007347sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000734Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001638sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000164Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000164Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000740Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000740Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007410sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000013FEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000143Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007423sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007424sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000743Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc03sc80i00*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc12sc00i00*");

MODULE_INFO(srcversion, "D93C19FBBF44532E9FE28E4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
