#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0xec3cd798, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xebc0a541, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x5e0ebd51, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x916d370d, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x10752104, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x907ce07c, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xf7432964, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x5288804a, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xabfd2b81, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x5e357224, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xd8fd33b3, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0xd6d218a2, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xc39d9ed7, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x02de7fcd, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x92cd62dd, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xd665c5ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x4479195a, "drm_fb_helper_debug_enter" },
	{ 0x14810613, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x014036ce, "drm_client_buffer_vmap" },
	{ 0xd134f19a, "drm_fb_helper_setcmap" },
	{ 0x7d6d0e56, "drm_fb_helper_alloc_info" },
	{ 0x282b8916, "drm_fb_helper_unprepare" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0x5a7f91e4, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xc89f84bd, "drm_fb_helper_fini" },
	{ 0x91904ec0, "dma_mmap_pages" },
	{ 0x288ce097, "drm_client_framebuffer_delete" },
	{ 0x395d7a12, "dma_free_pages" },
	{ 0xf1531da2, "drm_client_framebuffer_create" },
	{ 0xc1c31be4, "drm_fb_helper_deferred_io" },
	{ 0x7b5b1077, "drm_fb_helper_release_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6a619fd7, "drm_driver_legacy_fb_format" },
	{ 0x6b4e24fe, "drm_fb_helper_fill_info" },
	{ 0x7447d2d6, "drm_gem_create_mmap_offset" },
	{ 0x81423b4a, "fb_deferred_io_init" },
	{ 0xe8e0ed69, "fb_deferred_io_cleanup" },
	{ 0x20a7bcd2, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xf3803ccd, "fb_sys_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf7270d7d, "sys_imageblit" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ee74285, "drm_atomic_helper_damage_iter_init" },
	{ 0xf58a9ef2, "drm_fb_helper_damage_range" },
	{ 0xfd417585, "drm_fb_helper_blank" },
	{ 0x5a082c7b, "dma_alloc_pages" },
	{ 0x9ed9f29b, "drm_gem_private_object_init" },
	{ 0x26420a4c, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2e649282, "drm_fb_helper_damage_area" },
	{ 0x788c0d2a, "sys_fillrect" },
	{ 0x376c05b2, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc0204363, "drm_gem_vm_close" },
	{ 0x80e87c0d, "drm_gem_vm_open" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x87f79567, "drm_gem_object_release" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0xab31953a, "drm_gem_handle_create" },
	{ 0x5c0144b8, "drm_gem_fb_get_obj" },
	{ 0x8b9b9f3f, "__drm_dev_dbg" },
	{ 0x40dd5786, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc020dec6, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x0e90c768, "drm_client_release" },
	{ 0x81db7c09, "sys_copyarea" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9fe7b12, "drm_client_buffer_vunmap" },
	{ 0x2a168f2c, "fb_sys_read" },
	{ 0x96afe686, "drm_fb_helper_debug_leave" },
	{ 0xcb7a2eb2, "dma_buf_vmap_unlocked" },
	{ 0xe454bbf2, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc54eae8f, "dma_get_sgtable_attrs" },
	{ 0xf7bac116, "page_address" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x72c319b5, "drm_fb_helper_ioctl" },
	{ 0xe1773cb4, "drm_fb_helper_set_par" },
	{ 0xf83d4c58, "drm_prime_gem_destroy" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8A9447B0C3736203D7647EC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
