#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xb6dcf02f, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x94ce2c05, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xf44e83d1, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xf825b587, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x799842dc, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x46840546, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0xb7334e9e, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x7acdc8ca, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x61980bb7, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x6f2aa888, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x4eda50cc, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x922d9f89, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xaeaaa197, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x189c4724, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x4177f6be, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xc700d148, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xe330fd79, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x693fab80, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x44762ce3, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x7818bb76, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x65f168d4, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x7634e399, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xd81c2078, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xa9be5537, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x13b4513d, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x623f8b95, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x59239e87, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xd5129ac0, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x39151695, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xcfdb1aba, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x5851f783, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x1b8c3078, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xee2e903a, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x0e435a47, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x4699c2fd, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x62f76e24, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x070ca616, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x73ab27b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87f79567, "drm_gem_object_release" },
	{ 0x037a0cba, "kfree" },
	{ 0xb1500aee, "drm_exec_prepare_array" },
	{ 0xdab6d1f7, "dma_resv_add_fence" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x9ed9f29b, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x38768f0f, "drm_exec_prepare_obj" },
	{ 0x3c8391e0, "drm_exec_lock_obj" },
	{ 0x1ca442e2, "drm_exec_init" },
	{ 0x3904ab8a, "drm_exec_cleanup" },
	{ 0x26d71eb6, "drm_exec_fini" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
