#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i915_read_mch_val, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_raise, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_lower, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_busy, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_turbo_disable, "_gpl", "");

SYMBOL_CRC(i915_read_mch_val, 0x500858b9, "_gpl");
SYMBOL_CRC(i915_gpu_raise, 0x08a7896d, "_gpl");
SYMBOL_CRC(i915_gpu_lower, 0x402468e9, "_gpl");
SYMBOL_CRC(i915_gpu_busy, 0x05876c69, "_gpl");
SYMBOL_CRC(i915_gpu_turbo_disable, 0xe7237b0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93f57f16, "vga_switcheroo_client_probe_defer" },
	{ 0x99d1edc6, "ttm_bo_vm_dummy_page" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0x0745a981, "xa_erase" },
	{ 0xa57d5ccb, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0x145b4163, "drm_atomic_state_init" },
	{ 0x22289eac, "drm_atomic_set_fb_for_plane" },
	{ 0xa53758c5, "drm_dp_remove_payload_part2" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x149e868c, "__folio_batch_release" },
	{ 0xf523f0a4, "drm_is_current_master" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0xc30c3015, "drm_dp_downstream_debug" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf0fb0fae, "drm_atomic_helper_setup_commit" },
	{ 0x05a3f58f, "drm_modeset_lock_all_ctx" },
	{ 0x5152e605, "memcmp" },
	{ 0x56a6e4fc, "relay_file_operations" },
	{ 0xd134f19a, "drm_fb_helper_setcmap" },
	{ 0xdc50bb71, "drm_atomic_helper_update_plane" },
	{ 0x460e49b8, "dma_resv_iter_first" },
	{ 0x999e8297, "vfree" },
	{ 0xf8d4fdda, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0x92108eb3, "drm_dp_mst_connector_late_register" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1784ff1f, "drm_crtc_vblank_reset" },
	{ 0x228a160e, "drm_atomic_helper_disable_all" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x8fc26aec, "drm_atomic_helper_wait_for_dependencies" },
	{ 0x8a30e081, "drm_edid_connector_add_modes" },
	{ 0xc518d486, "drm_edid_is_digital" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xae641355, "dma_resv_init" },
	{ 0xf9f812c3, "drm_crtc_handle_vblank" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7a445e26, "drm_dp_remove_payload_part1" },
	{ 0xa9a02242, "anon_inode_getfile" },
	{ 0x8b0d094e, "drm_mode_create_aspect_ratio_property" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x835f1ad1, "dma_resv_reserve_fences" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x5fc672f7, "drm_scdc_read" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc773c2ba, "pinctrl_lookup_state" },
	{ 0xb7d76f6d, "bus_register_notifier" },
	{ 0xff1fddac, "drm_mode_duplicate" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x1b151fe2, "drm_plane_create_rotation_property" },
	{ 0xad5595ff, "drm_property_blob_put" },
	{ 0xd7b5313b, "drm_connector_attach_encoder" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x7af96477, "ttm_resource_init" },
	{ 0x88d8d67d, "drm_connector_update_privacy_screen" },
	{ 0x11bd6478, "drm_gem_plane_helper_prepare_fb" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0xfda9a3f1, "intel_gmch_enable_gtt" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xccb5d0ea, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x470f4787, "drm_fb_helper_unregister_info" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x24a395ca, "drm_atomic_set_mode_for_crtc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x80ab75f9, "drm_atomic_set_crtc_for_connector" },
	{ 0xb8050c51, "drm_crtc_from_index" },
	{ 0xc9f4d5f5, "hrtimer_try_to_cancel" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1f60ca1b, "ww_mutex_unlock" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xb30b4d49, "drm_dp_set_subconnector_property" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x56672a97, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0x8804ad5b, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xd6475c00, "drm_buddy_print" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd7b5680d, "ttm_bo_vm_reserve" },
	{ 0xd735edc9, "zap_vma_ptes" },
	{ 0xce8ad95e, "drm_modeset_unlock_all" },
	{ 0xdbdef1ba, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0x2b4ea592, "acpi_dev_get_resources" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9f861307, "perf_pmu_migrate_context" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0x4106728e, "drm_atomic_helper_connector_destroy_state" },
	{ 0x2ee9cc50, "pwm_put" },
	{ 0x1a978a4f, "stop_machine" },
	{ 0x355e2e11, "drm_property_create_enum" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x0504c682, "drm_dp_bw_channel_coding_efficiency" },
	{ 0x14cf8bc3, "sync_file_create" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa3846121, "drm_fb_helper_set_suspend" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0xc6cbbc89, "capable" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc89f84bd, "drm_fb_helper_fini" },
	{ 0x10abe764, "drm_syncobj_create" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0xef863130, "drm_atomic_get_crtc_state" },
	{ 0xb107912e, "vga_get" },
	{ 0x3bb214a7, "drm_crtc_wait_one_vblank" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xe9628ce8, "sort_r" },
	{ 0x2fb0a0ed, "cec_notifier_conn_register" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xb70d2cfa, "iomap_create_wc" },
	{ 0x2e649282, "drm_fb_helper_damage_area" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0xc2facbf5, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x6bf9c6a5, "drm_dp_tunnel_handle_irq" },
	{ 0xe5c8ac9d, "ttm_bo_wait_ctx" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0xf207c5e4, "dma_resv_iter_next" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x74609a7e, "drm_modeset_lock" },
	{ 0x0dcd6092, "dma_map_sgtable" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf83d4c58, "drm_prime_gem_destroy" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd1b946e6, "__iomap_local_pfn_prot" },
	{ 0x9ad7a582, "iosf_mbi_assert_punit_acquired" },
	{ 0x88d73821, "component_add_typed" },
	{ 0xdd745464, "cancel_work" },
	{ 0x9d5cd559, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xb3e3c09c, "drm_edid_alloc" },
	{ 0xf30965ac, "iosf_mbi_register_pmic_bus_access_notifier" },
	{ 0x3a9c269c, "mipi_dsi_dcs_write_buffer" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x43071bac, "drm_kms_helper_connector_hotplug_event" },
	{ 0xb6f5698c, "drm_dp_read_channel_eq_delay" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xeed2d1d0, "vm_mmap" },
	{ 0x97f190de, "__devm_request_region" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x35f67329, "dma_resv_test_signaled" },
	{ 0xf07e9348, "drm_dp_mst_atomic_setup_commit" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0x90f31ab1, "get_fs_type" },
	{ 0x3a832b45, "fb_io_write" },
	{ 0x90b2e095, "drm_crtc_vblank_on" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x37757f7b, "shmem_file_setup" },
	{ 0xb3d4df16, "unpin_user_pages" },
	{ 0xe8574959, "synchronize_srcu_expedited" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe239de10, "drm_dp_tunnel_max_dprx_rate" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x77bc13a0, "strim" },
	{ 0x7e4e0e14, "drm_dp_mst_edid_read" },
	{ 0x1f2d4b1d, "drm_dp_mst_atomic_check_mgr" },
	{ 0x881b427b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x206a63e0, "folio_mark_dirty" },
	{ 0xf401d858, "drm_dp_read_lttpr_phy_caps" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc50b228b, "vma_set_file" },
	{ 0xadf48755, "dma_resv_iter_next_unlocked" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x0881c6ae, "backlight_device_get_by_name" },
	{ 0x519acdb4, "device_link_del" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xbba93381, "perf_pmu_unregister" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0f1dac55, "drm_dp_mst_topology_state_funcs" },
	{ 0xac3dcd67, "cleanup_srcu_struct" },
	{ 0x2bc95bd4, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x70eb33fe, "pin_user_pages_fast" },
	{ 0x01c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0xac970baf, "perf_event_sysfs_show" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0x7aff8829, "cpufreq_cpu_put" },
	{ 0x65e047bb, "__copy_user_ll" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xe20d8188, "drm_dp_pcon_frl_enable" },
	{ 0xe8347d2d, "mmu_interval_notifier_insert" },
	{ 0x7722dba8, "single_open" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x7d3ff528, "vga_switcheroo_register_client" },
	{ 0xf19101c9, "drm_dp_pcon_frl_prepare" },
	{ 0x27dc00a8, "device_remove_bin_file" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x5dcd2649, "drm_crtc_vblank_restore" },
	{ 0xaee236c6, "cec_notifier_conn_unregister" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x0a59badf, "fwnode_handle_get" },
	{ 0xd65bcadb, "__drm_atomic_helper_connector_reset" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0x0e454536, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0xe23ec5be, "drm_dp_tunnel_alloc_bw" },
	{ 0x55684e17, "drm_plane_create_blend_mode_property" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x6097a283, "ttm_bo_init_reserved" },
	{ 0x6f35479e, "drm_plane_has_format" },
	{ 0x2be568a2, "drm_dp_tunnel_get_allocated_bw" },
	{ 0xa413de62, "kmap_high" },
	{ 0x585c0831, "drm_connector_attach_vrr_capable_property" },
	{ 0x5183de71, "drm_atomic_commit" },
	{ 0x58b909f2, "drm_dp_downstream_max_tmds_clock" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x29ac9300, "drm_lspcon_set_mode" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x40fe9ecd, "shrinker_register" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x8235805b, "memmove" },
	{ 0x15a9b332, "vga_switcheroo_client_fb_set" },
	{ 0x5924c254, "pci_map_rom" },
	{ 0xf91cdfe4, "relay_close" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x72f35106, "i2c_acpi_find_adapter_by_handle" },
	{ 0x2ab7096f, "drm_connector_dynamic_init" },
	{ 0x1f2c5760, "drm_mode_crtc_set_gamma_size" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x5182323d, "ttm_bo_vm_access" },
	{ 0x00aa1603, "xa_find" },
	{ 0xc73d0683, "drm_dp_mst_topology_queue_probe" },
	{ 0xd396a982, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x71a69455, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xe9a5e67f, "intel_graphics_stolen_res" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7b0fab01, "drm_gem_free_mmap_offset" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0x5f7985a5, "drm_mm_scan_remove_block" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x49e96999, "cond_synchronize_rcu" },
	{ 0x12a7a127, "drm_dp_tunnel_bw_alloc_is_enabled" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xf96b0c8f, "dma_buf_put" },
	{ 0x116d214b, "ww_mutex_trylock" },
	{ 0x33f2cdac, "drm_modeset_lock_single_interruptible" },
	{ 0xc617f82c, "unregister_oom_notifier" },
	{ 0x57b82a84, "drm_mode_create_dp_colorspace_property" },
	{ 0x5aa4dcab, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x89e82f45, "drm_atomic_helper_prepare_planes" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x8c893f3a, "sysfs_merge_group" },
	{ 0x2a6d8cc2, "drm_open" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7597eda2, "ttm_bo_populate" },
	{ 0x1c6c2cb4, "acpi_find_child_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x0949221b, "dma_resv_wait_timeout" },
	{ 0xd58d2988, "shmem_read_mapping_page_gfp" },
	{ 0xfe149bea, "drm_dp_mst_get_port_malloc" },
	{ 0x2220bd48, "hdmi_drm_infoframe_pack_only" },
	{ 0x29f3a126, "up_read" },
	{ 0x85f989e2, "hwmon_device_register_with_info" },
	{ 0x885c8bda, "drm_plane_add_size_hints_property" },
	{ 0x9f984513, "strrchr" },
	{ 0x8cb9b660, "drm_scdc_set_scrambling" },
	{ 0x2600873c, "mas_find" },
	{ 0x6797d568, "intel_gmch_gtt_get" },
	{ 0x708d3861, "ttm_tt_init" },
	{ 0x622c7922, "register_oom_notifier" },
	{ 0xa7d338da, "drm_atomic_helper_disable_plane" },
	{ 0x23ba9e94, "drm_crtc_vblank_off" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x002d54aa, "hdmi_infoframe_pack_only" },
	{ 0x7bfab8f2, "drm_atomic_add_affected_connectors" },
	{ 0x7345988f, "mipi_dsi_dcs_nop" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x33dc9f9e, "drm_dp_tunnel_disable_bw_alloc" },
	{ 0xaa173b39, "up_write" },
	{ 0x6bf577e4, "drm_dp_add_payload_part2" },
	{ 0x13257ef0, "drm_dp_cec_attach" },
	{ 0x9be07198, "pwm_apply_might_sleep" },
	{ 0x34555e12, "drm_dp_add_payload_part1" },
	{ 0x8823ef75, "intel_gmch_gtt_insert_page" },
	{ 0x5cdbc49d, "drm_edid_read_ddc" },
	{ 0xf02c3d44, "drm_dp_vsc_sdp_pack" },
	{ 0xba707be2, "pci_unmap_rom" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xae6ded22, "dma_buf_attach" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x738803e6, "strnlen" },
	{ 0x2fb59756, "ttm_resource_fini" },
	{ 0xb7b56225, "drm_dp_dpcd_read_link_status" },
	{ 0x4cc5567e, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x00ffb0c6, "cpufreq_cpu_get" },
	{ 0xb730ad56, "ttm_bo_eviction_valuable" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa2635124, "debugfs_lookup" },
	{ 0xd72f9311, "drm_dev_put" },
	{ 0x13143d18, "pinctrl_select_state" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xb7af6d55, "relay_switch_subbuf" },
	{ 0x6e423017, "sysfs_create_file_ns" },
	{ 0x8ace204b, "kmemdup_array" },
	{ 0xc6a7eaab, "__drm_atomic_helper_plane_state_reset" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x4b5e3a47, "__get_user_nocheck_1" },
	{ 0x3995e844, "hdmi_infoframe_log" },
	{ 0x0dbfd69a, "drm_helper_mode_fill_fb_struct" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x45343adb, "drm_dp_pcon_hdmi_link_active" },
	{ 0xf792853b, "drm_dp_tunnel_mgr_destroy" },
	{ 0xcf8a5d41, "vga_switcheroo_unregister_client" },
	{ 0x0fd60df2, "drm_get_connector_status_name" },
	{ 0xc13014ed, "drm_mode_object_get" },
	{ 0x8b9b9f3f, "__drm_dev_dbg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xd5ff4744, "init_srcu_struct" },
	{ 0xc020dec6, "drm_fb_helper_pan_display" },
	{ 0x601a0236, "drm_dp_downstream_mode" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x1119251c, "drm_connector_list_iter_end" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x85ef1a15, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x35d0253d, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x70ee1520, "drm_invalid_op" },
	{ 0x7271ed01, "vfs_kern_mount" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xaf8346e6, "drm_mode_object_put" },
	{ 0xc30a4335, "drm_privacy_screen_get" },
	{ 0x913b3643, "drm_hdcp_check_ksvs_revoked" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4c816140, "drm_crtc_arm_vblank_event" },
	{ 0x5ca46eb1, "drm_modeset_backoff" },
	{ 0x6cd6b6db, "__tracepoint_mmap_lock_start_locking" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xab31953a, "drm_gem_handle_create" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0x08fd21c1, "drm_poll" },
	{ 0xe6bb85f1, "pci_bus_read_config_byte" },
	{ 0x6b756f6b, "drm_atomic_helper_commit_duplicated_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0xbc348137, "ttm_pool_alloc" },
	{ 0x79b0b3e6, "folio_alloc_noprof" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x34cb87a2, "dma_resv_fini" },
	{ 0xe44482bc, "drm_fb_helper_prepare" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x3206bf28, "irq_work_sync" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xb5a487fe, "drm_property_replace_blob" },
	{ 0x78e5cbef, "drm_edp_backlight_enable" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xfe51f45c, "drm_atomic_get_new_mst_topology_state" },
	{ 0x36b4a8fc, "ttm_bo_validate" },
	{ 0x3989dc04, "drm_dp_tunnel_mgr_create" },
	{ 0xa6695d59, "__cpuhp_state_add_instance" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0x62fabee7, "drm_dp_read_desc" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x0976ba9b, "drm_edid_print_product_id" },
	{ 0xd592de51, "memset_io" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x278143cc, "drm_dev_get" },
	{ 0xd6137192, "memset64" },
	{ 0x4cbfabf0, "ttm_tt_fini" },
	{ 0x26420a4c, "drm_fb_helper_check_var" },
	{ 0x4f119e41, "aperture_remove_conflicting_pci_devices" },
	{ 0x2bf8830d, "ttm_resource_free" },
	{ 0x67f0d374, "drm_client_dev_unregister" },
	{ 0x2d99f1e4, "__copy_from_user_ll_nocache_nozero" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0x74747638, "relay_flush" },
	{ 0xc1d958bb, "drm_client_init" },
	{ 0xc5e74216, "release_resource" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x06d0e7c5, "vmap_pfn" },
	{ 0xcd14ba3c, "__cpuhp_remove_state" },
	{ 0x11d0c1a5, "i2c_add_adapter" },
	{ 0xb35d0f3d, "drm_syncobj_add_point" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x69e1bf40, "drm_clflush_sg" },
	{ 0x11a20231, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0x4690b87e, "drm_helper_move_panel_connectors_to_head" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x798ce3ac, "unlock_page" },
	{ 0x670dcba0, "pci_get_class" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x06488093, "debugfs_create_file_unsafe" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x8107b3cd, "ww_mutex_lock_interruptible" },
	{ 0x037a0cba, "kfree" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0xacc7381d, "drm_vblank_work_flush_all" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0xddf20003, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7bdd5b9e, "ttm_resource_manager_init" },
	{ 0xb5116f86, "drm_noop" },
	{ 0x8f548aa4, "drm_dp_mst_connector_early_unregister" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xc631580a, "console_unlock" },
	{ 0x0577c6ac, "drm_vblank_work_schedule" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe8c156a8, "drm_show_fdinfo" },
	{ 0x349cba85, "strchr" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x7544d5e1, "device_get_next_child_node" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x823c19ea, "iosf_mbi_unregister_pmic_bus_access_notifier_unlocked" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x96afe686, "drm_fb_helper_debug_leave" },
	{ 0x0e90c768, "drm_client_release" },
	{ 0x25b374c4, "drm_atomic_get_plane_state" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x55bebc1e, "drm_atomic_helper_page_flip" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x3b1aa7e4, "drm_dp_tunnel_atomic_check_stream_bws" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x53e25c27, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0xce657080, "gpiod_set_value" },
	{ 0xf4327630, "pci_d3cold_enable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x494a75ea, "drm_connector_set_path_property" },
	{ 0x29c5b112, "dma_resv_iter_first_unlocked" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x760e72ba, "sysfs_remove_bin_file" },
	{ 0x0ed6cd71, "kobject_init" },
	{ 0x6df31390, "intel_gmch_gtt_clear_range" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x666f9e16, "init_uts_ns" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x3b0429b5, "__drm_printfn_err" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x82539a91, "shmem_read_folio_gfp" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xcf97bc80, "drm_dp_aux_register" },
	{ 0x63892285, "relay_buf_full" },
	{ 0xf796ad14, "drm_edid_read_switcheroo" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xafb1da98, "drm_framebuffer_init" },
	{ 0x334d35b5, "ww_mutex_lock" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xe9402e5f, "drm_color_lut_check" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x2ca8dc02, "drm_mode_probed_add" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xae623c2e, "devm_gpiod_get_index" },
	{ 0x11271188, "devm_gpiod_get" },
	{ 0x24404518, "i2c_get_adapter" },
	{ 0xe353cf34, "hdmi_infoframe_unpack" },
	{ 0x87706d4e, "__put_user_nocheck_8" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc5cbdc54, "kstrtoint_from_user" },
	{ 0x1972f053, "cec_fill_conn_info_from_drm" },
	{ 0x56470118, "__warn_printk" },
	{ 0x61bc58f0, "devm_pinctrl_get" },
	{ 0x40d04664, "console_trylock" },
	{ 0x2c8ac63f, "drm_connector_set_link_status_property" },
	{ 0x77358855, "iomem_resource" },
	{ 0x3212fd4d, "dma_buf_unmap_attachment" },
	{ 0xe7009ff2, "mipi_dsi_picture_parameter_set" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x0128e2f1, "drm_atomic_helper_cleanup_planes" },
	{ 0x0f6b8a63, "drm_dp_max_dprx_data_rate" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x5327c39c, "drm_dp_pcon_pps_override_param" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0xa9458de9, "drm_connector_attach_scaling_mode_property" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x2251bc99, "drm_dp_tunnel_get" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x1a63af34, "vga_switcheroo_process_delayed_switch" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x90771906, "drm_calc_timestamping_constants" },
	{ 0x0a72f765, "drm_clflush_virt_range" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf02a6977, "queue_rcu_work" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6a20c341, "drm_connector_cleanup" },
	{ 0x3c8c860b, "ttm_bo_move_accel_cleanup" },
	{ 0x1959d443, "drm_helper_probe_single_connector_modes" },
	{ 0x89f499c8, "sysfs_create_bin_file" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0x688e7aa8, "drm_connector_attach_max_bpc_property" },
	{ 0x92860c7d, "sysfs_create_files" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xd97de90f, "shrinker_alloc" },
	{ 0xffcd7f49, "iosf_mbi_punit_acquire" },
	{ 0xc7628b2f, "get_file_active" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc3b42f08, "drm_property_add_enum" },
	{ 0x9124b848, "component_del" },
	{ 0xfddc27c7, "drm_dp_read_clock_recovery_delay" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0x69332796, "drm_connector_attach_content_type_property" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x420eabe4, "mem_section" },
	{ 0xc75f5c29, "drm_connector_unregister" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0xafa46e1d, "drmm_kmalloc" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6b3babdc, "drm_crtc_set_max_vblank_count" },
	{ 0xf8a1fd4f, "firmware_request_nowarn" },
	{ 0xd1b33edc, "drm_atomic_helper_shutdown" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0x0b463097, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0x339d9fb1, "pid_task" },
	{ 0x6c6fd017, "mipi_dsi_dcs_write" },
	{ 0x3b7e7344, "pci_bus_alloc_resource" },
	{ 0xbe1351a9, "drm_plane_create_alpha_property" },
	{ 0x0c4da6ca, "ttm_bo_put" },
	{ 0x895fd66c, "drm_dp_read_sink_count" },
	{ 0xa5f10943, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x5561cdac, "cfb_copyarea" },
	{ 0x6612754a, "device_link_remove" },
	{ 0xaefa07f8, "kunmap_high" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0xe1f81857, "drm_dp_aux_init" },
	{ 0x41c004cd, "drm_atomic_helper_unprepare_planes" },
	{ 0x3389c7f0, "backlight_device_unregister" },
	{ 0x76647da5, "fput" },
	{ 0xe0266c25, "drm_debugfs_create_files" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xfefdf1c2, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x75766acc, "drm_dp_pcon_frl_configure_1" },
	{ 0x4b2048fc, "relay_open" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0xff74a0d5, "drm_vblank_work_flush" },
	{ 0x76bb1f0e, "drm_connector_init" },
	{ 0x2a962499, "drm_mm_scan_init_with_range" },
	{ 0xb5159fd7, "hrtimer_active" },
	{ 0x8258cbce, "drm_plane_create_scaling_filter_property" },
	{ 0x6dc087fa, "__devm_drm_dev_alloc" },
	{ 0x0c32a071, "drm_dp_pcon_frl_configure_2" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0x70122d9d, "i2c_bit_algo" },
	{ 0xfe2ba5c5, "drm_ioctl" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1d60d24, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0xb62203a9, "drm_any_plane_has_format" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x0f1b7c41, "drm_vblank_init" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xe07ef363, "intel_gmch_gtt_insert_sg_entries" },
	{ 0xd394d49b, "bus_unregister_notifier" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x43325324, "drm_atomic_state_default_release" },
	{ 0xef6c3f70, "round_jiffies_up_relative" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x77cf53aa, "__mmap_lock_do_trace_start_locking" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xf27b4115, "irq_work_queue" },
	{ 0x27a29854, "drm_dp_set_phy_test_pattern" },
	{ 0xc15385e1, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x21cc0de6, "drm_dp_mst_topology_mgr_suspend" },
	{ 0x5834d0a5, "drm_crtc_create_scaling_filter_property" },
	{ 0xeb999396, "wake_up_process" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x9f366562, "drm_vblank_work_init" },
	{ 0xb1250748, "drm_crtc_vblank_crtc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x501de16d, "drm_dp_vsc_sdp_log" },
	{ 0x98b4dc1a, "mmu_interval_read_begin" },
	{ 0x282b8916, "drm_fb_helper_unprepare" },
	{ 0xc98fb097, "vga_client_register" },
	{ 0xeb536ca1, "drm_buddy_block_print" },
	{ 0x99857806, "drm_atomic_get_connector_state" },
	{ 0x0aa309cf, "synchronize_hardirq" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xc4854a52, "drm_dp_read_mst_cap" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0x8fddf028, "shmem_truncate_range" },
	{ 0xfcb8e3b2, "mark_page_accessed" },
	{ 0x5f5714aa, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x16091acd, "drm_kms_helper_poll_init" },
	{ 0x9646a87e, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb3ec47aa, "drm_dp_cec_unregister_connector" },
	{ 0x6342f99f, "mipi_dsi_create_packet" },
	{ 0x0e9e7092, "vga_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x0e0b38a2, "hrtimer_forward" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0d64c83d, "drm_atomic_helper_check_modeset" },
	{ 0x72c319b5, "drm_fb_helper_ioctl" },
	{ 0xa3a3243e, "ttm_bo_move_sync_cleanup" },
	{ 0x8a833583, "dma_fence_array_ops" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x3c4c6d86, "pci_bus_read_config_word" },
	{ 0xf0022b0c, "drm_dp_tunnel_atomic_get_required_bw" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7b2e2166, "drm_vma_node_revoke" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x7aa650cb, "drm_dp_as_sdp_log" },
	{ 0x1a5ee049, "drm_modeset_acquire_fini" },
	{ 0x6afb9649, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0xecc36e04, "vmap" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd2c9a7ac, "drm_dp_atomic_find_time_slots" },
	{ 0x0eef6172, "backlight_device_register" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xd287ff22, "find_vma" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe74c1a9c, "irq_set_chip_and_handler_name" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xf963fc27, "drm_atomic_set_crtc_for_plane" },
	{ 0x3463fbc2, "drm_crtc_send_vblank_event" },
	{ 0x48935be0, "unmap_mapping_range" },
	{ 0x6b4e24fe, "drm_fb_helper_fill_info" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0xe53574d3, "drm_dp_downstream_max_bpc" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xe50be7fd, "__drm_atomic_helper_crtc_state_reset" },
	{ 0xa1c112d0, "ttm_resource_manager_debug" },
	{ 0x6b63c16c, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x192f93e1, "drm_dp_mst_dump_topology" },
	{ 0x9b94e482, "drm_dp_tunnel_enable_bw_alloc" },
	{ 0x59fd8e24, "drm_gem_dmabuf_release" },
	{ 0xe89363f8, "drm_lspcon_get_mode" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x130a8c67, "iomap_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0x6f2eb45d, "drm_dev_enter" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xec017101, "pinctrl_register_mappings" },
	{ 0xd763334a, "drm_privacy_screen_put" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0xa3cc3d14, "acpi_get_name" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4f76f3f4, "drm_property_create" },
	{ 0x0da37acd, "dma_fence_array_first" },
	{ 0xe3e35272, "cpu_latency_qos_request_active" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc8661f9f, "drm_dp_send_power_updown_phy" },
	{ 0x3bc5db49, "drm_dev_unplug" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xc6c8e23c, "drm_dp_tunnel_atomic_get_new_state" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x5623d29a, "drm_clflush_pages" },
	{ 0x6ea95935, "drm_gem_dmabuf_export" },
	{ 0x2400f58a, "drm_dp_mst_dsc_aux_for_port" },
	{ 0x3018d4b6, "drm_dp_tunnel_atomic_get_group_streams_in_state" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x9e99869f, "drm_dp_dpcd_write_payload" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0xae0e2fce, "drm_crtc_add_crc_entry" },
	{ 0xbb8e169a, "vga_switcheroo_handler_flags" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0xbfdcdc76, "pci_match_id" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x26a888ea, "drm_mode_config_cleanup" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3f260210, "ttm_kmap_iter_tt_init" },
	{ 0x5c6b288b, "fb_io_read" },
	{ 0x59fd5d64, "drm_dp_tunnel_set_io_error" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x72cd7150, "drm_gem_unmap_dma_buf" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x1bf370e2, "intel_gmch_probe" },
	{ 0xac36bc8f, "cfb_fillrect" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x511bb016, "drm_encoder_cleanup" },
	{ 0x7fcb01d8, "drm_connector_attach_colorspace_property" },
	{ 0x1347dfe0, "drm_kms_helper_poll_reschedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa7a07485, "kobject_uevent_env" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3ea68b61, "pci_d3cold_disable" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x11339a9f, "drm_helper_probe_detect" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x28a1475c, "drm_property_create_blob" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9201e1e7, "drm_object_attach_property" },
	{ 0x5a7f91e4, "drm_gem_prime_mmap" },
	{ 0x80c368ad, "drm_dp_cec_unset_edid" },
	{ 0x8b91f7a7, "nr_swap_pages" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x42ac05b0, "debugfs_create_str" },
	{ 0x2a56d6c9, "drm_dp_dpcd_write" },
	{ 0x0ec5489c, "drm_fb_helper_initial_config" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xe091c977, "list_sort" },
	{ 0xa7978bd9, "drm_connector_list_iter_begin" },
	{ 0x4dcbe65a, "drm_dp_tunnel_name" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73a1ab35, "drm_dp_dpcd_read" },
	{ 0xee20f132, "drm_atomic_helper_commit_hw_done" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x477d236e, "set_page_dirty" },
	{ 0xbbda18c4, "dma_fence_free" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0xb44b7b3d, "handle_simple_irq" },
	{ 0xe705ece3, "drm_atomic_get_mst_payload_state" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0x21d31536, "drm_plane_enable_fb_damage_clips" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x343434cc, "simple_attr_write" },
	{ 0x2183b0a9, "hdmi_infoframe_pack" },
	{ 0x3109afaa, "ttm_kmap_iter_iomap_init" },
	{ 0x345c9c7c, "apply_to_page_range" },
	{ 0x0a96b96a, "kstrtouint_from_user" },
	{ 0x3262249c, "drm_client_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe3b998fa, "fd_install" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0x1a039bf8, "drm_probe_ddc" },
	{ 0x5bd9160f, "drm_property_blob_get" },
	{ 0x807bb247, "drm_connector_init_with_ddc" },
	{ 0xbd6d29a1, "drm_connector_attach_privacy_screen_provider" },
	{ 0xc2acc033, "hex_dump_to_buffer" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0xebbb5cd2, "drm_universal_plane_init" },
	{ 0xa2140937, "drm_crtc_enable_color_mgmt" },
	{ 0xa86c5698, "dma_fence_chain_init" },
	{ 0x59f4a5a4, "drm_dp_mst_topology_mgr_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x76f5bec8, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0xbfe71f7c, "pagecache_get_page" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x9a5f7400, "drm_atomic_state_default_clear" },
	{ 0xcddfc3a2, "put_pid" },
	{ 0x70f05dc4, "perf_pmu_register" },
	{ 0xdf5e7119, "pm_runtime_get_if_active" },
	{ 0xee5bc7b0, "mipi_dsi_generic_write" },
	{ 0xc9f0f387, "drm_atomic_add_affected_planes" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0x089e76d2, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xa79b8215, "shrinker_free" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0x848588fb, "drm_dp_tunnel_max_dprx_lane_count" },
	{ 0x2d5a7fb6, "drm_atomic_helper_commit_cleanup_done" },
	{ 0x9a140a02, "on_each_cpu_cond_mask" },
	{ 0xe31b9301, "intel_gmch_gtt_flush" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0x317d7a61, "drm_edp_backlight_disable" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x7d6d0e56, "drm_fb_helper_alloc_info" },
	{ 0x592ebc13, "drm_dp_aux_unregister" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x8e4b6926, "drm_atomic_helper_suspend" },
	{ 0xa1bb448b, "drm_dp_dpcd_probe" },
	{ 0xb8298623, "drm_dp_tunnel_atomic_get_state" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x7410aba2, "strreplace" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x6d165192, "cpu_latency_qos_update_request" },
	{ 0x23604069, "shmem_file_setup_with_mnt" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xad11683c, "cfb_imageblit" },
	{ 0x72b5a23c, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x930af6ac, "dma_fence_array_create" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4e5af3e9, "drm_atomic_helper_duplicate_state" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x02752d05, "drm_atomic_get_old_mst_topology_state" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x089121ec, "drm_atomic_state_alloc" },
	{ 0x8de7d43c, "drm_dp_get_phy_test_pattern" },
	{ 0xf365675d, "single_open_size" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x12c52ff9, "drm_dp_tunnel_update_state" },
	{ 0x3dc887bf, "drm_dp_bw_overhead" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3a3e23e7, "pm_runtime_get_if_in_use" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x306c8849, "drm_dp_mst_put_port_malloc" },
	{ 0x6af0f0ea, "drm_kms_helper_poll_enable" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0x6d5a39ac, "drm_connector_attach_dp_subconnector_property" },
	{ 0xd53defc3, "devm_pinctrl_put" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xee55794b, "drm_modeset_unlock" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x4292364c, "schedule" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0x2cbbf207, "drm_dp_dual_mode_set_tmds_output" },
	{ 0xea6b2627, "device_link_add" },
	{ 0xdf3f760d, "drm_mm_scan_color_evict" },
	{ 0xf52a3433, "dma_max_mapping_size" },
	{ 0xccea3ea2, "drm_crtc_accurate_vblank_count" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x66b85a48, "get_task_pid" },
	{ 0x74155fd6, "drm_dp_atomic_release_time_slots" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x792a4ecb, "drm_modeset_acquire_init" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0x71fb6892, "dma_fence_array_next" },
	{ 0x8e524926, "mmu_interval_notifier_remove" },
	{ 0x5222297b, "drm_atomic_state_clear" },
	{ 0x367395af, "drm_dsc_dump_config" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0x54f38aa6, "__drmm_add_action_or_reset" },
	{ 0x8f8f657f, "bsearch" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfda148f9, "drm_atomic_helper_swap_state" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xc3e313ce, "drm_dp_tunnel_destroy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x7cc3c1ba, "cpu_sibling_map" },
	{ 0x8ced3bf7, "kobject_add" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4826abc6, "__cpuhp_state_remove_instance" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0x4030267d, "__irq_alloc_descs" },
	{ 0x0b19b445, "ioread8" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc8394800, "pci_disable_msi" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x46575691, "seq_buf_printf" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xa780682c, "drm_dp_cec_register_connector" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3ea9cd0, "drm_fb_helper_restore_fbdev_mode_unlocked" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x93e5be0a, "__task_pid_nr_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x070f7896, "_printk" },
	{ 0x21f86620, "drm_plane_create_color_properties" },
	{ 0xb0f9f993, "__supported_pte_mask" },
	{ 0x30895fd4, "mipi_dsi_compression_mode" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x2b458310, "drm_dp_dual_mode_detect" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xafb864c1, "refcount_dec_and_lock_irqsave" },
	{ 0x56a9332c, "drm_hdcp_update_content_protection" },
	{ 0xd44c5d88, "drm_dp_mst_detect_port" },
	{ 0x92b57248, "flush_work" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x58a08b51, "folio_mark_accessed" },
	{ 0x20bad2bb, "drm_dp_mst_aux_for_parent" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x135b7c3c, "drm_dp_tunnel_atomic_set_stream_bw" },
	{ 0x2937cd22, "drm_dp_dump_lttpr_desc" },
	{ 0x64ed053c, "drm_dp_tunnel_put" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x69353664, "__drm_debug" },
	{ 0x25daad93, "__drm_mm_interval_first" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdab6d1f7, "dma_resv_add_fence" },
	{ 0xbd13e36c, "drm_dp_read_dpcd_caps" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x3e7f7f67, "drm_encoder_init" },
	{ 0x530cb3d3, "drm_atomic_get_mst_topology_state" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xfdd4216d, "pcibios_align_resource" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd653654f, "ttm_device_init" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x2183c08c, "drm_mm_scan_add_block" },
	{ 0x4dd8bc97, "drm_dp_downstream_min_tmds_clock" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x3da171f9, "pci_mem_start" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x30b105e0, "__mmap_lock_do_trace_released" },
	{ 0x35837819, "drm_dp_tunnel_detect" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xf8d250d5, "drm_dp_pcon_is_frl_ready" },
	{ 0x92926d17, "ttm_device_fini" },
	{ 0x548f316c, "drm_mode_create_tv_properties_legacy" },
	{ 0x946d6020, "simple_open" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x237d5d17, "pm_runtime_no_callbacks" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4f417005, "drm_edid_connector_update" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x141f38bf, "ktime_get_raw_fast_ns" },
	{ 0x548a7338, "drm_dp_check_act_status" },
	{ 0xfd417585, "drm_fb_helper_blank" },
	{ 0xf01066d0, "drm_dev_printk" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0x5eefd315, "pci_get_domain_bus_and_slot" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0xe1773cb4, "drm_fb_helper_set_par" },
	{ 0x751f0fdd, "drm_edp_backlight_init" },
	{ 0x73798c36, "mipi_dsi_attach" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1211f23e, "drm_plane_create_zpos_immutable_property" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x949f4bc0, "__cpuhp_setup_state" },
	{ 0x67400e7d, "drm_fb_helper_hotplug_event" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xb556e6ad, "drm_framebuffer_remove" },
	{ 0xa58ba3c0, "pci_iomap_range" },
	{ 0x08494db4, "drm_mode_create" },
	{ 0x1d3ae753, "sg_alloc_table_from_pages_segment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3dbabfca, "ttm_bo_vm_fault_reserved" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0xb7c69a63, "unregister_vmap_purge_notifier" },
	{ 0xedd4743a, "drm_connector_attach_content_protection_property" },
	{ 0xd35f75a1, "match_string" },
	{ 0x3145452b, "drm_dp_mst_update_slots" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x4ca3dcfc, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x26f952c8, "drm_connector_list_iter_next" },
	{ 0xe09d2687, "drm_atomic_helper_damage_merged" },
	{ 0xa01fbb6b, "cec_notifier_set_phys_addr" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x72c5643e, "drm_dev_register" },
	{ 0x0de8bdaf, "ttm_pool_free" },
	{ 0xc18b79ae, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xc956f1fc, "drm_modeset_drop_locks" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x9ed9f29b, "drm_gem_private_object_init" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0x192ea14f, "__SCT__tp_func_dma_fence_signaled" },
	{ 0xb2f4ebd6, "drm_dp_dpcd_poll_act_handled" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0x75c19887, "drm_dp_mst_port_downstream_of_parent" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0x5ccae876, "drm_print_hex_dump" },
	{ 0xa59ae7ea, "drm_dp_get_vc_payload_bw" },
	{ 0xacc0ccf2, "drm_framebuffer_cleanup" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x26ed2186, "register_vmap_purge_notifier" },
	{ 0x4c6d0974, "drm_atomic_helper_set_config" },
	{ 0xb7868155, "drm_dp_read_downstream_info" },
	{ 0x28dc0c60, "drm_dp_read_sink_count_cap" },
	{ 0x84d72d49, "drm_plane_from_index" },
	{ 0x4ea82e8a, "drm_dp_cec_irq" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x396860ba, "dma_resv_get_singleton" },
	{ 0x93ac82d5, "anon_inode_getfd" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xc82bf851, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xb601e50f, "__i2c_transfer" },
	{ 0x8aebc5be, "pci_bus_write_config_byte" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x94961283, "vunmap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x6387ff00, "drm_edp_backlight_set_level" },
	{ 0xb6a8b3c1, "drm_fb_helper_init" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xf2887142, "drm_mode_object_find" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5c50eba4, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xf48bbedf, "drm_dp_dsc_sink_bpp_incr" },
	{ 0xcede275c, "memremap" },
	{ 0x38d55d21, "drm_edid_get_product_id" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x12c13afc, "drmm_mode_config_init" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb2084460, "clear_page_dirty_for_io" },
	{ 0xab4eef47, "drm_dp_pcon_hdmi_link_mode" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x77ccd1ce, "__tracepoint_dma_fence_signaled" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0xf8c99a3b, "drm_mode_destroy" },
	{ 0x669e3b6e, "drm_crtc_init_with_planes" },
	{ 0x4facd867, "check_move_unevictable_folios" },
	{ 0x3676eaf1, "drm_read" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0xa665e96f, "pci_enable_msi" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0xa5225908, "drm_property_create_range" },
	{ 0xd08fde32, "ttm_bo_move_to_lru_tail" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2e60bace, "memcpy" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0x1a71d30c, "ttm_move_memcpy" },
	{ 0xf7ef9a79, "iosf_mbi_punit_release" },
	{ 0xf7bac116, "page_address" },
	{ 0x8fb3c3e4, "drm_kms_helper_poll_disable" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5a08e995, "drm_dp_tunnel_available_bw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x24618ae5, "dma_buf_detach" },
	{ 0xe40976c0, "pnp_range_reserved" },
	{ 0x7c31e5d1, "dma_buf_map_attachment" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x3a586a55, "drm_print_memory_stats" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x550ce709, "pat_enabled" },
	{ 0x4a566b30, "drm_plane_cleanup" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0xb51311dd, "i2c_transfer" },
	{ 0x65e211e6, "kern_unmount" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0x5c0144b8, "drm_gem_fb_get_obj" },
	{ 0xb40bb7d0, "drm_hdmi_avi_infoframe_content_type" },
	{ 0xc583ca57, "drm_modeset_lock_all" },
	{ 0xb5bfa3a1, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0x4dad77f5, "drm_dp_read_lttpr_common_caps" },
	{ 0x2eae10df, "drm_syncobj_replace_fence" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2f74fb6, "intel_gmch_remove" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0x54e8ba09, "drm_connector_set_vrr_capable_property" },
	{ 0x00fb440f, "drm_crtc_vblank_waitqueue" },
	{ 0xffb7c514, "ida_free" },
	{ 0x766b27b0, "drm_syncobj_find" },
	{ 0x4ade86b5, "hdmi_drm_infoframe_unpack_only" },
	{ 0x5d647192, "simple_attr_read" },
	{ 0xdda430b4, "single_release" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0xdf682716, "drm_crtc_vblank_get" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xf58a9ef2, "drm_fb_helper_damage_range" },
	{ 0x3845e685, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0x820ac5c0, "drm_vma_node_allow_once" },
	{ 0x09727275, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xe5a64d00, "device_create_bin_file" },
	{ 0x659ad19c, "drm_mode_config_reset" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa1d516b9, "drm_av_sync_delay" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbb23f809, "drm_kms_helper_poll_fini" },
	{ 0x57469cd6, "i2c_put_adapter" },
	{ 0x1401b42f, "drm_puts" },
	{ 0xba70f784, "drm_kms_helper_hotplug_event" },
	{ 0xa5c8aa2b, "pwm_get" },
	{ 0x16e9959c, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4479195a, "drm_fb_helper_debug_enter" },
	{ 0xd3e7ff92, "drm_release_noglobal" },
	{ 0xe3d951b8, "drm_dp_as_sdp_supported" },
	{ 0x266a4b08, "tasklet_unlock" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xff3c02c8, "kobj_sysfs_ops" },
	{ 0x04e8a0bb, "ttm_bo_unmap_virtual" },
	{ 0x0bb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x910cb26c, "mipi_dsi_dcs_read" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_display_helper,video,drm_buddy,cec,i2c-algo-bit");

MODULE_ALIAS("pci:v00008086d00003577sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002562sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003582sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000358Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002572sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002582sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000258Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002592sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002772sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000027A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000027AEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002972sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002982sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002992sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A42sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E32sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E42sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E92sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A001sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A011sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000042sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000046sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000102sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000010Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000112sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000122sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000106sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000116sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000126sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000016Asv0000152Dsd00008990bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000156sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000166sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000152sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000015Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000162sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000016Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000402sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000406sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000412sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000416sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000422sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000426sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F30sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F31sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F32sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F33sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001606sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001602sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001616sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001612sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001622sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001636sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001632sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001913sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001915sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001902sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001917sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001916sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001921sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001912sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001923sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001926sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001927sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001932sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001A85sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005A85sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003184sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003185sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005913sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005915sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005902sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005916sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005921sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005912sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005917sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005926sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005923sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005927sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000593Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000087C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E93sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E99sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E91sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E92sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E96sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E98sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E94sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA7sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000087CAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BE6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BF6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009B21sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BAAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009B41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BCAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BCCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A50sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A52sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A53sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A54sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A56sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A57sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A58sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A71sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004541sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004551sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004555sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004557sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004570sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004571sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E57sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E61sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E71sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ADsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ABsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BFsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BBsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BDsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D67sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B640sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "A7D6238FC872C06E6B212CA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
