#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x6180cb97, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x3dbc8c2d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fce4eea, "hid_output_report" },
	{ 0x07a1373f, "hid_lookup_quirk" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0xdd5b8efe, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfd9cc8d6, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcc9c9b3c, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x53f2491c, "kill_fasync" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x8389c68f, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x7015c326, "hidinput_count_leds" },
	{ 0x99251f17, "usb_autopm_put_interface_no_suspend" },
	{ 0xed30b5aa, "hid_driver_resume" },
	{ 0x9ec4dd34, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x0cc1e8c1, "hid_allocate_device" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2adc509d, "hid_destroy_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6744e2c, "usb_interrupt_msg" },
	{ 0xc0284db8, "usb_find_interface" },
	{ 0x86c43fe5, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x03b36b5d, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x66d22ec0, "usb_autopm_get_interface_async" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x934530e7, "usb_queue_reset_device" },
	{ 0x416aa9e3, "hid_alloc_report_buf" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x1fca914c, "usb_free_coherent" },
	{ 0x72181db3, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xe7e47368, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2d4e2153, "hid_hw_open" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2101152, "usb_register_dev" },
	{ 0xe462cbaa, "hid_check_keys_pressed" },
	{ 0x92f7b2f2, "fasync_helper" },
	{ 0xe061802c, "usb_unpoison_urb" },
	{ 0x84dcc088, "usb_autopm_put_interface_async" },
	{ 0xcef2445c, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x932083e6, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x92eb1e49, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xff97101d, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e8d8ed3, "usb_unlink_urb" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x96df04de, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe01ec4ad, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4e71e7de, "usb_deregister_dev" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x8add89d2, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cf24332, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x5fe193d7, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
