#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0x0b627022, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0x049faf8f, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x96cd394c, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x8bbabd17, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x431c5942, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x3c1c2084, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x3548c56a, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0x7981d4e1, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x084938af, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0x73a2c523, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0x2e3cd060, "_gpl");
SYMBOL_CRC(hsi_async, 0x1536ddbd, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0xc923f588, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x66e0fd8e, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0x47cf76d0, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0x77a4d327, "_gpl");
SYMBOL_CRC(hsi_event, 0x43fd29ec, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0x3db38a42, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2361d7fa, "of_alias_from_compatible" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0x4ea226c7, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x376c05b2, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xa0835a0b, "of_match_device" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x37e4a860, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5969ad9f, "device_register" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x18cc3ab8, "of_property_read_u32_index" },
	{ 0xe5515291, "driver_register" },
	{ 0xc7c1f018, "of_property_read_string_helper" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "050632032E2A00D2C126E17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
