#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_regulator_init_cb, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xfcab0366, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x9f9395d0, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xcc0d68a2, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x81cfa382, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x8c3b0eb6, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x30de1c5c, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x4ab21fd4, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xae44ebdc, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xebb902da, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xdc8f8930, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xd83625fc, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x5e933a22, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x51cea9af, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xbf45b050, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x1f15a9af, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xcc5af6e1, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x6fbc4c66, "_gpl");
SYMBOL_CRC(pmbus_regulator_init_cb, 0x486f1a7f, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x9ab8f088, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x5a0ef044, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xe9aa1dbf, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x378cbef4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x52af4ed5, "devm_krealloc" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4622112, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdf488b21, "i2c_smbus_write_byte_data" },
	{ 0xf16fb53f, "i2c_smbus_read_byte_data" },
	{ 0xfa85a9cd, "i2c_smbus_write_byte" },
	{ 0x59197bca, "i2c_smbus_write_word_data" },
	{ 0xffc28e21, "i2c_smbus_read_word_data" },
	{ 0x1bbdb9dc, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb0d13b93, "rdev_get_dev" },
	{ 0xb89d8c13, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x0776b3d3, "thermal_zone_device_priv" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x623b61f6, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1c794c28, "i2c_smbus_xfer" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf50ccfcd, "devm_hwmon_device_register_with_groups" },
	{ 0xc765bf42, "devm_regulator_register" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x946d6020, "simple_open" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "951FB24E6E2E97F24E8C7E2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
