#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(intel_th_msu_buffer_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_msu_buffer_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_msc_window_unlock, "_gpl", "");

SYMBOL_CRC(intel_th_msu_buffer_register, 0xfff688d2, "_gpl");
SYMBOL_CRC(intel_th_msu_buffer_unregister, 0x5fac74be, "_gpl");
SYMBOL_CRC(intel_th_msc_window_unlock, 0x649bef87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab65ed80, "set_memory_uc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xefb8d7fc, "intel_th_trace_switch" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8f4ae8a3, "vmalloc_to_page" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0x037a0cba, "kfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc19890b1, "intel_th_trace_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x068dfab4, "atomic_dec_and_mutex_lock" },
	{ 0x376c05b2, "module_put" },
	{ 0x3689f291, "split_page" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x49f26466, "kstrndup" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1f61fb95, "nonseekable_open" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x3bace060, "intel_th_driver_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x37b983df, "intel_th_trace_disable" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcfed63b8, "intel_th_driver_unregister" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0xd35f75a1, "match_string" },
	{ 0xf7bac116, "page_address" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "intel_th");


MODULE_INFO(srcversion, "B0657B61FBB5A62825B0401");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
