#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xe2cc4c65, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xc68a158e, "_gpl");
SYMBOL_CRC(stm_data_write, 0x6fe3d222, "_gpl");
SYMBOL_CRC(stm_register_device, 0x3e7d45e7, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x5e43b5df, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xed05335c, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x82ad0e29, "_gpl");
SYMBOL_CRC(stm_source_write, 0xcd8b99b3, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xad558e3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6f03d75c, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0xb56a1541, "vm_iomap_memory" },
	{ 0x258e58ae, "config_item_get" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x57095a2a, "synchronize_srcu" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72d86b60, "configfs_unregister_subsystem" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd5ff4744, "init_srcu_struct" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2d399bd3, "configfs_register_subsystem" },
	{ 0x37e4a860, "device_add" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0x5bb38b2f, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xac3dcd67, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x237d5d17, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1f61fb95, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb8cf2fb1, "config_item_put" },
	{ 0x7765a0dc, "__register_chrdev" },
	{ 0xe61b857d, "kobject_set_name" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x14bd828a, "device_match_name" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x28f65080, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
