#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_handle_smbus_alert, "_gpl", "");
KSYMTAB_FUNC(i2c_new_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_free_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_register_spd, "_gpl", "");

SYMBOL_CRC(i2c_handle_smbus_alert, 0x132d3b61, "_gpl");
SYMBOL_CRC(i2c_new_slave_host_notify_device, 0x7c68a19f, "_gpl");
SYMBOL_CRC(i2c_free_slave_host_notify_device, 0xfbaf4d78, "_gpl");
SYMBOL_CRC(i2c_register_spd, 0xa522f92e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8145de07, "i2c_register_driver" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbf8259e8, "i2c_smbus_read_byte" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf86661db, "i2c_verify_client" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0x63229004, "fwnode_irq_get_byname" },
	{ 0x11271188, "devm_gpiod_get" },
	{ 0x07d2fb0a, "gpiod_to_irq" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xbce9c379, "i2c_del_driver" },
	{ 0x3248a43b, "i2c_handle_smbus_host_notify" },
	{ 0xdeeaba44, "i2c_slave_unregister" },
	{ 0x037a0cba, "kfree" },
	{ 0xa4044cbb, "i2c_unregister_device" },
	{ 0x1d94a218, "dmi_memdev_handle" },
	{ 0x95ef1ccc, "dmi_memdev_size" },
	{ 0xd8d68ab1, "dmi_memdev_type" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x44bfd6f3, "i2c_new_scanned_device" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x1e4003af, "i2c_new_client_device" },
	{ 0x1a69f59a, "i2c_slave_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:smbus_alert");

MODULE_INFO(srcversion, "31BC71BB2027844E2B26630");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
