#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0xa401182d, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0xdc7153c5, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x576ace96, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0xc2905579, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0x4d1311c8, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0x2818ad86, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x6397a59d, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0xe80530d3, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0xf43cc26a, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x86e36340, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0xd4af58af, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0x408d98a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x94ed3a0a, "sensor_hub_set_feature" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0xce644fae, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa6c6b968, "sensor_hub_get_feature" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "6871F7329F4D0285A45ABEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
