#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x9564bd8a, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x3ef1378b, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x71ef59eb, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x2e266782, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x9636a103, "iio_trigger_unregister" },
	{ 0x15885dfe, "iio_trigger_free" },
	{ 0x2b040dd4, "iio_triggered_buffer_cleanup" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c5dacac, "sensor_hub_device_close" },
	{ 0x83dbf844, "hid_sensor_get_usage_index" },
	{ 0xa6c6b968, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x94ed3a0a, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8908e867, "sensor_hub_device_open" },
	{ 0xa401182d, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86e36340, "hid_sensor_set_report_latency" },
	{ 0xf43cc26a, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xd4af58af, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xac37b115, "iio_triggered_buffer_setup_ext" },
	{ 0x3ed8ff6d, "iio_device_id" },
	{ 0x74922825, "__iio_trigger_alloc" },
	{ 0xb26309ef, "iio_trigger_register" },
	{ 0xdf636def, "get_device" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
