#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x431d9a1f, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x85d40e4d, "");
SYMBOL_CRC(ib_cm_listen, 0x0795bef8, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x1158df09, "");
SYMBOL_CRC(ib_send_cm_req, 0xb267ea7e, "");
SYMBOL_CRC(ib_send_cm_rep, 0xa071f859, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xd8722a2f, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x45b1550b, "");
SYMBOL_CRC(ib_send_cm_drep, 0x7d90fd60, "");
SYMBOL_CRC(ib_send_cm_rej, 0x6119c485, "");
SYMBOL_CRC(ib_send_cm_mra, 0x4c23e374, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x0d368694, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xff071b45, "");
SYMBOL_CRC(ib_cm_notify, 0x6455f883, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x013cf746, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc84ed11a, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64812685, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x1a0113b8, "rdma_query_gid" },
	{ 0x7fc58841, "ib_port_register_client_groups" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x72e20c5b, "ib_modify_port" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x71df4ae4, "rdma_create_ah" },
	{ 0x964cc014, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x5a6e80f4, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xb20f6b32, "ib_register_client" },
	{ 0x4eb70977, "ib_unregister_mad_agent" },
	{ 0x89dfdc03, "ib_post_send_mad" },
	{ 0x0141408d, "ib_create_send_mad" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x40e7d83e, "rdma_destroy_ah_attr" },
	{ 0xc4c0f736, "ib_set_client_data" },
	{ 0x592afd54, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd8520f06, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xf37f580b, "rdma_destroy_ah_user" },
	{ 0xed34fd2e, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x62b010f4, "ib_port_unregister_client_groups" },
	{ 0x0745a981, "xa_erase" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x797eba2f, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xe1222fdf, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e2eebb9, "ib_free_recv_mad" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc16a6b53, "ib_register_mad_agent" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x38250b71, "ib_modify_mad" },
	{ 0x9bc86b9c, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5A020176EE6C7536154027B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
