#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0x15e77093, "");
SYMBOL_CRC(iw_cm_disconnect, 0x0d5c5f33, "");
SYMBOL_CRC(iw_destroy_cm_id, 0xf9a95324, "");
SYMBOL_CRC(iw_cm_listen, 0xb6236c82, "");
SYMBOL_CRC(iw_cm_reject, 0x2a83b339, "");
SYMBOL_CRC(iw_cm_accept, 0x1fc453cb, "");
SYMBOL_CRC(iw_cm_connect, 0xfabc6d98, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0xec4b2c8b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xffbbfc61, "ibnl_put_msg" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcdd6e15b, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x738803e6, "strnlen" },
	{ 0x9da6247e, "rdma_nl_unicast" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe8fcc5ca, "rdma_nl_multicast" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7b1e16e5, "ibnl_put_attr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xabf95f38, "ib_modify_qp" },
	{ 0x7d3af36d, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4bc651e7, "rdma_nl_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E0F7EC9813D87E74172DB24");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
