#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0x222005b2, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xe0fa7fe3, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0xf0e34e68, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0x180f5a9c, "");
SYMBOL_CRC(rtrs_srv_open, 0xb1e3d5f7, "");
SYMBOL_CRC(rtrs_srv_close, 0xcb2f3fa0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0xc84ed11a, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x037a0cba, "kfree" },
	{ 0xe0572d70, "rtrs_post_recv_empty" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x9437fb4d, "ib_dereg_mr_user" },
	{ 0xc28274ce, "rtrs_iu_post_send" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xdf636def, "get_device" },
	{ 0xdcb13916, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5c8e46de, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xb1d9a4a1, "rtrs_rdma_dev_pd_init" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x774f98b3, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d53dcfa, "__rdma_create_kernel_id" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x36422e94, "rtrs_rdma_dev_pd_deinit" },
	{ 0x9d311cfe, "ib_register_event_handler" },
	{ 0x738803e6, "strnlen" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xd2b58920, "ib_unregister_event_handler" },
	{ 0x6d4a90e0, "rdma_bind_addr" },
	{ 0xb20f6b32, "ib_register_client" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x96b31d9f, "rtrs_iu_free" },
	{ 0xb2213cba, "ib_map_mr_sg" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xff3c02c8, "kobj_sysfs_ops" },
	{ 0xa9088f93, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x4270d3b6, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0x8cc04e9a, "rdma_listen" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd14f4159, "sysfs_remove_file_self" },
	{ 0x8e63f1e8, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x5a86e9d3, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0xb9831279, "kobject_del" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x15bc8dc4, "rdma_destroy_id" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x43887bc6, "rdma_accept" },
	{ 0xfc88b3e9, "rtrs_start_hb" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2accc6b0, "ib_drain_qp" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0xf7bac116, "page_address" },
	{ 0xeea86ca8, "rtrs_cq_qp_create" },
	{ 0xb6c86497, "rtrs_ib_dev_put" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x3413e2b7, "rtrs_init_hb" },
	{ 0xff072a1d, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x1ac8da96, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x214af6cc, "rtrs_iu_alloc" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf18c7e1b, "kobject_get" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "BD6DA5962B9C3EAB1C26C1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
