#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x53179790, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0xfe8789f1, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x02a7759d, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x0d5a3661, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x24edbe97, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0xd7244653, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0x94c94e7a, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x15cd5cd6, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x05ddec8d, "_gpl");
SYMBOL_CRC(wm9705_codec, 0x3264b16a, "_gpl");
SYMBOL_CRC(wm9712_codec, 0x2fdaac30, "_gpl");
SYMBOL_CRC(wm9713_codec, 0xe370acae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc836f077, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0xce779d02, "devm_input_allocate_device" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x938abf97, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x934b9c45, "device_wakeup_disable" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x11ac2d07, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x46586d7d, "platform_device_add" },
	{ 0x84543b67, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x751db160, "input_event" },
	{ 0x12a0ef4e, "input_set_abs_params" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0xa26d3f96, "input_device_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE412AEBD9BEE5A35B893A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
