#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x3cfdae6c, "");
SYMBOL_CRC(dm_snap_cow, 0xc99f862d, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xfdf1cdd8, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x2024398c, "");
SYMBOL_CRC(dm_exception_store_create, 0x0e2e9a3b, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x5229561b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89da7f0e, "bio_associate_blkg" },
	{ 0xe34367fb, "dm_internal_resume_fast" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc803fa06, "dm_per_bio_data" },
	{ 0xdccf6286, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0x0f2ac5f3, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2701c136, "dm_hold" },
	{ 0x037a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x1df6b1f6, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x376c05b2, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x6085461e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x1feced28, "dm_suspended" },
	{ 0x418c5a26, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x2fc5fa38, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb3f80e76, "dm_unregister_target" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc06c420d, "dm_set_target_max_io_len" },
	{ 0x9b6d663d, "dm_kcopyd_zero" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4b6c6ea8, "dm_table_event" },
	{ 0xa38f8e8f, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xb5e2231d, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xb8a38149, "dm_kcopyd_copy" },
	{ 0xc5c9a764, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0xd54fa6f3, "dm_table_get_mode" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa0959587, "dm_table_get_md" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0xd0b69fa2, "dm_io" },
	{ 0x29221129, "dm_get_device" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0x76f69ea7, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "1FFC38D4BB60397858E45B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
