#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0xd42e02fd, "");
SYMBOL_CRC(dvb_generic_release, 0x201c106b, "");
SYMBOL_CRC(dvb_generic_ioctl, 0x28e28602, "");
SYMBOL_CRC(dvb_register_device, 0xe72815dd, "");
SYMBOL_CRC(dvb_remove_device, 0x385e3c7b, "");
SYMBOL_CRC(dvb_device_get, 0xd7ef9fe9, "");
SYMBOL_CRC(dvb_unregister_device, 0x7c1520b0, "");
SYMBOL_CRC(dvb_create_media_graph, 0x44bb0809, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0x70264606, "");
SYMBOL_CRC(dvb_unregister_adapter, 0xf3fd9482, "");
SYMBOL_CRC(dvb_module_probe, 0xb31998fa, "_gpl");
SYMBOL_CRC(dvb_module_release, 0xa6e8e7ee, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0xc2e8349e, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x7001f9cb, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x3d99bf74, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0xa25d391f, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x439354fb, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0x7d4d8540, "");
SYMBOL_CRC(dvb_dmx_init, 0xad02b867, "");
SYMBOL_CRC(dvb_dmx_release, 0x700baa58, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x3a70c89a, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0xa276c977, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x66b7dc98, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x1359147f, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x1626cfbd, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0xe9767ba3, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x32692352, "");
SYMBOL_CRC(dvb_frontend_resume, 0x344b912d, "");
SYMBOL_CRC(dvb_register_frontend, 0xd6774f49, "");
SYMBOL_CRC(dvb_unregister_frontend, 0xdab7cdf9, "");
SYMBOL_CRC(dvb_frontend_detach, 0xb08f748c, "");
SYMBOL_CRC(dvb_net_release, 0x698ea0d0, "");
SYMBOL_CRC(dvb_net_init, 0xfb087a94, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xdb8c60c9, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xb7e80822, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0xa782667c, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0x946e8734, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0x1084212e, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x463fd19c, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x744cf5c8, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0x65744fa3, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0x5ff3c25c, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xc15229f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbf5ade34, "media_devnode_remove" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x72828b9d, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x86210e3c, "skb_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x44d8f435, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3e895319, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac253be6, "media_create_intf_link" },
	{ 0x1c10e51b, "media_create_pad_links" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x519f13a1, "media_create_pad_link" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xc93db615, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x376c05b2, "module_put" },
	{ 0x73b3e08d, "crc32_be_arch" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x45518832, "media_device_register_entity" },
	{ 0xe7c1ea6b, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa4044cbb, "i2c_unregister_device" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbdf6de5f, "device_create" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xd323cb9a, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdae67de1, "media_entity_pads_init" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1e4003af, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x88bcff49, "netif_rx" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0xfe98fe3b, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x05a6459e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xf91bdc46, "media_devnode_create" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x241b81d1, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd3f1217a, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa1f35aed, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "DC6628426FC6C67EFE94E7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
