#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x45518832, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x241b81d1, "_gpl");
SYMBOL_CRC(media_device_init, 0xd41fc140, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xfc840e08, "_gpl");
SYMBOL_CRC(__media_device_register, 0xb971ca24, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x561d898e, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xe0d807f7, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x27a06da8, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x696f62a2, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x4758f3b9, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xaa02e756, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xdae67de1, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x7efc5018, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x4dacf703, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x76fa5147, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x68a2ef2f, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xe2d654cf, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xa12c06c9, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x61e16aaf, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xd0dd2fc4, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xc98b6045, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xd6f01f45, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x86a65867, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x06fd4872, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xfe98fe3b, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x519f13a1, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x1c10e51b, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xfb04484c, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xfa1a944a, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xbe847fe9, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xbd9f55f0, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x2c8ab916, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xff1a7e84, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x24ebc285, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x9a341993, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x731c31a8, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x1fa8017f, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x01af7388, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xf91bdc46, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xbf5ade34, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xac253be6, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x6591bd8b, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x30727847, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xf3c2d089, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x1aa06b60, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x22de5a91, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xa6d7e8de, "_gpl");
SYMBOL_CRC(media_request_put, 0x32e76317, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xbb469189, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xf837f5ab, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xabad6538, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xd9054acb, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x80c7d2c1, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x1e8e554d, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x301ee458, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x63f8ff58, "_gpl");
SYMBOL_CRC(media_device_delete, 0xbaa72d24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa9a02242, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x49d1a9f8, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe3b998fa, "fd_install" },
	{ 0x037a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xfc1e6744, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x91d6a3ce, "fwnode_graph_parse_endpoint" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x76647da5, "fput" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x578eff81, "platform_bus_type" },
	{ 0xe61b857d, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd3f1217a, "cdev_init" },
	{ 0x3a595765, "pci_bus_type" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CEF93373F93DA69D803204");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
