#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x8433502b, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x1c9a1dec, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x85ffe96c, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x5ad7bde7, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x560d64dc, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x6d2023ae, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xb60f2325, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44684860, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3d946bf, "vb2_dma_sg_memops" },
	{ 0x186c12cb, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x38af9d7c, "vb2_ioctl_streamoff" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x84784193, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x81552025, "vb2_ioctl_querybuf" },
	{ 0x9a99d81f, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x43be5f9c, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x36ebb478, "video_devdata" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x3c85833d, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x1f860ced, "vb2_plane_cookie" },
	{ 0x743f09cb, "vb2_ioctl_dqbuf" },
	{ 0x1ee8460d, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4aa78b40, "vb2_ioctl_prepare_buf" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xc60548d6, "vb2_buffer_done" },
	{ 0x35764dbe, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc4889759, "video_unregister_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x831a9174, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdeb63b47, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x33f6760d, "vb2_fop_read" },
	{ 0x702cce37, "v4l2_device_register" },
	{ 0x11d0c1a5, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0xb46e00a2, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x594e7a89, "vb2_ioctl_streamon" },
	{ 0x53376850, "vb2_fop_poll" },
	{ 0x3a479c1e, "v4l2_ctrl_new_std" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0x5adcb257, "v4l2_device_unregister" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84b984dd, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x4fa3e6e9, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "322C5C6B1DE567C581652D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
