#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0xca9657bd, "");
SYMBOL_CRC(video_device_release, 0x78d71c6c, "");
SYMBOL_CRC(video_device_release_empty, 0x84b984dd, "");
SYMBOL_CRC(video_devdata, 0x36ebb478, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xb46e00a2, "");
SYMBOL_CRC(video_unregister_device, 0xc4889759, "");
SYMBOL_CRC(v4l2_debugfs_root, 0x84983c71, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0xcf011c6c, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x4ec906b4, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x06e111e4, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xaa6dc070, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xa5af68d3, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x6ac3641e, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x186c12cb, "");
SYMBOL_CRC(v4l2_device_register, 0x702cce37, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x2e413694, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x8a514207, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x06cc1837, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x5adcb257, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xf0fbfc90, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x0d980ff3, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x9afb8419, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x1d1fe517, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x6744797f, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x9a99d81f, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x6e504246, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x639206b9, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xfe3241af, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x8158d457, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x54dc86cb, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xbae23c93, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xbc9d8816, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x72ff9871, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xe77ccdfd, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x4b66ec66, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x8fc94bcf, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x512387e4, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x17ef4e7e, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xc9fb9531, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x041a8ff2, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x87479aae, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xd48a643f, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x4eee9088, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x812339fd, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x88e8ea54, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x75122659, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x71b1788b, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x8558e81c, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x6b0474ee, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0xce53269b, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x27c3575f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x2626bcc0, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x2fee4de5, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x897716ca, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xc1b65d68, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x322ef543, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xb9fe6cb3, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xbecdb2c5, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x2cc77023, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xf6d41c7c, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xf4f322cc, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xf49ef117, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x47e81379, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x347d3a86, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xd3a17b6e, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0x98e34573, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x46dc4a35, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xcbc95f48, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xff76573f, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x725066aa, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x85a86d1b, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x40f13b3b, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0xd2df73f4, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x25b4b5a0, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xed528214, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xce7f345f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xc08fca56, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x550b0ea6, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x84784193, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x8c4fbf4d, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x604f0d5b, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x14ff06e0, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x3a479c1e, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x3212cb45, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x3f3076e5, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x6dac72f5, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x4b67763b, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x4e2a4d30, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x7224a250, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x43885b06, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x4e85f571, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xa083d1ea, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x9feda805, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x08157803, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x43be5f9c, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xb6d56841, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x5d9429ea, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x8359ccb7, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xe206f13b, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x002c9c99, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x5757c9fb, "");
SYMBOL_CRC(v4l2_s_ctrl, 0xf8e9da5e, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xd07e47fc, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x18404d1e, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x00ac1687, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xb27bd995, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x161abe0a, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xdb4d1c55, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xce53300d, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xd20f7e75, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x8360ccf8, "");
SYMBOL_CRC(v4l2_queryctrl, 0x467bc2ab, "");
SYMBOL_CRC(v4l2_querymenu, 0xb7fb3b60, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xdfa80d1a, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xd4d8f118, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x02cf097a, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x35764dbe, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x263fef12, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x7db3616c, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xbf418074, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xfbe9773d, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x828aaec2, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x36598535, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x3eef84da, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0xb4aabc6e, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x28b63096, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x05c67d20, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x6a74083a, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xd50da98c, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x15919109, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x76cfdf5f, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x4fd5441a, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x1bdd8198, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xbe5e9130, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x8fb1e993, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x0cdb13eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xbf873f68, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x4bfb5e8f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x418c659b, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x447eefc1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x8ae07bec, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x308846a9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xf35f83c5, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x46d744e3, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xf57fd57f, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xd414b14d, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xb947f063, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf5ade34, "media_devnode_remove" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xf837f5ab, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd9054acb, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x26170e5a, "led_sysfs_enable" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5737ee32, "fwnode_graph_get_remote_endpoint" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xe73ad661, "spi_unregister_device" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1e8e554d, "media_request_object_unbind" },
	{ 0x60ea1f72, "led_put" },
	{ 0xf7c7ce8c, "led_trigger_remove" },
	{ 0xf9c0ea05, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x301ee458, "media_request_object_complete" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x71676a56, "fwnode_graph_get_port_parent" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac253be6, "media_create_intf_link" },
	{ 0x519f13a1, "media_create_pad_link" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x464012b9, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x61e16aaf, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x44bfd6f3, "i2c_new_scanned_device" },
	{ 0x01af7388, "media_pad_pipeline" },
	{ 0x738803e6, "strnlen" },
	{ 0xabad6538, "media_request_object_put" },
	{ 0x376c05b2, "module_put" },
	{ 0xc98b6045, "media_pipeline_alloc_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x45518832, "media_device_register_entity" },
	{ 0xbb469189, "media_request_get_by_fd" },
	{ 0xe7c1ea6b, "cdev_add" },
	{ 0x9cb22d64, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa4044cbb, "i2c_unregister_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x32e76317, "media_request_put" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x95aad5d0, "spi_new_device" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x80c7d2c1, "media_request_object_bind" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x68a2ef2f, "media_graph_walk_next" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1e4003af, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5969ad9f, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa12c06c9, "media_pipeline_start" },
	{ 0xd0dd2fc4, "media_pipeline_stop" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfe98fe3b, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x578eff81, "platform_bus_type" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4be9c4e6, "led_set_brightness" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x76fa5147, "media_graph_walk_start" },
	{ 0xf91bdc46, "media_devnode_create" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x731c31a8, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x241b81d1, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2d654cf, "__media_pipeline_start" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xf4c455ee, "led_sysfs_disable" },
	{ 0x2c8ab916, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a595765, "pci_bus_type" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa1f35aed, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x304ca001, "cdev_alloc" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "9BB426C0BD7EA6F87412D06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
