#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vsc_tp_xfer, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_reset, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_need_read, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_register_event_cb, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_request_irq, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_free_irq, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_intr_synchronize, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_intr_enable, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_intr_disable, "_gpl", "VSC_TP");
KSYMTAB_FUNC(vsc_tp_init, "_gpl", "VSC_TP");

SYMBOL_CRC(vsc_tp_xfer, 0xc30c594d, "_gpl");
SYMBOL_CRC(vsc_tp_reset, 0xfd6edb0a, "_gpl");
SYMBOL_CRC(vsc_tp_need_read, 0x8a0b357b, "_gpl");
SYMBOL_CRC(vsc_tp_register_event_cb, 0x0e8d445d, "_gpl");
SYMBOL_CRC(vsc_tp_request_irq, 0xc409b5d0, "_gpl");
SYMBOL_CRC(vsc_tp_free_irq, 0x89e71856, "_gpl");
SYMBOL_CRC(vsc_tp_intr_synchronize, 0x88768894, "_gpl");
SYMBOL_CRC(vsc_tp_intr_enable, 0x87a5c8bb, "_gpl");
SYMBOL_CRC(vsc_tp_intr_disable, 0xe6c19e58, "_gpl");
SYMBOL_CRC(vsc_tp_init, 0x94507e87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b598137, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0x0e454536, "request_firmware" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x97094c88, "devm_acpi_dev_add_driver_gpios" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x825440e9, "spi_sync_locked" },
	{ 0xd4d7fda6, "__spi_register_driver" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x11271188, "devm_gpiod_get" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x314f5f4c, "acpi_dev_for_each_child" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:INTC1009:*");
MODULE_ALIAS("acpi*:INTC1058:*");
MODULE_ALIAS("acpi*:INTC1094:*");
MODULE_ALIAS("acpi*:INTC10D0:*");

MODULE_INFO(srcversion, "0EB11D208BEB94D207ED40D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
