#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x02c608e2, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xb70a8644, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0x736ee58e, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x4cafa398, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x7a559089, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0xca40dd8e, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x4e1c9f34, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x30029c92, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xeb410bef, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0x1ed55362, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x4051370b, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xc33a4060, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x8d8ce612, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0xc47d03b0, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x5fc2a225, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x8f78b982, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x1d76a149, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x1fe22ea5, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xf8358535, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x28216eea, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x18e2dea0, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x3acfbf32, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xfdf06201, "_gpl");
SYMBOL_CRC(sdhci_request, 0x9e7eb2db, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x0c34ceda, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0xb0953a46, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x35dfb0d5, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0xf9500bf7, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xd1aefe49, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x6fd51dc7, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xaebf6d41, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x02b02d95, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xf6385dab, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x680ce965, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xb61979b3, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x807b7620, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x29908659, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0xe06270fc, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x3dcc0363, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xa6589742, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0x32657302, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0x019bd974, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x3ee3b87c, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x9f0e7a75, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x9e48edd8, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x6c9e4031, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x248062b7, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xd2c67510, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xcc51c952, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xef9ee527, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x2bf9a41c, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0xf6f7f372, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xe963b544, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x46f8d773, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0xf0af4180, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x66f94882, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x15367542, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xbfc030c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x070f7896, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0x115ee465, "mmc_alloc_host" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0xee70fd70, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdfaf1ae6, "mmc_retune_timer_stop" },
	{ 0x0aa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x65cb8723, "__dma_sync_sg_for_cpu" },
	{ 0x04a283ca, "mmc_send_abort_tuning" },
	{ 0x52aac2f4, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0x320f5b85, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcdb1d650, "mmc_gpio_get_cd" },
	{ 0x7f5613e4, "mmc_can_gpio_cd" },
	{ 0xa0b54ec2, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0x27a1292d, "mmc_add_host" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x58a03f42, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xee6b0fa3, "mmc_can_gpio_ro" },
	{ 0x55678d3e, "mmc_gpio_get_ro" },
	{ 0xc2d42c3a, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x14130ff2, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8889ce8d, "regulator_is_supported_voltage" },
	{ 0x04595eb8, "regulator_get_current_limit" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x5fe66167, "mmc_regulator_get_supply" },
	{ 0xf52a3433, "dma_max_mapping_size" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0ac50cb0, "mmc_command_done" },
	{ 0x79a634b4, "sdio_signal_irq" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
