#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xf621ffcb, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x3481971e, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x6390dd44, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x8f6ea3b2, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0xf14529e9, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x3fee32f2, "_gpl");
SYMBOL_CRC(mux_control_states, 0xa8ee603f, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0xddda3760, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xf30c68ed, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x9c801d9a, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0xbd929233, "_gpl");
SYMBOL_CRC(mux_control_put, 0x7fa98e73, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xbe30e838, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x44042e40, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x05075827, "of_node_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x606347b8, "of_property_match_string" },
	{ 0x137f1cc7, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x37e4a860, "device_add" },
	{ 0xc5eb79d1, "__of_parse_phandle_with_args" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "568FEF24B1A9F2AA2614832");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
