#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xfab2e358, "");
SYMBOL_CRC(bnxt_unregister_dev, 0xf1b3ba9d, "");
SYMBOL_CRC(bnxt_send_msg, 0xfb0e3d66, "");
SYMBOL_CRC(bnxt_register_async_events, 0x79a69a17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x5a6ae5f9, "napi_alloc_skb" },
	{ 0x6b0205ef, "alloc_etherdev_mqs" },
	{ 0x4681f57e, "flow_block_cb_lookup" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0x75442ac2, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe473139d, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0x13e1979e, "bpf_prog_put" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd9683816, "devlink_unregister" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbf2046e2, "pci_wake_from_d3" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x86210e3c, "skb_put" },
	{ 0xd104edf3, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf71e3ae7, "page_pool_alloc_frag" },
	{ 0x098270d7, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x93040ffb, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x532715a8, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x308f168e, "devl_lock" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0x204d399b, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x599921a9, "ndo_dflt_bridge_getlink" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf2fe230f, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x0e454536, "request_firmware" },
	{ 0x1dff0f28, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x466de783, "hwmon_notify_event" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x2cf253fd, "devlink_params_unregister" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0xd104d04a, "flow_rule_match_eth_addrs" },
	{ 0x431a634b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5d53be3, "ptp_clock_index" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xa1c34596, "devlink_alloc_ns" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa2c30919, "devlink_register" },
	{ 0x8fa8b855, "devlink_remote_reload_actions_performed" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x81a6bb1d, "page_pool_destroy" },
	{ 0xd5978e4f, "xdp_do_redirect" },
	{ 0x34119d9e, "devlink_free" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0x26f66ecd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x49e7b5de, "flow_rule_match_ipv4_addrs" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x5db7c755, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0x26564947, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8d591c67, "devlink_flash_update_status_notify" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xb41c37b6, "netdev_port_same_parent_id" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x3fda2eca, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x44dc0360, "ptp_find_pin" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x039376be, "flow_rule_match_icmp" },
	{ 0x111a1eab, "ptp_parse_header" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x90ee9713, "net_dim" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x738803e6, "strnlen" },
	{ 0x737e1ce9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9daea022, "netif_device_detach" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0xf4cb5c02, "netif_device_attach" },
	{ 0x3a7dc068, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x777fcb9e, "flow_indr_dev_unregister" },
	{ 0x8bb3203d, "eth_get_headlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfac56d04, "xdp_rxq_info_is_reg" },
	{ 0x06da0006, "ptp_classify_raw" },
	{ 0xf37ec7c7, "flow_block_cb_setup_simple" },
	{ 0x83ddb24d, "pci_msix_can_alloc_dyn" },
	{ 0x3de6cdc0, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0xef9211e8, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca5242db, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xd7e01807, "devlink_port_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdd039001, "softnet_data" },
	{ 0x946d6020, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x7c104498, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd5230bdf, "ptp_clock_register" },
	{ 0x85f989e2, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0xe6da974c, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x5c908511, "page_pool_disable_direct_recycling" },
	{ 0xbed68f61, "netdev_printk" },
	{ 0x399b8711, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x53c535f6, "pci_device_is_present" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xc75f9430, "pcie_flr" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0xc916c4f9, "netif_receive_skb" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3098eee7, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xb37a0d74, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xdd7bd874, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7b1d8f4c, "ethtool_rxfh_context_lost" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xaa31a7f9, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x8a8c5404, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf35a73fa, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdea6d4da, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xcab629c0, "flow_rule_match_ipv6_addrs" },
	{ 0xbca78421, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f930a97, "ptp_clock_unregister" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcb36527a, "devl_unlock" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd1652052, "rps_may_expire_flow" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5264b4f2, "netdev_reset_tc" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xa39ea613, "devlink_params_register" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6bf5b94b, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0x13362eb2, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xca77ad32, "bpf_prog_add" },
	{ 0x00aa1603, "xa_find" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0x8ae74a0e, "flow_rule_match_vlan" },
	{ 0x09229c81, "xdp_rxq_info_unreg" },
	{ 0x6fb5fbfc, "page_pool_alloc_pages" },
	{ 0x81659d5f, "napi_build_skb" },
	{ 0xa9d6b69e, "__xdp_rxq_info_reg" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x086f66d0, "devlink_priv" },
	{ 0x5d78f26b, "devlink_port_register_with_ops" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0x0007be0c, "tcp_gro_complete" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0x562f9d51, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x183c9d79, "netif_set_tso_max_size" },
	{ 0x38f2647d, "__skb_flow_dissect" },
	{ 0x21177694, "pci_msix_alloc_irq_at" },
	{ 0xec81d070, "pci_vpd_alloc" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x3367315b, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xe996f481, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf7bac116, "page_address" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x65e92c59, "dcb_ieee_delapp" },
	{ 0x1cee7a48, "netdev_notice" },
	{ 0x3d53e1ba, "ethtool_params_from_link_mode" },
	{ 0x571699c5, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xca71d466, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x42b9e9e9, "flow_rule_match_control" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xce33806a, "netdev_core_stats_inc" },
	{ 0x06bbb016, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe1dc141c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2CB93B77F5F4A1DE28ABD43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
