#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xb209df82, "");
SYMBOL_CRC(t3_l2t_send_event, 0x50f50f32, "");
SYMBOL_CRC(t3_l2e_free, 0x98131d71, "");
SYMBOL_CRC(t3_l2t_get, 0xf32f5923, "");
SYMBOL_CRC(cxgb3_register_client, 0xc00aaa85, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x1f6f0b8e, "");
SYMBOL_CRC(cxgb3_free_atid, 0x793af33a, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xaca22b50, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xb92cc00d, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x7a761fff, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xf20eb3b2, "");
SYMBOL_CRC(dev2t3cdev, 0xbcecc8f4, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x3877cb8b, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x9cffb39f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b0205ef, "alloc_etherdev_mqs" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xe6013d24, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4a9bbe76, "pcie_capability_write_word" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xbde8d0f4, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0x3f629846, "napi_get_frags" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x0e454536, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8394800, "pci_disable_msi" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xc4314ab7, "pci_enable_msix_range" },
	{ 0x4ddf39ea, "pci_write_vpd_any" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x0b0882e5, "pci_find_capability" },
	{ 0xa620955f, "_dev_alert" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xa665e96f, "pci_enable_msi" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0x26dd77ae, "arp_send" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x115b11f1, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc916c4f9, "netif_receive_skb" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaaf21900, "netif_tx_stop_all_queues" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88bcff49, "netif_rx" },
	{ 0x0b99f88f, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x690c0c13, "netdev_master_upper_dev_get_rcu" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0x6b7f187e, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0xd2726a1f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xdaedff05, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xf7bac116, "page_address" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0xef866971, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6F3CF3EB51D707FF7F7B935");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
