#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x31841299, "");
SYMBOL_CRC(vnic_dev_get_res, 0x6ace2451, "");
SYMBOL_CRC(vnic_dev_unregister, 0xc65f5587, "");
SYMBOL_CRC(vnic_dev_register, 0xc0d90c7a, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x196e5fea, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x3970395c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b0205ef, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x86210e3c, "skb_put" },
	{ 0xd104edf3, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc3dd4414, "pci_enable_device_mem" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x93040ffb, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8394800, "pci_disable_msi" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x26564947, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc4314ab7, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x68002635, "__hw_addr_unsync_dev" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcfcf8d6b, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xa665e96f, "pci_enable_msi" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdd039001, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x399b8711, "dev_close" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0xc916c4f9, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xdd7bd874, "netif_set_xps_queue" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xd1652052, "rps_may_expire_flow" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xb9f3dbe0, "__hw_addr_sync_dev" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0xd2726a1f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x38f2647d, "__skb_flow_dissect" },
	{ 0x65a4adc2, "__napi_schedule_irqoff" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A6EAA62954819219AD5B96");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
