#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xd7ef5a6d, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x50786acf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x263b6573, "pci_cfg_access_unlock" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x86210e3c, "skb_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x81a6bb1d, "page_pool_destroy" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x57e736af, "mlxsw_cmd_exec" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xb4d6cc65, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0xebfa72fc, "mlxsw_core_bus_device_register" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x14b0dffc, "dev_set_threaded" },
	{ 0x452295d4, "__pci_reset_function_locked" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3098eee7, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb37a0d74, "page_pool_put_unrefed_netmem" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfe1bdf9d, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xaa31a7f9, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xbb846a2e, "mlxsw_core_ptp_transmitted" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x6bb5618c, "alloc_netdev_dummy" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0x6fb5fbfc, "page_pool_alloc_pages" },
	{ 0x81659d5f, "napi_build_skb" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x3367315b, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf7bac116, "page_address" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0x3ab79240, "napi_consume_skb" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0x0ed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "3877293D719DA38AEA42C0C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
