#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x90aa15f4, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x5b4c6507, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xbc215bc1, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xa3bc6e36, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x1291ca88, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xc7e78424, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0x89088483, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc94b4cb9, "mdiobus_alloc_size" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0xb69f548c, "xsk_tx_completed" },
	{ 0x5a6ae5f9, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x42707790, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13e1979e, "bpf_prog_put" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1bd2e726, "xp_dma_map" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x37c6a60c, "eth_mac_addr" },
	{ 0x86210e3c, "skb_put" },
	{ 0xd104edf3, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc9f4d5f5, "hrtimer_try_to_cancel" },
	{ 0x204d399b, "bpf_warn_invalid_xdp_action" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0xa8defc82, "xdp_convert_zc_to_xdp_frame" },
	{ 0xf2fe230f, "xdp_features_set_redirect_target" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0xd5d53be3, "ptp_clock_index" },
	{ 0x54f2bd78, "phy_attached_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x81a6bb1d, "page_pool_destroy" },
	{ 0xd5978e4f, "xdp_do_redirect" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x49e7b5de, "flow_rule_match_ipv4_addrs" },
	{ 0x796f0c0c, "xdp_rxq_info_unreg_mem_model" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x26564947, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x186665ec, "phylink_limit_mac_speed" },
	{ 0x5d595359, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x6504cec8, "pinctrl_pm_select_default_state" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x3fda2eca, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x43409330, "__devm_alloc_percpu" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xad5a6bf0, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xafa3c75a, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x75dd664c, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x9daea022, "netif_device_detach" },
	{ 0x88e36078, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x67f69beb, "xpcs_create_mdiodev" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0xf4cb5c02, "netif_device_attach" },
	{ 0x3a7dc068, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x85a38ce8, "netdev_pick_tx" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x6de0b1ce, "xp_raw_get_dma" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfac56d04, "xdp_rxq_info_is_reg" },
	{ 0xd09c13e0, "devm_alloc_etherdev_mqs" },
	{ 0xf37ec7c7, "flow_block_cb_setup_simple" },
	{ 0x3de6cdc0, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xcfcf8d6b, "dev_open" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x5ba00545, "xpcs_destroy" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xbe8dbbae, "pinctrl_pm_select_sleep_state" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xddb27cfe, "xpcs_to_phylink_pcs" },
	{ 0x7c104498, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd5230bdf, "ptp_clock_register" },
	{ 0x83ce3191, "xsk_tx_peek_desc" },
	{ 0x3120987c, "__of_mdiobus_register" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x399b8711, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x67ab7e0e, "xsk_clear_rx_need_wakeup" },
	{ 0xc87de426, "xsk_uses_need_wakeup" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x5bae6968, "xsk_get_pool_from_qid" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb37a0d74, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x6af4b8fb, "debugfs_change_name" },
	{ 0x63026bfb, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x08213956, "phylink_ethtool_get_wol" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x83264619, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xaa31a7f9, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x8a8c5404, "flow_rule_match_ports" },
	{ 0xb3543409, "phylink_fwnode_phy_connect" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf35a73fa, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xdea6d4da, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x68ce502e, "fwnode_get_named_child_node" },
	{ 0xbca78421, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f930a97, "ptp_clock_unregister" },
	{ 0xa36c2917, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbf45c4c7, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65f2c751, "xdp_return_frame_rx_napi" },
	{ 0xb23652be, "netdev_alert" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc38c84b5, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x21705602, "fwnode_find_reference" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0x23cb58e6, "fwnode_property_present" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x5ba8c63b, "xsk_set_tx_need_wakeup" },
	{ 0x5264b4f2, "netdev_reset_tc" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x87644fa2, "xp_set_rxq_info" },
	{ 0x8ae74a0e, "flow_rule_match_vlan" },
	{ 0x09229c81, "xdp_rxq_info_unreg" },
	{ 0x6fb5fbfc, "page_pool_alloc_pages" },
	{ 0x81659d5f, "napi_build_skb" },
	{ 0xa9d6b69e, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xb8f46aae, "mdiobus_get_phy" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0x562f9d51, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x83acee22, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x62379a9f, "xpcs_create_fwnode" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x3367315b, "skb_add_rx_frag_netmem" },
	{ 0xe996f481, "xdp_master_redirect" },
	{ 0x74e6e2e8, "xp_raw_get_data" },
	{ 0xf7bac116, "page_address" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0xb733c53a, "eth_header_parse_protocol" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x9bd037d6, "phylink_pcs_pre_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x97a5dedf, "ethtool_op_get_ts_info" },
	{ 0x7928bb07, "xsk_tx_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x34d10c27, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libphy,ptp,phylink,pcs_xpcs,of_mdio");


MODULE_INFO(srcversion, "6A5926DAA2539116F145E1C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
