#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x4eb8ef04, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x076358dd, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x7bcfd0b8, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x08d35a12, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x50d572c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd780e857, "__do_once_done" },
	{ 0xd47daec3, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x5701e3ce, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x804c162c, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa39e942d, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x66d6fa9d, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d3a3293, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0x07ebe751, "netif_inherit_tso_max" },
	{ 0x331a5048, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb827d34c, "dev_uc_unsync" },
	{ 0x3e895319, "ether_setup" },
	{ 0x26564947, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x765e8acf, "netdev_upper_dev_link" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc93db615, "eth_header_parse" },
	{ 0xb346fa34, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa267fd5c, "eth_header_cache_update" },
	{ 0xae519050, "nf_register_net_hooks" },
	{ 0xeffaff08, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x620fc478, "ip_route_input_noref" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x72fa1d30, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc413eaa8, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f18deea, "ns_capable" },
	{ 0x200f73e2, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x8e487520, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x88bcff49, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x671928a6, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf24d9edc, "vlan_vid_add" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x75ccaff6, "vlan_vid_del" },
	{ 0xe287a38e, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc1333799, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfe2f35d5, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb733c53a, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xe779789c, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa843370e, "dev_change_flags" },
	{ 0xce33806a, "netdev_core_stats_inc" },
	{ 0xef0acaa0, "dev_forward_skb" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB58FA724CDA66279765F9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
