#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x967610f7, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xdddd9cf2, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xf16c1f2e, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x7a7d16b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3e895319, "ether_setup" },
	{ 0x8e487520, "__ethtool_get_link_ksettings" },
	{ 0xfe8a9f90, "ethtool_get_ts_info_by_layer" },
	{ 0xbb600b33, "init_net" },
	{ 0xa3143d6d, "generic_hwtstamp_set_lower" },
	{ 0xcae1cd9e, "generic_hwtstamp_get_lower" },
	{ 0x04c96181, "dev_mc_del" },
	{ 0x5feab9b8, "dev_uc_del" },
	{ 0xd87e6224, "dev_mc_add_excl" },
	{ 0xf4eb5583, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x47eff73a, "__netpoll_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x75ccaff6, "vlan_vid_del" },
	{ 0xf24d9edc, "vlan_vid_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d3a3293, "dev_uc_sync" },
	{ 0x804c162c, "dev_mc_sync" },
	{ 0xe287a38e, "dev_set_allmulti" },
	{ 0x24b40e52, "dev_set_promiscuity" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x927d26ae, "dev_uc_add" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb827d34c, "dev_uc_unsync" },
	{ 0xe779789c, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb346fa34, "netdev_rx_handler_unregister" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5ac151b5, "dev_set_mac_address" },
	{ 0x037a0cba, "kfree" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x07ebe751, "netif_inherit_tso_max" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0x51813ef6, "nla_put" },
	{ 0x4a5431bb, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0xa39e942d, "netdev_is_rx_handler_busy" },
	{ 0xc1333799, "netdev_rx_handler_register" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x765e8acf, "netdev_upper_dev_link" },
	{ 0x72fa1d30, "netif_stacked_transfer_operstate" },
	{ 0x4a37b20e, "linkwatch_fire_event" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc413eaa8, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb0cd7522, "dev_set_mtu" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x88bcff49, "netif_rx" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x24e00dda, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0xef0acaa0, "dev_forward_skb" },
	{ 0xf310f338, "netpoll_send_skb" },
	{ 0x262f35f2, "__netif_rx" },
	{ 0x76f8cb4d, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xce33806a, "netdev_core_stats_inc" },
	{ 0x84ab28aa, "passthru_features_check" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0x47c58b77, "ndo_dflt_fdb_dump" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xc93db615, "eth_header_parse" },
	{ 0x331a5048, "eth_header_cache" },
	{ 0xa267fd5c, "eth_header_cache_update" },
	{ 0xb733c53a, "eth_header_parse_protocol" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F9909715E5021DE87BEA24");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
