#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x81cf68af, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x43280f70, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x9c43a6c8, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xa8a7e5fe, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xc4529b01, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xa486dec7, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xbebdf9d8, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xf8f6c967, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x2c5f6d4a, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xd7eb7220, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x36238666, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x3864a247, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xc0d7b24c, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x3f963996, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xbe9901bb, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xf8d099a4, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x36577a39, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x4f620752, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xee4448a5, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xabf90b18, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x00235ce9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82077575, "mdiobus_write" },
	{ 0xfab11846, "mdiobus_read" },
	{ 0x7da51614, "phy_write_mmd" },
	{ 0x7a14ab04, "phy_modify" },
	{ 0xd5eefe10, "phy_trigger_machine" },
	{ 0xc98720fb, "phy_error" },
	{ 0x12a8610a, "phy_modify_changed" },
	{ 0xfbdc36c7, "genphy_update_link" },
	{ 0xeef20298, "genphy_read_lpa" },
	{ 0x9ebc4669, "phy_resolve_aneg_pause" },
	{ 0x41ea5030, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x611b6342, "phy_read_mmd" },
	{ 0xa342936d, "ethnl_cable_test_result_with_src" },
	{ 0x9e9e744b, "ethnl_cable_test_fault_length_with_src" },
	{ 0x8b20ab83, "phy_modify_mmd" },
	{ 0x12b41562, "genphy_soft_reset" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
