#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x52987e9d, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xb7cbf680, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xe5608827, "file_f_owner_allocate" },
	{ 0x92f7b2f2, "fasync_helper" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x266bea24, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0x0bf97dde, "from_kgid_munged" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3aae97a, "bpf_prog_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e709d95, "__skb_get_hash_symmetric_net" },
	{ 0xaaf21900, "netif_tx_stop_all_queues" },
	{ 0xc6f63c14, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x81c0f0c0, "bpf_prog_get_type_dev" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x070f7896, "_printk" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0x70e9c029, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3b4eb8d4, "misc_deregister" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7c104498, "xdp_return_frame" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x53f2491c, "kill_fasync" },
	{ 0x8dd957d5, "net_hotdata" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0x26002445, "napi_complete_done" },
	{ 0x13e1979e, "bpf_prog_put" },
	{ 0xce33806a, "netdev_core_stats_inc" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6a8ed7ef, "sock_init_data_uid" },
	{ 0xc8254514, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x58f68f33, "build_skb" },
	{ 0x86210e3c, "skb_put" },
	{ 0x2c4d9e7a, "skb_set_owner_w" },
	{ 0xcbae4fe1, "sk_filter_trim_cap" },
	{ 0xead25967, "skb_tx_error" },
	{ 0xd104edf3, "skb_tstamp_tx" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x0922e6c9, "skb_copy_ubufs" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x09229c81, "xdp_rxq_info_unreg" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x376c05b2, "module_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc0ee5f7e, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x38f2647d, "__skb_flow_dissect" },
	{ 0x5fab8952, "skb_partial_csum_set" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0x19a2b733, "iov_iter_advance" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x26564947, "netdev_err" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xaec84042, "sock_recv_errqueue" },
	{ 0xd5978e4f, "xdp_do_redirect" },
	{ 0x204d399b, "bpf_warn_invalid_xdp_action" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x65f2c751, "xdp_return_frame_rx_napi" },
	{ 0xa8defc82, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xcc104a45, "skb_page_frag_refill" },
	{ 0xf7bac116, "page_address" },
	{ 0xa5d69597, "copy_page_from_iter" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe996f481, "xdp_master_redirect" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xddf969ad, "iov_iter_npages" },
	{ 0x89062b26, "sock_alloc_send_pskb" },
	{ 0xfa6b9d48, "zerocopy_sg_from_iter" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xb51e2601, "skb_copy_datagram_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x241c1c25, "do_xdp_generic" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xc916c4f9, "netif_receive_skb" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x8bb3203d, "eth_get_headlen" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xe6013d24, "napi_gro_frags" },
	{ 0x3f629846, "napi_get_frags" },
	{ 0xf6be071c, "iov_iter_single_seg_count" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x420eabe4, "mem_section" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x5d5c0f6c, "__page_frag_cache_drain" },
	{ 0xc1ea48f6, "security_tun_dev_attach" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfac56d04, "xdp_rxq_info_is_reg" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0xf041b4dc, "sk_attach_filter" },
	{ 0xfb113e23, "release_sock" },
	{ 0xa9d6b69e, "__xdp_rxq_info_reg" },
	{ 0x3fda2eca, "xdp_rxq_info_reg_mem_model" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f18deea, "ns_capable" },
	{ 0xb2449a30, "get_net_ns" },
	{ 0x57d40b3e, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc21cc2f2, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0xe2e4aba8, "ip_tunnel_header_ops" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x01a046f9, "make_kuid" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x1fd8a757, "from_kuid" },
	{ 0xcd1a0b5a, "dev_get_mac_address" },
	{ 0xdfc3a717, "dev_set_mac_address_user" },
	{ 0xccba3533, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x3e895319, "ether_setup" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xe30b42bc, "from_kgid" },
	{ 0x84ab28aa, "passthru_features_check" },
	{ 0x37c6a60c, "eth_mac_addr" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0x97a5dedf, "ethtool_op_get_ts_info" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41FFA72F2BF8019BF5EC778");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
