#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x4d45f2d0, "_gpl");
SYMBOL_CRC(rndis_command, 0xf1c932da, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x2502eaac, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xb2dabe76, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0xc32c1fbd, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0xfd1eafd7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6744e2c, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x9e2ecc53, "usbnet_generic_cdc_bind" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe6dcd445, "usb_driver_release_interface" },
	{ 0x037a0cba, "kfree" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x519b59d4, "usbnet_cdc_zte_rx_fixup" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0xf93a7500, "usbnet_skb_return" },
	{ 0x35f7e4c6, "skb_copy_expand" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x8235805b, "memmove" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x2708126d, "usb_deregister" },
	{ 0xb8c5cc4d, "usbnet_cdc_unbind" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa85b5522, "usbnet_probe" },
	{ 0x757560c8, "usbnet_disconnect" },
	{ 0x39104f9b, "usbnet_suspend" },
	{ 0x4de0956d, "usbnet_resume" },
	{ 0xf385238e, "usbnet_open" },
	{ 0x3be064cb, "usbnet_stop" },
	{ 0x69c2b21d, "usbnet_start_xmit" },
	{ 0x37c6a60c, "eth_mac_addr" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0xa38e1945, "usbnet_tx_timeout" },
	{ 0xc6f63c14, "dev_get_tstats64" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "4DE15943675DBCB96800C5E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
