#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_pm_notifier_unregister, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xe2a3eadf, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x9c39fff0, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xbe969f37, "");
SYMBOL_CRC(ath11k_core_resume, 0x84bd40ef, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xa54abf8e, "");
SYMBOL_CRC(ath11k_core_pm_notifier_unregister, 0x0a55783f, "");
SYMBOL_CRC(ath11k_core_init, 0x17201049, "");
SYMBOL_CRC(ath11k_core_deinit, 0x1e74163c, "");
SYMBOL_CRC(ath11k_core_free, 0xe817a809, "");
SYMBOL_CRC(ath11k_core_alloc, 0xe2f5a3ec, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x084995e2, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x9e117d8f, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x76ec5c75, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xbdd9e54b, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x1c51044e, "");
SYMBOL_CRC(ath11k_info, 0xf3464953, "");
SYMBOL_CRC(ath11k_err, 0xb24fe72f, "");
SYMBOL_CRC(ath11k_warn, 0x3c7c1ec8, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x974852ba, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x9d13eabf, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x9d978f33, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x4a5b4e11, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x1df5baf7, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x9e507e62, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x2115b2f1, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x6ae40e98, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xe7a56028, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x8c089f4b, "");
SYMBOL_CRC(ath11k_pcic_read, 0x607b720d, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x16e62176, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x60a59b55, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xc4e52a4b, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xd60f35b0, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x772b8590, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x55985a27, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x5d52ac18, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x873d1231, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x7cae3dc0, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x4e7b6d09, "");
SYMBOL_CRC(ath11k_pcic_start, 0x97cb92e3, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x304dede1, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x05adf30e, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xb6c9c4c6, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x0189f901, "");
SYMBOL_CRC(ath11k_fw_destroy, 0x2a45201c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f0b7b98, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x74c82066, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x05075827, "of_node_put" },
	{ 0x86210e3c, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xf8a1fd4f, "firmware_request_nowarn" },
	{ 0x63b65d5d, "qmi_handle_init" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x37f311f5, "of_address_to_resource" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x86e220ba, "device_get_mac_address" },
	{ 0xfbcc50f0, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa0e9f001, "ieee80211_iterate_stations_atomic" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x0330691f, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0xb47e07bd, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x65f15262, "thermal_cooling_device_register" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0x7be5bcf9, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa5a37084, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0xbc3ab15a, "qmi_send_request" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf2c15984, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8f54011e, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x147ed0ab, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x0cd8e9f8, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x499e8ec1, "qmi_txn_wait" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x7c642097, "ieee80211_get_channel_khz" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0x55336329, "ieee80211_obss_color_collision_notify" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x36813814, "__skb_get_hash_net" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7924f6e1, "crypto_shash_setkey" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb1066052, "qmi_txn_cancel" },
	{ 0xc5eb79d1, "__of_parse_phandle_with_args" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x13727203, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xdb9526df, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0xc73d1d28, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x153997e6, "qmi_txn_init" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0xb46ac8e5, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf1e7907e, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9fd3ecd, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xc1835c5b, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf50ccfcd, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x91cd5637, "ieee80211_beacon_free_ema_list" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xd8bd9bee, "qmi_handle_release" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xb7dc785a, "ieee80211_vif_to_wdev" },
	{ 0x6bb5618c, "alloc_netdev_dummy" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc7e44959, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe10b5c60, "ieee80211_color_change_finish" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x37534661, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xd9410000, "thermal_cooling_device_unregister" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x520ad284, "ieee80211_queue_work" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf281caa5, "regulatory_set_wiphy_regd" },
	{ 0xb0ddf6cd, "cfg80211_chandef_dfs_cac_time" },
	{ 0x2edb3766, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa0375050, "ieee80211_beacon_get_template_ema_list" },
	{ 0xcc69da35, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x83e42af5, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x599acd37, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "224D11557F24134CD9A24E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
