#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xef400a93, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x9d1d2c59, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x6ed00c14, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x7199ec1a, "_gpl");
SYMBOL_CRC(p54_rx, 0xd14229f8, "_gpl");
SYMBOL_CRC(p54_init_common, 0xcbad2b00, "_gpl");
SYMBOL_CRC(p54_register_common, 0x549f5a6c, "_gpl");
SYMBOL_CRC(p54_free_common, 0xa36df631, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xd77de265, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86210e3c, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0x462f0c98, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0x768d96f0, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe7affbcc, "__ieee80211_get_radio_led_name" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0x22abc89a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85dbd663, "__ieee80211_get_tx_led_name" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf2c15984, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8f54011e, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xb22fd48b, "__ieee80211_get_rx_led_name" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb9fd3ecd, "ieee80211_free_txskb" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xd91ed334, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xecbafbfd, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xfa83464a, "ieee80211_stop_queue" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xb248e823, "skb_unlink" },
	{ 0xe2c13d3e, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x490f893a, "__ieee80211_get_assoc_led_name" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc197eeb8, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x186291f1, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xd8ce9e25, "ieee80211_rx_irqsafe" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
