#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_radio_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_add_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_vif_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_add_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remove_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_change_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_switch_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xdc199017, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xf33f2bf2, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xa2712020, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x9c76afac, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x23f57fd8, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x17ee919d, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x9d3eba1e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x70577545, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x419431d9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x989ab405, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x365fedc5, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x2e117edc, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xde640058, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x4dfa331d, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xa3ac70f5, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xbb748e2a, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xea18ee66, "_gpl");
SYMBOL_CRC(mt76_alloc_radio_phy, 0x11f77a54, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xb53798da, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3b09280b, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xc59f34d6, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xe3cddafa, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x86e03c71, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x86458f35, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xe089ef83, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x8904141b, "_gpl");
SYMBOL_CRC(mt76_rx, 0xeae649da, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x26696100, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x2d8bcdea, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x588bb7ab, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0xc86236c2, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xea56ba9b, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x7f791ae9, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xc419dc79, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xe2c6a2bd, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x41aef26d, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x507e9582, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xafea612e, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xdd83cec4, "_gpl");
SYMBOL_CRC(mt76_wcid_add_poll, 0xe1ea253f, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x1754efbc, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xad13799e, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x97ba1079, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x53772e09, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xe5e77d4c, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xf2351f1a, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x882bb53e, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x8494540c, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xe1dc0744, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x2dd20ada, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x87f923ac, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x0c604d74, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xd76efad4, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x9997f66e, "_gpl");
SYMBOL_CRC(mt76_vif_cleanup, 0x7a95dc77, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x45b28ab9, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xeeba3a6b, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x8940afcd, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x8dc96fc1, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xac39c336, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x67caf837, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xab8d1bad, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xbc3290eb, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x28a04ea6, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x326fd53e, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x5bf14fb9, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x039fad3f, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xa09715bc, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xe43d831c, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xe7620c70, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x831a75a7, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xbd127ab9, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xdd14758b, "_gpl");
SYMBOL_CRC(mt76_tx, 0xa9ae80e8, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x6b8e58d5, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x8056a6b6, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x852c037b, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xd24b5540, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x67f1c96c, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x16b4c206, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xc20f27b8, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x52768c51, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x9febb659, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xab760db8, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x33a938da, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xb9c6309d, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xcf1d501b, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xdc2d431a, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x0fcd9811, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x4ac5e561, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x88cb64b3, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x1667987d, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x43910095, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xef57b794, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x28d22e98, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0xce8bf52e, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x0b81a736, "_gpl");
SYMBOL_CRC(mt76_hw_scan, 0x59eb924c, "_gpl");
SYMBOL_CRC(mt76_cancel_hw_scan, 0x979fc845, "_gpl");
SYMBOL_CRC(mt76_add_chanctx, 0x262a38af, "_gpl");
SYMBOL_CRC(mt76_remove_chanctx, 0x0c7ca810, "_gpl");
SYMBOL_CRC(mt76_change_chanctx, 0x68584b59, "_gpl");
SYMBOL_CRC(mt76_assign_vif_chanctx, 0x237226ef, "_gpl");
SYMBOL_CRC(mt76_unassign_vif_chanctx, 0xa581fbee, "_gpl");
SYMBOL_CRC(mt76_switch_vif_chanctx, 0xfba5746b, "_gpl");
SYMBOL_CRC(mt76_remain_on_channel, 0x0a4d6580, "_gpl");
SYMBOL_CRC(mt76_cancel_remain_on_channel, 0x4fab01de, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xa5c5ab89, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x9e93fa24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0x75442ac2, "__skb_pad" },
	{ 0x8e7c67a4, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x945566e7, "__ieee80211_schedule_txq" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0x86210e3c, "skb_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf71e3ae7, "page_pool_alloc_frag" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8cb18263, "dmam_alloc_attrs" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x93a39d4c, "ieee80211_probereq_get" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0xfca0a240, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x0330691f, "ieee80211_tx_status_ext" },
	{ 0x94b318f8, "debugfs_create_blob" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x81a6bb1d, "page_pool_destroy" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x4b71a37d, "__ieee80211_create_tpt_led_trigger" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xac8d7f23, "ieee80211_sta_eosp" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4065ae02, "kthread_park" },
	{ 0x22f42ca8, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x43a9f4a5, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9b69e445, "ieee80211_get_tx_rates" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0x0947a2b0, "cfg80211_reg_check_beaconing" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89cf113f, "debugfs_create_devm_seqfile" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x52e417fc, "pci_disable_link_state" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0x360e52e9, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x066f33d7, "kthread_unpark" },
	{ 0x14b0dffc, "dev_set_threaded" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4ea19658, "of_prop_next_string" },
	{ 0x06488093, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x949b158e, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x13727203, "ieee80211_find_sta_by_ifaddr" },
	{ 0x7c1c4340, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x1ee678d1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0xdb9526df, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0x3098eee7, "free_netdev" },
	{ 0xfbb8cb36, "ieee80211_tx_prepare_skb" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0xc73d1d28, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xb37a0d74, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xb9fd3ecd, "ieee80211_free_txskb" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5bf3e4bd, "of_device_is_available" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x82adbc38, "ieee80211_tx_dequeue" },
	{ 0x819c3268, "ieee80211_rx_list" },
	{ 0xaa31a7f9, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6bb5618c, "alloc_netdev_dummy" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0x81659d5f, "napi_build_skb" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x81234bbe, "of_nvmem_cell_get" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3367315b, "skb_add_rx_frag_netmem" },
	{ 0xf7bac116, "page_address" },
	{ 0x0b67e7d9, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf95c32ac, "debugfs_create_u8" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "4DE430A68E857C60E9A1AD9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
