#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0xe6fa682f, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x2968a47c, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x159a3eb9, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x3b07d8f6, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xe95fc38e, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x6ae720bb, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x62356850, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x02a068a5, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xa26ac0b5, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x5aab7480, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x76cf0403, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x7434ebab, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xcdf269f3, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x88e95a4f, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x7ddb70d1, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xd0f8a3b8, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x1039987c, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xb8fb93d2, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x5967d527, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x2f8d432e, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x7a7c8ffe, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xe86d28d1, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x4096d254, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x2a12fbfd, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x4d7eedea, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xd97a5dce, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x2a4e63fd, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xd5e7da2f, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x186bb3b6, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xcb422ed7, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x5f44c761, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6ff98ae, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xcd06708e, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xc86236c2, "mt76_update_channel" },
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x31df49a6, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x680879fe, "mt76_connac_mcu_sta_tlv" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0xd24b5540, "mt76_tx_worker_run" },
	{ 0xad13799e, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa09715bc, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x5b24b117, "ieee80211_iterate_interfaces" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0xc618a6be, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xf8b6839c, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf8a1fd4f, "firmware_request_nowarn" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x831a75a7, "mt76_tx_status_skb_get" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x039fad3f, "mt76_tx_status_lock" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0xa3e9a2a1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x9daa43b6, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x10b9eddf, "mt76_connac_mcu_set_channel_domain" },
	{ 0xb50abcca, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6b8e58d5, "mt76_release_buffered_frames" },
	{ 0x0e454536, "request_firmware" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x1754efbc, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0xfab16233, "mt76_connac_pm_wake" },
	{ 0x8494540c, "mt76_get_rate" },
	{ 0x16b4c206, "mt76_wake_tx_queue" },
	{ 0x0330691f, "ieee80211_tx_status_ext" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7520668a, "mt76_connac_mcu_chip_config" },
	{ 0x87f923ac, "mt76_get_antenna" },
	{ 0x037a0cba, "kfree" },
	{ 0x7310af0a, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xdd14758b, "__mt76_tx_complete_skb" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xea18ee66, "mt76_set_stream_caps" },
	{ 0x768d96f0, "ieee80211_emulate_change_chanctx" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x0b8a547b, "mt76_connac_mcu_update_arp_filter" },
	{ 0x8b9709ac, "mt76_connac_mcu_set_vif_ps" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x1667987d, "mt76_mcu_rx_event" },
	{ 0xb53798da, "mt76_alloc_phy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x47b0b979, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafea612e, "mt76_wcid_init" },
	{ 0xbd127ab9, "mt76_tx_status_check" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x8995a463, "mt76_connac_free_pending_tx_skbs" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xb711c5ca, "mt76_connac_power_save_sched" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x0947a2b0, "cfg80211_reg_check_beaconing" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0xc82701a7, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x773a5ed5, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89cf113f, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa9ae80e8, "mt76_tx" },
	{ 0xe1ea253f, "mt76_wcid_add_poll" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x28217e48, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x7f791ae9, "mt76_wcid_key_setup" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x415df6a8, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeae649da, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe13c15a8, "mt76_connac_mcu_sched_scan_req" },
	{ 0x1e15f0e6, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x7a3fe37b, "mt76_connac_mcu_uni_add_bss" },
	{ 0x9997f66e, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xc83ab787, "mt76_connac_mcu_hw_scan" },
	{ 0xe43d831c, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0x326fd53e, "mt76_eeprom_init" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x946d6020, "simple_open" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x06488093, "debugfs_create_file_unsafe" },
	{ 0xef57b794, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x2d8bcdea, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x80c04bb3, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x43910095, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb46ac8e5, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x67caf837, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4ac5e561, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8fefb063, "mt76_connac_pm_dequeue_skbs" },
	{ 0x863220be, "mt76_connac_mcu_set_pm" },
	{ 0xea56ba9b, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf50ccfcd, "devm_hwmon_device_register_with_groups" },
	{ 0xd91ed334, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x28d22e98, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0xecbafbfd, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xfa448bf7, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x41aef26d, "mt76_sta_state" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x697e89f0, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x041e2298, "mt76_connac_mcu_init_download" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0a89e891, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xdfd1f824, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x28a04ea6, "mt76_get_rate_power_limits" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xba8a9592, "ieee80211_sched_scan_results" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x882bb53e, "mt76_insert_ccmp_hdr" },
	{ 0x6c4e500e, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2dd20ada, "mt76_sw_scan_complete" },
	{ 0xdc2d431a, "mt76_rx_aggr_start" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x7a4a5711, "mt76_connac_mcu_start_firmware" },
	{ 0x9c76afac, "____mt76_poll_msec" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0xde91c057, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc855e72, "mt76_connac_mcu_rdd_cmd" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xb4511fa7, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97ba1079, "mt76_get_sar_power" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc59f34d6, "mt76_unregister_phy" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x3b09280b, "mt76_register_phy" },
	{ 0xcd045e2a, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x365fedc5, "mt76_put_txwi" },
	{ 0xdd83cec4, "mt76_wcid_cleanup" },
	{ 0x37534661, "ieee80211_radar_detected" },
	{ 0x505f0e0b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcb9f006a, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xdda430b4, "single_release" },
	{ 0xe1dc0744, "mt76_sw_scan" },
	{ 0x45b28ab9, "mt76_queues_read" },
	{ 0x214246c1, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x507e9582, "mt76_sta_pre_rcu_remove" },
	{ 0x8940afcd, "mt76_register_debugfs_fops" },
	{ 0xb5656a26, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x0308051f, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x5244df09, "mt76_connac_mcu_sta_ba" },
	{ 0xabab0b45, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x520ad284, "ieee80211_queue_work" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xa7fbeab7, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x6ebb0838, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xa2712020, "__mt76_poll" },
	{ 0x0fcd9811, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf95c32ac, "debugfs_create_u8" },
	{ 0x7722dba8, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x186291f1, "ieee80211_emulate_remove_chanctx" },
	{ 0x23f57fd8, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3971c897, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "920BD3EE78CE45EF33571D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
