#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xfa49de66, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xdb1327a8, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xb9dd5d9f, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x679e839a, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x48cdecc5, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xc0573eb3, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xad0c1d6e, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x2e23ac7d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2d5cd3, "mt76x02_update_beacon_iter" },
	{ 0xfc70003a, "mt76x02_enqueue_buffered_bc" },
	{ 0x1a8d1610, "mt76x02_remove_hdr_pad" },
	{ 0x86210e3c, "skb_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xe6214fec, "mt76x02_resync_beacon_timer" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xadd92822, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe5e77d4c, "mt76_csa_check" },
	{ 0xe7620c70, "mt76_tx_status_skb_add" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb00c0a33, "mt76u_single_wr" },
	{ 0xdd14758b, "__mt76_tx_complete_skb" },
	{ 0xe5ea72fb, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa166bac9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53772e09, "mt76_csa_finish" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x0feb78ad, "mt76x02_init_beacon_config" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4ac5e561, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdbf22cb9, "mt76x02_mac_write_txwi" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa4e3cf92, "mt76u_vendor_request" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc20f27b8, "mt76_skb_adjust_pad" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb8ad3b4d, "mt76x02_mac_set_beacon" },
	{ 0xb5159fd7, "hrtimer_active" },
	{ 0xa2712020, "__mt76_poll" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "1E940FD4B27C7133C6205C5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
