#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x4c7185f7, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xbd2fc069, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x5ba160b5, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x35af71a5, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x3902888d, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xe7bc5d63, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x57da1ffe, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0x6593867e, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x063eb651, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xf62cf94a, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x2ad32c30, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0x9f2554bf, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x87a39856, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0x2e18d738, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xbf7f09ae, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x08406306, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xe6fbad75, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xbf2f60d6, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x9b6dc9c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6ff98ae, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xcd06708e, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xc86236c2, "mt76_update_channel" },
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xca071d22, "mt792x_init_wcid" },
	{ 0x6ab491a2, "mt792x_init_acpi_sar" },
	{ 0xad13799e, "mt76_init_sar_power" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x5b24b117, "ieee80211_iterate_interfaces" },
	{ 0x69136b18, "mt792x_stop" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0xc618a6be, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xf8b6839c, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xa076efbc, "ieee80211_chswitch_done" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbc3290eb, "mt76_find_channel_node" },
	{ 0xc6c90a3b, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xe37b3098, "mt792x_tx_worker" },
	{ 0xdfeb6c60, "mt792x_flush" },
	{ 0x73ca06b7, "mt792x_rx_get_wcid" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0xa3e9a2a1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x10b9eddf, "mt76_connac_mcu_set_channel_domain" },
	{ 0xb50abcca, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6b8e58d5, "mt76_release_buffered_frames" },
	{ 0x0e454536, "request_firmware" },
	{ 0x1754efbc, "mt76_get_txpower" },
	{ 0xe7620c70, "mt76_tx_status_skb_add" },
	{ 0xfab16233, "mt76_connac_pm_wake" },
	{ 0xfd1c2129, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x2d28fe3e, "mt792x_pm_wake_work" },
	{ 0x26d09e36, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x16b4c206, "mt76_wake_tx_queue" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7520668a, "mt76_connac_mcu_chip_config" },
	{ 0x87f923ac, "mt76_get_antenna" },
	{ 0xed7c456f, "mt792x_set_coverage_class" },
	{ 0x49b7a787, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xdd14758b, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xea18ee66, "mt76_set_stream_caps" },
	{ 0x9c7cfc8d, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ddc866e, "mt792x_mac_work" },
	{ 0x0b8a547b, "mt76_connac_mcu_update_arp_filter" },
	{ 0xd617fbfc, "mt76_connac2_tx_check_aggr" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x1667987d, "mt76_mcu_rx_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0xafea612e, "mt76_wcid_init" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x8995a463, "mt76_connac_free_pending_tx_skbs" },
	{ 0xf15fcc76, "mt792x_sta_statistics" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xb711c5ca, "mt76_connac_power_save_sched" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x85c7bc08, "mt792x_conf_tx" },
	{ 0x0947a2b0, "cfg80211_reg_check_beaconing" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89cf113f, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x182b4067, "mt792x_get_et_sset_count" },
	{ 0xe1ea253f, "mt76_wcid_add_poll" },
	{ 0x28217e48, "mt76_connac_mcu_set_mac_enable" },
	{ 0x15a312d3, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x7bf23c38, "mt792x_init_acpi_sar_power" },
	{ 0xc9880282, "mt792x_set_wakeup" },
	{ 0x7f791ae9, "mt76_wcid_key_setup" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeae649da, "mt76_rx" },
	{ 0xa0ea6270, "mt792x_load_firmware" },
	{ 0xe13c15a8, "mt76_connac_mcu_sched_scan_req" },
	{ 0xd980e12c, "mt792x_get_et_stats" },
	{ 0x07b78795, "mt76_connac2_txwi_free" },
	{ 0x793efb94, "__tracepoint_lp_event" },
	{ 0x7a3fe37b, "mt76_connac_mcu_uni_add_bss" },
	{ 0x54549645, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xc83ab787, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x86458f35, "mt76_register_device" },
	{ 0xdec85206, "mt792x_get_stats" },
	{ 0xef57b794, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x71281843, "mt792x_mac_set_timeing" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xab8d1bad, "mt76_find_power_limits_node" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x43910095, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb46ac8e5, "ieee80211_beacon_get_template" },
	{ 0xf6d56d17, "mt792x_pm_stats" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x67caf837, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4ac5e561, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x95d6c637, "mt792x_csa_timer" },
	{ 0xea56ba9b, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf50ccfcd, "devm_hwmon_device_register_with_groups" },
	{ 0xe6cf2524, "cfg80211_chandef_usable" },
	{ 0xb9c6309d, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb3d8f469, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xff52a2dc, "mt792x_tx" },
	{ 0x1dcc8205, "mt792x_get_et_strings" },
	{ 0x41aef26d, "mt76_sta_state" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x0ac6ec41, "mt792x_remove_interface" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2c13d3e, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xf0e53dd2, "mt792x_queues_read" },
	{ 0xdfd1f824, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x0cc4a489, "wiphy_rfkill_start_polling" },
	{ 0xcffd7917, "mt792x_queues_acq" },
	{ 0xba8a9592, "ieee80211_sched_scan_results" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x78fbdac1, "mt792x_config_mac_addr_list" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x882bb53e, "mt76_insert_ccmp_hdr" },
	{ 0x6c4e500e, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x38d706f7, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xfc2682b2, "mt792x_tx_stats_show" },
	{ 0xcd616daa, "mt792x_acpi_get_mtcl_conf" },
	{ 0xdc2d431a, "mt76_rx_aggr_start" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xb4511fa7, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x77ad5b09, "mt792x_mac_init_band" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xc20f27b8, "mt76_skb_adjust_pad" },
	{ 0x08b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xfdefaa82, "mt792x_init_wiphy" },
	{ 0xd73f5207, "mt76_connac_sta_state_dp" },
	{ 0x505f0e0b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x45b28ab9, "mt76_queues_read" },
	{ 0x507e9582, "mt76_sta_pre_rcu_remove" },
	{ 0x8940afcd, "mt76_register_debugfs_fops" },
	{ 0x4ecd6fe8, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xabbda4f9, "mt76_connac2_mac_write_txwi" },
	{ 0x9febb659, "__mt76_set_tx_blocked" },
	{ 0x5244df09, "mt76_connac_mcu_sta_ba" },
	{ 0x47f69d9b, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x520ad284, "ieee80211_queue_work" },
	{ 0xce6fd9c0, "mt792x_mac_reset_counters" },
	{ 0x3ab79240, "napi_consume_skb" },
	{ 0xa2712020, "__mt76_poll" },
	{ 0x0fcd9811, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0x53c3f6e7, "mt76_connac_mcu_add_key" },
	{ 0xf4740944, "mt792x_unassign_vif_chanctx" },
	{ 0x0a144b66, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6297fe6f, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x991b83f3, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,mt792x-lib,cfg80211");


MODULE_INFO(srcversion, "D5A7FC759977B83987E6967");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
