#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x38445d9c, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xf32b9e1c, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x0c76936d, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x3d1696a0, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xdfe866e4, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x99d17d99, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x37b3c92a, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x90d0f677, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xce83b396, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xc9924d92, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xf21cb402, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xfded59a9, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x7db6789a, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xae5e7e68, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x0dc9ac48, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x94450bfc, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xf087ab47, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x23c4b455, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x2fe48402, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xf71ec669, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xadeb7ce1, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xe63b1870, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x2a2b2ca1, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xaaceced7, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x25165169, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x982b2579, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x58ba2a78, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x74aa2daf, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x61fc12e4, "_gpl");
SYMBOL_CRC(rt2800_config, 0x6a6ca605, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x75fcd007, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x01d365f5, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xaf0cc6ff, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x37f087c2, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x7b78fcb7, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xda98d974, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xfe8c3555, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x0c7b3ff4, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x382b91f4, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x0c7ad9e4, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x4c5155e5, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xd5a09c52, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x08897efb, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xa35824a9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x26d22f7b, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd483a157, "rt2x00lib_txdone" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xe1c08d45, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x332b509c, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf1e20645, "rt2x00mac_conf_tx" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x75442ac2, "__skb_pad" },
	{ 0xd15c99f1, "rt2x00lib_txdone_noinfo" },
	{ 0x7be5bcf9, "ieee80211_restart_hw" },
	{ 0x74e891ff, "skb_pull" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x3a8123e4, "rt2x00lib_set_mac_address" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
