#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x6c47f44f, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x95637fdb, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x1d1a8537, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x90b5a113, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0xf027b40c, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x12be79a0, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x310ad9da, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x96a91f14, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x09f73bb7, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x04fda409, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x5cc2f240, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x2f9f79df, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xc4cb3e76, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x4c2684e7, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x2bea763a, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x606e364d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe1c08d45, "rt2x00queue_get_entry" },
	{ 0xce83b396, "rt2800_process_rxwi" },
	{ 0x4b76200e, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdfe866e4, "rt2800_get_txwi_rxwi_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x3d1696a0, "rt2800_disable_wpdma" },
	{ 0x0c76936d, "rt2800_wait_wpdma_ready" },
	{ 0x37f087c2, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf21cb402, "rt2800_txdone" },
	{ 0xae5e7e68, "rt2800_txdone_nostatus" },
	{ 0xfded59a9, "rt2800_txstatus_timeout" },
	{ 0x7db6789a, "rt2800_txstatus_pending" },
	{ 0x0c7b3ff4, "rt2800_probe_hw" },
	{ 0x8ebbe46d, "rt2x00lib_pretbtt" },
	{ 0x6a6ca605, "rt2800_config" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x92ec4c58, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
