#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtl_usb_probe, "", "");
KSYMTAB_FUNC(rtl_usb_disconnect, "", "");
KSYMTAB_FUNC(rtl_usb_suspend, "", "");
KSYMTAB_FUNC(rtl_usb_resume, "", "");

SYMBOL_CRC(rtl_usb_probe, 0xf8a3d1d0, "");
SYMBOL_CRC(rtl_usb_disconnect, 0x44f4210c, "");
SYMBOL_CRC(rtl_usb_suspend, 0x2b0986f5, "");
SYMBOL_CRC(rtl_usb_resume, 0xb13886dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x1a5acc3c, "usb_anchor_urb" },
	{ 0x7377bbb6, "rtl_beacon_statistic" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x86210e3c, "skb_put" },
	{ 0xfd9cc8d6, "usb_alloc_coherent" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xa4671008, "_rtl_dbg_print" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb0b80190, "rtl_ops" },
	{ 0x8f54011e, "ieee80211_tx_status_irqsafe" },
	{ 0xb97cba3c, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x29b96918, "rtl_update_beacon_work_callback" },
	{ 0x8f05cb4c, "usb_get_dev" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xc45bed4d, "rtl_init_sw_leds" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1fca914c, "usb_free_coherent" },
	{ 0x74e891ff, "skb_pull" },
	{ 0xb59255c9, "rtl_init_rx_config" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xf8ff6add, "rtl_lps_change_work_callback" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0x7730b2d7, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe5395cb5, "rtl_init_core" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x06b1c057, "usb_unanchor_urb" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x1b517f4b, "usb_get_from_anchor" },
	{ 0x0fad0ae8, "rtl_deinit_core" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0xc5482c4b, "rtl_deinit_deferred_work" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x599acd37, "ieee80211_rx_napi" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rtlwifi,mac80211");


MODULE_INFO(srcversion, "0D3F1A1DFA08849609DA346");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
