#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_phy_rpt_be, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_set, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_clr, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_ant_gain_pwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xc97c3b45, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xce65d0e5, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x13331968, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x9869eea5, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x453f2728, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x42615409, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x54159c2d, "");
SYMBOL_CRC(rtw89_core_rx, 0x1eb5edac, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x3a7442eb, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x8bfe16b7, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x92ef40ac, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x76035bea, "");
SYMBOL_CRC(rtw89_check_quirks, 0x74678ed5, "");
SYMBOL_CRC(rtw89_core_init, 0x6fcf30e5, "");
SYMBOL_CRC(rtw89_core_deinit, 0xb312215e, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x2d5e4d7b, "");
SYMBOL_CRC(rtw89_core_register, 0xbd446f65, "");
SYMBOL_CRC(rtw89_core_unregister, 0x640bf3dd, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x7bbe9d9e, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xbf8dfa7b, "");
SYMBOL_CRC(rtw89_ops, 0xf816d888, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x0a23f9d7, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x5fb9cf75, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x26a38b10, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xaf1066fd, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x70930b6f, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x5244a60b, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xb47a99f3, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x4b2d0342, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xc45f3276, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x5d1da12f, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x7fde4463, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xb439780e, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x3389746e, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x6f5a1424, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x432c5479, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x7030a02c, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x0c48d136, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x09f500d0, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0xde98d1fd, "");
SYMBOL_CRC(rtw89_mac_cfg_phy_rpt_be, 0xa162a2f5, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0xb1623b7a, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xdd2d78da, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x98b5e8fe, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x08104957, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x464a480b, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xdfa7c282, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x3621067c, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xc8fae116, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x5d8aac78, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xe076bf94, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x332a0361, "");
SYMBOL_CRC(rtw89_phy_write32_idx_set, 0xf8493508, "");
SYMBOL_CRC(rtw89_phy_write32_idx_clr, 0xea745799, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x9b896c8c, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xc51ab9c8, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x3c0ea045, "");
SYMBOL_CRC(rtw89_phy_ant_gain_pwr_offset, 0x01027c84, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xdada264b, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x8501aaa4, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xdf8188ca, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xbf8e0886, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x2aa07969, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x21a4d51a, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x768ff6a7, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x9b91cf7c, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xc9332171, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x79f84e27, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xd59586b2, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x99317273, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xf4ea9017, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xe35ec552, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x9685161c, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x54d8b1b2, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0xd86ea6bb, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x5306e81b, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xc655e491, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x735b6bd1, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x4029dd4c, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x38b2d8b1, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x790ec4a8, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x1dc90920, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x6720c844, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x7deda268, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x685995af, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xd73ecc42, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x6bc210e9, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xf812a994, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x3dc0ae70, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xf7135f6a, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x2b8f8616, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x6b4aace4, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xd5ee03ef, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0xf1060223, "");
SYMBOL_CRC(rtw89_ser_notify, 0x6826e294, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f296547, "ieee80211_stop_tx_ba_session" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x04d82296, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x945566e7, "__ieee80211_schedule_txq" },
	{ 0x127d5258, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6e98c5a2, "cfg80211_bss_iter" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x93a39d4c, "ieee80211_probereq_get" },
	{ 0xfca0a240, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x0e454536, "request_firmware" },
	{ 0xa0e9f001, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x462f0c98, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xed1a3b58, "ieee80211_nullfunc_get" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x7f8c7089, "ieee80211_pspoll_get" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0x768d96f0, "ieee80211_emulate_change_chanctx" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7be5bcf9, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xb9784e55, "ieee80211_set_key_rx_seq" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0x519b67cd, "ieee80211_gtk_rekey_add" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x7c1c4340, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x3098eee7, "free_netdev" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x2865fdaa, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9fd3ecd, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x82adbc38, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xd91ed334, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xecbafbfd, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xb248e823, "skb_unlink" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0xe2c13d3e, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x0cc4a489, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6bb5618c, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc197eeb8, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a90b06b, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x08b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x520ad284, "ieee80211_queue_work" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0x0b67e7d9, "ieee80211_sta_ps_transition" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x186291f1, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x599acd37, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "CAF7692A57BCB507CFB06ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
