#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xaa03739c, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xec4fa388, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xb87fb928, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x9707bebc, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xaaf33a4d, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x2164e35b, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x705d91cb, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xcd433bd0, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x9c7a4940, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x03bd7c7d, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x159beb8e, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x4c42f17f, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xf0ebfecf, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x6ec98595, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xd6c3e55a, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x811e7613, "");
SYMBOL_CRC(rtw89_pm_ops, 0xe2c1a3b8, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0xeea88e00, "");
SYMBOL_CRC(rtw89_pci_probe, 0x5090f9ec, "");
SYMBOL_CRC(rtw89_pci_remove, 0x998a2516, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x9d35267b, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x06ae7bfa, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x13825c45, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7bbe9d9e, "rtw89_alloc_ieee80211_hw" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x93040ffb, "pci_iomap" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92ef40ac, "rtw89_core_napi_init" },
	{ 0x640bf3dd, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x3a7d21e4, "ieee80211_tx_status_skb" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x6fcf30e5, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74678ed5, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x76035bea, "rtw89_core_napi_deinit" },
	{ 0x420eabe4, "mem_section" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xbf8dfa7b, "rtw89_free_ieee80211_hw" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3a7442eb, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6826e294, "rtw89_ser_notify" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x4aac931b, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xb248e823, "skb_unlink" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0xbd446f65, "rtw89_core_register" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x1eb5edac, "rtw89_core_rx" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb312215e, "rtw89_core_deinit" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8bfe16b7, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d5e4d7b, "rtw89_chip_info_setup" },
	{ 0x0a23f9d7, "rtw89_mac_get_err_status" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "00866704F62F67B8680AC87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
