#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0xc2be5418, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xaa1a5349, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x56d99019, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x6d36e2f3, "_gpl");
SYMBOL_CRC(wlcore_remove, 0xd3d8c41b, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x1d15d4f9, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xc1f657dc, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xbea02645, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x73337af2, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x8e951c70, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x5b4f4fa0, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x8a396aaa, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x8685c4f4, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xfad80a83, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xcc3ec32f, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x2932e549, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xddfd427f, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x1be2d692, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x6459b821, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xf110487a, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xd87f2a06, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x8bd18490, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xa835aeb3, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x177c91b2, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x125a4bff, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x17d3fa37, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x80130a2e, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x7994faa7, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x43a253ef, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0xebf46ae9, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xe82a8e64, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xa1bac64a, "");
SYMBOL_CRC(wlcore_tx_complete, 0x4183a922, "");
SYMBOL_CRC(wl1271_tx_flush, 0x0cfbeaaf, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x9b77d4b0, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x4f92da31, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x6a93efc2, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xb4d4f11c, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x5cba4650, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x725b4003, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xe8415613, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xcc8cec6f, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xa83031cd, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0xc1db71fa, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xddcd49a6, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xb8cefa54, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xfaee883f, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x06418db8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b24b117, "ieee80211_iterate_interfaces" },
	{ 0x740dcf20, "ieee80211_sched_scan_stopped" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa076efbc, "ieee80211_chswitch_done" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x93a39d4c, "ieee80211_probereq_get" },
	{ 0x0e454536, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfa0aec73, "ieee80211_ap_probereq_get" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xed1a3b58, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x7f8c7089, "ieee80211_pspoll_get" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7be5bcf9, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0x4d0aea9e, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8af6c452, "ieee80211_stop_rx_ba_session" },
	{ 0x22abc89a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe5a64d00, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3a7d21e4, "ieee80211_tx_status_skb" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf2c15984, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0xad5a6bf0, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x934b9c45, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0xd569cab9, "ieee80211_proberesp_get" },
	{ 0x11ac2d07, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe13e1300, "request_firmware_nowait" },
	{ 0x946d6020, "simple_open" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x34b9c070, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xe4e81238, "no_seek_end_llseek" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2e750209, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9fd3ecd, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfa83464a, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x279e2017, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x999e8297, "vfree" },
	{ 0xba8a9592, "ieee80211_sched_scan_results" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc1ad84d2, "dev_pm_clear_wake_irq" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x420aa8a4, "pm_runtime_force_resume" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc197eeb8, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x08b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x520ad284, "ieee80211_queue_work" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x0b67e7d9, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xd6ffafa8, "pm_runtime_force_suspend" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x27dc00a8, "device_remove_bin_file" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xc440ae57, "ieee80211_csa_finish" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0x599acd37, "ieee80211_rx_napi" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "103710E8A4B6A1EBBE1D93B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
