#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x49bf24c0, "");
SYMBOL_CRC(ntb_unregister_client, 0xb1deff91, "");
SYMBOL_CRC(ntb_register_device, 0x19e788ea, "");
SYMBOL_CRC(ntb_unregister_device, 0xbbbd4e3e, "");
SYMBOL_CRC(ntb_set_ctx, 0xea970cb9, "");
SYMBOL_CRC(ntb_clear_ctx, 0x3072202c, "");
SYMBOL_CRC(ntb_link_event, 0x398c6f17, "");
SYMBOL_CRC(ntb_db_event, 0x2fe894e2, "");
SYMBOL_CRC(ntb_msg_event, 0x5ab5d234, "");
SYMBOL_CRC(ntb_default_port_number, 0xd40b640a, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xb2efa1c6, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x63fa669f, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xd8d57a99, "");
SYMBOL_CRC(ntb_msi_init, 0x80b0a3e1, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x96bbb575, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x29cdb856, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xc7ae4904, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xda528abf, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x657f4a4e, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xb09e377a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x5ac83f56, "devm_iounmap" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa7eba670, "devres_destroy" },
	{ 0x64cee462, "msi_unlock_descs" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1decca27, "msi_lock_descs" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5969ad9f, "device_register" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x725784f4, "msi_domain_first_desc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4c48efcb, "msi_next_desc" },
	{ 0xe5515291, "driver_register" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
