#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_keyring_id, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_key_lookup, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_psk_default, "_gpl", "");

SYMBOL_CRC(nvme_keyring_id, 0x3b4f593f, "_gpl");
SYMBOL_CRC(nvme_tls_key_lookup, 0x04481e11, "_gpl");
SYMBOL_CRC(nvme_tls_psk_default, 0xa6fb5ad7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf13ad599, "user_destroy" },
	{ 0x7c9e10ab, "user_revoke" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd169cfa5, "unregister_key_type" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0x037a0cba, "kfree" },
	{ 0x0c326f91, "register_key_type" },
	{ 0xc1daf90a, "keyring_alloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x070f7896, "_printk" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xfdb2d12d, "key_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5152e605, "memcmp" },
	{ 0xf6658b15, "key_revoke" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeca81c6c, "keyring_search" },
	{ 0x663ffccd, "user_read" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0x3e6553b8, "generic_key_instantiate" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xe05fe95f, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0xed40a046, "key_lookup" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4E25348E4426459CBA5D348");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
