#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dead_socket, "", "");
KSYMTAB_DATA(pcmcia_socket_list, "", "");
KSYMTAB_DATA(pcmcia_socket_list_rwsem, "", "");
KSYMTAB_FUNC(pcmcia_get_socket, "", "");
KSYMTAB_FUNC(pcmcia_put_socket, "", "");
KSYMTAB_FUNC(pcmcia_register_socket, "", "");
KSYMTAB_FUNC(pcmcia_unregister_socket, "", "");
KSYMTAB_FUNC(pcmcia_get_socket_by_nr, "", "");
KSYMTAB_FUNC(pcmcia_parse_events, "", "");
KSYMTAB_FUNC(pcmcia_parse_uevents, "", "");
KSYMTAB_FUNC(pccard_register_pcmcia, "", "");
KSYMTAB_FUNC(pcmcia_reset_card, "", "");
KSYMTAB_DATA(pcmcia_socket_class, "", "");

SYMBOL_CRC(dead_socket, 0xcf97f3bd, "");
SYMBOL_CRC(pcmcia_socket_list, 0x212db8d2, "");
SYMBOL_CRC(pcmcia_socket_list_rwsem, 0xc7b87106, "");
SYMBOL_CRC(pcmcia_get_socket, 0xd57749e0, "");
SYMBOL_CRC(pcmcia_put_socket, 0x3d03490d, "");
SYMBOL_CRC(pcmcia_register_socket, 0x91fd4df4, "");
SYMBOL_CRC(pcmcia_unregister_socket, 0x170bd972, "");
SYMBOL_CRC(pcmcia_get_socket_by_nr, 0x32c985e9, "");
SYMBOL_CRC(pcmcia_parse_events, 0x1e6e1ee2, "");
SYMBOL_CRC(pcmcia_parse_uevents, 0x84839926, "");
SYMBOL_CRC(pccard_register_pcmcia, 0x0a1bcca8, "");
SYMBOL_CRC(pcmcia_reset_card, 0xb8d5d712, "");
SYMBOL_CRC(pcmcia_socket_class, 0x4739fc53, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9c4e8413, "pci_bus_size_bridges" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x037a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdf636def, "get_device" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xdce3c040, "pci_scan_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x069a56e9, "pci_scan_slot" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2d44f366, "pci_bus_add_devices" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7bb86352, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5969ad9f, "device_register" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0xeba885d2, "pci_bus_assign_resources" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51fd497d, "pci_fixup_cardbus" },
	{ 0x1e82a104, "pci_stop_and_remove_bus_device" },
	{ 0x6fbc4ca8, "pci_set_cacheline_size" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x29f3a126, "up_read" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72102893727F91370AFFE49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
