#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xf0de93a6, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x23504943, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x037a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x94b6888f, "__platform_create_bundle" },
	{ 0x070f7896, "_printk" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xe6df65e3, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x7722dba8, "single_open" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x9c8d705f, "led_classdev_notify_brightness_hw_changed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xb880a7b6, "pci_find_bus" },
	{ 0xcf2d7f17, "pci_bus_read_config_dword" },
	{ 0x579770b8, "pci_get_slot" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x1e82a104, "pci_stop_and_remove_bus_device" },
	{ 0x7198ba0f, "pci_scan_single_device" },
	{ 0xeba885d2, "pci_bus_assign_resources" },
	{ 0x9e8fd318, "pci_bus_add_device" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xa2f29e6e, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xc7e60426, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x3389c7f0, "backlight_device_unregister" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x0bacfc80, "battery_hook_unregister" },
	{ 0x751db160, "input_event" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x6e19a9b1, "sparse_keymap_report_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9071c15b, "backlight_force_update" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x7f01b76a, "input_set_capability" },
	{ 0x046fd637, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x065b4695, "wmi_get_acpi_device_uid" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0x0fb73d34, "sparse_keymap_setup" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xa6ad5d98, "devm_platform_profile_register" },
	{ 0x938abf97, "input_register_device" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0xf50ccfcd, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0x0eef6172, "backlight_device_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x1fe6da35, "i8042_install_filter" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xc8ed0b25, "debugfs_create_x32" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe94f1a49, "__pci_hp_register" },
	{ 0x6afd3021, "pci_get_device" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0x2685434b, "battery_hook_register" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xdda430b4, "single_release" },
	{ 0x44643231, "device_show_string" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "5CF3CD9B2A7343891C92C5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
