#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x7722dba8, "single_open" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xcfbd8968, "seq_write" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x5b7049cf, "__wmi_driver_register" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0x74da739e, "wmi_driver_unregister" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x3389c7f0, "backlight_device_unregister" },
	{ 0x037a0cba, "kfree" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x50beba08, "device_remove_groups" },
	{ 0x9c8d705f, "led_classdev_notify_brightness_hw_changed" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x6e19a9b1, "sparse_keymap_report_event" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4292364c, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe6df65e3, "platform_profile_notify" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x4fdee897, "i8042_command" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x9071c15b, "backlight_force_update" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd9693b0d, "device_add_groups" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0x0fb73d34, "sparse_keymap_setup" },
	{ 0x938abf97, "input_register_device" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa6ad5d98, "devm_platform_profile_register" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x046fd637, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x0eef6172, "backlight_device_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xdda430b4, "single_release" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "wmi,rfkill,sparse-keymap,platform_profile,video");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "D4A5437932B7E28471C623D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
