#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xbec758cf, "");
SYMBOL_CRC(fc_host_post_event, 0x8a400d34, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xd25185c9, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xbe0b270b, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x7cea8320, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x0261b0a7, "");
SYMBOL_CRC(fc_eh_timed_out, 0x27aefa8a, "");
SYMBOL_CRC(fc_attach_transport, 0x43be3ec9, "");
SYMBOL_CRC(fc_release_transport, 0xc5a8251d, "");
SYMBOL_CRC(fc_remove_host, 0x2d2b851c, "");
SYMBOL_CRC(fc_remote_port_add, 0x9778235a, "");
SYMBOL_CRC(fc_remote_port_delete, 0x5f969027, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x16d43fbf, "");
SYMBOL_CRC(fc_block_rport, 0xfd811245, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xe654cedf, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x5724ac45, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x2776c159, "");
SYMBOL_CRC(fc_vport_terminate, 0xca267382, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2e60bace, "memcpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xee36f5df, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x070f7896, "_printk" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0xde0cc043, "transport_class_register" },
	{ 0xe4dbe136, "transport_class_unregister" },
	{ 0x00e641d9, "scsi_nl_sock" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xf1c24f3a, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x2bc95bd4, "memset" },
	{ 0x24eeed4c, "netlink_broadcast_filtered" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x47b9fa06, "scsi_init_limits" },
	{ 0x40b006fd, "bsg_setup_queue" },
	{ 0x2f3d4a21, "blk_queue_rq_timeout" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x9100917c, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0770680e, "attribute_container_unregister" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x09284475, "scsi_host_get" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xdf636def, "get_device" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x42d8c073, "transport_setup_device" },
	{ 0x37e4a860, "device_add" },
	{ 0xc337183a, "transport_add_device" },
	{ 0xf06f59de, "transport_configure_device" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0x448fee04, "_dev_printk" },
	{ 0xc3b9a261, "transport_remove_device" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x2d275913, "transport_destroy_device" },
	{ 0x76f06cf6, "scsi_host_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xc91bd05f, "attribute_container_register" },
	{ 0xda7e8a05, "scsi_flush_work" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0xe462c0ea, "bsg_remove_queue" },
	{ 0x0f1581d8, "scsi_target_unblock" },
	{ 0x4b48c99e, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6ef6309b, "scsi_is_target_device" },
	{ 0x4d6f4982, "scsi_block_targets" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x94935a5e, "scsi_queue_work" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x48b05a65, "bsg_job_get" },
	{ 0xeefea632, "blk_mq_end_request" },
	{ 0xeb236029, "bsg_job_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcbc3dba9, "blk_mq_run_hw_queues" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x4e7944b3, "bsg_job_done" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
