#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xcfe8d698, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x8d81f7f8, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x9e69f8ee, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x5cfe122c, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x294f4a4f, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x2fce97fc, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x1bb46d07, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x6875afee, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x0ce3c892, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0xb9c336d3, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xad8dc44d, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x7b201486, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x3277eb57, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x9714ec44, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x67d800fe, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xa4c544bd, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x4917542a, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x9acf6b8c, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x2724c3b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e60bace, "memcpy" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x37e4a860, "device_add" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xb06b709f, "of_device_uevent_modalias" },
	{ 0x137f1cc7, "device_match_of_node" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0xe5515291, "driver_register" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xb709e456, "bus_register" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0x8e63f1e8, "device_del" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xa0835a0b, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4ea226c7, "of_get_next_available_child" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x86c43fe5, "device_set_node" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "685E0351E165493F1D75B73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
