#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x8dd6a774, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x5d40dcdc, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0xe15a107a, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0xd9cd68f8, "_gpl");
SYMBOL_CRC(tee_device_register, 0xdcbdf9ec, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x8b280d5e, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x30887b3f, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xce0def39, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xc02d59ce, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x5125ed91, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x1f36d720, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x4dbb76ed, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x09884668, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x64515fd3, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x27789eb7, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x754f3001, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x88b72b05, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x5d012fbf, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0xcf22c2ba, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xd12d85a8, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x6ac2f48d, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xa29eec0b, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x24f3a45a, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x47a4aaca, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x94825ef6, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xe21b1725, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x49d1a9f8, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xb3d4df16, "unpin_user_pages" },
	{ 0xb5204538, "remap_pfn_range" },
	{ 0x037a0cba, "kfree" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xfc1e6744, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93ac82d5, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x7c680bf6, "iov_iter_extract_pages" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0xf1e7907e, "crypto_shash_update" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd98a518a, "alloc_pages_exact_noprof" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc7e44959, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x7a2579e4, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0x02ee26c1, "free_pages_exact" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x2edb3766, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xddf969ad, "iov_iter_npages" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xd3f1217a, "cdev_init" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
