#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x84497baa, "usbatm_usb_disconnect" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0x037a0cba, "kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x92b57248, "flush_work" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4292364c, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x136950c3, "usb_ifnum_to_if" },
	{ 0xa1d28d18, "usb_driver_claim_interface" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0x0e454536, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa166bac9, "usb_bulk_msg" },
	{ 0x5b6d5e9b, "kernel_param_lock" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd7e4453d, "kernel_param_unlock" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x73b3e08d, "crc32_be_arch" },
	{ 0x47428d80, "usb_reset_device" },
	{ 0xe13e1300, "request_firmware_nowait" },
	{ 0x1a89cfab, "usbatm_usb_probe" },
	{ 0xfcb64616, "atm_dev_signal_change" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x932083e6, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x82614f95, "usb_set_interface" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8129CE057C6C61D57F29ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
