#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_connect_type, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x315e578e, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0xdde517b0, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x431f421e, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x136950c3, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0xc5b3d02e, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xc0284db8, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x42f5a271, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0xfd8b1fc3, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x8f05cb4c, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xb97cba3c, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xad5338ad, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xff63f5fb, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x3d6e7745, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x9beb8f5d, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0xe1b7a7a9, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0x4cf24332, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0xfd9cc8d6, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x1fca914c, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x82618415, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x95ecda66, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0xe8646a54, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x90389cdf, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xc74ecb7f, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x0cd15307, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x9f231e90, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x95df1196, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x7158698d, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x5dd13631, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x05f7289f, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x03ec3a95, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x0f0b2799, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0xf576524d, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x0ba4ef84, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x47428d80, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x934530e7, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x027ea715, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe7740ac6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xb0c9a21e, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0xb67e4c60, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x67b8f047, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x523779e5, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xd0dad150, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x5a3ed29d, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x5dc3aab2, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x4972614a, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x3d488521, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xb6c5db56, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x63468936, "_gpl");
SYMBOL_CRC(usb_free_streams, 0xf41df4a7, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x371db4fe, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x25ca78c9, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0xfd95ac0f, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x89d5797c, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x06e6ca91, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x327c2c9d, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x86bc9499, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x47d1c40d, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xfd051173, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xe5e46a05, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x42364838, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xa2687f7f, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x8ccaf515, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x5d0a361c, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x004450c4, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x383ffe28, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x59a21d81, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xc3fefc7e, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x1a5acc3c, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x06b1c057, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x33a08452, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x627de429, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x96df0ec7, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x1e8d8ed3, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0xa170fb0e, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x262b0f6c, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xe061802c, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x92eb1e49, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x1b517f4b, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xee813f91, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0xd1dfa21e, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xc2b9c8a9, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xf6744e2c, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xa166bac9, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x853e9b6b, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0xc8ca5a4b, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x755f5959, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x337b7c82, "_gpl");
SYMBOL_CRC(usb_string, 0x932083e6, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xee0f886c, "_gpl");
SYMBOL_CRC(usb_get_status, 0x1ae11e24, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x03b36b5d, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x3a48d19b, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x82614f95, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x5e1042f3, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xf8ba914b, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0xc5f32588, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xa0baaf17, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x1164f6a0, "");
SYMBOL_CRC(usb_store_new_id, 0xceaeb231, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x390c0aba, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xa1d28d18, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0xe6dcd445, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xdc15d9c9, "_gpl");
SYMBOL_CRC(usb_match_id, 0xb7791b40, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x2669c00b, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x5cfe2d94, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x1e3f8410, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x5ef6921d, "_gpl");
SYMBOL_CRC(usb_deregister, 0x2708126d, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x8fb4e9ff, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0xc4ce03e5, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xdd5b8efe, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x84dcc088, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x99251f17, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x96df04de, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x66d22ec0, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x9ec4dd34, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xb2101152, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x4e71e7de, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x03e612a3, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x6d3358e0, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xca719cf9, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x6e286aa0, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x3d1a3f29, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0x0a1817c8, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0x6610d39e, "_gpl");
SYMBOL_CRC(usb_of_get_connect_type, 0x0c7b6ec8, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0x47f0e267, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x21b81d90, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0xbe2c584b, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x01f25611, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x907f55af, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x4fa5261a, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xf060c5eb, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0xf38b3dae, "_gpl");
SYMBOL_CRC(onboard_dev_create_pdevs, 0x6c005276, "_gpl");
SYMBOL_CRC(onboard_dev_destroy_pdevs, 0x4a71e5f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb845d69b, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x114e7163, "of_platform_device_create" },
	{ 0xf6c197bb, "device_set_of_node_from_dev" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0xd394d49b, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x512dbe7e, "devm_memremap" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8235805b, "memmove" },
	{ 0x86fd456f, "of_find_device_by_node" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xab9312ef, "param_get_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8cb18263, "dmam_alloc_attrs" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x412d46ca, "driver_remove_file" },
	{ 0xf9249535, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xb6ea1d2f, "driver_attach" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6afd3021, "pci_get_device" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x263a8de4, "devm_of_phy_get" },
	{ 0x401f6ef2, "of_graph_is_present" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x98ab1299, "sysfs_unbreak_active_protection" },
	{ 0xc8a95538, "pci_dev_run_wake" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xe7b088d8, "pci_prepare_to_sleep" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9c348b8c, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9124b848, "component_del" },
	{ 0xb5204538, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xcbfdd847, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8a1cc52a, "acpi_find_child_by_adr" },
	{ 0x889f465f, "of_graph_get_remote_port_parent" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3be4d1a6, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6e5abec7, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x042d71d5, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbad167f5, "of_graph_get_endpoint_by_regs" },
	{ 0x27a1c2af, "__put_cred" },
	{ 0x5065b047, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xb7d0e4d0, "gen_pool_dma_alloc" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97f190de, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xad5a6bf0, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa2c79df5, "device_reprobe" },
	{ 0x868fda6f, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0x1c6c2cb4, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe130d676, "debugfs_lookup_and_remove" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x9c0b3cdb, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xd9a7f3e2, "phy_exit" },
	{ 0xb7d76f6d, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xcf0a8ceb, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x376c05b2, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x934b9c45, "device_wakeup_disable" },
	{ 0xe7c1ea6b, "cdev_add" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa7a07485, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x015b40d0, "sysfs_update_group" },
	{ 0x7cd855fb, "sysfs_unmerge_group" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x11ac2d07, "device_wakeup_enable" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x37e4a860, "device_add" },
	{ 0xc5eb79d1, "__of_parse_phandle_with_args" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x666f9e16, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbdf6de5f, "device_create" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x8c893f3a, "sysfs_merge_group" },
	{ 0xc1321ecf, "phy_notify_disconnect" },
	{ 0x3b92cf5c, "of_platform_device_destroy" },
	{ 0x63375326, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x89bf19ac, "kernfs_find_and_get_ns" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa38ab528, "phy_power_on" },
	{ 0xe4e81238, "no_seek_end_llseek" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x58188169, "of_match_node" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x0a891d1f, "sysfs_remove_file_from_group" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5bf3e4bd, "of_device_is_available" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5969ad9f, "device_register" },
	{ 0x795a5437, "acpi_get_physical_device_location" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xf3b2047f, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x0257f912, "system_bh_highpri_wq" },
	{ 0x1c8626da, "unregister_acpi_bus_type" },
	{ 0x5ee5b926, "device_match_devt" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x237d5d17, "pm_runtime_no_callbacks" },
	{ 0x31f63a39, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5dba206c, "devm_gen_pool_create" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xda0b6c82, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0xf92fd35e, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21705602, "fwnode_find_reference" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7f80341c, "acpi_fetch_acpi_dev" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x427962e4, "kernfs_put" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x47593e30, "inode_set_ctime_current" },
	{ 0x7765a0dc, "__register_chrdev" },
	{ 0x405218da, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x05a6459e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xffa6129a, "usb_dynids_lock" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x3cc2aaa7, "device_pm_wait_for_dev" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x19c47226, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xe454bbf2, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x00d4c500, "usb_decode_interval" },
	{ 0x78df5d51, "of_count_phandle_with_args" },
	{ 0x98cc2fff, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x92c22073, "dev_pm_qos_add_request" },
	{ 0xdfee3759, "pm_runtime_barrier" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xe5aa47c7, "usb_debug_root" },
	{ 0xd1057745, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xf7bac116, "page_address" },
	{ 0xe3566e0c, "set_primary_fwnode" },
	{ 0x65579d8a, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd737d0ac, "phy_calibrate" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x7570fc69, "dev_pm_qos_expose_flags" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x09257edf, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xea6b2627, "device_link_add" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x29f3a126, "up_read" },
	{ 0xe5515291, "driver_register" },
	{ 0xcddfc3a2, "put_pid" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd3f1217a, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc5e15f13, "devm_of_phy_get_by_index" },
	{ 0xa1f35aed, "cdev_del" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xb709e456, "bus_register" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2784f17f, "phy_init" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "12969659A126BEC8F99BFAF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
