#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x0d20bd35, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0x66a14f27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd051173, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x04572218, "pci_choose_state" },
	{ 0x42364838, "usb_remove_hcd" },
	{ 0x47d1c40d, "usb_put_hcd" },
	{ 0xbe2c584b, "usb_hcd_pci_remove" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0x91658a7f, "xhci_init_driver" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x08ee17f6, "xhci_stop" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x5d16a0aa, "xhci_suspend" },
	{ 0x3ea68b61, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6f5edcff, "xhci_update_hub_device" },
	{ 0xf060c5eb, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x01be37e2, "xhci_run" },
	{ 0xfc2cb291, "xhci_dbg_trace" },
	{ 0x738803e6, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53c255fb, "xhci_gen_setup" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0xeaebe197, "pci_set_mwi" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xced62b04, "__tracepoint_xhci_dbg_init" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd2f1f79c, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x28997ba1, "xhci_resume" },
	{ 0x7ddb2ce4, "usb_enable_intel_xhci_ports" },
	{ 0x30beed52, "__devm_reset_control_get" },
	{ 0x21b81d90, "usb_hcd_pci_probe" },
	{ 0x06e6ca91, "usb_create_shared_hcd" },
	{ 0x41139253, "xhci_ext_cap_init" },
	{ 0xe5e46a05, "usb_add_hcd" },
	{ 0x5c83eafd, "device_property_read_bool" },
	{ 0xd19182e4, "pci_clear_and_set_config_dword" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xbfdcdc76, "pci_match_id" },
	{ 0x44bd9ad7, "xhci_shutdown" },
	{ 0x01f25611, "usb_hcd_pci_shutdown" },
	{ 0x907f55af, "usb_hcd_pci_pm_ops" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "3B095B25F9A9627BBBF06E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
