#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x6df1de1c, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x0d436130, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x770436bc, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x62be52e6, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0xcce7686e, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x3afaee1b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8700fa96, "devm_platform_ioremap_resource" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x371db4fe, "usb_hcd_resume_root_hub" },
	{ 0x5a3ed29d, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdde01c3c, "param_ops_ushort" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57a1f968, "usb_get_dr_mode" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfd65610e, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xd0dad150, "usb_hcd_check_unlink_urb" },
	{ 0x934b9c45, "device_wakeup_disable" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x11ac2d07, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x523779e5, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x47d1c40d, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xf92fd35e, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xb6c5db56, "usb_hcd_giveback_urb" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x578eff81, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0c9a21e, "usb_hcd_poll_rh_status" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x327c2c9d, "usb_create_hcd" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xe5aa47c7, "usb_debug_root" },
	{ 0xd0d8621b, "strlen" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x42364838, "usb_remove_hcd" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0x4972614a, "usb_hcd_unmap_urb_for_dma" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xe5e46a05, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "97ABBD43F47A0EA73577E31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
