#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x0159c776, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0xdc5600c2, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x7c361c9b, "");
SYMBOL_CRC(usb_serial_resume, 0x04538553, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x2f8b947d, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xb911c1de, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x2a332a35, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x98e1ec8a, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x8325dad6, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x5a8a2d8f, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xbf9a39e9, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xec6c8d55, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x4216491c, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x4160c2b7, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xabc0aa91, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x9ea88db1, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x0e3245b9, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x71df440d, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xee3bd916, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xa1ffa036, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xf99fb6c7, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xf5307586, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff63f5fb, "usb_put_intf" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0xdd5b8efe, "usb_autopm_put_interface" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xdde01c3c, "param_ops_ushort" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x3fa85cd1, "tty_flip_buffer_push" },
	{ 0xb6ea1d2f, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x73795063, "tty_kref_put" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0xdc15d9c9, "usb_match_one_id" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0bd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x62094c08, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1b6542b6, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x390c0aba, "usb_show_dynids" },
	{ 0xa029a249, "tty_hangup" },
	{ 0x69dc99ff, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xad5338ad, "usb_get_intf" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe6dcd445, "usb_driver_release_interface" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xb97cba3c, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x8f05cb4c, "usb_get_dev" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x7b58e84f, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x376c05b2, "module_put" },
	{ 0xaf09a64e, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb7791b40, "usb_match_id" },
	{ 0xceaeb231, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5e95842b, "tty_ldisc_ref" },
	{ 0x3aa9237a, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbdbe866b, "__tty_insert_flip_string_flags" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf8d9ca6c, "tty_port_destroy" },
	{ 0xfd172e8a, "tty_port_init" },
	{ 0xa1d28d18, "usb_driver_claim_interface" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x262b0f6c, "usb_poison_urb" },
	{ 0xe061802c, "usb_unpoison_urb" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x1a570085, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa1446e01, "tty_ldisc_deref" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x31c0085f, "tty_port_close" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x96df04de, "usb_autopm_get_interface" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfbf2245d, "tty_register_driver" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xffa6129a, "usb_dynids_lock" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5dec8026, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xf6d152ea, "tty_port_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe5515291, "driver_register" },
	{ 0xe37c8e52, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68a6d5b5, "tty_port_tty_get" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
