#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x288e04b0, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x0a3dff62, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x8c65e8bc, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x57e339c0, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0xf92ca4ab, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xed9885a0, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x04b6c2d6, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xbe321aa4, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x0458fe13, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x5d70fbcc, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x60f8eac2, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x3e2a8610, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xbef75a60, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x96defb34, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x5c86b104, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xfec974c2, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x79def7e0, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xfd1bcf9b, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xc35419b2, "_gpl");
SYMBOL_CRC(typec_cable_put, 0xc30f6c8b, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x6f9b0cac, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xa2213c8f, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x57057123, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x8091827e, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0x1b188bc4, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x5cdf7eec, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x87f8d71d, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x12893efd, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xf9af2569, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x09d7cb99, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x00bc0ddc, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x127b162b, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x0949a563, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x7d3d2d53, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xd2a15305, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0xd2c1f827, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x1337be16, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x54756a22, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xea2d8955, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0xc56a3f15, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xd8a793cc, "_gpl");
SYMBOL_CRC(typec_register_port, 0xcff739bf, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xd2ed6868, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x34d42a11, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x835783aa, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x6a8dc0c4, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xe55fd6cc, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x5d8b7c5e, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x7a092004, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xa57c18fe, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xe4498e45, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xd9e9d40a, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xfcc5943a, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xdd3bfb85, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x22404d54, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x3aac4513, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x77be1604, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xf0ab03d6, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0xcb9740e7, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x58bcad16, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x800f0c50, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x5a843a22, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xe92df472, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0xf2697c57, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x65b35d82, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xe45ad9db, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xc6aadac8, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x3c07c091, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xe474ad2c, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x5502c59c, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xef7a4c43, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x9c774772, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x0f066188, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x66ed788a, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xcae7a030, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x0583a1c6, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xe29da5a1, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x32e74ea0, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x2716e1da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x3cefd346, "device_match_type" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x68b12897, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x525b03a9, "acpi_bus_for_each_dev" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xc6faf1dc, "fwnode_connection_find_match" },
	{ 0xb30174a9, "fwnode_get_next_child_node" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xdf636def, "get_device" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x0c41f954, "sysfs_notify" },
	{ 0x464012b9, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xd8213063, "fwnode_property_read_u32_array" },
	{ 0x376c05b2, "module_put" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0x4bdded36, "fwnode_get_name" },
	{ 0xa7a07485, "kobject_uevent_env" },
	{ 0x015b40d0, "sysfs_update_group" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdfa5239b, "fwnode_property_read_u16_array" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xab6b7243, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5969ad9f, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xed6888b3, "fwnode_property_read_string" },
	{ 0x23cb58e6, "fwnode_property_present" },
	{ 0xd7eb7465, "component_master_del" },
	{ 0x616d84ef, "component_match_add_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa690cad9, "device_get_named_child_node" },
	{ 0xf96f7735, "component_bind_all" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x14bd828a, "device_match_name" },
	{ 0x02551719, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x08902550, "fwnode_connection_find_matches" },
	{ 0xd35f75a1, "match_string" },
	{ 0x5a2ab19d, "component_unbind_all" },
	{ 0xe5515291, "driver_register" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A9993B0B66E0A1F0404BE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
