#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x035ddbf3, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xa5dbd315, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0x9d214c22, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x18959b66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3b4eb8d4, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6f03d75c, "config_group_init" },
	{ 0x9d7bdf2b, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8235805b, "memmove" },
	{ 0x969faf42, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x8751580c, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x258e58ae, "config_item_get" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x3d490c77, "kernel_bind" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x9a689996, "posix_lock_file" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x756609ff, "kset_unregister" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xb22cd383, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xaebd1d44, "call_srcu" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x57095a2a, "synchronize_srcu" },
	{ 0x2fadf2f7, "kernel_accept" },
	{ 0xd96bfc1e, "kernel_recvmsg" },
	{ 0xe39b62cd, "bpf_trace_run8" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72d86b60, "configfs_unregister_subsystem" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xf9d9cad9, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0xb0b91ab8, "locks_init_lock" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0x376c05b2, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xbb600b33, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x946d6020, "simple_open" },
	{ 0x2d399bd3, "configfs_register_subsystem" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9833c119, "configfs_remove_default_groups" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x5bb38b2f, "config_group_init_type_name" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x15ee0520, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0x769ba11d, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe6bf9c4e, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0x04f5d273, "sock_set_reuseaddr" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xc1835c5b, "kernel_connect" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0x70e9c029, "misc_register" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x0745a981, "xa_erase" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x333791c0, "config_item_init_type_name" },
	{ 0x83fca088, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xb8cf2fb1, "config_item_put" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa723f56e, "tcp_sock_set_nodelay" },
	{ 0x312b931d, "seq_open" },
	{ 0xe05fe95f, "__seq_puts" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xf7bac116, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc8ce9f87, "sock_bind_add" },
	{ 0xf7c151b5, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xfb113e23, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1c233a14, "kset_create_and_add" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "3E63FFDB516503A1B04222B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
