#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x0b7ca2ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc45a87eb, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2117f7b4, "nlmclnt_proc" },
	{ 0x62daeb57, "nfs_writeback_update_inode" },
	{ 0xa22cb785, "nfs_alloc_client" },
	{ 0x190f30e4, "nfs_dentry_operations" },
	{ 0x0f119108, "xdr_write_pages" },
	{ 0xaea16b4c, "nfs_access_zap_cache" },
	{ 0xd75cacc2, "nfs_wb_all" },
	{ 0xfad29c45, "xdr_inline_decode" },
	{ 0x7fe7e22d, "forget_all_cached_acls" },
	{ 0xe70208b9, "nfs_submount" },
	{ 0x5eb25807, "__tracepoint_nfs_xdr_status" },
	{ 0xc4ad83b4, "nfs_mknod" },
	{ 0x758ffe3f, "nfs_create_server" },
	{ 0x2e60bace, "memcpy" },
	{ 0x075f2846, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0x776f84dd, "nfs_post_op_update_inode" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x434cef62, "xdr_read_pages" },
	{ 0x33909b4c, "nfsacl_decode" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x6c26b4dd, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc46f3ff, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbd3de2e8, "nfs_revalidate_inode" },
	{ 0x6313e467, "nfs_get_lock_context" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7de78bb9, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x01a046f9, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xa0313b6f, "nfs_get_client" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0x26caa0b1, "nfs_file_operations" },
	{ 0x2c0ac70e, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xebd1ed79, "nfs_put_lock_context" },
	{ 0x673eaee2, "nfs_rename" },
	{ 0x38589323, "nfs_lookup" },
	{ 0xd78c88c7, "nfs_sysfs_link_rpc_client" },
	{ 0xd78f88dc, "nfsacl_encode" },
	{ 0x4d1574a9, "posix_acl_create" },
	{ 0x85957546, "get_nfs_open_context" },
	{ 0xf4dd7526, "nfs_invalidate_atime" },
	{ 0xa622b393, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x237c6f74, "nfs_getattr" },
	{ 0x3c5430da, "nfs_zap_acl_cache" },
	{ 0xe8537f7b, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x360f5b5c, "rpc_bind_new_program" },
	{ 0xdfd0fb54, "register_nfs_version" },
	{ 0x6f3e68aa, "nfs_atomic_open_v23" },
	{ 0x343926a2, "rpc_call_start" },
	{ 0x35810af3, "rpc_call_sync" },
	{ 0x620116ce, "rpc_prepare_reply_pages" },
	{ 0xa694de05, "nfs_fs_type" },
	{ 0x2a4101f6, "nfs_setattr" },
	{ 0xd5d0a107, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0xa832fcac, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0x0bf97dde, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x0000d0b9, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfbf64c36, "nfs_rmdir" },
	{ 0xe92611ff, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1c7f8811, "nfs_async_iocounter_wait" },
	{ 0x2b5156f0, "nfs_setattr_update_inode" },
	{ 0xcedd4ab3, "nfs_sops" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x9b79b9f4, "rpc_restart_call" },
	{ 0xc10ad03f, "nfs_link" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x585e8db7, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0x1bd8b39e, "put_nfs_open_context" },
	{ 0x70c7337f, "nfs_permission" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0xead7d4ae, "nfs_add_or_obtain" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0xd0d8621b, "strlen" },
	{ 0x0cc5604e, "nfs_free_client" },
	{ 0xb8159e7b, "nfs_close_context" },
	{ 0x5a5545e6, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x40efdc93, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x71b99b83, "nfs_symlink" },
	{ 0x0451d77a, "nfs_unlink" },
	{ 0x1808d7d2, "forget_cached_acl" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "080A8465895858F70F24522");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
