#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f2821e6, "inode_init_owner" },
	{ 0x794aee54, "setattr_prepare" },
	{ 0x5f21565e, "iget_locked" },
	{ 0x27a0eea0, "clear_nlink" },
	{ 0x235dc8fe, "generic_block_bmap" },
	{ 0x66ff951b, "d_instantiate" },
	{ 0x6779fe67, "clear_inode" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xcb54d08b, "new_inode" },
	{ 0x23508d9d, "unregister_filesystem" },
	{ 0x0ab70a30, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x10f49e9f, "d_make_root" },
	{ 0x255d915e, "sb_set_blocksize" },
	{ 0x0ae85066, "d_splice_alias" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x661d1237, "generic_file_fsync" },
	{ 0xe905d64c, "iput" },
	{ 0x9e71163b, "generic_file_write_iter" },
	{ 0x18c08ce6, "register_filesystem" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x374a7190, "simple_inode_init_ts" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3737d0ae, "inode_newsize_ok" },
	{ 0x8fef33af, "kill_block_super" },
	{ 0x01b603d0, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0x94aba452, "block_invalidate_folio" },
	{ 0x364f5752, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x01a046f9, "make_kuid" },
	{ 0xe92b3a58, "truncate_inode_pages_final" },
	{ 0x09e51521, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x2dfa4340, "__brelse" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2abce28f, "generic_file_read_iter" },
	{ 0x4e3567f7, "match_int" },
	{ 0x6de6accc, "truncate_pagecache" },
	{ 0xb4829317, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d5c4c17, "setattr_copy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe8de1a62, "mpage_writepages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdd812476, "__bread_gfp" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x41d9a81b, "block_dirty_folio" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9e4640a2, "__insert_inode_hash" },
	{ 0x7fce01f4, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0x0bf97dde, "from_kgid_munged" },
	{ 0xc0d3d002, "truncate_setsize" },
	{ 0x61c5f152, "block_read_full_folio" },
	{ 0x2cff7d5f, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x85df9b6c, "strsep" },
	{ 0x43115372, "mount_bdev" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xefa15e2e, "mpage_readahead" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x47593e30, "inode_set_ctime_current" },
	{ 0xb36ba2fa, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2c2f43b9, "block_write_begin" },
	{ 0xbedfd3c4, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0x5cb7539a, "d_parent_ino" },
	{ 0xa2048e95, "crc_itu_t" },
	{ 0x09a4444b, "__mark_inode_dirty" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0x9209d6a6, "make_bad_inode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc51525ee, "inode_set_ctime_to_ts" },
	{ 0xbf488fbe, "iget_failed" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "217889EF0E0C9884E0C4C9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
