#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f2821e6, "inode_init_owner" },
	{ 0x6c70f171, "iomap_readahead" },
	{ 0x931dee4e, "vfs_fsync_range" },
	{ 0x794aee54, "setattr_prepare" },
	{ 0x60d13ab4, "filemap_migrate_folio" },
	{ 0x5f21565e, "iget_locked" },
	{ 0x93e9fb68, "__bio_add_page" },
	{ 0xf60114b8, "iocb_bio_iopoll" },
	{ 0xcb54d08b, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3461d61d, "filemap_map_pages" },
	{ 0x0663f27c, "iomap_file_buffered_write" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x23508d9d, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3346d84e, "generic_error_remove_folio" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x10f49e9f, "d_make_root" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x255d915e, "sb_set_blocksize" },
	{ 0xb1919020, "sync_filesystem" },
	{ 0x0ae85066, "d_splice_alias" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x0467fdbe, "inode_dio_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0xe905d64c, "iput" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x1720dcf9, "fs_param_is_enum" },
	{ 0x3a5331d8, "iter_file_splice_write" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x18c08ce6, "register_filesystem" },
	{ 0xdb742d69, "dquot_transfer" },
	{ 0x81080d1d, "iomap_dirty_folio" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x31d74184, "filemap_fdatawrite_range_kick" },
	{ 0x374a7190, "simple_inode_init_ts" },
	{ 0x5962d5eb, "iomap_invalidate_folio" },
	{ 0xf597c706, "iomap_dio_rw" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8fef33af, "kill_block_super" },
	{ 0x01b603d0, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2155fb6b, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x01a046f9, "make_kuid" },
	{ 0x9e583dd3, "fs_kobj" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0x5deb09e2, "iomap_page_mkwrite" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc2f15b1, "inode_init_once" },
	{ 0xd5530257, "file_write_and_wait_range" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2abce28f, "generic_file_read_iter" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d5c4c17, "setattr_copy" },
	{ 0x34862bb4, "file_update_time" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdc0d9fc9, "set_nlink" },
	{ 0x4f7bef1b, "kmem_cache_alloc_lru_noprof" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x01d32aeb, "iomap_swapfile_activate" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x0a15bf7e, "bio_init" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc0d3d002, "truncate_setsize" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x4b810698, "iomap_read_folio" },
	{ 0x2cff7d5f, "generic_read_dir" },
	{ 0xb9831279, "kobject_del" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1d93d903, "iomap_writepages" },
	{ 0xb36ba2fa, "inc_nlink" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb26585cc, "get_tree_bdev" },
	{ 0x4b61379a, "touch_atime" },
	{ 0x5ce7b7e6, "blk_op_str" },
	{ 0xb973fe9e, "__percpu_down_read" },
	{ 0x661aebdf, "generic_file_open" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0x52166e9c, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd8dc2c3c, "send_sig" },
	{ 0x9e09c015, "__fs_parse" },
	{ 0xbedfd3c4, "filemap_splice_read" },
	{ 0x5cb7539a, "d_parent_ino" },
	{ 0xf7bac116, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x21b19417, "generic_file_llseek_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaeca808a, "filemap_fault" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf4d45ec, "iomap_release_folio" },
	{ 0x69b41cad, "iomap_is_partially_uptodate" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x3ab7636a, "submit_bio_wait" },
	{ 0x568c8ad2, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc51525ee, "inode_set_ctime_to_ts" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x059a8b79, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7811697D983F4E28D38EA89");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
