#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x75594b53, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x286244e8, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0xf914e8e7, "");
SYMBOL_CRC(vcc_release_async, 0x7e1587f6, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x27ad8e48, "");
SYMBOL_CRC(atm_dev_signal_change, 0xfcb64616, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x0526c3ff, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xb39e4437, "");
SYMBOL_CRC(atm_alloc_charge, 0xb526ffab, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x4972af83, "");
SYMBOL_CRC(atm_dev_lookup, 0x0c36455a, "");
SYMBOL_CRC(atm_dev_register, 0x1bc58a56, "");
SYMBOL_CRC(atm_dev_deregister, 0xb922bcf5, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x411131ab, "skb_free_datagram" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0x60a82bdf, "proc_create_data" },
	{ 0x06d2d471, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0x226e427d, "sock_register" },
	{ 0x03475a0f, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x051cd40b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x376c05b2, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0xc8254514, "sk_free" },
	{ 0xb086ae50, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6d3d57b2, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x55961f69, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0x5969ad9f, "device_register" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x3c720d5e, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe1c4facc, "skb_recv_datagram" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xef60b5cd, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8fee098d, "_proc_mkdir" },
	{ 0xd8dc2c3c, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe05fe95f, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xfaf213eb, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x6696ab1a, "sock_init_data" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb113e23, "release_sock" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
