#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x9f8d7de2, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xb8ae200c, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x002400fd, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x562c8043, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x0144d2a9, "_gpl");
SYMBOL_CRC(br_forward, 0x81200cf0, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xa5d2f151, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x270b3553, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x395b1302, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xbc23d934, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x65479265, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x60cd40c6, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x3a0f3bc7, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xddb3774f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xeee94383, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x15365c77, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xd74a61c8, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x7a3619ba, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x482b2c3d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x4e083260, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xe39c634b, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xf57b4132, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x4ec979e9, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x6f323fa9, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xae3c9111, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x699e3eda, "netdev_lower_get_next" },
	{ 0xb0cd7522, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5701e3ce, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xf1c24f3a, "__nlmsg_put" },
	{ 0xe5173304, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2650c806, "ipv6_mc_check_mld" },
	{ 0x86210e3c, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac851613, "call_switchdev_notifiers" },
	{ 0x6e423017, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x47eff73a, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x5feab9b8, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf310f338, "netpoll_send_skb" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x89f499c8, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x2e60bace, "memcpy" },
	{ 0x18f6f3fb, "switchdev_port_obj_act_is_deferred" },
	{ 0x6a53e35a, "dev_get_iflink" },
	{ 0x037a0cba, "kfree" },
	{ 0x24b40e52, "dev_set_promiscuity" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0ee5f7e, "netdev_state_change" },
	{ 0x213393e2, "__pskb_copy_fclone" },
	{ 0xc21cc2f2, "__dev_get_by_name" },
	{ 0x3e895319, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x26564947, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xb1a16fb2, "brioctl_set" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x0c6d3a4a, "arp_xmit" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0x84ab28aa, "passthru_features_check" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb346fa34, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5b07ed2b, "rtnl_af_register" },
	{ 0x58f0f5d8, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x1bf765a8, "rtnl_set_sk_err" },
	{ 0xd5f4b114, "skb_vlan_pop" },
	{ 0x21786687, "rtnl_unicast" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x4df54664, "ipv6_dev_get_saddr" },
	{ 0x49f26466, "kstrndup" },
	{ 0x72e1ed99, "nla_reserve_64bit" },
	{ 0x116a3b7b, "__ip_mc_dec_group" },
	{ 0xf2d925cf, "vlan_dev_real_dev" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xe603830a, "dev_get_port_parent_id" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1241645a, "ipv6_stub" },
	{ 0x38c68d44, "inet_confirm_addr" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0x45cb7efd, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaad176e0, "rtnl_af_unregister" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x26dd77ae, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0xfd39d320, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0xe20dd3c7, "br_fdb_test_addr_hook" },
	{ 0x47c58b77, "ndo_dflt_fdb_dump" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc413eaa8, "netdev_upper_dev_unlink" },
	{ 0xc916c4f9, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa9d6e2f4, "llc_mac_hdr_init" },
	{ 0x985b3853, "__rtnl_register_many" },
	{ 0x3098eee7, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0x552bc48f, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f18deea, "ns_capable" },
	{ 0xe4add2f3, "inet_select_addr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb90f207d, "arp_create" },
	{ 0x8e487520, "__ethtool_get_link_ksettings" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e05edca, "stp_proto_register" },
	{ 0x6a7e3975, "__tracepoint_br_fdb_update" },
	{ 0x74c9ce3e, "sysfs_rename_link_ns" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xa4a20a3e, "switchdev_port_obj_add" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xc6f63c14, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x88bcff49, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0xf4827be8, "ip_mc_check_igmp" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x42205bb8, "switchdev_port_obj_del" },
	{ 0x60f174d4, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xbfea99d6, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8bf9b7f0, "__ip_mc_inc_group" },
	{ 0x74459f99, "netdev_walk_all_upper_dev_rcu" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x8e37a0bf, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5377c956, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4a5431bb, "__netpoll_setup" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf24d9edc, "vlan_vid_add" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0x7dfd1e56, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0xb9831279, "kobject_del" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x3ff59c94, "is_skb_forwardable" },
	{ 0x75ccaff6, "vlan_vid_del" },
	{ 0xe287a38e, "dev_set_allmulti" },
	{ 0x3924a84e, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xbd9eeb11, "netdev_master_upper_dev_get" },
	{ 0x5ae0319e, "ipv6_dev_mc_inc" },
	{ 0x723fccdf, "rtnl_notify" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6b7f187e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0x02551719, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf3b61c5c, "arp_tbl" },
	{ 0xc0df9543, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc1333799, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x927d26ae, "dev_uc_add" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x183c9d79, "netif_set_tso_max_size" },
	{ 0xbc9009d0, "dev_disable_lro" },
	{ 0x85c2d085, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf2a01402, "dev_get_flags" },
	{ 0xf975a290, "__rtnl_unregister_many" },
	{ 0xd0d8621b, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1cee7a48, "netdev_notice" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xa8733aac, "nf_queue" },
	{ 0x571699c5, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe1e3022d, "skb_ext_add" },
	{ 0x760e72ba, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x07588e5d, "stp_proto_unregister" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xec7a7553, "neigh_lookup" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "04C8E9D87CCDBFF635E944D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
