#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x8817015f, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x72db028f, "");
SYMBOL_CRC(dccp_v4_send_check, 0xdeded26a, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x969a231f, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x40385f4e, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x6ce8c26b, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x2971bdc5, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x24f85ba5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8e25e1e, "__inet_lookup_established" },
	{ 0x47098480, "inet_bhash2_reset_saddr" },
	{ 0x05b9e132, "inet_csk_addr2sockaddr" },
	{ 0xeff5f48e, "inet_unregister_protosw" },
	{ 0x08da3ce6, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x080112b2, "dccp_shutdown" },
	{ 0xbf086687, "inet_bhash2_update_saddr" },
	{ 0x36b1182c, "dccp_connect" },
	{ 0xb85aa419, "dccp_rcv_state_process" },
	{ 0x4f5ef77a, "dccp_reqsk_send_ack" },
	{ 0xdff5d580, "inet_lookup_reuseport" },
	{ 0x5113624b, "__inet_lookup_listener" },
	{ 0xd6316526, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc2537483, "__skb_ext_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8289148e, "sock_common_getsockopt" },
	{ 0x416c719f, "inet_bind" },
	{ 0xe56ca3ea, "__inet_inherit_port" },
	{ 0xf2d3f429, "inet_dccp_listen" },
	{ 0xb57d23c5, "security_inet_conn_request" },
	{ 0x037a0cba, "kfree" },
	{ 0x9aee9ec0, "inet_register_protosw" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x1034e8d3, "__xfrm_policy_check" },
	{ 0xae2a194e, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x770a8ed5, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f26f2a1, "sk_error_report" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x84fd6b8b, "inet_ehash_nolisten" },
	{ 0x070f7896, "_printk" },
	{ 0xe40a8178, "inet_getname" },
	{ 0x44ca6bd4, "inet_stream_connect" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0x165734b4, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x599fe644, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x54ca97ca, "dccp_done" },
	{ 0xe6c6e4b6, "inet_release" },
	{ 0xbdb623ef, "__sk_dst_check" },
	{ 0x0e9ffa52, "dccp_disconnect" },
	{ 0x9b4c6773, "ip_route_output_key_hash" },
	{ 0x051cd40b, "proto_register" },
	{ 0xe2947101, "inet_hash" },
	{ 0xafe8fa47, "__sk_receive_skb" },
	{ 0xd4b4a2b4, "dccp_poll" },
	{ 0x2ba51b22, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x5ae64563, "inet_csk_get_port" },
	{ 0x4b9b9e82, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x5e3b4286, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xb67c7625, "inet_accept" },
	{ 0xbd2a62ff, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd963b75, "ip6_mtu" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x8dc9e1b0, "inet_add_protocol" },
	{ 0xfcd6a4a7, "inet_shutdown" },
	{ 0xc8254514, "sk_free" },
	{ 0xb56c140c, "dccp_close" },
	{ 0x559079e6, "dccp_reqsk_init" },
	{ 0xf49046e9, "inet_hash_connect" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x6bc28aa0, "inet_csk_route_child_sock" },
	{ 0x6b14fba7, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4c1105a1, "security_sk_classify_flow" },
	{ 0xb51d683b, "inet_csk_update_pmtu" },
	{ 0x1a936681, "dccp_getsockopt" },
	{ 0xca22afba, "dccp_parse_options" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0x291e4192, "skb_checksum" },
	{ 0x3c720d5e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x82518bbb, "dccp_child_process" },
	{ 0x022342f5, "sock_common_recvmsg" },
	{ 0x8fe90954, "dccp_setsockopt" },
	{ 0x1e558c93, "dccp_ioctl" },
	{ 0xb21425c8, "inet_sk_rebuild_header" },
	{ 0xcc8e0e51, "inet_del_protocol" },
	{ 0xe1daf3c3, "ipv4_mtu" },
	{ 0xd5889263, "dccp_recvmsg" },
	{ 0x011f3e95, "inet_sendmsg" },
	{ 0x464daf0b, "dccp_check_req" },
	{ 0x6b8c2f87, "dccp_create_openreq_child" },
	{ 0x35274a09, "inet_csk_prepare_forced_close" },
	{ 0xdf4cda6f, "security_skb_classify_flow" },
	{ 0x788118f7, "sock_pfree" },
	{ 0xa3a443c8, "dccp_rcv_established" },
	{ 0x8b752c59, "dccp_send_sync" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0x9e76d612, "dccp_make_response" },
	{ 0x96e39c19, "dccp_destroy_sock" },
	{ 0x284f9311, "dccp_ctl_make_reset" },
	{ 0xef60b5cd, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x446ce3ad, "sk_setup_caps" },
	{ 0xf920b58a, "ip_build_and_send_pkt" },
	{ 0x911b03cf, "dccp_sendmsg" },
	{ 0xc3ba14ee, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x3c84011b, "inet_twsk_put" },
	{ 0x4157899e, "inet_unhash" },
	{ 0x829ab1fb, "ip_getsockopt" },
	{ 0x10e0b1b4, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6eb2b6c0, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xf2a058f6, "inet_csk_reqsk_queue_drop" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9D2D9D3C5C17D263ECCB024");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
