#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0xff1adff3, "");
SYMBOL_CRC(gue_encap_hlen, 0x19741ae4, "");
SYMBOL_CRC(__fou_build_header, 0xe2e6c793, "");
SYMBOL_CRC(__gue_build_header, 0x62acef53, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8cc6bee, "__skb_checksum_complete" },
	{ 0x47e8116f, "ip_tunnel_encap_add_ops" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xb58bc3a5, "udp_sock_create4" },
	{ 0x39e153f8, "genlmsg_put" },
	{ 0x56fb1b20, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0xbbb709c0, "inet_offloads" },
	{ 0xeb7171bd, "inet_protos" },
	{ 0x070c18f9, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x36813814, "__skb_get_hash_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfbf09ce6, "ip_tunnel_encap_del_ops" },
	{ 0xaa34db2a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x8678fb1d, "register_btf_kfunc_id_set" },
	{ 0x073df71d, "setup_udp_tunnel_sock" },
	{ 0x2c7a237f, "udp_sock_create6" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xe308f13c, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x28df845b, "genl_unregister_family" },
	{ 0x97eb8faf, "genl_register_family" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "0FFA45A8F8B6865B2824539");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
