#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xb29a79ba, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0xae1a863b, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x6b013300, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x638ce89c, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xa107ef66, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0xa95362a6, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xf5d627d9, "_gpl");
SYMBOL_CRC(inet_diag_register, 0xe6395733, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x632e6991, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1dd66a5, "sock_diag_save_cookie" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x32c17fbb, "sock_i_uid" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0x7de361d9, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x5152e605, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x376c05b2, "module_put" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6475365a, "__netlink_dump_start" },
	{ 0x83a2dc0d, "sock_diag_unregister" },
	{ 0x9db065ff, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x5e103c3e, "sock_diag_register" },
	{ 0xfa66b454, "sock_diag_register_inet_compat" },
	{ 0xbd2daa9e, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x04dd876a, "inet6_lookup" },
	{ 0x82f686ce, "sock_diag_check_cookie" },
	{ 0xae21f034, "sock_gen_put" },
	{ 0xe8e25e1e, "__inet_lookup_established" },
	{ 0x5113624b, "__inet_lookup_listener" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf1c24f3a, "__nlmsg_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f0c349b, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5dcae1dc, "bpf_sk_storage_diag_put" },
	{ 0x738803e6, "strnlen" },
	{ 0x72e1ed99, "nla_reserve_64bit" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc8254514, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6793C36E2C09683FC8B80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
