#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xadc901a1, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x5db5af68, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x469401c1, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x47e8116f, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xfbf09ce6, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xaf7b744d, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x267669b6, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x64208053, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xb443c7c5, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xc7c8d216, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xd8c904f9, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xa34b35f9, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x305d7b67, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x92928ee1, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xac40f04c, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x89a7260c, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xca4f5afb, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xabdb48fe, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x045f19c1, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x88a66625, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x98f251ab, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x8143c6d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe698f3a, "iptun_encaps" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8b39bfe8, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x12f2e845, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xc0ee5f7e, "netdev_state_change" },
	{ 0x2f18deea, "ns_capable" },
	{ 0xb0cd7522, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbb600b33, "init_net" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfd963b75, "ip6_mtu" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4c3439de, "icmpv6_ndo_send" },
	{ 0x71684182, "icmp_ndo_send" },
	{ 0xe1daf3c3, "ipv4_mtu" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x8d3cf5d2, "dst_cache_get_ip4" },
	{ 0xb555fcab, "dst_cache_set_ip4" },
	{ 0xfd965f17, "iptunnel_xmit" },
	{ 0x36813814, "__skb_get_hash_net" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x671928a6, "skb_scrub_packet" },
	{ 0x70e2b75c, "gro_cells_receive" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
