#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xb58bc3a5, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x073df71d, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xde0683bc, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xc17ae23f, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x5d362939, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xe32f3f32, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xc00847b0, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xaa34db2a, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x98457aa9, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x454b38b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb555fcab, "dst_cache_set_ip4" },
	{ 0x3d490c77, "kernel_bind" },
	{ 0x56fb1b20, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0x26f66ecd, "udp_tunnel_nic_ops" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1241645a, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x15ee0520, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfd965f17, "iptunnel_xmit" },
	{ 0x51813ef6, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xc1835c5b, "kernel_connect" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x8d3cf5d2, "dst_cache_get_ip4" },
	{ 0x83fca088, "sock_create_kern" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x24cfdb6d, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
