#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0xa399a518, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0x42ab72c0, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x45f16b92, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x08ad4191, "icmp6_send" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xe2919a92, "inet_frag_queue_insert" },
	{ 0xf76442a4, "inet_frags_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x11328ab5, "inet_frag_pull_head" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0xcdd6e15b, "register_net_sysctl_sz" },
	{ 0x070f7896, "_printk" },
	{ 0x5c78b82e, "inet_frag_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc1524778, "ipv6_skip_exthdr" },
	{ 0x1664fe79, "inet_frag_reasm_finish" },
	{ 0xae519050, "nf_register_net_hooks" },
	{ 0x3fbc6fc0, "fqdir_init" },
	{ 0xbb600b33, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdd2e091f, "inet_frags_fini" },
	{ 0x0c0e8b6d, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x200f73e2, "nf_unregister_net_hooks" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x34e5622e, "nf_defrag_v6_hook" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x1bee7f17, "inet_frag_reasm_prepare" },
	{ 0xb7a605f6, "inet_frag_find" },
	{ 0xdd77dde4, "fqdir_exit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7419e322, "pskb_trim_rcsum_slow" },
	{ 0x6a3531dd, "inet_frag_kill" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5907936C0646F037D3A25E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
