#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x261179c3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0xa1bef415, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x8766dd38, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xc3e29ccd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x1ca4ebc4, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x69c63cfd, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x3db2b318, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xa6cc8431, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x8ed65279, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x02b14c45, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x55d4baa9, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x88e0d160, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xe1cf0bcc, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x7d37af2c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xb08454d3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xe2c06c9d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xc4579c5b, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x367ce5e3, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xae864729, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xf8c07a96, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f26f2a1, "sk_error_report" },
	{ 0x345ce3c4, "ip_icmp_error" },
	{ 0x050a74ac, "ipv6_icmp_error" },
	{ 0x070f7896, "_printk" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x83fca088, "sock_create_kern" },
	{ 0x3d490c77, "kernel_bind" },
	{ 0x2c7a237f, "udp_sock_create6" },
	{ 0x15ee0520, "kernel_sock_shutdown" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0xc1835c5b, "kernel_connect" },
	{ 0xb58bc3a5, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc8254514, "sk_free" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x037a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x81bdeb3c, "sockfd_lookup" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfb113e23, "release_sock" },
	{ 0x76647da5, "fput" },
	{ 0x073df71d, "setup_udp_tunnel_sock" },
	{ 0x56fb1b20, "udp_set_csum" },
	{ 0x08da3ce6, "ip_queue_xmit" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x2a47acba, "udp6_set_csum" },
	{ 0x4fe528fb, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x5152e605, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
