#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x9c1dea07, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x16d5f278, "");
SYMBOL_CRC(ieee802154_free_hw, 0xb71c8242, "");
SYMBOL_CRC(ieee802154_register_hw, 0x8cc2074e, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xe45897ac, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x414dc24f, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x8443da78, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x7e2c6fd9, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xfc843d95, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a4de05e, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x1fae4ef6, "nl802154_beaconing_done" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x02e86828, "dev_alloc_name" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x669dbfad, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x0957408a, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0xe86e051e, "crypto_aead_setauthsize" },
	{ 0xb0af4eb3, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xb5ef62c7, "crypto_skcipher_setkey" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa95bc24d, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x144f6fee, "wpan_phy_unregister" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0xe1615053, "nl802154_scan_done" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfabfb903, "nl802154_scan_started" },
	{ 0x9c0d9411, "crypto_skcipher_decrypt" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x35f7e4c6, "skb_copy_expand" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x5a69eade, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xb930ac3b, "cfg802154_get_free_short_addr" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d89998e, "wpan_phy_register" },
	{ 0xdeecbb59, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6a99557, "crypto_aead_encrypt" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x5d900e84, "ieee802154_hdr_peek" },
	{ 0x9b1192ed, "wpan_phy_free" },
	{ 0xc916c4f9, "netif_receive_skb" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6008a1d4, "ieee802154_hdr_pull" },
	{ 0x4dd5333f, "nl802154_scan_event" },
	{ 0xd75c6935, "crypto_alloc_sync_skcipher" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xea0fdf08, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x30d9fb9f, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a9b4151, "wpan_phy_new" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x76e10ed0, "ieee802154_hdr_push" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe044c423, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x4b9caa3e, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "FC05EF9AD81C921F0BF8D21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
