#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x85d4a644, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0xda5e140d, "");
SYMBOL_CRC(nfc_find_se, 0xf8e865c9, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x8cdebadd, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x9dee8ac3, "");
SYMBOL_CRC(nfc_tm_data_received, 0x60fabc0e, "");
SYMBOL_CRC(nfc_tm_activated, 0x00658eb7, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x182fcbd7, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0xea55bdb8, "");
SYMBOL_CRC(nfc_targets_found, 0xc6d845d7, "");
SYMBOL_CRC(nfc_target_lost, 0x32494ad2, "");
SYMBOL_CRC(nfc_driver_failure, 0xd44578b3, "");
SYMBOL_CRC(nfc_add_se, 0x82f178db, "");
SYMBOL_CRC(nfc_remove_se, 0x3691b558, "");
SYMBOL_CRC(nfc_se_transaction, 0x1a159391, "");
SYMBOL_CRC(nfc_se_connectivity, 0x97aa7014, "");
SYMBOL_CRC(nfc_class, 0x373cc7c4, "");
SYMBOL_CRC(nfc_allocate_device, 0x23539ed4, "");
SYMBOL_CRC(nfc_register_device, 0x7860476d, "");
SYMBOL_CRC(nfc_unregister_device, 0x69c8bf27, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x54ff8569, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xf7ac7aeb, "");
SYMBOL_CRC(nfc_proto_register, 0x7194ec98, "");
SYMBOL_CRC(nfc_proto_unregister, 0x56977b5e, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x21161ab8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x884f721c, "security_sock_graft" },
	{ 0x411131ab, "skb_free_datagram" },
	{ 0xf37f5a7a, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x822f0146, "class_dev_iter_next" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0x86210e3c, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xe2f8720e, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x39e153f8, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x0ab1b086, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x213393e2, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x24eeed4c, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f26f2a1, "sk_error_report" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4a93abe6, "class_dev_iter_exit" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x226e427d, "sock_register" },
	{ 0x9f030ae3, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x051cd40b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x376c05b2, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x1fa9f18a, "__sock_recv_timestamp" },
	{ 0x75584a26, "sock_no_shutdown" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x37e4a860, "device_add" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc8254514, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6d3d57b2, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x55961f69, "sock_no_listen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x51813ef6, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x2f18deea, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0xc6800bb1, "sock_no_bind" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0x046fd637, "rfkill_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xc44815a9, "class_dev_iter_init" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0x8e63f1e8, "device_del" },
	{ 0xc9d8277a, "__sock_recv_wifi_status" },
	{ 0x3c720d5e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xb248e823, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xe1c4facc, "skb_recv_datagram" },
	{ 0x89062b26, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xf8bb1255, "sock_no_getname" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a90b06b, "skb_copy" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa9d96d0e, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x28df845b, "genl_unregister_family" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x97eb8faf, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6696ab1a, "sock_init_data" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xfb113e23, "release_sock" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "EB67B394E5E36DFE5372C7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
