#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x6add4d68, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x1582c252, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x7e6d44ea, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x279f5cc0, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x172e98ad, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x593981c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca200431, "nf_ct_ext_add" },
	{ 0x811b7427, "nsh_pop" },
	{ 0x8cdb7548, "nf_conntrack_find_get" },
	{ 0xbc23b2e3, "nf_ct_set_timeout" },
	{ 0xee4277c7, "dev_get_stats" },
	{ 0x3d501fb8, "__nla_put" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2c4dc66c, "dev_fill_metadata_dst" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xeb9b3782, "nf_ct_handle_fragments" },
	{ 0x37c6a60c, "eth_mac_addr" },
	{ 0x86210e3c, "skb_put" },
	{ 0x516c14b3, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7ddf1bc7, "nsh_push" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0x0a765136, "nf_ct_nat" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x162d06eb, "skb_eth_pop" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x0ec3170e, "skb_gso_validate_mac_len" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0xc370021e, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xee1766da, "nf_ct_helper" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x104cd92c, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0x2f74fab2, "nf_connlabels_put" },
	{ 0x39e153f8, "genlmsg_put" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7cfb431e, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0x24b40e52, "dev_set_promiscuity" },
	{ 0x533d83f7, "nf_ct_destroy_timeout" },
	{ 0x82831334, "nf_ct_add_helper" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xa5dc2df7, "nf_conntrack_helper_put" },
	{ 0x309ca1dd, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3bb46eae, "nf_ct_skb_network_trim" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xe5c796f2, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0b8f75a3, "node_states" },
	{ 0x3e895319, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x24eeed4c, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x5b99a176, "skb_csum_hwoffload_help" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xcae400c5, "nf_connlabels_replace" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf3b298b3, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xb346fa34, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe834d764, "skb_eth_push" },
	{ 0x3a212717, "nf_conncount_count" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x095f2f1e, "skb_mpls_pop" },
	{ 0xd5f4b114, "skb_vlan_pop" },
	{ 0xc5a9aba7, "dst_init" },
	{ 0x376c05b2, "module_put" },
	{ 0x9b6eb137, "ksize" },
	{ 0x36813814, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xbb600b33, "init_net" },
	{ 0xaacc9e27, "sort" },
	{ 0x1241645a, "ipv6_stub" },
	{ 0xe59e8806, "skb_mpls_update_lse" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x1e709d95, "__skb_get_hash_symmetric_net" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0xc413eaa8, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xb647c064, "skb_ensure_writable" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x552bc48f, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1a571745, "__nf_conntrack_confirm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0x17fe98d6, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xe3b18a30, "nf_ct_delete" },
	{ 0x0845f20b, "nf_conncount_init" },
	{ 0x46a8171b, "skb_vlan_push" },
	{ 0x88bcff49, "netif_rx" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x60f174d4, "netdev_master_upper_dev_link" },
	{ 0x0bd3bb95, "skb_zerocopy_headlen" },
	{ 0x48800a5b, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x4a8f1f96, "inet_proto_csum_replace16" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x671928a6, "skb_scrub_packet" },
	{ 0x4395fbb3, "nf_ct_deliver_cached_events" },
	{ 0xfa3c4a76, "ipv6_find_hdr" },
	{ 0xead25967, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x3c026004, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe12970b4, "inet_proto_csum_replace4" },
	{ 0x04c23f17, "nf_conncount_destroy" },
	{ 0x48ddbcaa, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xbd9eeb11, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x38492ae9, "dev_get_by_name" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe288fb98, "peernet2id_alloc" },
	{ 0x05aaedb8, "nf_ct_get_tuplepr" },
	{ 0xc1333799, "netdev_rx_handler_register" },
	{ 0x337c3f5d, "ip_do_fragment" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x28df845b, "genl_unregister_family" },
	{ 0xbc9009d0, "dev_disable_lro" },
	{ 0xcfc271d3, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97eb8faf, "genl_register_family" },
	{ 0xa117239f, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb767d49e, "netlink_has_listeners" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x77781f3d, "__skb_gso_segment" },
	{ 0x29f3a126, "up_read" },
	{ 0x5b84919e, "skb_mpls_push" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0xa6044726, "nf_conntrack_in" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x6c5fe7e9, "__skb_vlan_pop" },
	{ 0xf1a1efb8, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "E1D820883473F51BE423DEC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
