#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x7bd0a103, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x96a9d075, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x653a6d58, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x21bbcc1c, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x5c4a13ed, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x6d25274e, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x62e10019, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x5292f888, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x0a00f4a6, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x2b65d7b9, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x2984b37d, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x3e297a06, "");
SYMBOL_CRC(key_type_rxrpc, 0xafe4d910, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x83572882, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xa81ba99b, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x6e2f9c76, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x570e07fb, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xde74940b, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xb323c7fd, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xcaa72a02, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x9b7b1dd8, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x64c97ae2, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x3c10a8d6, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x1c1b0578, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a4de05e, "crypto_skcipher_encrypt" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x758cf93c, "key_alloc" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0xb58bc3a5, "udp_sock_create4" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xf486c78e, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0xddda566f, "udpv6_sendmsg" },
	{ 0xd169cfa5, "unregister_key_type" },
	{ 0x69885a2a, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x7df81b35, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb5ef62c7, "crypto_skcipher_setkey" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xe39b62cd, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xdc349335, "key_instantiate_and_link" },
	{ 0x0479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x0c326f91, "register_key_type" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4049aeb5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa938cc21, "minmax_running_min" },
	{ 0x109e8da0, "put_cmsg" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xcdd6e15b, "register_net_sysctl_sz" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x050a74ac, "ipv6_icmp_error" },
	{ 0x226e427d, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9c0d9411, "crypto_skcipher_decrypt" },
	{ 0x01a046f9, "make_kuid" },
	{ 0xeffaff08, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x051cd40b, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x00632780, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1fa9f18a, "__sock_recv_timestamp" },
	{ 0xfdb2d12d, "key_put" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0xb293b20e, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xb66be605, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd963b75, "ip6_mtu" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0xc8254514, "sk_free" },
	{ 0xb086ae50, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x15ee0520, "kernel_sock_shutdown" },
	{ 0x6d3d57b2, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x0c0e8b6d, "proc_doulongvec_minmax" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x87aa2f41, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc9d8277a, "__sock_recv_wifi_status" },
	{ 0x3c720d5e, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xf6658b15, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x520d8995, "key_validate" },
	{ 0xd75c6935, "crypto_alloc_sync_skcipher" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x073df71d, "setup_udp_tunnel_sock" },
	{ 0xa965ef37, "proc_remove" },
	{ 0x2c7a237f, "udp_sock_create6" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1daf3c3, "ipv4_mtu" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xeca81c6c, "keyring_search" },
	{ 0xe2a5a658, "ip_sock_set_recverr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x38f323e4, "request_key_tag" },
	{ 0x3e6553b8, "generic_key_instantiate" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf8bb1255, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x7a90b06b, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa9d96d0e, "sock_no_ioctl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8fee098d, "_proc_mkdir" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe05fe95f, "__seq_puts" },
	{ 0x3bf818d3, "page_frag_cache_drain" },
	{ 0x9dd0f5cd, "__page_frag_alloc_align" },
	{ 0xf7bac116, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf0c45b68, "bpf_trace_run7" },
	{ 0x345ce3c4, "ip_icmp_error" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x072f29c2, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x8df5ca55, "skb_to_sgvec" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0x89e70b18, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6696ab1a, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xfb113e23, "release_sock" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdbcba8c7, "proc_create_net_single_write" },
	{ 0xbb85377f, "crypto_alloc_skcipher" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2DDF927FAE4334C5C984F29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
