#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x51622472, "");
SYMBOL_CRC(tipc_dump_start, 0xd0db6d0f, "");
SYMBOL_CRC(tipc_dump_done, 0x46cb8d4e, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x6a301f93, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd2daa9e, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x32c17fbb, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf1c24f3a, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xa34333c6, "ip6_dst_hoplimit" },
	{ 0x9c806c6d, "trace_output_call" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x178197cb, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0xb58bc3a5, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e58d8b6, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb555fcab, "dst_cache_set_ip4" },
	{ 0x31a0bb39, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x39e153f8, "genlmsg_put" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x0957408a, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0xe86e051e, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0af4eb3, "crypto_aead_decrypt" },
	{ 0x2fadf2f7, "kernel_accept" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x213393e2, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x109e8da0, "put_cmsg" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xcdd6e15b, "register_net_sysctl_sz" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x226e427d, "sock_register" },
	{ 0xfe99524b, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfba5fc47, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x8be18576, "skb_try_coalesce" },
	{ 0x051cd40b, "proto_register" },
	{ 0x35f7e4c6, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5a69eade, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1241645a, "ipv6_stub" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6a99557, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x26b34790, "dev_remove_pack" },
	{ 0xc8254514, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x15ee0520, "kernel_sock_shutdown" },
	{ 0x6d3d57b2, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xf7bc3865, "dst_cache_get" },
	{ 0x55961f69, "sock_no_listen" },
	{ 0x51813ef6, "nla_put" },
	{ 0x0c0e8b6d, "proc_doulongvec_minmax" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4fee330e, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb2fe7791, "kfree_skb_partial" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xaa34db2a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0xaef4d491, "security_sk_clone" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x88bcff49, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x073df71d, "setup_udp_tunnel_sock" },
	{ 0x2c7a237f, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xabef9252, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb09c81bc, "sock_rfree" },
	{ 0x7de361d9, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf586d15e, "kernel_listen" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xd3a4622a, "dev_nit_active" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x83fca088, "sock_create_kern" },
	{ 0x0dc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd92e555f, "dst_cache_set_ip6" },
	{ 0x6538d925, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xc00847b0, "udp_tunnel_xmit_skb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x46f079e5, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a90b06b, "skb_copy" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x38492ae9, "dev_get_by_name" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x87d48b51, "crypto_default_rng" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x56bdef88, "sk_stop_timer" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0x28df845b, "genl_unregister_family" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x97eb8faf, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x072f29c2, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x8df5ca55, "skb_to_sgvec" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6696ab1a, "sock_init_data" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xfb113e23, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "9EFEBD9E9398B7A936C2697");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
