#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_update_group_attrs, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x99f5130c, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0xb25fd259, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0xe95b4e90, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0x3e2f228c, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0x2d198449, "_gpl");
SYMBOL_CRC(snd_ump_update_group_attrs, 0x82e0d7e3, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0xbddd0a32, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0x6dcab04d, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0xb716ebf5, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0x6e16cfb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x044da856, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x65120079, "snd_rawmidi_transmit" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xccebc379, "snd_seq_device_new" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x973daa2d, "snd_rawmidi_kernel_write" },
	{ 0x738803e6, "strnlen" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfeb0016, "snd_rawmidi_new" },
	{ 0x2517484a, "snd_rawmidi_kernel_open" },
	{ 0x83faa45f, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x4846f63c, "snd_rawmidi_kernel_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfa5ddbb1, "snd_rawmidi_init" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd0d8621b, "strlen" },
	{ 0x20d365c9, "snd_device_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc909f13c, "snd_rawmidi_free" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-seq-device,snd");


MODULE_INFO(srcversion, "E05550251445F417B81720A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
