#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x01c8e7c4, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x260a13da, "");
SYMBOL_CRC(snd_unregister_device, 0xe97ba0f9, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x007a73f4, "");
SYMBOL_CRC(snd_device_alloc, 0xa083996e, "_gpl");
SYMBOL_CRC(snd_card_new, 0x36169970, "");
SYMBOL_CRC(snd_devm_card_new, 0x68e47975, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xa16b7330, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x9f964ed1, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x3cf972ef, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x890421af, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x12d75082, "");
SYMBOL_CRC(snd_card_free, 0x25bc467b, "");
SYMBOL_CRC(snd_card_set_id, 0x0605d282, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x75de8f36, "_gpl");
SYMBOL_CRC(snd_card_register, 0x594c3e48, "");
SYMBOL_CRC(snd_component_add, 0x8a6769eb, "");
SYMBOL_CRC(snd_card_file_add, 0x01b1508b, "");
SYMBOL_CRC(snd_card_file_remove, 0xe4412ae5, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x9011fb30, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x161c06ff, "");
SYMBOL_CRC(copy_to_user_fromio, 0x602c96f0, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x198e91c1, "");
SYMBOL_CRC(copy_from_user_toio, 0xce3ca308, "");
SYMBOL_CRC(copy_from_iter_toio, 0x4a3a581a, "");
SYMBOL_CRC(snd_ctl_notify, 0xada93aab, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xb3212ef7, "");
SYMBOL_CRC(snd_ctl_new1, 0x851b6e2e, "");
SYMBOL_CRC(snd_ctl_free_one, 0xd7e7d3f7, "");
SYMBOL_CRC(snd_ctl_add, 0xc1a895df, "");
SYMBOL_CRC(snd_ctl_replace, 0x4d14c58d, "");
SYMBOL_CRC(snd_ctl_remove, 0xaafd5bda, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x80105f95, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x9e5d4372, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x417ad3f0, "");
SYMBOL_CRC(snd_ctl_rename, 0x2823c345, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xdf6292f6, "");
SYMBOL_CRC(snd_ctl_find_id, 0xab576ca1, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xbe409bb0, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xa68319b1, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x7d3f8d57, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x965cfece, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x525c4c00, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x94bc3182, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xf02e5576, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x0a261e40, "");
SYMBOL_CRC(snd_fasync_helper, 0xddf20de5, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x384a7cde, "");
SYMBOL_CRC(snd_device_disconnect, 0xbb0c829e, "_gpl");
SYMBOL_CRC(snd_device_free, 0x26656e60, "");
SYMBOL_CRC(snd_device_register, 0x20d365c9, "");
SYMBOL_CRC(snd_device_get_state, 0xded9572d, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x2a82921a, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xbda7a5a6, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xd6fce6e1, "");
SYMBOL_CRC(snd_info_free_entry, 0xd9822cd6, "");
SYMBOL_CRC(snd_info_register, 0xc32c44de, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x88d4c747, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x1cd843b9, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x0ebefe82, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x251a5043, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x43cee2f6, "");
SYMBOL_CRC(snd_ctl_add_followers, 0xd1f6e4ea, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xc7985471, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x75f267f2, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x90902817, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x9b3afd4d, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x1c38d709, "");
SYMBOL_CRC(snd_jack_new, 0x9e051b6b, "");
SYMBOL_CRC(snd_jack_set_parent, 0x5c63a673, "");
SYMBOL_CRC(snd_jack_set_key, 0x8c28ef7b, "");
SYMBOL_CRC(snd_jack_report, 0x76588563, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x53f2491c, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x3e0961f0, "proc_mkdir_mode" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x367bd1d2, "vmemdup_user" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x60a82bdf, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5c770328, "import_ubuf" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf365675d, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x938abf97, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x071b72f5, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0x666f9e16, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7f01b76a, "input_set_capability" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x92f7b2f2, "fasync_helper" },
	{ 0x7e3134d1, "devm_remove_action_nowarn" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x52804346, "proc_mkdir" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf82abc1d, "isa_dma_bridge_buggy" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x751db160, "input_event" },
	{ 0xa965ef37, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x0745a981, "xa_erase" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x10e99787, "proc_set_size" },
	{ 0x7765a0dc, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe61b857d, "kobject_set_name" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xe8ca9bec, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x8faacd6c, "pid_vnr" },
	{ 0x41cb844a, "devres_find" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xde046b87, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2342fdab, "proc_symlink" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7722dba8, "single_open" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0xcddfc3a2, "put_pid" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "E6AF3AD23CAA14CA756251D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
