#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xf6414efa, "");
SYMBOL_CRC(snd_ac97_read, 0x2d157143, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x70733bfa, "");
SYMBOL_CRC(snd_ac97_update, 0x407f7956, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x9bef7cd6, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x0846acfa, "");
SYMBOL_CRC(snd_ac97_bus, 0x465567c5, "");
SYMBOL_CRC(snd_ac97_mixer, 0x1d3f71ef, "");
SYMBOL_CRC(snd_ac97_update_power, 0xfdec367a, "");
SYMBOL_CRC(snd_ac97_suspend, 0x7be49d5c, "");
SYMBOL_CRC(snd_ac97_resume, 0xdcf6a8fd, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xd9aa09ba, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x97215e94, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xf37647ce, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x57ad29f3, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xe9248b0b, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x45df0f28, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1f6e4ea, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0xd9822cd6, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x04cda566, "snd_interval_refine" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xab576ca1, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x80105f95, "snd_ctl_remove_id" },
	{ 0x04e1b99f, "snd_pcm_std_chmaps" },
	{ 0x8a6769eb, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xc7985471, "snd_ctl_make_virtual_master" },
	{ 0xb79823ea, "snd_pcm_hw_rule_add" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x94bc3182, "snd_ctl_boolean_mono_info" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc2a5a719, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x2823c345, "snd_ctl_rename" },
	{ 0x5969ad9f, "device_register" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x384a7cde, "snd_device_new" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x09e913c1, "snd_pcm_alt_chmaps" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6fce6e1, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "73DCB793F67F0CD7F7E5C53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
