#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x913a3a5f, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x5e5b95b3, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x6b2b890c, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x0596e9ce, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xf2794b48, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x0f3e9b81, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x4b5b7a55, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0xc92b712f, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xd42bc20c, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x3a9d52c5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x044da856, "snd_rawmidi_receive" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x366dae33, "snd_dma_alloc_dir_pages" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65120079, "snd_rawmidi_transmit" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x70733bfa, "snd_ac97_write_cache" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0xdcf6a8fd, "snd_ac97_resume" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xccebc379, "snd_seq_device_new" },
	{ 0x594c3e48, "snd_card_register" },
	{ 0x0e454536, "request_firmware" },
	{ 0x4082eb37, "snd_devm_alloc_dir_pages" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xa43848dc, "snd_pcm_hw_constraint_minmax" },
	{ 0xd0d295f9, "snd_pcm_set_sync_per_card" },
	{ 0xf4435bf5, "snd_timer_interrupt" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x88d4c747, "snd_card_rw_proc_new" },
	{ 0x9bef7cd6, "snd_ac97_update_bits" },
	{ 0x1d3f71ef, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbeaf10ac, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xaafd5bda, "snd_ctl_remove" },
	{ 0x465567c5, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xab576ca1, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x193c28f2, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80105f95, "snd_ctl_remove_id" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe371198e, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x7be49d5c, "snd_ac97_suspend" },
	{ 0xa8720eee, "snd_pcm_lib_malloc_pages" },
	{ 0x4a123d4c, "__snd_util_mem_alloc" },
	{ 0x94bc3182, "snd_ctl_boolean_mono_info" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xadd4d890, "snd_util_memhdr_new" },
	{ 0x9f2b1049, "snd_pcm_lib_ioctl" },
	{ 0x6462db49, "snd_pcm_lib_free_pages" },
	{ 0xc783d442, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xada93aab, "snd_ctl_notify" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc98ec966, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfa063d6c, "snd_pcm_set_managed_buffer" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x828a2e3c, "snd_timer_new" },
	{ 0x2823c345, "snd_ctl_rename" },
	{ 0x009cbbdb, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x407f7956, "snd_ac97_update" },
	{ 0x737bf7c1, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcfeb0016, "snd_rawmidi_new" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x4b1548aa, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0x6a224c83, "__snd_util_mem_free" },
	{ 0x83faa45f, "snd_rawmidi_set_ops" },
	{ 0xd1913a58, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x68e47975, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x9e06c0b1, "snd_util_memhdr_free" },
	{ 0xd6fce6e1, "snd_info_create_card_entry" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x26656e60, "snd_device_free" },
	{ 0x600fadcf, "snd_pcm_period_elapsed" },
	{ 0x3936370b, "__snd_util_memblk_new" },
	{ 0xd0d8621b, "strlen" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c0a6816, "snd_pcm_hw_rule_noresample" },
	{ 0x2d157143, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8CCAC3B67534165C894980A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
