#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x0077bfd9, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xc5e1f0d7, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x23483812, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x0e9d8140, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x83e11950, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x1c3c9bc2, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xdcf81111, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xd12763c4, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x5ec1a34f, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xa591afb0, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x04f00ad9, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xcf5e29eb, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x5b9ee6f9, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x192466fc, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xf85d3a7a, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x3c3eebc8, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x911c6743, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xf4060bc9, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x7809c4b5, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x6a29530a, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xe0f6da1b, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x7b2fab72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x032b5d0f, "snd_hda_apply_verbs" },
	{ 0x43389764, "snd_hda_codec_amp_update" },
	{ 0xfafd4882, "snd_hda_add_new_ctls" },
	{ 0x7849fcf1, "snd_hda_get_connections" },
	{ 0x061cadb1, "snd_hda_codec_amp_init_stereo" },
	{ 0x528e23e2, "snd_hda_set_vmaster_tlv" },
	{ 0x07e59235, "hda_get_autocfg_input_label" },
	{ 0x512bce2e, "query_amp_caps" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x081217fc, "snd_hda_mixer_amp_volume_info" },
	{ 0xc714b988, "snd_hdac_regmap_read_raw" },
	{ 0xe8479278, "snd_hda_jack_detect_state_mst" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x45b9a6b0, "snd_hda_codec_setup_stream" },
	{ 0x67ab0171, "snd_hda_mixer_amp_switch_info" },
	{ 0x8e596209, "hda_codec_driver_unregister" },
	{ 0x7d2d2a20, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc8db1093, "snd_hdac_codec_write" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x01c724b2, "snd_hda_jack_tbl_get_mst" },
	{ 0x4e4a4914, "snd_hda_multi_out_dig_open" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9ec6e667, "snd_hda_add_vmaster_hook" },
	{ 0x037a0cba, "kfree" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0xbc12fa8c, "snd_hda_codec_pcm_new" },
	{ 0x59b7ce30, "__snd_hda_codec_cleanup_stream" },
	{ 0x90902817, "snd_ctl_sync_vmaster" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xeea4549e, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0ffb6e9, "snd_hda_get_pin_label" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01409bab, "snd_hda_add_imux_item" },
	{ 0x5ce6c94b, "snd_hda_correct_pin_ctl" },
	{ 0x71ee20f5, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x64a86e61, "snd_hda_create_dig_out_ctls" },
	{ 0x6d45c72a, "snd_hda_multi_out_dig_close" },
	{ 0x9f105d82, "snd_hda_get_conn_index" },
	{ 0x1911e9e1, "snd_hda_multi_out_analog_open" },
	{ 0x6f22f7ee, "snd_hda_get_bool_hint" },
	{ 0xf8f02c03, "snd_hda_create_spdif_share_sw" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x53785f64, "snd_hda_find_mixer_ctl" },
	{ 0x09dbaf03, "snd_hda_get_int_hint" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x02675647, "__hda_codec_driver_register" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x0b07f20e, "snd_hda_parse_pin_defcfg" },
	{ 0x4af124cd, "snd_hda_codec_amp_init" },
	{ 0x488b963e, "snd_hda_create_spdif_in_ctls" },
	{ 0xe0bfa474, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x594a670e, "snd_hda_multi_out_analog_cleanup" },
	{ 0xd96429fa, "snd_hda_multi_out_analog_prepare" },
	{ 0xf02e5576, "snd_ctl_boolean_stereo_info" },
	{ 0xb4f73df0, "snd_hda_get_conn_list" },
	{ 0xa217db8d, "snd_hda_mixer_amp_switch_get" },
	{ 0xb97311bd, "snd_hda_codec_set_pin_target" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xa7a0faf7, "snd_hda_attach_beep_device" },
	{ 0x01e4827c, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124ecd51, "snd_hdac_regmap_write_raw" },
	{ 0xcdaecd00, "snd_hda_mixer_amp_volume_get" },
	{ 0x149bad33, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xe5faa851, "snd_hda_check_amp_caps" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x81191187, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x698e8a29, "snd_hda_jack_unsol_event" },
	{ 0x434972e8, "snd_hda_check_amp_list_power" },
	{ 0x0676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x01478911, "snd_hda_mixer_amp_tlv" },
	{ 0xaf302012, "snd_hda_jack_add_kctls" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x68a9c7c2, "__snd_hda_add_vmaster" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5636667, "snd_hda_codec_amp_stereo" },
	{ 0x7b580471, "snd_hda_sync_vmaster_hook" },
	{ 0x488f95b4, "snd_hda_apply_fixup" },
	{ 0x9ad906ec, "snd_hda_enum_helper_info" },
	{ 0x36001cdc, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0xd0d8621b, "strlen" },
	{ 0x583dfe8e, "snd_hdac_codec_read" },
	{ 0xeea0070a, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xdff64b70, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x10c120f4, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8c2abab0, "snd_hdac_regmap_sync" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
