#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(hda_cs_dsp_fw_ids, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_add_controls, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_control_remove, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_write_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_read_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");

SYMBOL_CRC(hda_cs_dsp_fw_ids, 0x2b707546, "_gpl");
SYMBOL_CRC(hda_cs_dsp_add_controls, 0x48bd880c, "_gpl");
SYMBOL_CRC(hda_cs_dsp_control_remove, 0xa37c1b8d, "_gpl");
SYMBOL_CRC(hda_cs_dsp_write_ctl, 0x80d7f2c4, "_gpl");
SYMBOL_CRC(hda_cs_dsp_read_ctl, 0x4871531a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd25810cf, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0x87f28f83, "cs_dsp_coeff_read_ctrl" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x9dfe9f3a, "cs_dsp_coeff_write_ctrl" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xaafd5bda, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2da64f0, "cs_dsp_get_ctl" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34215c06, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd");


MODULE_INFO(srcversion, "07C06B1D84979CC023A4544");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
