#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0xe16c4c7c, "");
SYMBOL_CRC(snd_trident_stop_voice, 0x1a4bfcdd, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0x71dc441d, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x2411c5fc, "");
SYMBOL_CRC(snd_trident_free_voice, 0x6dec0926, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0xdcf6a8fd, "snd_ac97_resume" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0x594c3e48, "snd_card_register" },
	{ 0x4082eb37, "snd_devm_alloc_dir_pages" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xa43848dc, "snd_pcm_hw_constraint_minmax" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x88d4c747, "snd_card_rw_proc_new" },
	{ 0x1d3f71ef, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbeaf10ac, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x465567c5, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x7be49d5c, "snd_ac97_suspend" },
	{ 0x94bc3182, "snd_ctl_boolean_mono_info" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xadd4d890, "snd_util_memhdr_new" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xada93aab, "snd_ctl_notify" },
	{ 0xc98ec966, "snd_pcm_set_ops" },
	{ 0xfa063d6c, "snd_pcm_set_managed_buffer" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x737bf7c1, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6a224c83, "__snd_util_mem_free" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x68e47975, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x9e06c0b1, "snd_util_memhdr_free" },
	{ 0x88ded1be, "snd_mpu401_uart_new" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x600fadcf, "snd_pcm_period_elapsed" },
	{ 0x3936370b, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xbac39ad8, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-ac97-codec,snd-pcm,snd-util-mem,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EC4AA4D1EB4DC81D1D8C07F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
