#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x6251f959, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x706e1992, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xed35b5ab, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x2c4e6b80, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xd8d39423, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xd102c05e, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x5630c322, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x8e6117c6, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x14fc21ba, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xf48265b0, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xe011b1ef, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x5b379587, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x65afbf69, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xccb27810, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe9feffd8, "snd_soc_jack_report" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0xa43848dc, "snd_pcm_hw_constraint_minmax" },
	{ 0x23c62982, "regcache_sync_region" },
	{ 0x9d12482c, "snd_soc_put_enum_double" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x47fae6b0, "regulator_bulk_disable" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0xa93f383f, "snd_soc_get_enum_double" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf8e6da19, "snd_soc_info_volsw" },
	{ 0xd93dcc0f, "regcache_drop_region" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7de355d3, "snd_soc_info_enum_double" },
	{ 0x6d03eb45, "regulator_bulk_enable" },
	{ 0x01723ce6, "devm_regulator_bulk_get" },
	{ 0x46bfe270, "snd_soc_get_volsw" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x60b6aae0, "snd_soc_put_volsw" },
	{ 0x553ce2c6, "snd_soc_component_update_bits" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbeaac2d3, "regmap_bulk_read" },
	{ 0x5c83eafd, "device_property_read_bool" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x2b25321e, "regmap_multi_reg_write" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "8DB77C8760919CA0536D6C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
