#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x27aae152, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0xa621a6f7, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0x2b0915a4, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0xa8db0691, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76e0b6bd, "snd_soc_dapm_put_enum_double" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0x58ebf915, "regmap_write" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x2b06f5b3, "snd_soc_jack_free_gpios" },
	{ 0x442cbbe2, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xf0f07db9, "snd_soc_jack_add_gpios" },
	{ 0x791408b5, "snd_soc_dapm_disable_pin" },
	{ 0xf11f9f3c, "snd_soc_dapm_force_enable_pin" },
	{ 0x9d12482c, "snd_soc_put_enum_double" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad18ec41, "snd_soc_component_write" },
	{ 0xd175b149, "snd_soc_dapm_sync" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4d0a67b2, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xa93f383f, "snd_soc_get_enum_double" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x8145de07, "i2c_register_driver" },
	{ 0xf8e6da19, "snd_soc_info_volsw" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x2f15e209, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xb166e8eb, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc93ee44, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x7de355d3, "snd_soc_info_enum_double" },
	{ 0x46bfe270, "snd_soc_get_volsw" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x60b6aae0, "snd_soc_put_volsw" },
	{ 0x553ce2c6, "snd_soc_component_update_bits" },
	{ 0x9430a570, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0xa9223ef0, "snd_soc_dapm_get_volsw" },
	{ 0xbce9c379, "i2c_del_driver" },
	{ 0xbe50bbfe, "regmap_register_patch" },
	{ 0x803ccb1e, "snd_soc_dapm_get_enum_double" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
