#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0xc3bd26e1, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xb9580d27, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x747f1102, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x6aae1926, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x1864236a, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x352e3a6d, "");
SYMBOL_CRC(hda_dsp_probe, 0x33999242, "");
SYMBOL_CRC(hda_dsp_remove, 0x8b94245f, "");
SYMBOL_CRC(hda_power_down_dsp, 0xd73e03ba, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x1389b805, "");
SYMBOL_CRC(sof_hda_common_ops, 0xaba533ce, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51f20c52, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x8f280bd0, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x225cd052, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x643d6036, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xa79b05c7, "hda_get_interface_mask" },
	{ 0xd1228d78, "hda_codec_i915_display_power" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x35034082, "hda_dsp_pcm_trigger" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xbbd4229f, "hda_dsp_d0i3_work" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x748ac335, "intel_nhlt_get_dmic_geo" },
	{ 0xf68c3c11, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x172ee628, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x6588d2eb, "hda_sdw_process_wakeen" },
	{ 0xe407c1ba, "hda_sdw_int_enable" },
	{ 0x11eeed7d, "hda_bus_ml_init" },
	{ 0xcf24c837, "hda_codec_probe_bus" },
	{ 0xfbad6aa9, "sof_hda_bus_exit" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4eec20ae, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x041b0f69, "sdw_intel_exit" },
	{ 0xaf09785d, "hda_codec_check_for_state_change" },
	{ 0xc7d7e154, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x06a6205d, "sdw_hda_dai_trigger" },
	{ 0x08ba29a2, "hda_bus_ml_free" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xa1cdc44b, "hda_dsp_cl_boot_firmware" },
	{ 0xeab04b37, "hda_dsp_pcm_hw_params" },
	{ 0xca07d85b, "hda_sdw_check_lcount" },
	{ 0x72064c62, "snd_intel_dsp_driver_probe" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0xd0c96950, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x5db7c755, "pci_ioremap_bar" },
	{ 0xb1099581, "hda_dsp_ctrl_init_chip" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd645e010, "sdw_hda_dai_hw_free" },
	{ 0x8510d444, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x311c51bb, "hda_dsp_suspend" },
	{ 0x89bfb1c7, "hda_dsp_runtime_suspend" },
	{ 0xe780fc6f, "hda_codec_i915_exit" },
	{ 0x193c28f2, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x038d9e5e, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xe4156278, "hda_dai_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4e92d46a, "hda_probes_unregister" },
	{ 0xfcfd55d1, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd424f033, "hda_dsp_pcm_ack" },
	{ 0xb35489c5, "hda_dsp_trace_release" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xeb12c1fc, "hda_dsp_dump" },
	{ 0xe00bac02, "sdw_intel_startup" },
	{ 0xc4e9bc51, "hda_dsp_pcm_pointer" },
	{ 0x4b34298c, "sdw_intel_process_wakeen_event" },
	{ 0x0dd37fe4, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbe30c480, "sof_mailbox_read" },
	{ 0x970b3f28, "hda_bus_ml_put_all" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x935181bd, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe71c3357, "__tracepoint_sof_intel_hda_irq" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x59b03f9a, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0xece22b84, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x84e45642, "hda_codec_device_remove" },
	{ 0x352a1780, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x0dda8196, "snd_sof_dsp_update_bits" },
	{ 0xaeb07a7d, "snd_sof_pci_update_bits" },
	{ 0xb8eaa6d0, "sof_hda_bus_init" },
	{ 0x5ffc348d, "hda_dsp_runtime_idle" },
	{ 0x69d15844, "hda_dsp_pcm_open" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x3f7e29be, "sdw_intel_lnl_hw_ops" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x3a680db0, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x48e04861, "hda_dsp_pcm_close" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x895dc2fe, "hda_check_ipc_irq" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0x0e84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ece252f, "hda_dsp_runtime_resume" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xa0a3fdce, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x664e584f, "sof_machine_unregister" },
	{ 0xb0c62f45, "skl_dai" },
	{ 0x080ff711, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd35832b, "sdw_intel_probe" },
	{ 0x6ffff317, "snd_sof_load_firmware_raw" },
	{ 0xfde97674, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x5223190c, "hda_is_chain_dma_supported" },
	{ 0x8d51f03f, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x2ce3e9a8, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x8126609b, "hda_dsp_stream_init" },
	{ 0x81fc4d43, "hda_dsp_get_stream_ldp" },
	{ 0x4e2e4b12, "hda_dsp_stream_free" },
	{ 0xbc9cd6a0, "hda_dsp_ctrl_get_caps" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x892c3fe9, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x52ab8877, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xc47ff167, "hda_codec_i915_init" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0xa07225f7, "hda_dsp_check_stream_irq" },
	{ 0x9ad33ab1, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x5a48050a, "hda_dsp_ipc_get_window_offset" },
	{ 0x8f18f270, "hda_ipc_msg_data" },
	{ 0xa02a89ec, "sof_machine_register" },
	{ 0xd94386b3, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-soc-acpi,snd-sof,snd-sof-intel-hda,soundwire-intel,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "FAEC18F973BD3EEC28CABF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
