#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x11eeed7d, "");
SYMBOL_CRC(hda_bus_ml_free, 0x08ba29a2, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x5ca3b533, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0x344d49e5, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x6d26c2e4, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xecd03c5f, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x2345f0a4, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x889f0d72, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x7ef169e6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xb7ce0c2d, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x26acdbe8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x30872c0a, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x5b2ac3f6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x4b0f5c20, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xebaeda8d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x960c23df, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x8ad8e39f, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x5d3eca7f, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x259c2d69, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x8ff0d73b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x421de1e9, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x730c2ee6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x2fbbda5e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xf9afb7fd, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x72f76acd, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x970b3f28, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x64d3f2a2, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xec3e2869, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x1aa4f233, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xd94386b3, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xd6ee2213, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x9dc9ba94, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x65d2bc61, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xf6c8dcde, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x09fcdbe8, "snd_hdac_ext_bus_link_power_up" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59261d84, "snd_hdac_ext_bus_link_power_down" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xdf8636b6, "snd_hdac_ext_bus_link_put" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "DE685653B24AD0A49EC9BDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
