#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x6aba6c86, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0xa8552f94, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xcf24c837, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xaf09785d, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0xddf77498, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0x380fe2d6, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x5f7bfb9c, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0xd0911017, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x727326b8, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0xc97476b9, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xdef0710e, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xeaf186d3, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x84e45642, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xd1228d78, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xc47ff167, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xe780fc6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x02d15619, "snd_hdac_bus_send_cmd" },
	{ 0x5acef25a, "snd_hdac_bus_get_response" },
	{ 0x1786109a, "snd_hdac_bus_update_rirb" },
	{ 0xd34c96da, "snd_hdac_codec_modalias" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x77d96ee5, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x5b9a679d, "snd_hdac_device_register" },
	{ 0x7fb43035, "snd_hdac_i915_init" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xddf27b32, "snd_hdac_device_unregister" },
	{ 0x63375326, "device_attach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xed17d0ab, "snd_hdac_bus_stop_cmd_io" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x9f5fca6c, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14ce1aa0, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe03a2d00, "snd_hdac_acomp_exit" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa2b8472e, "snd_hda_codec_device_init" },
	{ 0xd4867fcf, "snd_hdac_set_codec_wakeup" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "D76F1EEA305FFE2FFB14A93");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
