#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0xf7a012b3, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0xf6c76383, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x2367645f, "");
SYMBOL_CRC(mtl_enable_interrupts, 0xf982a874, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0xb610ddb8, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0xdcd947f2, "");
SYMBOL_CRC(mtl_dsp_dump, 0xaba7c751, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x41567c70, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0xa7c1e425, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0xa4550010, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x89d6fc1d, "");
SYMBOL_CRC(mtl_ipc_dump, 0x08ab1787, "");
SYMBOL_CRC(mtl_dsp_core_get, 0xa533d47a, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x896bf411, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x747f1102, "hda_sdw_check_wakeen_irq_common" },
	{ 0xfc696118, "snd_soc_acpi_intel_arl_machines" },
	{ 0x71e638f6, "hda_dsp_shutdown" },
	{ 0xe407c1ba, "hda_sdw_int_enable" },
	{ 0xc3bd26e1, "hda_sdw_startup" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xf058d2b2, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x00830ba8, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xaba533ce, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcdfe5bf0, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x1389b805, "hda_pci_intel_probe" },
	{ 0x0b25d552, "snd_sof_dsp_dbg_dump" },
	{ 0x0dd37fe4, "sof_mailbox_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x4471b22c, "snd_sof_dsp_update_bits_forced" },
	{ 0x9b479b6a, "sof_pci_remove" },
	{ 0x3ae060ad, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6488cb0d, "hda_set_dai_drv_ops" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xebb48cb3, "snd_sof_ipc_get_reply" },
	{ 0x0dda8196, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd15c42e9, "snd_sof_ipc_reply" },
	{ 0x8b634c6f, "hda_ipc4_tx_is_busy" },
	{ 0xa5b36065, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x44900a71, "hda_ops_free" },
	{ 0xf40f1f91, "sof_pci_shutdown" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x6aae1926, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdab8c8b9, "hda_dsp_get_state" },
	{ 0x278f6be0, "hda_dsp_ipc4_load_library" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x68c85c28, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x34ce5749, "sof_pci_pm" },
	{ 0xd08499f3, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x63ac09eb, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof-intel-hda-common,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "252A129CF5CC6CE6B15408F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
