#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x4b8c110b, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x885f3dc0, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xb5c17c22, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x6b550879, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x60e7d1fc, "_gpl");
SYMBOL_CRC(line6_read_data, 0x0830e584, "_gpl");
SYMBOL_CRC(line6_write_data, 0x20cf05cb, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x540e3acc, "_gpl");
SYMBOL_CRC(line6_probe, 0x7f96a053, "_gpl");
SYMBOL_CRC(line6_disconnect, 0xaf7c61cf, "_gpl");
SYMBOL_CRC(line6_suspend, 0x86c55343, "_gpl");
SYMBOL_CRC(line6_resume, 0x3dc94369, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x5ddf60b1, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xaee1c958, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x43cb9e0f, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x84a3a11a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x044da856, "snd_rawmidi_receive" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0xd1dfa21e, "usb_control_msg_send" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xc2b9c8a9, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6744e2c, "usb_interrupt_msg" },
	{ 0x2ec524ad, "__kfifo_in_r" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xb97cba3c, "usb_put_dev" },
	{ 0xa166bac9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1fba9117, "snd_rawmidi_transmit_ack" },
	{ 0x8f05cb4c, "usb_get_dev" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xdfa1fc5c, "snd_pcm_hw_constraint_ratdens" },
	{ 0x36169970, "snd_card_new" },
	{ 0x627de429, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xc783d442, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0aa56110, "snd_rawmidi_transmit_peek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x12d75082, "snd_card_free_when_closed" },
	{ 0x82614f95, "usb_set_interface" },
	{ 0xc98ec966, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x737bf7c1, "snd_pcm_set_managed_buffer_all" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb55a931, "__kfifo_max_r" },
	{ 0xcfeb0016, "snd_rawmidi_new" },
	{ 0x3cf972ef, "snd_card_disconnect" },
	{ 0x1e8d8ed3, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83faa45f, "snd_rawmidi_set_ops" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6970398, "__kfifo_to_user_r" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x600fadcf, "snd_pcm_period_elapsed" },
	{ 0x37f614b7, "__kfifo_len_r" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
