#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_usbmidi_disconnect, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_stop, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_start, "", "");
KSYMTAB_FUNC(snd_usbmidi_suspend, "", "");
KSYMTAB_FUNC(snd_usbmidi_resume, "", "");
KSYMTAB_FUNC(__snd_usbmidi_create, "", "");

SYMBOL_CRC(snd_usbmidi_disconnect, 0xd9d2bb03, "");
SYMBOL_CRC(snd_usbmidi_input_stop, 0x63343b1d, "");
SYMBOL_CRC(snd_usbmidi_input_start, 0x16756dc0, "");
SYMBOL_CRC(snd_usbmidi_suspend, 0xbed43a41, "");
SYMBOL_CRC(snd_usbmidi_resume, 0xb2af19e1, "");
SYMBOL_CRC(__snd_usbmidi_create, 0x0a466ad7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x044da856, "snd_rawmidi_receive" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x65120079, "snd_rawmidi_transmit" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0xfd9cc8d6, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x9ec4dd34, "usb_autopm_get_interface_no_resume" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa166bac9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x1fba9117, "snd_rawmidi_transmit_ack" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x627de429, "usb_urb_ep_type_check" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1fca914c, "usb_free_coherent" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0aa56110, "snd_rawmidi_transmit_peek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xada93aab, "snd_ctl_notify" },
	{ 0x82614f95, "usb_set_interface" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x932083e6, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xcfeb0016, "snd_rawmidi_new" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83faa45f, "snd_rawmidi_set_ops" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xe5c437bd, "snd_rawmidi_proceed" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd");


MODULE_INFO(srcversion, "2CB4860D7FE09D5DD32AF2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
