#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(battery_hook_unregister, "_gpl", "");
KSYMTAB_FUNC(battery_hook_register, "_gpl", "");
KSYMTAB_FUNC(devm_battery_hook_register, "_gpl", "");

SYMBOL_CRC(battery_hook_unregister, 0x0bacfc80, "_gpl");
SYMBOL_CRC(battery_hook_register, 0x2685434b, "_gpl");
SYMBOL_CRC(devm_battery_hook_register, 0x56982854, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x33bf4443, "acpi_quirk_skip_acpi_ac_and_battery" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x7e521a74, "__acpi_bus_register_driver" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8e3d1d37, "power_supply_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x037a0cba, "kfree" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x070f7896, "_printk" },
	{ 0xb4625ee0, "power_supply_get_drvdata" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x0cd30ea7, "acpi_dev_remove_notify_handler" },
	{ 0x934b9c45, "device_wakeup_disable" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x64bb3a8e, "power_supply_changed" },
	{ 0xd72e8678, "acpi_bus_unregister_driver" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7e164182, "power_supply_register" },
	{ 0x7fb6f69c, "acpi_bus_get_status" },
	{ 0xeb53365c, "acpi_pm_wakeup_event" },
	{ 0xe13cd8a7, "dmi_name_in_vendors" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xc9d5fd12, "acpi_notifier_call_chain" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x11ac2d07, "device_wakeup_enable" },
	{ 0x01e624de, "acpi_dev_install_notify_handler" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C0A:*");
MODULE_ALIAS("acpi*:MSHW0146:*");

MODULE_INFO(srcversion, "FF166072E9D99A0FE548857");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
