#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_init, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0x98505101, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x2b1c5a56, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x4654210e, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x4e495e92, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x86a5a757, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x6029331b, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x0660ed63, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x6f12bb49, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xcf8c85f5, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x1382a9f8, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x64ab18c8, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x862a3e4a, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x618ad896, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x82e293b8, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x64a5a96c, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x5930714d, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x8a550a70, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xaa0ed473, "_gpl");
SYMBOL_CRC(ata_link_online, 0xae3e21ab, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x4adbecc8, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xffdc0f22, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x9642fcea, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x9f1e6e7f, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x41b7e24b, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x789c9a1c, "_gpl");
SYMBOL_CRC(ata_port_free, 0x2952b2d9, "_gpl");
SYMBOL_CRC(ata_host_put, 0x5eda95bd, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x2501c61c, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0xaf78816b, "_gpl");
SYMBOL_CRC(ata_host_start, 0xec3444ab, "_gpl");
SYMBOL_CRC(ata_host_init, 0xc5bf72a9, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xf68efc1a, "_gpl");
SYMBOL_CRC(ata_host_register, 0x3982da8a, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x19ba04c3, "_gpl");
SYMBOL_CRC(ata_host_detach, 0xa882c761, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x548fb59f, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0xd46403b3, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x31eafc50, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x9d9d085b, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xb7d3ef1b, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x4c2719df, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x185bd012, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0xb90bc36d, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x815c1bef, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x34610989, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x6d736bf6, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x4594eda6, "_gpl");
SYMBOL_CRC(ata_print_version, 0xf8c34341, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x8cc7148d, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0xe9a10ad8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x08a88a9f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xa3d4dce0, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xc89828f5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xf80f5fc7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xc3a17b69, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0xc19f453c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xc68c41d6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x98c5b177, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x91c89c79, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x9de88bc8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x92aad517, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x59c01d73, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0xc9715630, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xff5270e3, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x027f7d57, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x3b92b46e, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x23cfddd7, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x90e01dd4, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x2ed666bd, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0xd9b2715f, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_init, 0xd731a973, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_configure, 0x0744cb65, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_destroy, 0x27c50293, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xb83c5862, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0xf08fd1ce, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0xd510499a, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x97facbe4, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x50687689, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x1a2ec9e3, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xac8045a0, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x43106286, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xcf26c14b, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0xa36ec726, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0xf162bcba, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xca44b100, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x6c519777, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x5846413b, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0xd7e51fe1, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xd72b4268, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x4090e25f, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0xc201978d, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x799342a9, "_gpl");
SYMBOL_CRC(ata_tport_add, 0xc6c7fac5, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x8d89448d, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x3c7e2584, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x5de75516, "_gpl");
SYMBOL_CRC(sata_scr_write, 0xfa760f54, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0xdad663c2, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x0019d0f2, "_gpl");
SYMBOL_CRC(sata_link_resume, 0xebf81572, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x86af0662, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x308ef20b, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x1802c7f9, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0xbce4fccd, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x9c2142c3, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x1041804e, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x90735fbb, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x93e26155, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x9f1a8ce8, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0xd32df2f2, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0xcb433608, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x2e0b5e90, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xb53aca95, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0xb78d9ad0, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xcc2f5a29, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x6d190d46, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x075d5a3b, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0xe5c43826, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x85dcfa99, "_gpl");
SYMBOL_CRC(ata_sas_sdev_configure, 0x530aa72b, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x83cdb950, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x8d5a2f05, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x52b27078, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x04b0b3d2, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x3c848b93, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x59923174, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x2ed1df17, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x350713c8, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xff6353f0, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x10f0ba46, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x5d0bca04, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0xd1b90c2a, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x52b9ce85, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x07a33a0a, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0x4ab8ad9b, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x1eb1096b, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0xcec529f8, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xeb9abbee, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x6c43b737, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x4f1aed31, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x5a19e170, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x5071a025, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0xfc0d89a4, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xcfcc7532, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x2e4d463e, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x5bf5cf60, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0xf8fe1e75, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x0170d64f, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x69bb45a5, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x07d1e72d, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x99204797, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x7058d484, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0xa37a83cc, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xcd183f26, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xabaff00d, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0xcf571274, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0x064a529e, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x6138665f, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x8e798de3, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0xaece1beb, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x4265178d, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0xa9080da8, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xe7bd23b0, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0xd540a1a4, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0xf4ade002, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0xf0b5c65d, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xe27dec0d, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0xb2f39273, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0xe9b37718, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x25fa8040, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x24ca6bc1, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x0b19e7c4, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x2c22ef00, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x33632bf2, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xc1bb2a8d, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x2d2eef85, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x54807faa, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xc2614928, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0xa22b1d52, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x5e88a674, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0xfe3b01d1, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0x22dadfde, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x32354048, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0xafe79418, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x03e4c7c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54e331b9, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0xe3709660, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b2a0929, "devres_release_group" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xdbb1bb49, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x0e786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe043d7f5, "devres_remove_group" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8cb18263, "dmam_alloc_attrs" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x54d88b0c, "scsi_remove_host" },
	{ 0xc3b9a261, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5046575d, "scsi_build_sense" },
	{ 0xaa891ae4, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x03815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0xaac33acd, "scsi_check_sense" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4e0f06df, "sdev_evt_send_simple" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4ea226c7, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xebb389a7, "sdev_disable_disk_events" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x31d7363e, "scsi_device_set_state" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x42d8c073, "transport_setup_device" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x1c6c2cb4, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x03ba9426, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x2655d595, "scsi_device_put" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xa14d31e1, "pcim_iomap_regions" },
	{ 0xa7a07485, "kobject_uevent_env" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x76f06cf6, "scsi_host_put" },
	{ 0xe4dbe136, "transport_class_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x605d0178, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc91bd05f, "attribute_container_register" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x6612754a, "device_link_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0xf06f59de, "transport_configure_device" },
	{ 0x771fefae, "devres_open_group" },
	{ 0xeffbe85e, "scsi_resume_device" },
	{ 0x0334da4e, "scsi_command_size_tbl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x1e68782a, "pcim_pin_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc337183a, "transport_add_device" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x418a5367, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x0b19b445, "ioread8" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xc6b3bc6e, "scsi_rescan_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xd8ddd2c7, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x0770680e, "attribute_container_unregister" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66c602d8, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2d275913, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6300241a, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x83ee22ac, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1e526be9, "pcim_iomap_table" },
	{ 0xbd12caff, "scsi_remove_device" },
	{ 0x49b2c160, "blk_abort_request" },
	{ 0xb2c8d19e, "scsi_add_host_with_dma" },
	{ 0xe3566e0c, "set_primary_fwnode" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7570fc69, "dev_pm_qos_expose_flags" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0x04d5cdd7, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x9831d3a2, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea6b2627, "device_link_add" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x422ce113, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6ffa7734, "acpi_pm_set_device_wakeup" },
	{ 0x3a595765, "pci_bus_type" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde0cc043, "transport_class_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "82DEEC2598CE6231012581C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
