#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xe8ea5614, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x72632fae, "");
SYMBOL_CRC(__bcma_driver_register, 0x1f451c3b, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xdd40b2a0, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xdbd09434, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x462f75d5, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x05e7ea1d, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xf2c8d1a6, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x0dde50ec, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xadc29aae, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x9c8fffa8, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x7e803a84, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xe092ceea, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xe07e228b, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x031f3478, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xb9cbf43e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x04b60909, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xb6d5e79f, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x32aa1e83, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xf1a2cb73, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x87caf321, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x4746c651, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x8b55889d, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x2456544e, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x01221b56, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x2f8f5b8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x93040ffb, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x37f311f5, "of_address_to_resource" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd3307177, "of_platform_default_populate" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x037a0cba, "kfree" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdf636def, "get_device" },
	{ 0x870ec376, "of_irq_parse_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xc13f284f, "of_irq_parse_raw" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf486e5f1, "gpiochip_get_data" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x0b19b445, "ioread8" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x691f05d8, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cd9e0a0, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf82788fe, "pcie_set_readrq" },
	{ 0xfa1c830d, "irq_create_of_mapping" },
	{ 0x91052164, "of_dma_configure_id" },
	{ 0xe5515291, "driver_register" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
