#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3733dc3a, "set_capacity_and_notify" },
	{ 0xfb5f4b08, "lc_seq_printf_stats" },
	{ 0x0c9447ce, "set_disk_ro" },
	{ 0xc958c765, "__blk_alloc_disk" },
	{ 0xb40fc6dd, "bdev_alignment_offset" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x08b1edcd, "bdev_file_open_by_path" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xd7d20c2a, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x93e9fb68, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6c58a6aa, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x03c0b8d2, "lc_get_cumulative" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xdd159afd, "bio_split_to_limits" },
	{ 0xa413de62, "kmap_high" },
	{ 0x5f4239f1, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x81d63779, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x39e153f8, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2fadf2f7, "kernel_accept" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x22f42ca8, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xdf90a00a, "tcp_sock_set_quickack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x24eeed4c, "netlink_broadcast_filtered" },
	{ 0x9d76cc9a, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2e958ded, "lc_del" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3345c551, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0x738803e6, "strnlen" },
	{ 0x41a5f227, "lc_committed" },
	{ 0x9c079cc0, "lc_get" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xaaded106, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbe86c63b, "submit_bio" },
	{ 0x376c05b2, "module_put" },
	{ 0xd58ff4ee, "bio_start_io_acct" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc0aa3531, "bdev_discard_alignment" },
	{ 0x3ebbbd0f, "lc_try_get" },
	{ 0x5ca32fd0, "bioset_exit" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x189650df, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x2da8464c, "bio_put" },
	{ 0x6085461e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x76647da5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xbb600b33, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x7924f6e1, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x40b2d461, "lc_element_by_index" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x418c5a26, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x15ee0520, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xaefa07f8, "kunmap_high" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x42c92f21, "set_cpus_allowed_ptr" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x51813ef6, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xd452dfca, "crypto_shash_digest" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0x4c70a10a, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xced6a6ad, "blk_stack_limits" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x769ba11d, "sock_sendmsg" },
	{ 0x0ed4392c, "bio_add_page" },
	{ 0xf1e7907e, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x97c1f25e, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x4c5ffbc7, "lc_create" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6e879e29, "bd_unlink_disk_holder" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xab933d65, "bio_alloc_clone" },
	{ 0x2826b6fa, "lc_try_lock" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xad2e6f7c, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xa5231593, "lc_reset" },
	{ 0xd8ddd2c7, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0xca83ba4a, "lc_is_used" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb71810f8, "lc_seq_dump_details" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc7e44959, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x83fca088, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xefe953b2, "bioset_init" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x46f079e5, "sock_recvmsg" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2dc1ce2f, "bd_link_disk_holder" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0xf5218d21, "queue_limits_commit_update" },
	{ 0xdda430b4, "single_release" },
	{ 0x51cdbfe5, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa723f56e, "tcp_sock_set_nodelay" },
	{ 0xd8dc2c3c, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x28df845b, "genl_unregister_family" },
	{ 0xe05fe95f, "__seq_puts" },
	{ 0xf7f542a8, "proc_create_single_data" },
	{ 0xf7bac116, "page_address" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x47f877ad, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6678ea8c, "lc_find" },
	{ 0x7722dba8, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x2edb3766, "crypto_alloc_shash" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x97eb8faf, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x79aff810, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x183b9fa3, "fs_bio_set" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xe86641d9, "blkdev_issue_discard" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "lru_cache");


MODULE_INFO(srcversion, "900745622289D38C0BAB129");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
