#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0x5bfde6c5, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0xf414c2bd, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x180b911c, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x2ba009f5, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x96c031d7, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x9122d915, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x2eeb4485, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xda458619, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x87a73596, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x638ad15a, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x3cdfb891, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0xcb30f287, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x1932860d, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0xae8ce0db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0e454536, "request_firmware" },
	{ 0x0718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf568f58a, "__hci_cmd_sync" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30950425, "hci_cmd_sync_queue" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe4f6e493, "hci_devcd_register" },
	{ 0x391c3cb1, "__hci_cmd_send" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1a5acc3c, "usb_anchor_urb" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x06b1c057, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x96df04de, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xdd5b8efe, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x037a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x20e53375, "hci_devcd_append" },
	{ 0x87fb847e, "hci_devcd_complete" },
	{ 0xc4b518a7, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xc4ce03e5, "usb_disable_autosuspend" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0xcac714f7, "hci_recv_diag" },
	{ 0x24c5e47f, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x86210e3c, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x75442ac2, "__skb_pad" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x82614f95, "usb_set_interface" },
	{ 0x63216256, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "67B8B67D8E525736ED94B2D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
