#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_ep_queue_is_empty, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(__mhi_ep_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_driver_unregister, "_gpl", "");

SYMBOL_CRC(mhi_ep_queue_is_empty, 0x96143229, "_gpl");
SYMBOL_CRC(mhi_ep_queue_skb, 0xeba84445, "_gpl");
SYMBOL_CRC(mhi_ep_power_up, 0xd405d1a7, "_gpl");
SYMBOL_CRC(mhi_ep_power_down, 0x0c8350e0, "_gpl");
SYMBOL_CRC(mhi_ep_register_controller, 0x5dbf5cab, "_gpl");
SYMBOL_CRC(mhi_ep_unregister_controller, 0x928c210d, "_gpl");
SYMBOL_CRC(__mhi_ep_driver_register, 0xebb5104d, "_gpl");
SYMBOL_CRC(mhi_ep_driver_unregister, 0x5f9e4aea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x37e4a860, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0xffb7c514, "ida_free" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e63f1e8, "device_del" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe5515291, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BA8584AF77E359A8180A28D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
