#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0x5c3ceedb, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0xe7b55ab8, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0xef078b99, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0xae5cdd3f, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0x77352ee2, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0xfae26d3a, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0x74a0f321, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0xe4978c9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43d060e3, "drm_dp_start_crc" },
	{ 0xcde8d977, "drm_panel_get_modes" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xcf97bc80, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x73a1ab35, "drm_dp_dpcd_read" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x3795e4f7, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9f4abb61, "platform_get_irq" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x07d2fb0a, "gpiod_to_irq" },
	{ 0x994f56c4, "drm_helper_hpd_irq_event" },
	{ 0xda5c50ae, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x33c04b6e, "gpiod_get_value" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xac822a7b, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8b710860, "drm_atomic_helper_bridge_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7b5313b, "drm_connector_attach_encoder" },
	{ 0x5b2d12b9, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4f417005, "drm_edid_connector_update" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x4106728e, "drm_atomic_helper_connector_destroy_state" },
	{ 0xf01066d0, "drm_dev_printk" },
	{ 0x8dcac617, "drm_dp_stop_crc" },
	{ 0xc089ea23, "drm_panel_disable" },
	{ 0x76bb1f0e, "drm_connector_init" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x592ebc13, "drm_dp_aux_unregister" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x8a30e081, "drm_edid_connector_add_modes" },
	{ 0x34b9c070, "platform_get_resource" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa38ab528, "phy_power_on" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd396a982, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x31f63a39, "phy_power_off" },
	{ 0x6a20c341, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0xce2c38e8, "regmap_bulk_write" },
	{ 0x4de9de9a, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6ddb4e9c, "devm_ioremap_resource" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbeaac2d3, "regmap_bulk_read" },
	{ 0x1959d443, "drm_helper_probe_single_connector_modes" },
	{ 0x36d1066d, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x033221da, "drm_bridge_attach" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0xd5934e48, "drm_atomic_helper_connector_reset" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xd7c19199, "devm_phy_get" },
	{ 0xf33fdd6c, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2a56d6c9, "drm_dp_dpcd_write" },
	{ 0xd381c2a0, "drm_panel_unprepare" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5cdbc49d, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "C91821136827AFD0A14DC63");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
