#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x397a72d5, "");
SYMBOL_CRC(drm_gem_vram_put, 0xb156254f, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x5fed6283, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xb6987784, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xadfae80c, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x40381c27, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x46bf9630, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xbecd34c6, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x51c8372a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xcba19169, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x21d3512c, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x4553912c, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x3b58f64c, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd476d648, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaab8a969, "ttm_range_man_init_nocheck" },
	{ 0x8107b3cd, "ww_mutex_lock_interruptible" },
	{ 0xa1c112d0, "ttm_resource_manager_debug" },
	{ 0x1f60ca1b, "ww_mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0xe3815ad1, "ttm_range_man_fini_nocheck" },
	{ 0x20a7bcd2, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2762b6b8, "ttm_bo_pin" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xbdc9aa03, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x54f38aa6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x33c525c0, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x87f79567, "drm_gem_object_release" },
	{ 0x708d3861, "ttm_tt_init" },
	{ 0xab31953a, "drm_gem_handle_create" },
	{ 0x5c0144b8, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0c29037, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x7705723e, "drm_debugfs_add_files" },
	{ 0x6b4658fb, "ttm_bo_init_validate" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd653654f, "ttm_device_init" },
	{ 0x36b4a8fc, "ttm_bo_validate" },
	{ 0xd08fde32, "ttm_bo_move_to_lru_tail" },
	{ 0x7b5afee9, "ttm_bo_vmap" },
	{ 0x0c4da6ca, "ttm_bo_put" },
	{ 0x2bf8830d, "ttm_resource_free" },
	{ 0xc0f2371c, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cbfabf0, "ttm_tt_fini" },
	{ 0x92926d17, "ttm_device_fini" },
	{ 0x11bd6478, "drm_gem_plane_helper_prepare_fb" },
	{ 0xb730ad56, "ttm_bo_eviction_valuable" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xcc9f2d4c, "drm_gem_ttm_print_info" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
