#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_access, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x708d3861, "");
SYMBOL_CRC(ttm_tt_fini, 0x4cbfabf0, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x7e28e12b, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x3f260210, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0xd08fde32, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xd7088716, "");
SYMBOL_CRC(ttm_bo_put, 0x0c4da6ca, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xb730ad56, "");
SYMBOL_CRC(ttm_bo_pin, 0x2762b6b8, "");
SYMBOL_CRC(ttm_bo_unpin, 0xe0c29037, "");
SYMBOL_CRC(ttm_bo_mem_space, 0xf08d07e2, "");
SYMBOL_CRC(ttm_bo_validate, 0x36b4a8fc, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x6097a283, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x6b4658fb, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x04e8a0bb, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0xe5c8ac9d, "");
SYMBOL_CRC(ttm_bo_populate, 0x7597eda2, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0xc0f2371c, "");
SYMBOL_CRC(ttm_io_prot, 0xdc624817, "");
SYMBOL_CRC(ttm_bo_kmap, 0xc2af7e09, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x7550d6c4, "");
SYMBOL_CRC(ttm_bo_vmap, 0x7b5afee9, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x33c525c0, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x3c8c860b, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xa3a3243e, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xd7b5680d, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x3dbabfca, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x99d1edc6, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x8967aaae, "");
SYMBOL_CRC(ttm_bo_vm_open, 0xe24d3251, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x80bcf327, "");
SYMBOL_CRC(ttm_bo_access, 0xb0bbe1c1, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x5182323d, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x38acf120, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x6c13f654, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x7206e437, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x27e65a5a, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0xaab8a969, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0xe3815ad1, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x7044c1f1, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x4129b75e, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x3d57d44b, "");
SYMBOL_CRC(ttm_resource_init, 0x7af96477, "");
SYMBOL_CRC(ttm_resource_fini, 0x2fb59756, "");
SYMBOL_CRC(ttm_resource_free, 0x2bf8830d, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x7bdd5b9e, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x3845e685, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x80d2bbfc, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0xa1c112d0, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x3109afaa, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0xa54c8250, "");
SYMBOL_CRC(ttm_pool_alloc, 0xbc348137, "");
SYMBOL_CRC(ttm_pool_free, 0x0de8bdaf, "");
SYMBOL_CRC(ttm_pool_init, 0x2aad3bc6, "");
SYMBOL_CRC(ttm_pool_fini, 0xb918ef95, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xb03cc919, "");
SYMBOL_CRC(ttm_glob, 0x70dbeed3, "");
SYMBOL_CRC(ttm_device_swapout, 0xba9eb95b, "");
SYMBOL_CRC(ttm_device_init, 0xd653654f, "");
SYMBOL_CRC(ttm_device_fini, 0x92926d17, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0xd9e8101e, "");
SYMBOL_CRC(ttm_agp_bind, 0x0b5a4e84, "");
SYMBOL_CRC(ttm_agp_unbind, 0x3a27c0ae, "");
SYMBOL_CRC(ttm_agp_is_bound, 0xf5760b2a, "");
SYMBOL_CRC(ttm_agp_destroy, 0xa01c78b2, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x8d27ee92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd97de90f, "shrinker_alloc" },
	{ 0x8107b3cd, "ww_mutex_lock_interruptible" },
	{ 0x6f2eb45d, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc71ca44d, "param_ops_ulong" },
	{ 0x835f1ad1, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf119f9cb, "agp_bind_memory" },
	{ 0x8f4ae8a3, "vmalloc_to_page" },
	{ 0xa413de62, "kmap_high" },
	{ 0xd1b946e6, "__iomap_local_pfn_prot" },
	{ 0xae641355, "dma_resv_init" },
	{ 0x0949221b, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x1043cac3, "queue_work_node" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x1f60ca1b, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x304e7900, "debugfs_create_atomic_t" },
	{ 0x2e60bace, "memcpy" },
	{ 0x48935be0, "unmap_mapping_range" },
	{ 0xdab6d1f7, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xd055b368, "dmem_cgroup_try_charge" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xcede275c, "memremap" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0b8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c78fe42, "dmem_cgroup_state_evict_valuable" },
	{ 0xa79b8215, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x6ababc52, "set_pages_wb" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x32316263, "__alloc_pages_noprof" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x116d214b, "ww_mutex_trylock" },
	{ 0x54f38aa6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x40fe9ecd, "shrinker_register" },
	{ 0x618911fc, "numa_node" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xfcb8e3b2, "mark_page_accessed" },
	{ 0x37757f7b, "shmem_file_setup" },
	{ 0x76647da5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6016b868, "agp_free_memory" },
	{ 0x95346e71, "dmem_cgroup_pool_state_put" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x34cb87a2, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xaefa07f8, "kunmap_high" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x334d35b5, "ww_mutex_lock" },
	{ 0xd58d2988, "shmem_read_mapping_page_gfp" },
	{ 0xecc36e04, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x797b2ca5, "vmf_insert_pfn_prot" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0xebd733e6, "agp_allocate_memory" },
	{ 0x6a32e88f, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xd0ca5c95, "dma_resv_copy_fences" },
	{ 0x477d236e, "set_page_dirty" },
	{ 0x1bfdf5cc, "dmem_cgroup_uncharge" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x2c2c601e, "set_pages_array_wc" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xadf48755, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x30b105e0, "__mmap_lock_do_trace_released" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x29c5b112, "dma_resv_iter_first_unlocked" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x3ad643d8, "set_pages_array_uc" },
	{ 0xd592de51, "memset_io" },
	{ 0x35f67329, "dma_resv_test_signaled" },
	{ 0xf7bac116, "page_address" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x9d5cd559, "reservation_ww_class" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7722dba8, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21E62C4789B93D7111EBA00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
