#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0xdb32ff89, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x3c8f76a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x96e5c42e, "i3c_generic_ibi_recycle_slot" },
	{ 0x04dca2df, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x3d4aa8ab, "i3c_generic_ibi_alloc_pool" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3b7f465, "i3c_master_do_daa" },
	{ 0x8700fa96, "devm_platform_ioremap_resource" },
	{ 0xc8bf976b, "devm_clk_get_enabled" },
	{ 0xf3b3dd2f, "devm_clk_get_optional_enabled" },
	{ 0x30beed52, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x9f4abb61, "platform_get_irq" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x2497f03e, "device_get_match_data" },
	{ 0x15714dd6, "i3c_master_register" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x938a9b1c, "i3c_master_unregister" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbe8dbbae, "pinctrl_pm_select_sleep_state" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x6504cec8, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x88648ad3, "i3c_generic_ibi_get_free_slot" },
	{ 0xa350bca5, "i3c_master_queue_ibi" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x330464a7, "i3c_master_enec_locked" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x02bdac95, "i3c_master_get_free_addr" },
	{ 0x64082d50, "i3c_master_add_i3c_dev_locked" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbdf5ef10, "i3c_master_set_info" },
	{ 0xd6ffafa8, "pm_runtime_force_suspend" },
	{ 0x420aa8a4, "pm_runtime_force_resume" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("acpi*:AMDI0015:*");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A858B644DF91D7FD3559063");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
