#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x34fc535f, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0xcc901f1a, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xc15ae4e2, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x03180bcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58ebf915, "regmap_write" },
	{ 0xa04fde71, "regmap_get_device" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x60dc7181, "iio_get_time_ns" },
	{ 0xffa51339, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0xc06a0667, "iio_buffer_enabled" },
	{ 0xbeaac2d3, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa769f779, "iio_device_get_current_mode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x41fb3237, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x09cfce60, "iio_push_to_buffers" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xbaf9250e, "iio_push_event" },
	{ 0xe365458e, "iio_trigger_notify_done" },
	{ 0xf6374838, "iio_device_unregister" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x9636a103, "iio_trigger_unregister" },
	{ 0x2b040dd4, "iio_triggered_buffer_cleanup" },
	{ 0x47fae6b0, "regulator_bulk_disable" },
	{ 0x422bdd9d, "devm_iio_device_alloc" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x19bb51c8, "iio_read_mount_matrix" },
	{ 0x01723ce6, "devm_regulator_bulk_get" },
	{ 0x6d03eb45, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x60a0f012, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xac37b115, "iio_triggered_buffer_setup_ext" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x3ed8ff6d, "iio_device_id" },
	{ 0xbc2b6f44, "__devm_iio_trigger_alloc" },
	{ 0xb26309ef, "iio_trigger_register" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xa71d0405, "__iio_device_register" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x87959dfd, "iio_read_acpi_mount_matrix" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0x63229004, "fwnode_irq_get_byname" },
	{ 0x032fcf06, "iio_read_const_attr" },
	{ 0xb98d4d5c, "iio_show_mount_matrix" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "5D01F7D683BD022960F2DB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
