#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_write, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_usage, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_attach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_detach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enqueue_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_lock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_unlock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "IIO_DMA_BUFFER");

SYMBOL_CRC(iio_dma_buffer_block_done, 0xa308b125, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0x8447ef32, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0x1762197f, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0xdbf13fa6, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0x5cd690fe, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0xe909ea4d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_write, 0x31abaf74, "_gpl");
SYMBOL_CRC(iio_dma_buffer_usage, 0xd038af17, "_gpl");
SYMBOL_CRC(iio_dma_buffer_attach_dmabuf, 0xab14edd2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_detach_dmabuf, 0xa656cf86, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enqueue_dmabuf, 0x643ea395, "_gpl");
SYMBOL_CRC(iio_dma_buffer_lock_queue, 0x033dff0d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_unlock_queue, 0x8b94a2ba, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0x40af1ba0, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0x3b0c8ef2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0x55da539b, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0x80555654, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0x0d61b7f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x95ca9164, "iio_buffer_put" },
	{ 0x037a0cba, "kfree" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf96f7874, "iio_buffer_init" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x7f7f2c72, "iio_buffer_get" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd085b108, "iio_buffer_signal_dmabuf_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "40686D0B8D57566C7EF7F59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
