#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0x9c2273f4, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0x0cfc718f, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xea401074, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80555654, "iio_dma_buffer_exit" },
	{ 0x45360aa9, "dma_release_channel" },
	{ 0x95ca9164, "iio_buffer_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0d61b7f0, "iio_dma_buffer_release" },
	{ 0x037a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa308b125, "iio_dma_buffer_block_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x59cd858b, "dma_request_chan" },
	{ 0x2f8da9e4, "dma_get_slave_caps" },
	{ 0x55da539b, "iio_dma_buffer_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8447ef32, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfa377770, "iio_device_attach_buffer" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0xe909ea4d, "iio_dma_buffer_read" },
	{ 0xd038af17, "iio_dma_buffer_usage" },
	{ 0x31abaf74, "iio_dma_buffer_write" },
	{ 0x1762197f, "iio_dma_buffer_request_update" },
	{ 0x40af1ba0, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0x3b0c8ef2, "iio_dma_buffer_set_length" },
	{ 0xdbf13fa6, "iio_dma_buffer_enable" },
	{ 0x5cd690fe, "iio_dma_buffer_disable" },
	{ 0xab14edd2, "iio_dma_buffer_attach_dmabuf" },
	{ 0xa656cf86, "iio_dma_buffer_detach_dmabuf" },
	{ 0x643ea395, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0x033dff0d, "iio_dma_buffer_lock_queue" },
	{ 0x8b94a2ba, "iio_dma_buffer_unlock_queue" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "industrialio-buffer-dma,industrialio");


MODULE_INFO(srcversion, "C6E13D67A860DEF6C5635CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
