#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0x5f2e5831, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0x5ee633d6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc44ac437, "regulator_enable" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xbaf9250e, "iio_push_event" },
	{ 0xc06a0667, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x321d9dd5, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa04fde71, "regmap_get_device" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x09cfce60, "iio_push_to_buffers" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53a5525f, "iio_device_release_direct_mode" },
	{ 0xbf1b022a, "inv_sensors_timestamp_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0xdf636def, "get_device" },
	{ 0x3ed8ff6d, "iio_device_id" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0xb98d4d5c, "iio_show_mount_matrix" },
	{ 0x54c59f69, "iio_device_claim_direct_mode" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0x86659950, "iio_trigger_poll_nested" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x55313b28, "inv_sensors_timestamp_interrupt" },
	{ 0x31fce61f, "inv_sensors_timestamp_apply_odr" },
	{ 0x241f6966, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x19bb51c8, "iio_read_mount_matrix" },
	{ 0x422bdd9d, "devm_iio_device_alloc" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xf7696230, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5025a03, "inv_sensors_timestamp_update_odr" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x60dc7181, "iio_get_time_ns" },
	{ 0xfb979c8a, "regmap_noinc_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0xce2c38e8, "regmap_bulk_write" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbeaac2d3, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c83eafd, "device_property_read_bool" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0xe365458e, "iio_trigger_notify_done" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x032fcf06, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xbc2b6f44, "__devm_iio_trigger_alloc" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,inv_sensors_timestamp");


MODULE_INFO(srcversion, "1DA8C526D040E21B105306C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
