#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xee36a7c3, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x67e4c91d, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x93453533, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x5a30498a, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x5fbb564b, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x6c7dedd4, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xcc7c17fc, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x4acfe609, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x3ad28e13, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x08798bba, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x42ed38a0, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x34142bb2, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x2095780b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x00233865, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44684860, "vb2_queue_init" },
	{ 0xac53c6db, "input_mt_assign_slots" },
	{ 0x186c12cb, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x38af9d7c, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x6b3d58f8, "vb2_ioctl_expbuf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc35f88d2, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x0889188b, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x0c83cc0b, "vb2_ops_wait_finish" },
	{ 0x0e454536, "request_firmware" },
	{ 0x50256510, "input_mt_report_slot_state" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xce779d02, "devm_input_allocate_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x81552025, "vb2_ioctl_querybuf" },
	{ 0x5257e913, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9a99d81f, "v4l2_fh_open" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xc0e9a2a3, "irq_domain_simple_ops" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x938abf97, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x36ebb478, "video_devdata" },
	{ 0xe74c1a9c, "irq_set_chip_and_handler_name" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x3c85833d, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xb44b7b3d, "handle_simple_irq" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0x743f09cb, "vb2_ioctl_dqbuf" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1ee8460d, "vb2_ioctl_create_bufs" },
	{ 0x37e4a860, "device_add" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x01e43013, "input_mt_init_slots" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7f01b76a, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc60548d6, "vb2_buffer_done" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x59fa3722, "vb2_plane_vaddr" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc4889759, "video_unregister_device" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x831a9174, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdeb63b47, "vb2_fop_mmap" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x24efdb8c, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x22e00d66, "vb2_vmalloc_memops" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe04b2ae6, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x751db160, "input_event" },
	{ 0x33f6760d, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x702cce37, "v4l2_device_register" },
	{ 0x12a0ef4e, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x298a192d, "serio_interrupt" },
	{ 0x3fc0b20d, "irq_domain_instantiate" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb46e00a2, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x59dbb1ab, "vb2_ops_wait_prepare" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x627a5f58, "irq_create_mapping_affinity" },
	{ 0x594e7a89, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x639f49a4, "input_alloc_absinfo" },
	{ 0x53376850, "vb2_fop_poll" },
	{ 0x5adcb257, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x84b984dd, "video_device_release_empty" },
	{ 0xe5515291, "driver_register" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4fa3e6e9, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C5593F659D7F05EDCA98660");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
