#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_register_path_selector, "_gpl", "");
KSYMTAB_FUNC(dm_unregister_path_selector, "_gpl", "");

SYMBOL_CRC(dm_register_path_selector, 0x42d9b54d, "_gpl");
SYMBOL_CRC(dm_unregister_path_selector, 0x64162c4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89da7f0e, "bio_associate_blkg" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6c58a6aa, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc71ca44d, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xac0aab9f, "dm_table_run_md_queue_async" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb56c76f3, "dm_noflush_suspending" },
	{ 0x23418c7d, "dm_devt_from_path" },
	{ 0xc803fa06, "dm_per_bio_data" },
	{ 0xdccf6286, "dm_put_device" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb6356b78, "dm_mq_kick_requeue_list" },
	{ 0xb7371033, "blk_mq_free_request" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xaaded106, "blk_finish_plug" },
	{ 0x376c05b2, "module_put" },
	{ 0x6085461e, "bio_endio" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1feced28, "dm_suspended" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x418c5a26, "submit_bio_noacct" },
	{ 0x056bcf7b, "dm_read_arg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x57a5a0f8, "blk_mq_alloc_request" },
	{ 0xbe56cdeb, "scsi_dh_attach" },
	{ 0xb3f80e76, "dm_unregister_target" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x86ea4256, "scsi_dh_activate" },
	{ 0x0a9c0764, "blk_lld_busy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b6c6ea8, "dm_table_event" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62679284, "scsi_dh_attached_handler_name" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x836ceeb6, "dm_table_device_name" },
	{ 0xc5c9a764, "dm_register_target" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e154eba, "dm_start_time_ns_from_clone" },
	{ 0xd54fa6f3, "dm_table_get_mode" },
	{ 0xa0959587, "dm_table_get_md" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe9291d94, "dm_path_uevent" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x29221129, "dm_get_device" },
	{ 0xd0d8621b, "strlen" },
	{ 0x378e4c39, "dm_table_set_type" },
	{ 0x29f3a126, "up_read" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeeebcc0f, "scsi_dh_set_params" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,scsi_mod");


MODULE_INFO(srcversion, "8D23195C48FC580ABD3C074");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
