#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x47a2b834, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x3aec5c42, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0xa70716cd, "");
SYMBOL_CRC(flexcop_device_kfree, 0x219bb339, "");
SYMBOL_CRC(flexcop_device_initialize, 0xbe9a2b37, "");
SYMBOL_CRC(flexcop_device_exit, 0x631cf02d, "");
SYMBOL_CRC(flexcop_i2c_request, 0x85f241d9, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x1bfad1e5, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0xb5f6cadf, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0x58f260ae, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x08ca208b, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x7d4d3071, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2e8349e, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x0e454536, "request_firmware" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x70264606, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d99bf74, "dvb_dmx_swfilter_packets" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfb087a94, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x7001f9cb, "dvb_dmxdev_release" },
	{ 0x9016fa16, "param_ops_short" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb08f748c, "dvb_frontend_detach" },
	{ 0x11d0c1a5, "i2c_add_adapter" },
	{ 0x698ea0d0, "dvb_net_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdab7cdf9, "dvb_unregister_frontend" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xd89c5177, "cx24123_get_tuner_i2c_adapter" },
	{ 0xd6774f49, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd22f6859, "cx24113_agc_callback" },
	{ 0xf3fd9482, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x5d47d7c9, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "ACCF023AEFEED8E5F1332AA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
