#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0xc2e8349e, "dvb_dmxdev_init" },
	{ 0xace6bbb7, "fw_iso_context_destroy" },
	{ 0x70a7d654, "fw_run_transaction" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x319806bd, "fw_iso_buffer_init" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3a833983, "fw_iso_context_create" },
	{ 0x037a0cba, "kfree" },
	{ 0xae68552e, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6c15f6d7, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x70264606, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xece05028, "fw_core_add_address_handler" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd42e02fd, "dvb_generic_open" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x938abf97, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d99bf74, "dvb_dmx_swfilter_packets" },
	{ 0x28e28602, "dvb_generic_ioctl" },
	{ 0x738803e6, "strnlen" },
	{ 0x91b74e95, "fw_iso_context_queue" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x73b3e08d, "crc32_be_arch" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x7c1520b0, "dvb_unregister_device" },
	{ 0x1ef23ee7, "fw_iso_buffer_destroy" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x201c106b, "dvb_generic_release" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfb087a94, "dvb_net_init" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x7001f9cb, "dvb_dmxdev_release" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9016fa16, "param_ops_short" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x751db160, "input_event" },
	{ 0x7b715c5d, "fw_iso_context_queue_flush" },
	{ 0xf91433a7, "fw_iso_context_start" },
	{ 0x698ea0d0, "dvb_net_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdab7cdf9, "dvb_unregister_frontend" },
	{ 0x926df5bf, "fw_bus_type" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe72815dd, "dvb_register_device" },
	{ 0xd6774f49, "dvb_register_frontend" },
	{ 0x556601c3, "fw_csr_string" },
	{ 0xf7bac116, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf3fd9482, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xe5515291, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,firewire-core");

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "033DA7A571340092C8BD23E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
