#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xc024abaa, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xa36dddf2, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x9c99d0c5, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xc161d75a, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x7c776260, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xc60462c0, "");
SYMBOL_CRC(cx88_wakeup, 0x2d602e2b, "");
SYMBOL_CRC(cx88_shutdown, 0x1e708d83, "");
SYMBOL_CRC(cx88_reset, 0xf6ac68ef, "");
SYMBOL_CRC(cx88_set_scale, 0xab49b033, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x4fef862f, "");
SYMBOL_CRC(cx88_vdev_init, 0xa75509f7, "");
SYMBOL_CRC(cx88_core_get, 0xc9c6604d, "");
SYMBOL_CRC(cx88_core_put, 0x6287e689, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xc47ce983, "");
SYMBOL_CRC(cx88_newstation, 0x004a1580, "");
SYMBOL_CRC(cx88_get_stereo, 0x38252144, "");
SYMBOL_CRC(cx88_set_stereo, 0xe115bc45, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xdf39d5ce, "");
SYMBOL_CRC(cx88_ir_start, 0xec8b32a2, "");
SYMBOL_CRC(cx88_ir_stop, 0x22023b0a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfe7becda, "ir_raw_event_handle" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xc3c06fe3, "i2c_bit_add_bus" },
	{ 0x84784193, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0xec18bc78, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x738803e6, "strnlen" },
	{ 0x1c794c28, "i2c_smbus_xfer" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe64c26f8, "rc_keyup" },
	{ 0x9feda805, "__v4l2_ctrl_grab" },
	{ 0xa4044cbb, "i2c_unregister_device" },
	{ 0x3e9f1f89, "tveeprom_read" },
	{ 0x7958992a, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3ce629b0, "rc_register_device" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xb72db0b6, "rc_keydown" },
	{ 0xc60548d6, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1e4003af, "i2c_new_client_device" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x7bb86352, "freezing_slow_path" },
	{ 0xf487178d, "rc_free_device" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x702cce37, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8a1aa1f, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0xb51311dd, "i2c_transfer" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x5adcb257, "v4l2_device_unregister" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x0e0b38a2, "hrtimer_forward" },
	{ 0xd414b14d, "v4l2_i2c_new_subdev" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xbb211b79, "ir_raw_event_store_with_filter" },
	{ 0xf16fb53f, "i2c_smbus_read_byte_data" },
	{ 0x84b984dd, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x964053fc, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
