#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xbcd08ae8, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x0ce71100, "");
SYMBOL_CRC(ivtv_api, 0x5e39633a, "");
SYMBOL_CRC(ivtv_vapi, 0x08e4d6f9, "");
SYMBOL_CRC(ivtv_vapi_result, 0x0e04fb07, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x2ae12987, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xb5aeabc2, "");
SYMBOL_CRC(ivtv_udma_setup, 0x36bed02a, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x70a04ab6, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xa2b5d7a2, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x73639458, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x528f77c7, "");
SYMBOL_CRC(ivtv_firmware_check, 0xd202841b, "");
SYMBOL_CRC(ivtv_claim_stream, 0xe1ec8285, "");
SYMBOL_CRC(ivtv_release_stream, 0xb969d5d6, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xc8650e87, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xcf9a4b50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x639206b9, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb2dcfe7f, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x186c12cb, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc3c06fe3, "i2c_bit_add_bus" },
	{ 0x6e504246, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf57fd57f, "v4l2_i2c_new_subdev_board" },
	{ 0x1443239d, "kthread_flush_worker" },
	{ 0x6744797f, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x0e454536, "request_firmware" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0x84784193, "v4l2_ctrl_handler_init_class" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xb3d4df16, "unpin_user_pages" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xec18bc78, "i2c_transfer_buffer_flags" },
	{ 0x347d3a86, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97f190de, "__devm_request_region" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb6d56841, "v4l2_ctrl_handler_log_status" },
	{ 0x43be5f9c, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x36ebb478, "video_devdata" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x44bfd6f3, "i2c_new_scanned_device" },
	{ 0xfb0e0f3c, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x74a7d948, "kthread_queue_work" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x00ac1687, "__v4l2_ctrl_s_ctrl" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x3e9f1f89, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8a514207, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8158d457, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x35764dbe, "v4l2_ctrl_subscribe_event" },
	{ 0x1d1fe517, "v4l2_fh_init" },
	{ 0x72ff9871, "v4l2_event_pending" },
	{ 0x963ba307, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc4889759, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4b66ec66, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x3212cb45, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf0fbfc90, "__v4l2_device_register_subdev" },
	{ 0x702cce37, "v4l2_device_register" },
	{ 0xd8ddd2c7, "param_ops_string" },
	{ 0x11d0c1a5, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb46e00a2, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xdcc3f836, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a479c1e, "v4l2_ctrl_new_std" },
	{ 0xd07e47fc, "v4l2_ctrl_g_ctrl" },
	{ 0xc3fcdabd, "cx2341x_handler_init" },
	{ 0x5286695f, "cx2341x_handler_set_50hz" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x5adcb257, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x58c93fcd, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x87479aae, "v4l2_subdev_call_wrappers" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0xbae23c93, "v4l2_event_queue" },
	{ 0xd414b14d, "v4l2_i2c_new_subdev" },
	{ 0xf7bac116, "page_address" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84b984dd, "video_device_release_empty" },
	{ 0x43885b06, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
