#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x070f7896, "_printk" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xa6257a2f, "complete" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x751db160, "input_event" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xc0284db8, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8f05cb4c, "usb_get_dev" },
	{ 0x136950c3, "usb_ifnum_to_if" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0xb97cba3c, "usb_put_dev" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6389c7cf, "input_allocate_device" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x738803e6, "strnlen" },
	{ 0x12a0ef4e, "input_set_abs_params" },
	{ 0x938abf97, "input_register_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa8a1aa1f, "rc_allocate_device" },
	{ 0x3ce629b0, "rc_register_device" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xb2101152, "usb_register_dev" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xf487178d, "rc_free_device" },
	{ 0x4a04b3c7, "input_unregister_device" },
	{ 0xdd6347cd, "input_free_device" },
	{ 0x8e895fb1, "rc_g_keycode_from_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe64c26f8, "rc_keyup" },
	{ 0xb72db0b6, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x964053fc, "rc_unregister_device" },
	{ 0x4e71e7de, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "78AB7B82A85E58F9B543776");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
