#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0xdf073d24, "");
SYMBOL_CRC(go7007_read_addr, 0x3647d816, "");
SYMBOL_CRC(go7007_boot_encoder, 0xc1068dd0, "");
SYMBOL_CRC(go7007_register_encoder, 0x61022114, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xed58ad49, "");
SYMBOL_CRC(go7007_alloc, 0x766a609b, "");
SYMBOL_CRC(go7007_update_board, 0x520658d7, "");
SYMBOL_CRC(go7007_snd_init, 0x702b9923, "");
SYMBOL_CRC(go7007_snd_remove, 0x4cd2f750, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44684860, "vb2_queue_init" },
	{ 0x186c12cb, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2e413694, "v4l2_device_put" },
	{ 0x38af9d7c, "vb2_ioctl_streamoff" },
	{ 0x8235805b, "memmove" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0x594c3e48, "snd_card_register" },
	{ 0xf57fd57f, "v4l2_i2c_new_subdev_board" },
	{ 0x25bc467b, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x0e454536, "request_firmware" },
	{ 0x84784193, "v4l2_ctrl_handler_init_class" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x81552025, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9a99d81f, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x36ebb478, "video_devdata" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x3c85833d, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe1925459, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x36169970, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9feda805, "__v4l2_ctrl_grab" },
	{ 0x743f09cb, "vb2_ioctl_dqbuf" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x14ff06e0, "v4l2_ctrl_new_custom" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x12d75082, "snd_card_free_when_closed" },
	{ 0xc60548d6, "vb2_buffer_done" },
	{ 0x59fa3722, "vb2_plane_vaddr" },
	{ 0x35764dbe, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc98ec966, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4b66ec66, "v4l2_event_subscribe" },
	{ 0x831a9174, "vb2_ioctl_qbuf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdeb63b47, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x384a7cde, "snd_device_new" },
	{ 0x22e00d66, "vb2_vmalloc_memops" },
	{ 0x737bf7c1, "snd_pcm_set_managed_buffer_all" },
	{ 0x17734aba, "param_ops_charp" },
	{ 0x3212cb45, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x33f6760d, "vb2_fop_read" },
	{ 0x702cce37, "v4l2_device_register" },
	{ 0x11d0c1a5, "i2c_add_adapter" },
	{ 0x3cf972ef, "snd_card_disconnect" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xb46e00a2, "__video_register_device" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x594e7a89, "vb2_ioctl_streamon" },
	{ 0x53376850, "vb2_fop_poll" },
	{ 0x3a479c1e, "v4l2_ctrl_new_std" },
	{ 0xd07e47fc, "v4l2_ctrl_g_ctrl" },
	{ 0x8c4fbf4d, "v4l2_ctrl_handler_free" },
	{ 0x5adcb257, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x87479aae, "v4l2_subdev_call_wrappers" },
	{ 0x600fadcf, "snd_pcm_period_elapsed" },
	{ 0xdfa80d1a, "v4l2_ctrl_log_status" },
	{ 0xbae23c93, "v4l2_event_queue" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x84b984dd, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x512387e4, "v4l2_event_unsubscribe" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x4fa3e6e9, "vb2_ioctl_reqbufs" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "95F2385FF693831B88047D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
