#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xc84c4d16, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xf611638b, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x1b6a9573, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x9e8963c3, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0xf2fb5287, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x433ec93f, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x72207deb, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x4caf91af, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0xa33769e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd8213063, "fwnode_property_read_u32_array" },
	{ 0x23cb58e6, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x070f7896, "_printk" },
	{ 0x91d6a3ce, "fwnode_graph_parse_endpoint" },
	{ 0x037a0cba, "kfree" },
	{ 0xed6888b3, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x7ed60c15, "fwnode_property_get_reference_args" },
	{ 0x4c2be4a0, "__v4l2_async_nf_add_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb30174a9, "fwnode_get_next_child_node" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb83aea5d, "fwnode_property_read_u64_array" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4b1d6a25, "v4l2_async_subdev_nf_init" },
	{ 0x46dc4a35, "v4l2_subdev_get_privacy_led" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xcbc95f48, "v4l2_subdev_put_privacy_led" },
	{ 0x55a00d08, "v4l2_async_nf_cleanup" },
	{ 0xbcd51c7f, "is_acpi_data_node" },
	{ 0x0bad8c24, "v4l2_async_nf_register" },
	{ 0xe53d9760, "__v4l2_async_register_subdev" },
	{ 0x5be2144b, "v4l2_async_nf_unregister" },
	{ 0x71676a56, "fwnode_graph_get_port_parent" },
	{ 0x9f194d7e, "fwnode_graph_get_remote_port_parent" },
	{ 0x4bdded36, "fwnode_get_name" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x5737ee32, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "C24F7B8EF619B9F522BFBDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
