#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x07bace68, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x35e31e68, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xb50dd985, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xe2a87067, "");
SYMBOL_CRC(mpt_halt_firmware, 0xb41ddf4f, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xee1028e8, "");
SYMBOL_CRC(mpt_attach, 0xf2f3662a, "");
SYMBOL_CRC(mpt_detach, 0xdae92095, "");
SYMBOL_CRC(mpt_resume, 0x5ab3b67b, "");
SYMBOL_CRC(mpt_suspend, 0x3ad6aeac, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x0fbf6b24, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x6a324f18, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x541e7842, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xa0d1c39f, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xc85c44cd, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xd283e336, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x5b1f9c53, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x3dca8885, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xe843f443, "");
SYMBOL_CRC(mpt_verify_adapter, 0x205ff720, "");
SYMBOL_CRC(mpt_GetIocState, 0xdd2488cb, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x990fc8e6, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x7dd9a8cc, "");
SYMBOL_CRC(mpt_config, 0x3c7a69dd, "");
SYMBOL_CRC(mpt_findImVolumes, 0xfa9f31f3, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x858ac019, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x9336b4e0, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x7f5ed18c, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xd191acfe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x070f7896, "_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x88378793, "pci_stop_and_remove_bus_device_locked" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x51194ef8, "pci_select_bars" },
	{ 0xc3dd4414, "pci_enable_device_mem" },
	{ 0x19c8bfe4, "pci_request_selected_regions" },
	{ 0xa26dffce, "dma_get_required_mask" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3e4c6940, "pci_release_selected_regions" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x62eec1d5, "panic" },
	{ 0x69f03a4e, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x04572218, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8394800, "pci_disable_msi" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0x52804346, "proc_mkdir" },
	{ 0xf7f542a8, "proc_create_single_data" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x037a0cba, "kfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2e60bace, "memcpy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0xa665e96f, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x133068dc, "pci_write_config_byte" },
	{ 0x579770b8, "pci_get_slot" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0xbaecd060, "pci_enable_wake" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x28b34346, "param_get_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
