#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x62a6b5a1, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x83aba78a, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x7dc8742d, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0xcd229e01, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x545a3032, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0xb7315f94, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x537376dd, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xbf9795bb, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x28c687ca, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0xf323e2ed, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x115bc217, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x531a63b6, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x350a5ea0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa166bac9, "usb_bulk_msg" },
	{ 0x853e9b6b, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc8ca5a4b, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xa0f9745b, "mfd_remove_devices" },
	{ 0x037a0cba, "kfree" },
	{ 0x755f5959, "usb_sg_cancel" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbeef9acc, "mfd_add_devices" },
	{ 0x8fb4e9ff, "usb_enable_autosuspend" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B54AA5A59BA0DE59F004C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
