#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x18d01527, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x1f35c08e, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xa437fca7, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x7a779891, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x9a0e772e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0xb69f548c, "xsk_tx_completed" },
	{ 0x5a6ae5f9, "napi_alloc_skb" },
	{ 0x6b0205ef, "alloc_etherdev_mqs" },
	{ 0x699e3eda, "netdev_lower_get_next" },
	{ 0x4681f57e, "flow_block_cb_lookup" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x15a96224, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0x75442ac2, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x77b0509c, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe473139d, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd72a8031, "pci_find_ext_capability" },
	{ 0x13e1979e, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x27c7c14b, "devl_region_create" },
	{ 0x1bd2e726, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x348020f5, "kthread_cancel_delayed_work_sync" },
	{ 0x0f5e1935, "dpll_device_change_ntf" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xbf2046e2, "pci_wake_from_d3" },
	{ 0xd104edf3, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac851613, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x098270d7, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xf8a1fd4f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0xc3dd4414, "pci_enable_device_mem" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0x14ba6136, "flow_rule_match_enc_ip" },
	{ 0x8235805b, "memmove" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x0156d4b0, "flow_rule_match_l2tpv3" },
	{ 0x80020292, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x186a0a75, "xsk_tx_peek_release_desc_batch" },
	{ 0x532715a8, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8cb18263, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x308f168e, "devl_lock" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0xfc75694f, "xp_fill_cb" },
	{ 0x204d399b, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x599921a9, "ndo_dflt_bridge_getlink" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2cfe758d, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xe164a44d, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf2fe230f, "xdp_features_set_redirect_target" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6afd3021, "pci_get_device" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x0e454536, "request_firmware" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x5feab9b8, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xbd35840c, "flow_rule_match_cvlan" },
	{ 0x8f8f657f, "bsearch" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xa23749b5, "gnss_insert_raw" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0xd104d04a, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x431a634b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5d53be3, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2dbe33a1, "devl_port_fn_devlink_set" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2e0b50c6, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0xa1c34596, "devlink_alloc_ns" },
	{ 0xc2a48c9e, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xd5978e4f, "xdp_do_redirect" },
	{ 0x34119d9e, "devlink_free" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd2c19d61, "devl_rate_node_create" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x26f66ecd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a480bc0, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x49e7b5de, "flow_rule_match_ipv4_addrs" },
	{ 0x76e44e2d, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0ee5f7e, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x26564947, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x07aa2f33, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x8d591c67, "devlink_flash_update_status_notify" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xd56a3584, "pci_restore_msi_state" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xe67afa48, "xdp_return_buff" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x3fda2eca, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xad36e017, "switchdev_handle_port_obj_del" },
	{ 0x32316263, "__alloc_pages_noprof" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf89a0d50, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2343ac3a, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xafa3c75a, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x9ff784ce, "devm_free_irq" },
	{ 0x90ee9713, "net_dim" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xc1524778, "ipv6_skip_exthdr" },
	{ 0x75dd664c, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x737e1ce9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9daea022, "netif_device_detach" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0x68002635, "__hw_addr_unsync_dev" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0xf4cb5c02, "netif_device_attach" },
	{ 0x3a7dc068, "xdp_features_clear_redirect_target" },
	{ 0x85a38ce8, "netdev_pick_tx" },
	{ 0x777fcb9e, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x6de0b1ce, "xp_raw_get_dma" },
	{ 0x8bb3203d, "eth_get_headlen" },
	{ 0x8f26e0df, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xfac56d04, "xdp_rxq_info_is_reg" },
	{ 0x714e4094, "flow_rule_match_enc_opts" },
	{ 0x644341d1, "devl_health_reporter_create" },
	{ 0xf37ec7c7, "flow_block_cb_setup_simple" },
	{ 0x83ddb24d, "pci_msix_can_alloc_dyn" },
	{ 0x3de6cdc0, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcfcf8d6b, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa14d31e1, "pcim_iomap_regions" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xf2d925cf, "vlan_dev_real_dev" },
	{ 0xef9211e8, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0xca5242db, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x7a12596a, "devlink_flash_update_timeout_notify" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdd039001, "softnet_data" },
	{ 0x946d6020, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7c104498, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd5230bdf, "ptp_clock_register" },
	{ 0xc666781b, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x85f989e2, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xca0223fc, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xe6da974c, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9b27c04d, "devl_port_register_with_ops" },
	{ 0xa596ae40, "devlink_fmsg_dump_skb" },
	{ 0x59722f00, "pci_wait_for_pending_transaction" },
	{ 0x399b8711, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x53c535f6, "pci_device_is_present" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0xc75f9430, "pcie_flr" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x67ab7e0e, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2cad9fae, "dcbnl_ieee_notify" },
	{ 0xc87de426, "xsk_uses_need_wakeup" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x04c96181, "dev_mc_del" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x3af58af8, "page_to_nid" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x5bae6968, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xd1aa4a8d, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xdd7bd874, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xaaf21900, "netif_tx_stop_all_queues" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x62dfe2f1, "dcb_getapp" },
	{ 0x7a40e411, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x8a8c5404, "flow_rule_match_ports" },
	{ 0x89449e47, "gnss_allocate_device" },
	{ 0x6fc245b4, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf35a73fa, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdea6d4da, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x852f4642, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xcab629c0, "flow_rule_match_ipv6_addrs" },
	{ 0xbca78421, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8fd21c94, "devl_params_unregister" },
	{ 0x1f930a97, "ptp_clock_unregister" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xa36c2917, "xp_dma_unmap" },
	{ 0x75d3cab8, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x11e26722, "kthread_create_worker_on_node" },
	{ 0x9748317f, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcb36527a, "devl_unlock" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x965ff16a, "flow_rule_match_pppoe" },
	{ 0xb6b086f6, "flow_rule_match_enc_control" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x5d5c0f6c, "__page_frag_cache_drain" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0x21a24b07, "gnss_deregister_device" },
	{ 0xd1652052, "rps_may_expire_flow" },
	{ 0xeee64435, "metadata_dst_free" },
	{ 0x5ba8c63b, "xsk_set_tx_need_wakeup" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5264b4f2, "netdev_reset_tc" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0xe0dff536, "kthread_destroy_worker" },
	{ 0x61edbb30, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6bf5b94b, "flow_rule_match_enc_ports" },
	{ 0x80275a5e, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x4adfe8b1, "dpll_netdev_pin_clear" },
	{ 0x13362eb2, "netif_queue_set_napi" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9dec99b8, "call_netdevice_notifiers" },
	{ 0x00aa1603, "xa_find" },
	{ 0x3942f886, "devl_assert_locked" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0x87644fa2, "xp_set_rxq_info" },
	{ 0x8ae74a0e, "flow_rule_match_vlan" },
	{ 0xbd4f4330, "devl_port_unregister" },
	{ 0x09229c81, "xdp_rxq_info_unreg" },
	{ 0xd2ec71fb, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x81659d5f, "napi_build_skb" },
	{ 0x690c0c13, "netdev_master_upper_dev_get_rcu" },
	{ 0xa9d6b69e, "__xdp_rxq_info_reg" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xbd9eeb11, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x6621c65d, "dpll_pin_register" },
	{ 0x8f7cb8e8, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x086f66d0, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xb9f3dbe0, "__hw_addr_sync_dev" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0xf9992db5, "pldmfw_flash_image" },
	{ 0x5464a19f, "kthread_queue_delayed_work" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0x562f9d51, "netdev_set_num_tc" },
	{ 0xb1d16c5f, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf4eb5583, "dev_uc_add_excl" },
	{ 0x05e29ca2, "bitmap_from_arr64" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x83acee22, "xp_free" },
	{ 0xd87e6224, "dev_mc_add_excl" },
	{ 0x88e0e100, "gnss_put_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x52d97667, "bitmap_to_arr64" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x528c38da, "pack_fields_u8" },
	{ 0x183c9d79, "netif_set_tso_max_size" },
	{ 0x38f2647d, "__skb_flow_dissect" },
	{ 0xdaedff05, "vlan_dev_vlan_id" },
	{ 0x21177694, "pci_msix_alloc_irq_at" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x3367315b, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x1e526be9, "pcim_iomap_table" },
	{ 0xe996f481, "xdp_master_redirect" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0xf7bac116, "page_address" },
	{ 0x5074fba8, "dpll_pin_on_pin_register" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0x3ab79240, "napi_consume_skb" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0x566e0032, "xp_alloc_batch" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x65e92c59, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0xde648600, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x42b9e9e9, "flow_rule_match_control" },
	{ 0x9635e3c7, "flow_rule_match_ip" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9007039, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x06bbb016, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x97a5dedf, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe1dc141c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "gnss,ptp,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:ice.sf");

MODULE_INFO(srcversion, "F22BB5908051CDE1C938B3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
