#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xceaf1f9d, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x28493280, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xe521fe9d, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xcd5ef1f8, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xa0ef1fd0, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x5cd6d88e, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xe86e5753, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xbb60e91e, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xe280a0c1, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x65463562, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x5eff7724, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xab17e673, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x29ca2468, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x40ccba34, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x23b3e1fa, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xaf2cea21, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x8924dbac, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xf87b6907, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x3afbfa2e, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xcc28fa2f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x39f1bfad, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x2635334a, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x1747d914, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xb479cb96, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xb53e04b8, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x4edfe2d5, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x6fd5ecbc, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x5dccee3a, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x1bc785f9, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x93b9eaa5, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x495cba8b, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x139e92ee, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xa8c5843a, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x5ba5fcf5, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x3d6d2875, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xd7e9915a, "");
SYMBOL_CRC(mlx4_test_async, 0x3add7a01, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x020c4513, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x22aa6c09, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xa09f3c72, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xbaf1e774, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x0f677bb3, "");
SYMBOL_CRC(mlx4_assign_eq, 0xefaaf2eb, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x8da986ed, "");
SYMBOL_CRC(mlx4_release_eq, 0x2043eb82, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x2f991a94, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xd00d1367, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xa660db23, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xf314fa05, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x30ea8f98, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x8d333947, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x174a401c, "");
SYMBOL_CRC(mlx4_wol_read, 0xb30b8edf, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x08e04825, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x7abd19ec, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xa2e825e5, "");
SYMBOL_CRC(set_phv_bit, 0x4278ced4, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x78d6885d, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xa50bf5e7, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xf2fb6c27, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x8dd65287, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x79521530, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xad2d7c0f, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x6f72327c, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x4a2b7251, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x40511cd5, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xcd46e0fb, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x3c77f600, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x9a4b5d06, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xc7d186e4, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x071b3a2f, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xf12b7881, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x63b994d4, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x667a809b, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x110de3af, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xc827e1ad, "");
SYMBOL_CRC(mlx4_read_clock, 0xc10d47f3, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xf2a35061, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x25b7857c, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xb102a7a3, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x31fee253, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xa961cea8, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x470d6231, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x80cbbc00, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x87214b4b, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x9465c2ab, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x1c667a61, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x4aff0667, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x03f49309, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xa82990a3, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x9fa30341, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x4a5872ae, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xd0d10683, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x3a95a0a9, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x6de27f9c, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x7aad4e8f, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x83b3ce2c, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xf7a39e6e, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x51b9c2f9, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x3081cf75, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xaa6c0c5b, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xea140d7a, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x3d197f8f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x5e1077c0, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xc9b03d21, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xb1f3ca20, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x43417e90, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xa09138cf, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xe43885f3, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xbfc31ae4, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x1b720026, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x5276a24a, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xbf5b3a2f, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xca5a9e68, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x57e50827, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x1ab55cec, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x546d1421, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xa2a33b94, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x75d55c00, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xd66e96c1, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x1d45316b, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x6673e960, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x1981e541, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x6cf271b3, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x030827fb, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xb402f133, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xf9fe60be, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x3e72d8e8, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x75a7a1c0, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xa3090f82, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xad415f0f, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x51b2ff96, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x59c726cf, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x80e0c93b, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x4cd97300, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x9f88952b, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x5413b6aa, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x4d4c0f4a, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x29f227e7, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xb3c2e34c, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x98afab02, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xebd4afd3, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xd6e06258, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x0cd89462, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x2e59f8d6, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xb53b07c0, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xacc997f2, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xa0076281, "");
SYMBOL_CRC(mlx4_get_module_info, 0xcb9fc8ba, "");
SYMBOL_CRC(mlx4_max_tc, 0xa9dc7ff2, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xf903f087, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xab42471b, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x0c6eef93, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x68b9f805, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xdcd20b6b, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xafb54a79, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x920071c4, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x48e014e7, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xf34638b3, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x4a159564, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x0b60e870, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x23b86e8a, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x8be37c2b, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x88d8d570, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4a9bbe76, "pcie_capability_write_word" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x27c7c14b, "devl_region_create" },
	{ 0xd9683816, "devlink_unregister" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x736a6f16, "devlink_region_snapshot_id_get" },
	{ 0x308f168e, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xa1c34596, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x4841b6ae, "pci_sriov_get_totalvfs" },
	{ 0xa2c30919, "devlink_register" },
	{ 0x09a63b8b, "devlink_port_type_clear" },
	{ 0x34119d9e, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6a5e242b, "param_ops_byte" },
	{ 0xdf636def, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0b8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x130a8c67, "iomap_free" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x32316263, "__alloc_pages_noprof" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x92ea6195, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf89a0d50, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xc4314ab7, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x738803e6, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xbb600b33, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9b27c04d, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb70d2cfa, "iomap_create_wc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd1aa4a8d, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x7498eeef, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x26453b80, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x8fd21c94, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xcb36527a, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0x3942f886, "devl_assert_locked" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0xbd4f4330, "devl_port_unregister" },
	{ 0xfa39f7ef, "devl_param_driverinit_value_get" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x086f66d0, "devlink_priv" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd2726a1f, "pci_disable_msix" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd0d8621b, "strlen" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0xcdb1778d, "devl_param_value_changed" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
