#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xe35895d0, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x30e845d1, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x2eb8499b, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xdead7152, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xceb10e38, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x89293265, "");
SYMBOL_CRC(mlx5_cmd_check, 0x3fe715e5, "");
SYMBOL_CRC(mlx5_cmd_do, 0x917e702d, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xe3fc1af6, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x826ef775, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x0720506c, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x22951d75, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x17e823ff, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xe41c74e6, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x0638e569, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xb82bd3f9, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x364af24d, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x4baec7bb, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x59598889, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xe40447b0, "");
SYMBOL_CRC(mlx5_eq_enable, 0xa777c853, "");
SYMBOL_CRC(mlx5_eq_disable, 0x0aa7b6a8, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x67881a61, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x3ffb57cf, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x5d3ce7ba, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xea8a1163, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xfbdc9c75, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x7141760f, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x6380e570, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xf57410df, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x454dac2d, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x10b8b6cb, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x99f3982d, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xb40de499, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xa46aa537, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x097ce6d1, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x83c283fc, "");
SYMBOL_CRC(mlx5_create_cq, 0x97d9916d, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xb34be6a6, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x15ee3742, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xc93175b9, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x3baa7980, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x9e9c3f91, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xe2b5bba1, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x16ac58b1, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x0ecee05c, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xc7c91b21, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x8332fe69, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xc63bf7ce, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x2653ef5c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xf47a0407, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x89fb06c8, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x38b9f9ec, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x9654e44b, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xfa82bf5c, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x373f126a, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x4cc4a5f0, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xb0dce6dd, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x96730a03, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x9894bbf0, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x39a6495c, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x44c2baf4, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xa27986c9, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x39f0b6ad, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xaceb499a, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x42a0326b, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x2642c66d, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x46571cb2, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x4ae8b204, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xe855d79c, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x1162b05c, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xa79bb862, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xbac3abf5, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xb555aff7, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x55647bd7, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x90d9d86b, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x68ded2b7, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xfdb5b56e, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x362e2384, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x68f3bc33, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xda1f50ea, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x6b50f225, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x3c91e041, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xfcb6416f, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x6af92a8c, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xff0b1217, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x0ae8e9d4, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xfdebc9aa, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x5c96dce7, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x763612b2, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x20482781, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x14966db0, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x1e564cd8, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x1bb53dec, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xbafb564e, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xc41cad14, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xba1c56f8, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x4cbc71b6, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x9088daac, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x1f4e9695, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x847a3e35, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x634fc3cc, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x46216323, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xa9dbea7f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x4e7094ad, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xf42dc516, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x904d06bd, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x1588d13e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xffd5cadf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x34a9c5f2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x0c74f646, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xa6bb7f05, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xcc3226af, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x87e57c9d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x950e0613, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xb75496a5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x256e8d2e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x10e58ae5, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xa524aba7, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xc6aa009a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xf73038b9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xb1d39069, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xfe4ea999, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xf73c138d, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x21df871e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x1454b145, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x3593bfb1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x7ae45969, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xd735866f, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xa2a19a2b, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x41b99215, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xd3a9dbce, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x89a0a736, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xdf8fcc07, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcb44643f, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xbd9b0771, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xa587743d, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xe702296b, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x98f05a08, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x4ca15b1b, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x7faadf78, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xb110098b, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x4f00074b, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xd08d98a4, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x982c1a8e, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x5689b816, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xc05badc4, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x2bec3a1a, "");
SYMBOL_CRC(mlx5_fc_create, 0x3e16906d, "");
SYMBOL_CRC(mlx5_fc_id, 0x83f46209, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xbc964a9f, "");
SYMBOL_CRC(mlx5_fc_query, 0xa1c64775, "");
SYMBOL_CRC(mlx5_fc_local_create, 0xdab8612a, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0xc2f86118, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x671ef7b9, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xb0369e5f, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x78b24277, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x8e633f7d, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x91ced769, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x9a14b93e, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xf3e11127, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x84b9842d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x79c8149e, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xcfc2050c, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x4a0d3053, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x15e00e56, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xc289b3df, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xb34d8270, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xcc36098e, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x0de8863f, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x945ebcc3, "");
SYMBOL_CRC(mlx5_notifier_register, 0xed9c58bf, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x5fc48144, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x6fb57703, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xbc65df80, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xa0643681, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xf42845bb, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x45d073f4, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x2e7437ff, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x19182ed8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x0e945749, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb00c991b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xa18938dd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x78f76f4a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x02c371df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd1e3d889, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x354470e6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x774c09b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xc616deec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeeb7b170, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xfdd8f6fb, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa356d496, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x76f5e3e7, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1684df20, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x8ff0003d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8b3d2e76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x6c8f5145, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x349d5d7b, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x0cc7ad2d, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x7ea93d2e, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x03f1d1c2, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xc4611c3f, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x1bb601c5, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x95f753b8, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x6c3f7e88, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x569c6882, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xbf7a6870, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xbecc98e7, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xe62400af, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x63695171, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xf6ffbf49, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x420cfbf6, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xe2f6e8c6, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xb844f2fb, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x7f9d0e22, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x8492da43, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x9a433cfc, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x6b649b99, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x13a06775, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x6428b073, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xc9076a57, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x3d92cbb9, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x92aab892, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x70ad73fd, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x22bff1d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5cc1b8df, "free_fib_info" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x5d9649dd, "devlink_port_attrs_pci_vf_set" },
	{ 0x037a0cba, "kfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x49dede79, "xsk_clear_tx_need_wakeup" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0xaf8dacb4, "__netif_napi_del_locked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x65e92c59, "dcb_ieee_delapp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xff9cb481, "pci_iov_get_pf_drvdata" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x74e6e2e8, "xp_raw_get_data" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xfa39f7ef, "devl_param_driverinit_value_get" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xedc03953, "iounmap" },
	{ 0x023967b1, "xas_find" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xffb7c514, "ida_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xb6b086f6, "flow_rule_match_enc_control" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x02c181a5, "netdev_update_features" },
	{ 0xe8e25e1e, "__inet_lookup_established" },
	{ 0x16fb3ed8, "tls_get_record" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0xfd485043, "devlink_trap_report" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0dc1a78c, "bin2hex" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x14ba6136, "flow_rule_match_enc_ip" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x29374647, "flow_rule_match_tcp" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x26002445, "napi_complete_done" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0xd1aa4a8d, "devl_params_register" },
	{ 0x3367315b, "skb_add_rx_frag_netmem" },
	{ 0x24d273d1, "add_timer" },
	{ 0x086f66d0, "devlink_priv" },
	{ 0x566e0032, "xp_alloc_batch" },
	{ 0x1af267f8, "int_pow" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xdfe4950d, "pci_msix_vec_count" },
	{ 0xca77ad32, "bpf_prog_add" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x108141fa, "pcie_capability_read_word" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xc8ed0b25, "debugfs_create_x32" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2dbe33a1, "devl_port_fn_devlink_set" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29f3a126, "up_read" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x9f24e7c6, "dev_printk_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x01281003, "devlink_fmsg_binary_put" },
	{ 0x178197cb, "dev_add_pack" },
	{ 0x6b0205ef, "alloc_etherdev_mqs" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x21177694, "pci_msix_alloc_irq_at" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0x1f930a97, "ptp_clock_unregister" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd104edf3, "skb_tstamp_tx" },
	{ 0xfa3c4a76, "ipv6_find_hdr" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x7fbd1425, "auxiliary_device_sysfs_irq_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xbb600b33, "init_net" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0xbe568176, "tls_validate_xmit_skb" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xdd7bd874, "netif_set_xps_queue" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbd4f4330, "devl_port_unregister" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x690c0c13, "netdev_master_upper_dev_get_rcu" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xde80cd09, "ioremap" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd5978e4f, "xdp_do_redirect" },
	{ 0x7cfb431e, "psample_sample_packet" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x738803e6, "strnlen" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x431a634b, "devlink_port_attrs_set" },
	{ 0xc55f12ac, "flow_rule_match_mpls" },
	{ 0x8a8ade29, "__dma_sync_single_for_cpu" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6bf5b94b, "flow_rule_match_enc_ports" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0xb4c5be43, "devl_resources_unregister" },
	{ 0xb37a0d74, "page_pool_put_unrefed_netmem" },
	{ 0x86210e3c, "skb_put" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x1bd2e726, "xp_dma_map" },
	{ 0x61edbb30, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0xa9d6b69e, "__xdp_rxq_info_reg" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd9683816, "devlink_unregister" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x737e1ce9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xabf9df02, "udp4_hwcsum" },
	{ 0x83acee22, "xp_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xe996f481, "xdp_master_redirect" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x01b6865c, "xa_get_mark" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xd4807a3e, "secpath_set" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x5af8e078, "down_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x618911fc, "numa_node" },
	{ 0x349cba85, "strchr" },
	{ 0xf7bac116, "page_address" },
	{ 0x32cd1270, "unregister_netdevice_notifier_net" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb36527a, "devl_unlock" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0xb4d6cc65, "pci_cfg_access_lock" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0xf7ee8b64, "pcie_bandwidth_available" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xca71d466, "ptp_schedule_worker" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x44dc0360, "ptp_find_pin" },
	{ 0x9635e3c7, "flow_rule_match_ip" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xcf2a6966, "up" },
	{ 0x35118798, "pci_enable_ptm" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x7928bb07, "xsk_tx_release" },
	{ 0xda9d9769, "devl_trap_groups_register" },
	{ 0x1ee678d1, "pcie_capability_clear_and_set_word_locked" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x05e29ca2, "bitmap_from_arr64" },
	{ 0xb69f548c, "xsk_tx_completed" },
	{ 0xf99af834, "page_pool_put_unrefed_page" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xdc4089e9, "devl_resource_register" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x83ddb24d, "pci_msix_can_alloc_dyn" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x26564947, "netdev_err" },
	{ 0x26f66ecd, "udp_tunnel_nic_ops" },
	{ 0xd104d04a, "flow_rule_match_eth_addrs" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xe473139d, "flow_rule_match_enc_keyid" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x5152e605, "memcmp" },
	{ 0x8e7c67a4, "page_pool_get_stats" },
	{ 0x50617a79, "bpf_prog_inc" },
	{ 0x85f989e2, "hwmon_device_register_with_info" },
	{ 0x46582c7e, "pci_enable_atomic_ops_to_root" },
	{ 0x1cf321b9, "flow_rule_match_ct" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa6ee1356, "napi_gro_receive" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x699e3eda, "netdev_lower_get_next" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbca78421, "netdev_set_tc_queue" },
	{ 0x304e7900, "debugfs_create_atomic_t" },
	{ 0x7e710887, "register_netdevice_notifier_dev_net" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0x49e7b5de, "flow_rule_match_ipv4_addrs" },
	{ 0x13e1979e, "bpf_prog_put" },
	{ 0x00632780, "work_busy" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x7fecfb29, "netif_set_real_num_rx_queues" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x32316263, "__alloc_pages_noprof" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0xac3428a1, "xfrm_replay_seqhi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x4841b6ae, "pci_sriov_get_totalvfs" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34119d9e, "devlink_free" },
	{ 0xcd279169, "nla_find" },
	{ 0x516b93f2, "skb_coalesce_rx_frag" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x26453b80, "__kmalloc_cache_node_noprof" },
	{ 0x9709dbc5, "current_work" },
	{ 0xeee64435, "metadata_dst_free" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0x714e4094, "flow_rule_match_enc_opts" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x655c6e62, "page_pool_update_nid" },
	{ 0x644341d1, "devl_health_reporter_create" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd5230bdf, "ptp_clock_register" },
	{ 0x81659d5f, "napi_build_skb" },
	{ 0x0b0882e5, "pci_find_capability" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x81a6bb1d, "page_pool_destroy" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xc42d0d14, "flow_block_cb_free" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0x83ce3191, "xsk_tx_peek_desc" },
	{ 0x8a8c5404, "flow_rule_match_ports" },
	{ 0x291e4192, "skb_checksum" },
	{ 0xc4c31bd1, "xdp_set_features_flag" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xae1769a1, "__inet6_lookup_established" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0xaa31a7f9, "page_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xa1c34596, "devlink_alloc_ns" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x5d78f26b, "devlink_port_register_with_ops" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xa34333c6, "ip6_dst_hoplimit" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0x7722dba8, "single_open" },
	{ 0xbaaa000c, "devlink_port_attrs_pci_pf_set" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0b85d0f1, "devl_traps_unregister" },
	{ 0x53e3c609, "devl_port_health_reporter_create" },
	{ 0x8e63f1e8, "device_del" },
	{ 0xca5242db, "pci_msix_free_irq" },
	{ 0xf2d925cf, "vlan_dev_real_dev" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xe603830a, "dev_get_port_parent_id" },
	{ 0x75dd664c, "xsk_set_rx_need_wakeup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xdda430b4, "single_release" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x7498eeef, "devl_param_driverinit_value_set" },
	{ 0x0b19b445, "ioread8" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa225ff4b, "qdisc_reset" },
	{ 0x777fcb9e, "flow_indr_dev_unregister" },
	{ 0x67ab7e0e, "xsk_clear_rx_need_wakeup" },
	{ 0xd2dd7835, "__kmalloc_node_noprof" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xb41c37b6, "netdev_port_same_parent_id" },
	{ 0xcab629c0, "flow_rule_match_ipv6_addrs" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9d06d7bc, "register_netdevice_notifier_net" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xbd9eeb11, "netdev_master_upper_dev_get" },
	{ 0x039376be, "flow_rule_match_icmp" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0x0f905d83, "pci_iov_vf_id" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x1360aa62, "netdev_info" },
	{ 0x5143efdf, "devlink_port_health_reporter_create" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x335cfdfd, "debugfs_create_size_t" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xd5f4b114, "skb_vlan_pop" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x3ab79240, "napi_consume_skb" },
	{ 0xf4cb5c02, "netif_device_attach" },
	{ 0xde648600, "devl_register" },
	{ 0xaa173b39, "up_write" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf59a4848, "irq_get_irq_data" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x204d399b, "bpf_warn_invalid_xdp_action" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xad78b9ee, "netif_set_real_num_tx_queues" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0xfb8ea2b3, "skb_store_bits" },
	{ 0x6626afca, "down" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xc87de426, "xsk_uses_need_wakeup" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1dff0f28, "devlink_health_reporter_create" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x90ee9713, "net_dim" },
	{ 0x059c5d07, "unregister_netdev" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x5d4c501c, "__neigh_create" },
	{ 0xf89a0d50, "priv_to_devlink" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc2a48c9e, "devl_rate_leaf_destroy" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa36c2917, "xp_dma_unmap" },
	{ 0x0eacf728, "vlan_dev_vlan_proto" },
	{ 0xa8defc82, "xdp_convert_zc_to_xdp_frame" },
	{ 0x8ae74a0e, "flow_rule_match_vlan" },
	{ 0x562f9d51, "netdev_set_num_tc" },
	{ 0x5264b4f2, "netdev_reset_tc" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd7e01807, "devlink_port_unregister" },
	{ 0x2228ac61, "xdp_rxq_info_unused" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x070f7896, "_printk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xd1652052, "rps_may_expire_flow" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3942f886, "devl_assert_locked" },
	{ 0xe57d6d34, "pcie_print_link_status" },
	{ 0xff681fa9, "xfrm_state_check_expire" },
	{ 0x8fa8b855, "devlink_remote_reload_actions_performed" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xdd039001, "softnet_data" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x3098eee7, "free_netdev" },
	{ 0xc1d7f234, "netdev_warn" },
	{ 0x09229c81, "xdp_rxq_info_unreg" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x8846d78b, "devl_traps_register" },
	{ 0xf0c45b68, "bpf_trace_run7" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xac851613, "call_switchdev_notifiers" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0xe6da974c, "flow_indr_block_cb_alloc" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xc666781b, "devl_nested_devlink_set" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0xec7a7553, "neigh_lookup" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x1ca5b126, "dev_get_by_index" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x308f168e, "devl_lock" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0x27734c13, "auxiliary_device_sysfs_irq_add" },
	{ 0x312b931d, "seq_open" },
	{ 0x263b6573, "pci_cfg_access_unlock" },
	{ 0x8bb3203d, "eth_get_headlen" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x37bd13f2, "register_fib_notifier" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x042410a7, "request_firmware_direct" },
	{ 0xf2fdc534, "dma_map_page_attrs" },
	{ 0x13362eb2, "netif_queue_set_napi" },
	{ 0x8e487520, "__ethtool_get_link_ksettings" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x3de6cdc0, "flow_rule_match_basic" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5a6ae5f9, "napi_alloc_skb" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x26b34790, "dev_remove_pack" },
	{ 0x183c9d79, "netif_set_tso_max_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdea6d4da, "netif_schedule_queue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd5d53be3, "ptp_clock_index" },
	{ 0x85a38ce8, "netdev_pick_tx" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4ddc02ff, "flow_block_cb_alloc" },
	{ 0xf288b385, "devlink_port_attrs_pci_sf_set" },
	{ 0x4681f57e, "flow_block_cb_lookup" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xece784c2, "rb_first" },
	{ 0x1241645a, "ipv6_stub" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x42707790, "xp_alloc" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x1febb955, "dma_unmap_page_attrs" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0x5ba8c63b, "xsk_set_tx_need_wakeup" },
	{ 0x6de0b1ce, "xp_raw_get_dma" },
	{ 0xe1e3022d, "skb_ext_add" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbf14f89d, "pci_reset_bus" },
	{ 0x0728a89e, "mlxfw_firmware_flash" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x9e843b01, "flow_rule_match_meta" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x969faf42, "seq_release" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0x15a96224, "devl_rate_leaf_create" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x8a480bc0, "devl_rate_nodes_destroy" },
	{ 0x38f2647d, "__skb_flow_dissect" },
	{ 0x06bbb016, "dcb_ieee_setapp" },
	{ 0xf35a73fa, "ptp_clock_event" },
	{ 0xfac56d04, "xdp_rxq_info_is_reg" },
	{ 0xd1611b4c, "netif_carrier_event" },
	{ 0x00aa1603, "xa_find" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xc043d64e, "pci_disable_ptm" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x0487019a, "unregister_fib_notifier" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0x098270d7, "flow_indr_dev_register" },
	{ 0x070f92bd, "debugfs_create_u64" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x80275a5e, "xdp_return_frame_bulk" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0x6fb5fbfc, "page_pool_alloc_pages" },
	{ 0x87644fa2, "xp_set_rxq_info" },
	{ 0x9daea022, "netif_device_detach" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x01c9f01e, "pcie_relaxed_ordering_enabled" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x7c104498, "xdp_return_frame" },
	{ 0x77b0509c, "devl_unregister" },
	{ 0xc1a6e8ba, "__free_pages" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x84e07963, "devlink_net" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa1a78033, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x862258db, "timecounter_init" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xf8b8f1d2, "unregister_netdevice_notifier_dev_net" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3fda2eca, "xdp_rxq_info_reg_mem_model" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x42b9e9e9, "flow_rule_match_control" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbed68f61, "netdev_printk" },
	{ 0x9b27c04d, "devl_port_register_with_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xae21f034, "sock_gen_put" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xf95c32ac, "debugfs_create_u8" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0x4d8ce76b, "devl_trap_groups_unregister" },
	{ 0xdd745464, "cancel_work" },
	{ 0xbd35840c, "flow_rule_match_cvlan" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x599921a9, "ndo_dflt_bridge_getlink" },
	{ 0x0b99f88f, "__neigh_event_send" },
	{ 0xf37ec7c7, "flow_block_cb_setup_simple" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0xf3b61c5c, "arp_tbl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2e0b50c6, "xp_can_alloc" },
	{ 0x0e786ce7, "trace_seq_printf" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x8fd21c94, "devl_params_unregister" },
	{ 0x946d6020, "simple_open" },
	{ 0xdaedff05, "vlan_dev_vlan_id" },
	{ 0xa2c30919, "devlink_register" },
	{ 0x6a53e35a, "dev_get_iflink" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "tls,ptp,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");

MODULE_INFO(srcversion, "8E1B6DF2A676497239DDD07");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
