#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_inband_caps, "_gpl", "");
KSYMTAB_FUNC(phy_config_inband, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_eee_tx_clock_stop_capable, "_gpl", "");
KSYMTAB_FUNC(phy_eee_rx_clock_stop, "_gpl", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_eee_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_disable_eee, "_gpl", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(of_mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x41f28366, "");
SYMBOL_CRC(phy_get_rate_matching, 0xdf6f885b, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x39736ead, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xb129c3a5, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xb08c501f, "");
SYMBOL_CRC(phy_mii_ioctl, 0x0ece26f6, "");
SYMBOL_CRC(phy_do_ioctl, 0x7923fafe, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xe711571f, "");
SYMBOL_CRC(phy_queue_state_machine, 0x2a8518c1, "");
SYMBOL_CRC(phy_trigger_machine, 0xd5eefe10, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x730e6e09, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x365d6878, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x06f1baf8, "");
SYMBOL_CRC(phy_start_cable_test, 0xfbe74435, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x339d68ae, "");
SYMBOL_CRC(phy_config_aneg, 0x3693fa75, "");
SYMBOL_CRC(phy_inband_caps, 0x157d9f64, "_gpl");
SYMBOL_CRC(phy_config_inband, 0x6540cd71, "");
SYMBOL_CRC(_phy_start_aneg, 0xdc9f9ba8, "");
SYMBOL_CRC(phy_start_aneg, 0xdb79ebba, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x4e70f2fc, "");
SYMBOL_CRC(phy_speed_down, 0xb0c5f6c2, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xdeee452c, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x007806e6, "_gpl");
SYMBOL_CRC(phy_error, 0xc98720fb, "");
SYMBOL_CRC(phy_request_interrupt, 0xcb4a894d, "");
SYMBOL_CRC(phy_free_interrupt, 0x0baec92f, "");
SYMBOL_CRC(phy_stop, 0xa1882f4e, "");
SYMBOL_CRC(phy_start, 0x0c676d70, "");
SYMBOL_CRC(phy_mac_interrupt, 0x51aae4d8, "");
SYMBOL_CRC(phy_eee_tx_clock_stop_capable, 0x07e6d946, "_gpl");
SYMBOL_CRC(phy_eee_rx_clock_stop, 0xa58dcf29, "_gpl");
SYMBOL_CRC(phy_init_eee, 0xc3493b01, "");
SYMBOL_CRC(phy_get_eee_err, 0x55ac3782, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x3dc0c81e, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x61ad6d1a, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x4894abd8, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xd386b6f8, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xfc4a1e0c, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x5491a0dd, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xdfdbc183, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x1d387b4c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0xbfbce86b, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x66f34f73, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x34fe97d4, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x978482a9, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x8f08884a, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xce156ea2, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x3434b6f3, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xe2be90f3, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xcdd478df, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x7db16dab, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x568a7a3f, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xd5a67c74, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x8268a19e, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x80082a45, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_eee_aneg, 0xd208bc12, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x7055c405, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x865c262b, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x9bbd81d6, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x8c730be7, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x2009985f, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x7894dc9f, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xd0c4e817, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x643dc65d, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xe38ac031, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x20e19c3a, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x78b2a92d, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x5d2c6df0, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x2b3c7dde, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x6568d559, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x02096970, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xa5c29aa2, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x9ebc4669, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xbf9df515, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xd42c5405, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x4438e5b0, "");
SYMBOL_CRC(phy_read_mmd, 0x611b6342, "");
SYMBOL_CRC(__phy_write_mmd, 0x5720c0f9, "");
SYMBOL_CRC(phy_write_mmd, 0x7da51614, "");
SYMBOL_CRC(__phy_package_read_mmd, 0xc8e4c3c3, "");
SYMBOL_CRC(phy_package_read_mmd, 0xc8078dce, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xc7da66b9, "");
SYMBOL_CRC(phy_package_write_mmd, 0xfc2bd16a, "");
SYMBOL_CRC(phy_modify_changed, 0x12a8610a, "_gpl");
SYMBOL_CRC(__phy_modify, 0x466eb13c, "_gpl");
SYMBOL_CRC(phy_modify, 0x7a14ab04, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xeb18feb1, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x0856f3b1, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x9bb9e3de, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x8b20ab83, "_gpl");
SYMBOL_CRC(phy_save_page, 0x346bc58a, "_gpl");
SYMBOL_CRC(phy_select_page, 0x14c612fa, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xb3dfa9d0, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x447cd987, "");
SYMBOL_CRC(phy_write_paged, 0x65bf8581, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x4046e0b9, "");
SYMBOL_CRC(phy_modify_paged, 0x306b014b, "");
SYMBOL_CRC(phy_basic_features, 0xd48100b5, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xd0c31656, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0xf1a5eed0, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x01b60fb7, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x134458cd, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x7778b582, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0xeb5c36fd, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0xc1e39790, "_gpl");
SYMBOL_CRC(phy_device_free, 0x2b64ac31, "");
SYMBOL_CRC(phy_register_fixup, 0x4cf1bdeb, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xba5427d4, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x3fe9d952, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xb2960fbf, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xa26504f4, "");
SYMBOL_CRC(get_phy_device, 0xe9ffcc41, "");
SYMBOL_CRC(phy_device_register, 0x6653eabc, "");
SYMBOL_CRC(phy_device_remove, 0xd91a15d9, "");
SYMBOL_CRC(phy_get_c45_ids, 0x6f9b166f, "");
SYMBOL_CRC(phy_find_first, 0x9abcb308, "");
SYMBOL_CRC(phy_connect_direct, 0x8cb3b4c4, "");
SYMBOL_CRC(phy_connect, 0x598fe09d, "");
SYMBOL_CRC(phy_disconnect, 0x49506e77, "");
SYMBOL_CRC(phy_init_hw, 0x41ea5030, "");
SYMBOL_CRC(phy_attached_info, 0x54f2bd78, "");
SYMBOL_CRC(phy_attached_info_irq, 0xc964c16c, "");
SYMBOL_CRC(phy_attached_print, 0xde7ba11e, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0xb19ff8c1, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0x176c9141, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xa0b7bf8d, "");
SYMBOL_CRC(phy_attach_direct, 0x89b75620, "");
SYMBOL_CRC(phy_attach, 0xe3ca3f3a, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x56310889, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xfbf4f4bd, "_gpl");
SYMBOL_CRC(phy_package_join, 0xcd6ed09c, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x7acf8ef8, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x8f8ee83b, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xd8cb7a72, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0xdf243c09, "_gpl");
SYMBOL_CRC(phy_detach, 0x73807145, "");
SYMBOL_CRC(phy_suspend, 0x37335e0c, "");
SYMBOL_CRC(__phy_resume, 0x35f09082, "");
SYMBOL_CRC(phy_resume, 0xd81312ee, "");
SYMBOL_CRC(phy_loopback, 0xb9018526, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xe3e69937, "");
SYMBOL_CRC(genphy_setup_forced, 0x00051fcd, "");
SYMBOL_CRC(genphy_read_master_slave, 0xb717972c, "");
SYMBOL_CRC(genphy_restart_aneg, 0xf4291ab0, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x3c4a256c, "");
SYMBOL_CRC(__genphy_config_aneg, 0x0d19df4d, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x2ef427ba, "");
SYMBOL_CRC(genphy_aneg_done, 0x261acb15, "");
SYMBOL_CRC(genphy_update_link, 0xfbdc36c7, "");
SYMBOL_CRC(genphy_read_lpa, 0xeef20298, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xa3a824cc, "");
SYMBOL_CRC(genphy_read_status, 0x528e85e0, "");
SYMBOL_CRC(genphy_c37_read_status, 0xdc23a099, "");
SYMBOL_CRC(genphy_soft_reset, 0x12b41562, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xd31c8260, "");
SYMBOL_CRC(genphy_read_abilities, 0xf4cbc4d4, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xd27dda18, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x0fb1169b, "");
SYMBOL_CRC(genphy_suspend, 0xa74330df, "");
SYMBOL_CRC(genphy_resume, 0x176050e1, "");
SYMBOL_CRC(genphy_loopback, 0x303ee9b0, "");
SYMBOL_CRC(phy_remove_link_mode, 0x0ec23b8f, "");
SYMBOL_CRC(phy_advertise_supported, 0x21c4837f, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x95a143ab, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x780b1ff6, "");
SYMBOL_CRC(phy_disable_eee, 0x203e6838, "_gpl");
SYMBOL_CRC(phy_support_sym_pause, 0xff36167f, "");
SYMBOL_CRC(phy_support_asym_pause, 0x64ba9334, "");
SYMBOL_CRC(phy_set_sym_pause, 0x9c155a40, "");
SYMBOL_CRC(phy_set_asym_pause, 0xddb3cb0e, "");
SYMBOL_CRC(phy_validate_pause, 0xd2a101cf, "");
SYMBOL_CRC(phy_get_pause, 0x5cd00ae4, "");
SYMBOL_CRC(phy_get_internal_delay, 0xb80cf012, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x785dc157, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x28e62e28, "");
SYMBOL_CRC(device_phy_find_device, 0x928b56e2, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x83264619, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x20f1bd00, "");
SYMBOL_CRC(phy_drivers_register, 0xeb72dcff, "");
SYMBOL_CRC(phy_driver_unregister, 0xe95fa909, "");
SYMBOL_CRC(phy_drivers_unregister, 0xe464c683, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0x30da78bd, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0x60d66e72, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x558bfe63, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xfa0aa806, "");
SYMBOL_CRC(mdiobus_get_phy, 0xb8f46aae, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x25c991eb, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xc94b4cb9, "");
SYMBOL_CRC(mdio_find_bus, 0xe7d21352, "");
SYMBOL_CRC(of_mdio_find_bus, 0xe3b48f6e, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xf2e28c7e, "");
SYMBOL_CRC(__mdiobus_register, 0x67550514, "");
SYMBOL_CRC(mdiobus_unregister, 0xc38c84b5, "");
SYMBOL_CRC(mdiobus_free, 0x63026bfb, "");
SYMBOL_CRC(__mdiobus_read, 0xd9f57dac, "");
SYMBOL_CRC(__mdiobus_write, 0x621aec9c, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xab022cd0, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xd64f8769, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x5669d9d2, "");
SYMBOL_CRC(mdiobus_read_nested, 0xca48bc84, "");
SYMBOL_CRC(mdiobus_read, 0xfab11846, "");
SYMBOL_CRC(mdiobus_c45_read, 0xb3f9312c, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x02262246, "");
SYMBOL_CRC(mdiobus_write_nested, 0x7191c331, "");
SYMBOL_CRC(mdiobus_write, 0x82077575, "");
SYMBOL_CRC(mdiobus_c45_write, 0x1fb689e1, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xa388b876, "");
SYMBOL_CRC(__mdiobus_modify, 0x028860e5, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xe0d6d6a1, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x499b176e, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x21e06765, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xaaaad71e, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x90b50031, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xe8447b16, "");
SYMBOL_CRC(mdio_device_create, 0xc2b74326, "");
SYMBOL_CRC(mdio_device_register, 0x66e97996, "");
SYMBOL_CRC(mdio_device_remove, 0xedfaa12b, "");
SYMBOL_CRC(mdio_device_reset, 0xe0510511, "");
SYMBOL_CRC(mdio_driver_register, 0x3b45594c, "");
SYMBOL_CRC(mdio_driver_unregister, 0xeb769869, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xace30586, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x015cea40, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x853effc2, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x537857b8, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xed1c8539, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x6e423017, "sysfs_create_file_ns" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x137f1cc7, "device_match_of_node" },
	{ 0xdd471759, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x037a0cba, "kfree" },
	{ 0xf794175f, "of_get_parent" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0xdf636def, "get_device" },
	{ 0x4ea226c7, "of_get_next_available_child" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x464012b9, "device_match_fwnode" },
	{ 0x86c43fe5, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xad5a6bf0, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xd8003836, "sysfs_remove_file_ns" },
	{ 0x738803e6, "strnlen" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x376c05b2, "module_put" },
	{ 0x29657514, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff738d88, "phylib_stubs" },
	{ 0xa0835a0b, "of_match_device" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x37e4a860, "device_add" },
	{ 0x43053381, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58169218, "vprintk" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xbcd51c7f, "is_acpi_data_node" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0x5f5237b9, "sfp_bus_add_upstream" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c3c90ea, "of_find_property" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xd51062dd, "led_trigger_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x5969ad9f, "device_register" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf3b2047f, "device_bind_driver" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xb06b709f, "of_device_uevent_modalias" },
	{ 0x519acdb4, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0a59badf, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb23652be, "netdev_alert" },
	{ 0xa281657f, "ethnl_cable_test_alloc" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x21705602, "fwnode_find_reference" },
	{ 0xed6888b3, "fwnode_property_read_string" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a37b20e, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1d3c31b4, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0x14bd828a, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x212244db, "led_trigger_register" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0x9c921c02, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5662fcf4, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x7c500bf4, "sysfs_create_link_nowarn" },
	{ 0xdb687010, "of_node_name_eq" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x9b09e4b7, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x04f963c7, "led_trigger_event" },
	{ 0x65579d8a, "device_release_driver" },
	{ 0x4c708f48, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfb8dffc3, "gpiod_set_consumer_name" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea6b2627, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe5515291, "driver_register" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1360aa62, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb709e456, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x28f65080, "class_find_device" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D623767953764F6CDC8E6A2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
