#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x271b3097, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x5ab9bd4b, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x65c59367, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x850483f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xa8cc6bee, "__skb_checksum_complete" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xf1c24f3a, "__nlmsg_put" },
	{ 0x5250ef3d, "netdev_adjacent_change_commit" },
	{ 0x37c6a60c, "eth_mac_addr" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac851613, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa34333c6, "ip6_dst_hoplimit" },
	{ 0xdde01c3c, "param_ops_ushort" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0xb58bc3a5, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x31a0bb39, "udp_tunnel6_xmit_skb" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x6efc403d, "__unregister_nexthop_notifier" },
	{ 0x07ebe751, "netif_inherit_tso_max" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x15f43943, "eth_validate_addr" },
	{ 0x8b39bfe8, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdc84dcc8, "rtnl_create_link" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x070c18f9, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3e895319, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc17ae23f, "udp_tunnel_drop_rx_port" },
	{ 0x765e8acf, "netdev_upper_dev_link" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x5d362939, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5514443f, "eth_gro_complete" },
	{ 0x1bf765a8, "rtnl_set_sk_err" },
	{ 0xb82d637f, "eth_gro_receive" },
	{ 0x659c5fcf, "rtnl_configure_link" },
	{ 0x7b586c85, "skb_tunnel_check_pmtu" },
	{ 0x454b38b1, "udp_tunnel_dst_lookup" },
	{ 0x21786687, "rtnl_unicast" },
	{ 0x722191d1, "peernet2id" },
	{ 0x36813814, "__skb_get_hash_net" },
	{ 0x12f2e845, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1241645a, "ipv6_stub" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6f0674c1, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0x70e2b75c, "gro_cells_receive" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc413eaa8, "netdev_upper_dev_unlink" },
	{ 0x51813ef6, "nla_put" },
	{ 0x985b3853, "__rtnl_register_many" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4fee330e, "ip_mc_join_group" },
	{ 0xde0683bc, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0x53540872, "ethtool_op_get_link" },
	{ 0xb929ce33, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb90f207d, "arp_create" },
	{ 0x8e487520, "__ethtool_get_link_ksettings" },
	{ 0xe645e0d0, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x9318968c, "netdev_adjacent_change_abort" },
	{ 0xaa34db2a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe90b156c, "udp_tunnel6_dst_lookup" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xe31cb0fe, "__iptunnel_pull_header" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x88bcff49, "netif_rx" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x073df71d, "setup_udp_tunnel_sock" },
	{ 0x2c7a237f, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x69442b84, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x671928a6, "skb_scrub_packet" },
	{ 0xa3385508, "nexthop_select_path" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xeee64435, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x98457aa9, "udp_tun_rx_dst" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x723fccdf, "rtnl_notify" },
	{ 0xc00847b0, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x262f35f2, "__netif_rx" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0xf3b61c5c, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xe32f3f32, "udp_tunnel_notify_del_rx_port" },
	{ 0x68b50e79, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x72a65289, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf975a290, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9fcf3065, "gro_find_receive_by_type" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x1360aa62, "netdev_info" },
	{ 0xec7a7553, "neigh_lookup" },
	{ 0xfb113e23, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "94975312310B2B5208D6038");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
