#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xd92013a5, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x2f7b14dd, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x62a09f74, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x51b1618e, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x01b2e5b7, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x206840e4, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x574cacfe, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x38aaf6dd, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x8cf2fa01, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xad723dbc, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0xb5412589, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xbeb98f0f, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xf7759fb9, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xd1dfad7c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc74edafe, "ath9k_hw_set_txpowerlimit" },
	{ 0xcdb34b2b, "ath_hw_keyreset" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x8235805b, "memmove" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x7418f383, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "341DE581582D71599DA2018");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
