#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(lbtf_debug, "_gpl", "");
KSYMTAB_FUNC(lbtf_rx, "_gpl", "");
KSYMTAB_FUNC(lbtf_add_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbtf_bcn_sent, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(__lbtf_cmd, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_response_rx, "_gpl", "");

SYMBOL_CRC(lbtf_debug, 0xc85e6899, "_gpl");
SYMBOL_CRC(lbtf_rx, 0x44da924a, "_gpl");
SYMBOL_CRC(lbtf_add_card, 0x503125d6, "_gpl");
SYMBOL_CRC(lbtf_remove_card, 0x4771df5f, "_gpl");
SYMBOL_CRC(lbtf_send_tx_feedback, 0x1b279e7f, "_gpl");
SYMBOL_CRC(lbtf_bcn_sent, 0x4577e779, "_gpl");
SYMBOL_CRC(lbtf_cmd_copyback, 0x1692b05b, "_gpl");
SYMBOL_CRC(__lbtf_cmd, 0xef0b8824, "_gpl");
SYMBOL_CRC(lbtf_cmd_response_rx, 0x06744d30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe7b87fd5, "ieee80211_register_hw" },
	{ 0x768d96f0, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b907ad, "ieee80211_get_buffered_bc" },
	{ 0xf2c15984, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8f54011e, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd91ed334, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xecbafbfd, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27405ab5, "ieee80211_unregister_hw" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc197eeb8, "ieee80211_beacon_get_tim" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x186291f1, "ieee80211_emulate_remove_chanctx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xd8ce9e25, "ieee80211_rx_irqsafe" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211");


MODULE_INFO(srcversion, "7DA56B97EE98003B8CCFFD4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
