#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xbf34db80, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x300f6ed8, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x34cb6817, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xa6c90e03, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0xa518b862, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xf8a0bd35, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x0a101e90, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xb8ed11f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc86236c2, "mt76_update_channel" },
	{ 0xad13799e, "mt76_init_sar_power" },
	{ 0x9efa5884, "mt76x02_phy_adjust_vga_gain" },
	{ 0x2f558c01, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x311b9ba3, "mt76x02_mac_shared_key_setup" },
	{ 0x1b208e3c, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6d8b246c, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x223cd30f, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0x326fd53e, "mt76_eeprom_init" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8a113716, "mt76x02_mac_setaddr" },
	{ 0x86458f35, "mt76_register_device" },
	{ 0xddcf7045, "mt76x02_phy_set_bw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa1a1c61c, "mt76x02_phy_set_band" },
	{ 0x3148beb6, "mt76x02_init_device" },
	{ 0xa1393f23, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x40c8662a, "mt76x02_phy_set_rxpath" },
	{ 0x910f55b6, "mt76x02_edcca_init" },
	{ 0x67caf837, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa7a2f38d, "mt76x02_get_lna_gain" },
	{ 0x63dc3b27, "mt76x02_init_debugfs" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0de2f278, "mt76x02_mac_cc_reset" },
	{ 0x21a07d6a, "mt76x02_init_agc_gain" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c76afac, "____mt76_poll_msec" },
	{ 0xcd71525a, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9135b339, "mt76x02_config_mac_addr_list" },
	{ 0x97ba1079, "mt76_get_sar_power" },
	{ 0xe70a72d0, "mt76x02_eeprom_copy" },
	{ 0xd8f35204, "mt76x02_mcu_calibrate" },
	{ 0xeb5ba23c, "mt76x02_mcu_function_select" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6a18e766, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x1bdb22d8, "mt76x02_mac_wcid_setup" },
	{ 0xa2712020, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x261befdc, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x23f57fd8, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "5DC9561920B69322101AB5F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
