#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x3148beb6, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x91b8d041, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xa04a72d0, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x04fd292c, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xc003aa89, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x85ab32d8, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x7733ab72, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x5d3bb5af, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x13dfcba1, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xb778ba58, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x8f453ec6, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xf13e1db4, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xdd561f0a, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x1a8d1610, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xf8c4a0b6, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xa01261ac, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x02093020, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x9135b339, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xe5ea72fb, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x311b9ba3, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x1bdb22d8, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xdbf22cb9, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x8a113716, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xd3e40f11, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xbcf15e0f, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x910f55b6, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x0de2f278, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xadd92822, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x425ccabc, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xeb5ba23c, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x8fe6cc8d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xd8f35204, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x5148e94c, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x979d1696, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xe70a72d0, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x6d8b246c, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xa1393f23, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x1b208e3c, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x223cd30f, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xa7a2f38d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x40c8662a, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x261befdc, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x6a18e766, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xddcf7045, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xa1a1c61c, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x9efa5884, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x21a07d6a, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xfb6f87d4, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x2f6ef40e, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x6b84ab9d, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x4e0a3111, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xa3a7146b, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x559b4e3e, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x4f499051, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x1146ae15, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xd1056c0d, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xd8820383, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xc34e322e, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x63dc3b27, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x2f558c01, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xcd71525a, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xb8ad3b4d, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xe6214fec, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x2f2d5cd3, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xfc70003a, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x0feb78ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0x4dfa331d, "mt76_dma_rx_poll" },
	{ 0xa09715bc, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x831a75a7, "mt76_tx_status_skb_get" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x039fad3f, "mt76_tx_status_lock" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe5e77d4c, "mt76_csa_check" },
	{ 0xe7620c70, "mt76_tx_status_skb_add" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0x5bf14fb9, "mt76_tx_check_agg_ssn" },
	{ 0x0330691f, "ieee80211_tx_status_ext" },
	{ 0x67f1c96c, "mt76_stop_tx_queues" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdd14758b, "__mt76_tx_complete_skb" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x14fcd630, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7be5bcf9, "ieee80211_restart_hw" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x4065ae02, "kthread_park" },
	{ 0x1667987d, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafea612e, "mt76_wcid_init" },
	{ 0xbd127ab9, "mt76_tx_status_check" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x92b907ad, "ieee80211_get_buffered_bc" },
	{ 0x26002445, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9b69e445, "ieee80211_get_tx_rates" },
	{ 0x72cd6fd3, "ieee80211_send_bar" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89cf113f, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa9ae80e8, "mt76_tx" },
	{ 0x3ab12a79, "__napi_schedule" },
	{ 0x53772e09, "mt76_csa_finish" },
	{ 0x738803e6, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x7f791ae9, "mt76_wcid_key_setup" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeae649da, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x066f33d7, "kthread_unpark" },
	{ 0x9997f66e, "mt76_phy_dfs_state" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0x0c604d74, "mt76_init_queue" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xe2c6a2bd, "__mt76_sta_remove" },
	{ 0xe43d831c, "mt76_tx_status_skb_done" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x1061e9ba, "napi_enable" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x588bb7ab, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x43910095, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x2865fdaa, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4ac5e561, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdc199017, "mt76_set_irq_mask" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x38ed0100, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0xeeba3a6b, "mt76_seq_puts_array" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0x0b48677a, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x70577545, "__tracepoint_dev_irq" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x88cb64b3, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x852c037b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdc2d431a, "mt76_rx_aggr_start" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x9c76afac, "____mt76_poll_msec" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xc197eeb8, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xdd83cec4, "mt76_wcid_cleanup" },
	{ 0x37534661, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x45b28ab9, "mt76_queues_read" },
	{ 0x8940afcd, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf163a6f3, "napi_schedule_prep" },
	{ 0xdc577cbb, "napi_disable" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0xa2712020, "__mt76_poll" },
	{ 0x0fcd9811, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf95c32ac, "debugfs_create_u8" },
	{ 0x7722dba8, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa3ac70f5, "mt76_dma_attach" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "0BF73325064BE6E0FFA81F4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
