#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0xb2a5e620, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0x23afb49a, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0x6f63e771, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0x709ad5d9, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0x77576fb8, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0x9631555e, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x3f5f3d26, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0xb6ed8106, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x18fe520c, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x094f80c9, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0x3efd153c, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0xfe7f96bc, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x307ea346, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x00a983fa, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0xb1b79176, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xb4304f0d, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0xc346d4ac, "_gpl");
SYMBOL_CRC(__mt7925_start, 0x82c72fa5, "_gpl");
SYMBOL_CRC(mt7925_roc_abort_sync, 0x9e3aa0ab, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0xe5d2be64, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_event, 0xe2521243, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0x7c4cfabc, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x93d12110, "_gpl");
SYMBOL_CRC(mt7925_regd_update, 0x274cd08c, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0x28d4fde9, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0x7bcda1b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6ff98ae, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x07c0db2d, "ieee80211_sta_register_airtime" },
	{ 0xca071d22, "mt792x_init_wcid" },
	{ 0x6ab491a2, "mt792x_init_acpi_sar" },
	{ 0xad13799e, "mt76_init_sar_power" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0xa09715bc, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x5b24b117, "ieee80211_iterate_interfaces" },
	{ 0x69136b18, "mt792x_stop" },
	{ 0x7fa93bd5, "mt76_connac_get_ch_power" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x861d7927, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x831a75a7, "mt76_tx_status_skb_get" },
	{ 0xe37b3098, "mt792x_tx_worker" },
	{ 0xdfeb6c60, "mt792x_flush" },
	{ 0x039fad3f, "mt76_tx_status_lock" },
	{ 0x73ca06b7, "mt792x_rx_get_wcid" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb50abcca, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6b8e58d5, "mt76_release_buffered_frames" },
	{ 0x0e454536, "request_firmware" },
	{ 0x1754efbc, "mt76_get_txpower" },
	{ 0x4b502ecb, "mt76_connac_mcu_sta_uapsd" },
	{ 0xe7620c70, "mt76_tx_status_skb_add" },
	{ 0xfab16233, "mt76_connac_pm_wake" },
	{ 0x8494540c, "mt76_get_rate" },
	{ 0x2d28fe3e, "mt792x_pm_wake_work" },
	{ 0x16b4c206, "mt76_wake_tx_queue" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x87f923ac, "mt76_get_antenna" },
	{ 0xed7c456f, "mt792x_set_coverage_class" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xdd14758b, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xea18ee66, "mt76_set_stream_caps" },
	{ 0x9c7cfc8d, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x62390aa3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ddc866e, "mt792x_mac_work" },
	{ 0xd617fbfc, "mt76_connac2_tx_check_aggr" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x1667987d, "mt76_mcu_rx_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafea612e, "mt76_wcid_init" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x8995a463, "mt76_connac_free_pending_tx_skbs" },
	{ 0xf15fcc76, "mt792x_sta_statistics" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xb711c5ca, "mt76_connac_power_save_sched" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x32316263, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x773a5ed5, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89cf113f, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x182b4067, "mt792x_get_et_sset_count" },
	{ 0xe1ea253f, "mt76_wcid_add_poll" },
	{ 0x15a312d3, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x7bf23c38, "mt792x_init_acpi_sar_power" },
	{ 0xc9880282, "mt792x_set_wakeup" },
	{ 0x7f791ae9, "mt76_wcid_key_setup" },
	{ 0x81256a08, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeae649da, "mt76_rx" },
	{ 0xa0ea6270, "mt792x_load_firmware" },
	{ 0xd980e12c, "mt792x_get_et_stats" },
	{ 0x7a3fe37b, "mt76_connac_mcu_uni_add_bss" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4b16960e, "wiphy_to_ieee80211_hw" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xf73514e8, "mt792x_mac_link_bss_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe43d831c, "mt76_tx_status_skb_done" },
	{ 0xecfe6448, "ieee80211_queue_delayed_work" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x86458f35, "mt76_register_device" },
	{ 0xdec85206, "mt792x_get_stats" },
	{ 0xef57b794, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3c56899e, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x517700e0, "ieee80211_wake_queues" },
	{ 0x43910095, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb46ac8e5, "ieee80211_beacon_get_template" },
	{ 0xf6d56d17, "mt792x_pm_stats" },
	{ 0x67caf837, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4ac5e561, "__mt76_mcu_msg_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x664b8ad8, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xea56ba9b, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf50ccfcd, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xb9c6309d, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb3d8f469, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xff52a2dc, "mt792x_tx" },
	{ 0x1dcc8205, "mt792x_get_et_strings" },
	{ 0x41aef26d, "mt76_sta_state" },
	{ 0x14b4f39d, "ieee80211_ready_on_channel" },
	{ 0xc3e71f7e, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x0ac6ec41, "mt792x_remove_interface" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x63b446e8, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf25b4df7, "mt76_connac2_mac_tx_rate_val" },
	{ 0x0a89e891, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xf0e53dd2, "mt792x_queues_read" },
	{ 0xcffd7917, "mt792x_queues_acq" },
	{ 0x28a04ea6, "mt76_get_rate_power_limits" },
	{ 0xba8a9592, "ieee80211_sched_scan_results" },
	{ 0x2e3ffef4, "ieee80211_scan_completed" },
	{ 0x6d423096, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x78fbdac1, "mt792x_config_mac_addr_list" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x882bb53e, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xfc2682b2, "mt792x_tx_stats_show" },
	{ 0xd43e0209, "mt76_connac_mcu_set_suspend_mode" },
	{ 0xdc2d431a, "mt76_rx_aggr_start" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xed074a4d, "ieee80211_set_active_links_async" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xb4511fa7, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97ba1079, "mt76_get_sar_power" },
	{ 0xa2ebe5f7, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x77ad5b09, "mt792x_mac_init_band" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xc20f27b8, "mt76_skb_adjust_pad" },
	{ 0x365fedc5, "mt76_put_txwi" },
	{ 0xdd83cec4, "mt76_wcid_cleanup" },
	{ 0xfdefaa82, "mt792x_init_wiphy" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcb9f006a, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xdda430b4, "single_release" },
	{ 0xf3df8734, "mt76_connac3_mac_decode_eht_radiotap" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x45b28ab9, "mt76_queues_read" },
	{ 0x507e9582, "mt76_sta_pre_rcu_remove" },
	{ 0x8940afcd, "mt76_register_debugfs_fops" },
	{ 0x2e7ad84b, "cfg80211_get_iftype_ext_capa" },
	{ 0x4ecd6fe8, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x9febb659, "__mt76_set_tx_blocked" },
	{ 0xf7bac116, "page_address" },
	{ 0x520ad284, "ieee80211_queue_work" },
	{ 0xce6fd9c0, "mt792x_mac_reset_counters" },
	{ 0x3ab79240, "napi_consume_skb" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xa2712020, "__mt76_poll" },
	{ 0x0fcd9811, "mt76_rx_aggr_stop" },
	{ 0x7722dba8, "single_open" },
	{ 0xfb51375a, "mt76_connac_get_phy_mode" },
	{ 0x3971c897, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x0a144b66, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6297fe6f, "mt792x_pm_power_save_work" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "B80463EF12672953A4588A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
