#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x95812d1d, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xbe87e947, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0xe8805ca0, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x4e1946ae, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x0b5389e7, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x765237c4, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x37c6a60c, "eth_mac_addr" },
	{ 0x86210e3c, "skb_put" },
	{ 0x224eb6df, "cfg80211_scan_done" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcdb9db53, "cfg80211_cac_event" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x99dd9cbb, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2e60bace, "memcpy" },
	{ 0x462f0c98, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x27191ed8, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x70d56f28, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdedcd1df, "cfg80211_disconnected" },
	{ 0x3e895319, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb41c37b6, "netdev_port_same_parent_id" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0xbef6e444, "wiphy_new_nm" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf3d1d38a, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x0cd8e9f8, "cfg80211_put_bss" },
	{ 0xa944127a, "cfg80211_ch_switch_notify" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x7c642097, "ieee80211_get_channel_khz" },
	{ 0x4f33d05a, "cfg80211_check_combinations" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe286e085, "__cfg80211_radar_event" },
	{ 0xd30fe8f6, "cfg80211_get_drvinfo" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc3fa35c9, "cfg80211_michael_mic_failure" },
	{ 0xf5f5c23e, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x68f75c72, "cfg80211_del_sta_sinfo" },
	{ 0x7c44f9d3, "cfg80211_update_owe_info_event" },
	{ 0xadeedda9, "wiphy_unregister" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaaf21900, "netif_tx_stop_all_queues" },
	{ 0xc7af31fa, "netif_tx_wake_queue" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x2f11d017, "wdev_chandef" },
	{ 0x278cb1c8, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc1c590e, "cfg80211_unregister_wdev" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0x12bc5fdb, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4e09e15, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9fdb5a04, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c406e0a, "netdev_walk_all_lower_dev" },
	{ 0x5ae8f1f5, "cfg80211_inform_bss_data" },
	{ 0x744e1450, "cfg80211_shutdown_all_interfaces" },
	{ 0xd4a586a7, "dev_kfree_skb_any_reason" },
	{ 0xf281caa5, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d9bab75, "cfg80211_connect_done" },
	{ 0x83e42af5, "__cfg80211_get_bss" },
	{ 0x3ab8d0a4, "wiphy_free" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "74145EE7089EBF882519B1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
