#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xb72196d3, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x16a70bf7, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x9b99ff9f, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x4076660c, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x7f3c00cd, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xd02a5ece, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x31f11fe0, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x942a0442, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xb2308a56, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x72ed5929, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xe7e1bc26, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x3328bd17, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x2502d06d, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xe7f3a93e, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x9bf88d40, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x37a0f2fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee813f91, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1a5acc3c, "usb_anchor_urb" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0x037a0cba, "kfree" },
	{ 0x06b1c057, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0x7fc5a9d6, "rt2x00lib_dmastart" },
	{ 0x90f55cee, "rt2x00lib_dmadone" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x75442ac2, "__skb_pad" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x447b56d6, "rt2x00queue_for_each_entry" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0xe1c08d45, "rt2x00queue_get_entry" },
	{ 0x0b7b6b18, "rt2x00queue_stop_queue" },
	{ 0xd5a38440, "rt2x00queue_flush_queue" },
	{ 0x54d54b89, "rt2x00queue_start_queue" },
	{ 0xd15c99f1, "rt2x00lib_txdone_noinfo" },
	{ 0xa817ac83, "rt2x00lib_rxdone" },
	{ 0x0071fd66, "rt2x00lib_suspend" },
	{ 0x9a2bcdb8, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5b15560e, "rt2x00lib_remove_dev" },
	{ 0x12657ece, "ieee80211_free_hw" },
	{ 0xb97cba3c, "usb_put_dev" },
	{ 0x8f05cb4c, "usb_get_dev" },
	{ 0x47428d80, "usb_reset_device" },
	{ 0x774d407f, "ieee80211_alloc_hw_nm" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb8e4e66f, "rt2x00lib_probe_dev" },
	{ 0x070f7896, "_printk" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D2A2A50C33680A6EF957E9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
