#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x1b1a5c14, "");
SYMBOL_CRC(ndlc_close, 0x85629106, "");
SYMBOL_CRC(ndlc_send, 0x066fb0b8, "");
SYMBOL_CRC(ndlc_recv, 0x35e5acc7, "");
SYMBOL_CRC(ndlc_probe, 0xd5ff9d7e, "");
SYMBOL_CRC(ndlc_remove, 0x4b6e4377, "");
SYMBOL_CRC(st_nci_probe, 0x66acbe95, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xe6f3ff1b, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x8d7c0eb3, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x24b4d030, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x331e01fa, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xa641dc28, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x367fa725, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xd612a5de, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x1e21571f, "");
SYMBOL_CRC(st_nci_se_init, 0x46f8e6de, "");
SYMBOL_CRC(st_nci_se_deinit, 0x5f7aaab1, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x5c9ec1f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4f5d0a7, "nci_free_device" },
	{ 0xad83e8ea, "nci_allocate_device" },
	{ 0xdb24ac15, "nci_register_device" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x54ff8569, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x82f178db, "nfc_add_se" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3691b558, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xc7af5b86, "nci_nfcee_mode_set" },
	{ 0x93dd23e0, "nci_hci_get_param" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x1a159391, "nfc_se_transaction" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x10102ff8, "nci_hci_connect_gate" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x51813ef6, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xc2fbded1, "nci_prop_cmd" },
	{ 0x958a1f2b, "nci_core_conn_create" },
	{ 0x5a2af4fb, "nci_nfcc_loopback" },
	{ 0x97fc9747, "nci_unregister_device" },
	{ 0xdc704aaa, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5dce145e, "nci_hci_send_event" },
	{ 0xf8020e82, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97aa7014, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78f83c9f, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xf7ac7aeb, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x1d3a232e, "nci_recv_frame" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6aed62d9, "nci_hci_dev_session_init" },
	{ 0xadf13d1e, "nci_hci_set_param" },
	{ 0xeac5ec44, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
