#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st95hf_spi_send, "_gpl", "");
KSYMTAB_FUNC(st95hf_spi_recv_response, "_gpl", "");
KSYMTAB_FUNC(st95hf_spi_recv_echo_res, "_gpl", "");

SYMBOL_CRC(st95hf_spi_send, 0x16ab66ec, "_gpl");
SYMBOL_CRC(st95hf_spi_recv_response, 0xaa4e17c3, "_gpl");
SYMBOL_CRC(st95hf_spi_recv_echo_res, 0x6a6a2ded, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26ede148, "nfc_digital_allocate_device" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0x1753ff3e, "device_property_present" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x86210e3c, "skb_put" },
	{ 0xce657080, "gpiod_set_value" },
	{ 0xa6257a2f, "complete" },
	{ 0x903d524e, "nfc_digital_free_device" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf2a6966, "up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x79c1ff7c, "nfc_digital_register_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xea55bdb8, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x41e4c92b, "spi_sync" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd4d7fda6, "__spi_register_driver" },
	{ 0x11271188, "devm_gpiod_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0xcbc2e4bd, "nfc_digital_unregister_device" },
	{ 0xfb8dffc3, "gpiod_set_consumer_name" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nfc_digital,nfc");

MODULE_ALIAS("of:N*T*Cst,st95hf");
MODULE_ALIAS("of:N*T*Cst,st95hfC*");
MODULE_ALIAS("spi:st95hf");

MODULE_INFO(srcversion, "6EBF72FAD8760D5A79D26A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
