#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x14074eb0, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc19869c3, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xc4994a49, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xd0e79219, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x28a7db63, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xd26bf345, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x90a42204, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x433ee85f, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xe51d4e8f, "");
SYMBOL_CRC(nvdimm_region_notify, 0x67ff4569, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xb0bc33c9, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x1bacb7ab, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x30163f10, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xe63c261a, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x8edaf3a2, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x2c397f0b, "");
SYMBOL_CRC(nd_device_unregister, 0x7f59ee6b, "");
SYMBOL_CRC(__nd_driver_register, 0x1f98650b, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x4d436b9f, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x3921ce98, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x6fb7150f, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xc31c7c44, "_gpl");
SYMBOL_CRC(to_ndd, 0xc5c7b22c, "");
SYMBOL_CRC(nvdimm_name, 0xefc49afd, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x5d64047d, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xde04388d, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xddf9ec46, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xef7fbb93, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x8c735e55, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x0ddef536, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x4c8437cf, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x0f1fc39c, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xf753207b, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x007b8761, "_gpl");
SYMBOL_CRC(to_nd_region, 0x2415d9ef, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x541b78e5, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xaf6b1ed2, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x87537171, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x7ad20de6, "");
SYMBOL_CRC(nd_region_release_lane, 0xbe31b53f, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xcd66c2a6, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x472528fb, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xed6fa6f3, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x06a875e2, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xb1a971db, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x63a2074f, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x8248ee9d, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x2f1066d3, "");
SYMBOL_CRC(pmem_sector_size, 0x490f7355, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xb743f91f, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xb0037cf0, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x6a6ebcc7, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x0fe82b74, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x487be302, "");
SYMBOL_CRC(devm_namespace_enable, 0x6d11ada8, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xf0e8d3a9, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x980f9137, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x49469e96, "");
SYMBOL_CRC(is_nd_btt, 0x1b8a0abc, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x94572ee4, "");
SYMBOL_CRC(nd_btt_version, 0x516537b7, "");
SYMBOL_CRC(nd_btt_probe, 0x8b804b56, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x0c9447ce, "set_disk_ro" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x512dbe7e, "devm_memremap" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc59062d9, "badblocks_set" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xf8838f00, "badblocks_exit" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdf636def, "get_device" },
	{ 0xcede275c, "memremap" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6e5abec7, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97f190de, "__devm_request_region" },
	{ 0x4826abc6, "__cpuhp_state_remove_instance" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x3c9f9e37, "badblocks_show" },
	{ 0x815771db, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x376c05b2, "module_put" },
	{ 0x9f861307, "perf_pmu_migrate_context" },
	{ 0x70f05dc4, "perf_pmu_register" },
	{ 0x49f26466, "kstrndup" },
	{ 0xfdb2d12d, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x949f4bc0, "__cpuhp_setup_state" },
	{ 0x12b2b04b, "devm_memunmap" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x37e4a860, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x32c195f3, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x89bf19ac, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xa6695d59, "__cpuhp_state_add_instance" },
	{ 0xbba93381, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab6b7243, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x5c78c64f, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9c2d16fb, "__devm_release_region" },
	{ 0x38f323e4, "request_key_tag" },
	{ 0x427962e4, "kernfs_put" },
	{ 0x7765a0dc, "__register_chrdev" },
	{ 0x05a6459e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14bd828a, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9a45ece5, "badblocks_check" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x2fe6e141, "badblocks_clear" },
	{ 0x56917ada, "devm_init_badblocks" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0xe5515291, "driver_register" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xcd14ba3c, "__cpuhp_remove_state" },
	{ 0xca1d3350, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb709e456, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF1EBECA979571EAF3E47F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
