#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x20f16844, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x0a2e3502, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xffbea700, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x91c4d1cc, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xe2186b3e, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x20009498, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x72c3a6b1, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x162304f7, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xb13efb9f, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x91e7abaf, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x407e0b2f, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x09081462, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xac7dee22, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xde42bad7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x3b4eb8d4, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfdb2d12d, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x5af8e078, "down_write" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e3567f7, "match_int" },
	{ 0xbdf6de5f, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x74550c56, "__nvme_submit_sync_cmd" },
	{ 0x9a8f6cdd, "nvme_try_sched_reset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x70e9c029, "misc_register" },
	{ 0x0d24e875, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x05a6459e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xdda430b4, "single_release" },
	{ 0x4af4018a, "nvme_wait_reset" },
	{ 0xe05fe95f, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7722dba8, "single_open" },
	{ 0x29f3a126, "up_read" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x04481e11, "nvme_tls_key_lookup" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x19c19582, "nvme_auth_negotiate" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "3199166F387A725E538922C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
