#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xd159d573, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x6bd7ec5e, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xcead00ab, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0x8b744545, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0xbd0952c8, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xf05b548f, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xf2e45635, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x94f392ad, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xc29d5cf9, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0x40b984dc, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x407054c4, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xeea95ca9, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x39d2a239, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0x6cf90cbd, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0xbb541be6, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0xc89115c3, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xd6dffe33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12254ffe, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x08b1edcd, "bdev_file_open_by_path" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6c58a6aa, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6f03d75c, "config_group_init" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xb5c3440e, "nvme_auth_extract_key" },
	{ 0x0e786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0xa08e930d, "blk_rq_append_bio" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0xd2dd7835, "__kmalloc_node_noprof" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x748e03ca, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdf40cdae, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1d9a0c07, "nvme_command_effects" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72d86b60, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fd4ed03, "nvme_passthru_end" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xe4e205d6, "sg_zero_buffer" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0x0367097c, "crypto_alloc_kpp" },
	{ 0x86d509a1, "vfs_fallocate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0x2155fb6b, "blkdev_zone_mgmt" },
	{ 0x2f109faf, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xb7371033, "blk_mq_free_request" },
	{ 0xaaded106, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0xb9cf4c3a, "nvme_auth_hmac_hash_len" },
	{ 0xbe86c63b, "submit_bio" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x255870d7, "nvme_auth_gen_pubkey" },
	{ 0x49f26466, "kstrndup" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0xfdb2d12d, "key_put" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x2da8464c, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6085461e, "bio_endio" },
	{ 0x66a4bbab, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x76647da5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7924f6e1, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2d399bd3, "configfs_register_subsystem" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x928711bd, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5bb38b2f, "config_group_init_type_name" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x05630fa7, "bio_integrity_add_page" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x04b012b6, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x14ce46f0, "bio_chain" },
	{ 0x57a5a0f8, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0ed4392c, "bio_add_page" },
	{ 0xf1e7907e, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe34aa7f7, "nvme_find_get_ns" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfa715d52, "bio_integrity_alloc" },
	{ 0x195cec7d, "sg_miter_start" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x1f0da484, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x0a15bf7e, "bio_init" },
	{ 0x2bc95bd4, "memset" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x1ca2c1c7, "nvme_passthru_start" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x0745a981, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0xc7e44959, "crypto_shash_final" },
	{ 0xe9f4306e, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x0dc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc2826eb0, "filp_close" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbe54aa4a, "nvme_ctrl_from_file" },
	{ 0x51cdbfe5, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xcef0d5ab, "nvme_init_request" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0xd0d8621b, "strlen" },
	{ 0x02cbcd53, "nvme_execute_rq" },
	{ 0xed40a046, "key_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3d358237, "nvme_put_ns" },
	{ 0x2edb3766, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbfac70e2, "nvme_auth_gen_privkey" },
	{ 0x79aff810, "bio_alloc_bioset" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xd2b0516c, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x5e052e7a, "nvme_get_features" },
	{ 0x3ab7636a, "submit_bio_wait" },
	{ 0x568c8ad2, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x92639069, "__blkdev_issue_discard" },
	{ 0x183b9fa3, "fs_bio_set" },
	{ 0x0a6074cf, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "33CC5138A387DCE019233E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
