#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cros_ec_lpc_io_bytes_mec, "", "");
KSYMTAB_FUNC(cros_ec_lpc_mec_init, "", "");
KSYMTAB_FUNC(cros_ec_lpc_mec_acpi_mutex, "", "");

SYMBOL_CRC(cros_ec_lpc_io_bytes_mec, 0x4f29664f, "");
SYMBOL_CRC(cros_ec_lpc_mec_init, 0xc4ebc6b3, "");
SYMBOL_CRC(cros_ec_lpc_mec_acpi_mutex, 0x2f967b2a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6e9bb5a, "cros_ec_get_next_event" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x0dcc8207, "cros_ec_suspend_late" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xb62a83b2, "cros_ec_resume_early" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd8acd9f2, "cros_ec_resume_complete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97f190de, "__devm_request_region" },
	{ 0xe70e6a2b, "cros_ec_suspend_prepare" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe225f096, "cros_ec_register" },
	{ 0x21810b94, "platform_device_register" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xa7a07485, "kobject_uevent_env" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x32ff65b2, "cros_ec_unregister" },
	{ 0x5027bde2, "acpi_acquire_mutex" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x95237680, "cros_ec_prepare_tx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7affc62, "__hw_protection_shutdown" },
	{ 0x515083bf, "acpi_release_mutex" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0xee9c61ed, "_dev_emerg" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7f80341c, "acpi_fetch_acpi_dev" },
	{ 0x30a9a740, "platform_get_irq_optional" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9639af3f, "cros_ec_check_result" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe3566e0c, "set_primary_fwnode" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cros_ec");

MODULE_ALIAS("acpi*:GOOG0004:*");
MODULE_ALIAS("dmi*:bvn*coreboot*:bvr*Google_*:");
MODULE_ALIAS("dmi*:bvn*coreboot*:svn*GOOGLE*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Link*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Samus*:");
MODULE_ALIAS("dmi*:svn*Acer*:pn*Peppy*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Glimmer*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop(12thGenIntelCore)*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop(13thGenIntelCore)*:");
MODULE_ALIAS("dmi*:svn*Framework*:");

MODULE_INFO(srcversion, "9249F8B034BA352A290BE48");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
