#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmt_telem_get_next_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_unregister_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_get_endpoint_info, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read32, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_find_and_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");

SYMBOL_CRC(pmt_telem_get_next_endpoint, 0xd71cecee, "_gpl");
SYMBOL_CRC(pmt_telem_register_endpoint, 0xe0e46719, "_gpl");
SYMBOL_CRC(pmt_telem_unregister_endpoint, 0xe0950b98, "_gpl");
SYMBOL_CRC(pmt_telem_get_endpoint_info, 0x3e0e8b08, "_gpl");
SYMBOL_CRC(pmt_telem_read, 0x9b33723d, "_gpl");
SYMBOL_CRC(pmt_telem_read32, 0x35e6f107, "_gpl");
SYMBOL_CRC(pmt_telem_find_and_register_endpoint, 0xc91a0e41, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x037a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x709e6dee, "intel_pmt_is_early_client_hw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8936860a, "intel_pmt_dev_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xb7fd6644, "intel_pmt_dev_create" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x4ae8e8f1, "pmt_telem_read_mmio" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "pmt_class");

MODULE_ALIAS("auxiliary:intel_vsec.telemetry");

MODULE_INFO(srcversion, "CF3F14EB0E193A62C63C1D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
