#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0xd5230bdf, "");
SYMBOL_CRC(ptp_clock_unregister, 0x1f930a97, "");
SYMBOL_CRC(ptp_clock_event, 0xf35a73fa, "");
SYMBOL_CRC(ptp_clock_index, 0xd5d53be3, "");
SYMBOL_CRC(ptp_find_pin, 0x44dc0360, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x0e028559, "");
SYMBOL_CRC(ptp_schedule_worker, 0xca71d466, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0xff615139, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x348020f5, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x9753651c, "pps_register_source" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeb999396, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x020dbf27, "bitmap_alloc" },
	{ 0xa0c777c7, "device_for_each_child_reverse" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5fe95786, "kthread_mod_delayed_work" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf4ea103, "pps_event" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x14a03d39, "debugfs_create_u32_array" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x11ce98d0, "pps_unregister_source" },
	{ 0x11e26722, "kthread_create_worker_on_node" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0745a981, "xa_erase" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe0dff536, "kthread_destroy_worker" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x59fd5795, "posix_clock_register" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5464a19f, "kthread_queue_delayed_work" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0xe8734bf1, "posix_clock_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x862258db, "timecounter_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "6B430A8F3FFAB8CA55AB4FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
