#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x5b529b12, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xd8e054a8, "");
SYMBOL_CRC(rio_alloc_net, 0x57a47da6, "_gpl");
SYMBOL_CRC(rio_add_net, 0xfa862e6a, "_gpl");
SYMBOL_CRC(rio_free_net, 0x8ce7e7d2, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x52f3c572, "_gpl");
SYMBOL_CRC(rio_add_device, 0xbcd8e941, "_gpl");
SYMBOL_CRC(rio_del_device, 0x20914c91, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xe9c592a0, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xdf141e6e, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x2ad184d2, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xe6a33eb9, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xcd14e1e9, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xdac50418, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x7fc599bc, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xb92fd8f0, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x2e077404, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xac76f7cb, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x2afc2989, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xea443b8b, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0xc4ece935, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x1f84fab7, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x9aab0226, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xaf1183e6, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x50d8f7f1, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x76be7459, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x28bb3de2, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xa83fdaee, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xdfc6ab07, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x03746027, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xd6cfe142, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x978bf500, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x51b1ee8b, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x6d2e44fe, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x5a4cfcc2, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xc5792906, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xac2c0210, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x5d1f11f1, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xca0afadb, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x8281523b, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xb471699d, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x542abc48, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xc582606b, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x6a026fd8, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x1221d8c1, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xa153c686, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x4d3ccba2, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x06344881, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x3785ba71, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x05463e43, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x66aaaa66, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xb6d92d84, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x4fd1a08a, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x626a840e, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x6d5f205a, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xd9916f15, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x1eaeaec7, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xa1595c38, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xfd91a57e, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x2c23ed39, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x412969f9, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x3b0e18e9, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xe4c0420c, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x74128b6a, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x698bfbdb, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xbc88b189, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x5e02fe75, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x2f8e16e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x45360aa9, "dma_release_channel" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2d7a0db8, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x376c05b2, "module_put" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5969ad9f, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5e74216, "release_resource" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe5515291, "driver_register" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
