#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x51146ffc, "");
SYMBOL_CRC(rpmsg_create_channel, 0x626429f1, "");
SYMBOL_CRC(rpmsg_release_channel, 0x5bbd4481, "");
SYMBOL_CRC(rpmsg_create_ept, 0xcfc38351, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x25e3acec, "");
SYMBOL_CRC(rpmsg_send, 0xd277d8b7, "");
SYMBOL_CRC(rpmsg_sendto, 0xcd273944, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x3e35314c, "");
SYMBOL_CRC(rpmsg_trysend, 0xf8989fd2, "");
SYMBOL_CRC(rpmsg_trysendto, 0xb8e3429e, "");
SYMBOL_CRC(rpmsg_poll, 0x53f785a2, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x5dc4f8b5, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x9df9f825, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xcc12c97f, "");
SYMBOL_CRC(rpmsg_find_device, 0x3ac7b573, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x09c08609, "");
SYMBOL_CRC(rpmsg_register_device, 0x1b339195, "");
SYMBOL_CRC(rpmsg_unregister_device, 0x187a4677, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x33fbf268, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0xb20b5285, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xab6b7243, "device_find_child" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa0835a0b, "of_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x2dd36491, "driver_set_override" },
	{ 0x37e4a860, "device_add" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0xe5515291, "driver_register" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xed0d3c8b, "class_register" },
	{ 0x070f7896, "_printk" },
	{ 0xb709e456, "bus_register" },
	{ 0x44d8f435, "class_destroy" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0xb06b709f, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x207cec62, "of_device_modalias" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc29e7ce7, "dev_pm_domain_attach" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc587c8c2, "dev_pm_domain_detach" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A257604CC904348F4684B7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
