#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x6f53b73e, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x01915e85, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xfc17fd4e, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x99841a63, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xb9199f3c, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xa30e871c, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x1092e0aa, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x8097a050, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x31a1575d, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x737f0a93, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xa7dc5274, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x5030c69d, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x88d1bc52, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xbcb709d7, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x76d19e34, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x9bcc349e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x0bb6ae2f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x892f3b10, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x70822f8c, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x93b8aa5c, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x16fa383c, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x8f237c90, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x8ff62bdb, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xf29222bd, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xe4dc5ea7, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x29e606a3, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x5a071164, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x0bef546b, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xdcf05bdd, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x9d14d2d3, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xb3008cf7, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x61346c54, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x39a5e4c7, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x6d6b43ea, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x8b9bc263, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x943aa782, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x899f35ab, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x1c3a0365, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xe2852dc8, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x97b71471, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x8580afc8, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x5f947603, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x1f268dc8, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xbec5a5ea, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x070f7896, "_printk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf2d925cf, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x40dced56, "iscsi_host_remove" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0x06095ad9, "iscsi_host_free" },
	{ 0x2740a5f7, "iscsi_host_alloc" },
	{ 0xd2ec71fb, "pci_dev_get" },
	{ 0x195a1458, "iscsi_host_add" },
	{ 0x76f06cf6, "scsi_host_put" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8cca064c, "cxgbi_ppm_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xaf5e5e32, "iscsi_conn_queue_xmit" },
	{ 0xef866971, "__kfree_skb" },
	{ 0x0584ea7c, "iscsi_tcp_cleanup_task" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x01058202, "cxgbi_ppm_ppod_release" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0x037a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x9fa77ff1, "iscsi_tcp_conn_setup" },
	{ 0x80c1f660, "iscsi_session_setup" },
	{ 0x638385df, "iscsi_tcp_r2tpool_alloc" },
	{ 0xfeee1b06, "iscsi_session_teardown" },
	{ 0x02db8729, "iscsi_tcp_r2tpool_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6dbcef5f, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x96898769, "sysfs_format_mac" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9575b0b, "iscsi_host_get_param" },
	{ 0x5152e605, "memcmp" },
	{ 0x9c1522a1, "iscsi_unregister_transport" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa9d04c55, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x421bab47, "iscsi_register_transport" },
	{ 0xbb600b33, "init_net" },
	{ 0xeffaff08, "ip6_route_output_flags" },
	{ 0x2eec497e, "iscsi_tcp_set_max_r2t" },
	{ 0xed3725c3, "iscsi_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa61a30fe, "cxgbi_ppm_ppods_reserve" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x2944e952, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0fdd09af, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x709990f0, "iscsi_tcp_recv_skb" },
	{ 0x662dd7fe, "iscsi_lookup_endpoint" },
	{ 0xd5b665bc, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb81c63f1, "iscsi_tcp_hdr_recv_prep" },
	{ 0xb91e5f83, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x86210e3c, "skb_put" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x420eabe4, "mem_section" },
	{ 0xf7bac116, "page_address" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x35fc57d7, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x376c05b2, "module_put" },
	{ 0xdbdfc472, "iscsi_destroy_endpoint" },
	{ 0x4df54664, "ipv6_dev_get_saddr" },
	{ 0x01a046f9, "make_kuid" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe63526b0, "iscsi_create_endpoint" },
	{ 0x2e58d8b6, "__ip_dev_find" },
	{ 0x0733491b, "iscsi_itt_to_ctask" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
