#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x0c64835f, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x7886d10d, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x1d14dc51, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xfd81cf81, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x3dc4eaa7, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xb81c63f1, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x0584ea7c, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x0fdd09af, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x709990f0, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x3b337cdd, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xc3d91761, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x9fa77ff1, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xb2afd7f0, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x638385df, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x02db8729, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x2eec497e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x74ae781d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xaefa07f8, "kunmap_high" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x00426e8c, "iscsi_dbg_trace" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x448fee04, "_dev_printk" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xf7bac116, "page_address" },
	{ 0xa413de62, "kmap_high" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x0f7cfca4, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3f406325, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee192822, "crypto_ahash_digest" },
	{ 0xc03dd1c7, "crypto_ahash_init" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9cdd1b3f, "skb_prepare_seq_read" },
	{ 0x6e6dc0f5, "skb_seq_read" },
	{ 0x2e60bace, "memcpy" },
	{ 0x18e6e29a, "skb_abort_seq_read" },
	{ 0xa9d04c55, "iscsi_conn_failure" },
	{ 0x17bbc33a, "iscsi_prep_data_out_pdu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4d480978, "iscsi_put_task" },
	{ 0xcf047a5e, "iscsi_conn_setup" },
	{ 0x1c558377, "iscsi_conn_teardown" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5152e605, "memcmp" },
	{ 0xabb2602d, "iscsi_complete_pdu" },
	{ 0xa8100b01, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0733491b, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x39275839, "iscsi_get_task" },
	{ 0xb6c3bf57, "iscsi_update_cmdsn" },
	{ 0x46d7a93c, "__iscsi_complete_pdu" },
	{ 0x41386c16, "iscsi_requeue_task" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
