#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x2452ddf9, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xb7efcc9b, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xf74c3c0b, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x800ec30d, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xb73172c5, "");
SYMBOL_CRC(sas_resume_ha, 0x81406f83, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xe83099e1, "");
SYMBOL_CRC(sas_suspend_ha, 0xbec65a73, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x7fa849df, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xdb09af89, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xc986b371, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x6756237e, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x5929cb4a, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xd1c5ad9f, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xb4943366, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa87c87e0, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xb179cd79, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xa8bbe902, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x673ccd5f, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x47a0267c, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x8ca02858, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0x0cc0a155, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x9b1e865b, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xe59fa32d, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x3a4a8aee, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x9bdb3a75, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x58041226, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x3d60a6b2, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x00ea1aa4, "_gpl");
SYMBOL_CRC(sas_query_task, 0x5fe3ffbf, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xecb4a904, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x6433e87b, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0xc59f5e35, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xb0cc8513, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xbe3186cf, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x652be245, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xfdfc1e1a, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x82857710, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x3501d1c5, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xe9b65a60, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x043a3e2c, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a550a70, "ata_qc_complete" },
	{ 0x90e01dd4, "ata_sas_scsi_ioctl" },
	{ 0xc6c7fac5, "ata_tport_add" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb8feb23d, "sas_rphy_remove" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x4e7944b3, "bsg_job_done" },
	{ 0x83cdb950, "ata_sas_queuecmd" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f78d3c3, "sas_rphy_unlink" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaa891ae4, "scsi_schedule_eh" },
	{ 0x0e454536, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xcb433608, "ata_ncq_prio_enabled" },
	{ 0xc5bf72a9, "ata_host_init" },
	{ 0xff99ac6c, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xd9ac1dee, "scsi_eh_ready_devs" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x900710db, "sas_port_get_phy" },
	{ 0x9642fcea, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x862a3e4a, "ata_wait_after_reset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x3f14b564, "sas_phy_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x9a239665, "sas_phy_free" },
	{ 0x03ba9426, "scsi_eh_finish_cmd" },
	{ 0xca44b100, "ata_port_schedule_eh" },
	{ 0x799342a9, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x079fb3c1, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xde7bd36e, "sas_port_mark_backlink" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x6c519777, "ata_link_abort" },
	{ 0x5930714d, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x43106286, "ata_scsi_port_error_handler" },
	{ 0xe5c43826, "ata_change_queue_depth" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf68efc1a, "ata_port_probe" },
	{ 0xc201978d, "ata_std_error_handler" },
	{ 0x2952b2d9, "ata_port_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5c499017, "sas_end_device_alloc" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xad85cc55, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x985b0149, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xc21e3412, "sas_rphy_delete" },
	{ 0x9100917c, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xedb27eed, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xa695a0ba, "scsi_host_busy" },
	{ 0xebaecc63, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xffdc0f22, "ata_sas_port_suspend" },
	{ 0x023be3fc, "sas_rphy_add" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xbdd4bf92, "sas_port_delete_phy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe0de07ea, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8432d27, "sas_port_add_phy" },
	{ 0xac8045a0, "ata_scsi_cmd_error_handler" },
	{ 0x2e0b5e90, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x530aa72b, "ata_sas_sdev_configure" },
	{ 0x87792471, "blk_mq_tagset_busy_iter" },
	{ 0x83ee22ac, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x05033b3a, "scsi_unblock_requests" },
	{ 0x8f48b5cf, "sas_phy_add" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x5eda95bd, "ata_host_put" },
	{ 0x53d8ad60, "sas_port_free" },
	{ 0xa36ec726, "ata_std_sched_eh" },
	{ 0x789c9a1c, "ata_port_alloc" },
	{ 0xc26f713f, "scsi_block_requests" },
	{ 0x49b2c160, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9f1a8ce8, "ata_ncq_prio_supported" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x9af1ebfa, "sas_remove_children" },
	{ 0x422ce113, "scsi_change_queue_depth" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf26c14b, "ata_port_wait_eh" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D980F626497B4DA9B4BB593");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
