#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0x82e9328f, "");
SYMBOL_CRC(sdw_amd_exit, 0x113479a0, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0xb1c64cb1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf59ed17d, "sdw_bus_prep_clk_stop" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0aee1ce8, "sdw_bus_clk_stop" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x27980fe2, "sdw_bus_master_add" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe6635ec8, "sdw_handle_slave_status" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xd8213063, "fwnode_property_read_u32_array" },
	{ 0x7a2e5e01, "sdw_clear_slave_status" },
	{ 0xd45ed1e0, "sdw_stream_remove_master" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0x34b9c070, "platform_get_resource" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xc265ac89, "sdw_stream_add_master" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7f80341c, "acpi_fetch_acpi_dev" },
	{ 0xa690cad9, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd425fea, "sdw_bus_master_delete" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x5d7862e5, "sdw_compute_slave_ports" },
	{ 0xeaa8c906, "sdw_bus_exit_clk_stop" },
	{ 0x1a431f49, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");


MODULE_INFO(srcversion, "C26E7C5E282172D2978EA5B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
