#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(is_clock_scaling_supported_by_slave, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_slave_get_scale_index, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_lane_mapping, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xf2a49b7b, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xf174a038, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xb1433846, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x27980fe2, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xfd425fea, "");
SYMBOL_CRC(sdw_show_ping_status, 0x1fac8f30, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xe99d74e8, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x8367aa5c, "");
SYMBOL_CRC(sdw_write_no_pm, 0xc67bb917, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x36942751, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xa71f9ea9, "");
SYMBOL_CRC(sdw_read_no_pm, 0x56de1ff9, "");
SYMBOL_CRC(sdw_update_no_pm, 0x09884570, "");
SYMBOL_CRC(sdw_update, 0xb24a0d03, "");
SYMBOL_CRC(sdw_nread, 0xe9152fde, "");
SYMBOL_CRC(sdw_nwrite, 0x0129ceb6, "");
SYMBOL_CRC(sdw_read, 0x35210215, "");
SYMBOL_CRC(sdw_write, 0x2864b3f8, "");
SYMBOL_CRC(sdw_compare_devid, 0x42d24449, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xb67f1964, "");
SYMBOL_CRC(is_clock_scaling_supported_by_slave, 0x97263a5c, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xf59ed17d, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x0aee1ce8, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xeaa8c906, "");
SYMBOL_CRC(sdw_slave_get_scale_index, 0x6762f946, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xe6635ec8, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x7a2e5e01, "");
SYMBOL_CRC(sdw_slave_add, 0x904d8a0a, "");
SYMBOL_CRC(sdw_master_read_prop, 0x1a431f49, "");
SYMBOL_CRC(sdw_slave_read_lane_mapping, 0xf25a0a05, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x3183c4fb, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0xcf4d01b6, "");
SYMBOL_CRC(sdw_enable_stream, 0x62705df3, "");
SYMBOL_CRC(sdw_disable_stream, 0x9542f962, "");
SYMBOL_CRC(sdw_deprepare_stream, 0xa8156c84, "");
SYMBOL_CRC(sdw_alloc_stream, 0xcff67581, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x03c7bfd4, "");
SYMBOL_CRC(sdw_stream_add_master, 0xc265ac89, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xd45ed1e0, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x269a4d81, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xb4417eae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x42ac05b0, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x47738eca, "of_fwnode_ops" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x0889188b, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x0e454536, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x54559070, "of_node_get" },
	{ 0xc29e7ce7, "dev_pm_domain_attach" },
	{ 0x4745e3f2, "devm_device_add_group" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x43a9f4a5, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4cfdceb, "pm_generic_runtime_resume" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x569cc7d7, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0xd8213063, "fwnode_property_read_u32_array" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xc587c8c2, "dev_pm_domain_detach" },
	{ 0x5181b4e3, "pm_generic_runtime_suspend" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa15a72d1, "device_property_read_string" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xf6885ac4, "__dev_fwnode_const" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x5969ad9f, "device_register" },
	{ 0x24efdb8c, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x5082bdf4, "sdca_lookup_functions" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x23cb58e6, "fwnode_property_present" },
	{ 0x3fc0b20d, "irq_domain_instantiate" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa690cad9, "device_get_named_child_node" },
	{ 0x2cf6b9d1, "sdca_lookup_interface_revision" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x627a5f58, "irq_create_mapping_affinity" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x314f5f4c, "acpi_dev_for_each_child" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x270773bc, "irq_set_chip" },
	{ 0xd0d8621b, "strlen" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x7722dba8, "single_open" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x3a64d43e, "fwnode_property_read_u8_array" },
	{ 0xe5515291, "driver_register" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sdca");


MODULE_INFO(srcversion, "4EE892065A194631EF58828");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
