#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_soft_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x21cff56c, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x7a7ce1c4, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xf94c3c9f, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xae009d38, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x28860585, "");
SYMBOL_CRC(cdns_read_ping_status, 0x93614d9d, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xa0a88094, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xe4e16160, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x0e31d3e4, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xb6a9b2bb, "");
SYMBOL_CRC(sdw_cdns_soft_reset, 0xb47b5b06, "");
SYMBOL_CRC(sdw_cdns_init, 0xce0174ac, "");
SYMBOL_CRC(cdns_bus_conf, 0xe81316d6, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xf95a1a23, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xa8f73595, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xd59fe85b, "");
SYMBOL_CRC(sdw_cdns_probe, 0xc76c75a5, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x00f1b1f3, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xe87235ac, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xd399b93f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf59ed17d, "sdw_bus_prep_clk_stop" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x0aee1ce8, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe6635ec8, "sdw_handle_slave_status" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xdda430b4, "single_release" },
	{ 0x36942751, "sdw_bread_no_pm_unlocked" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x7722dba8, "single_open" },
	{ 0xeaa8c906, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "F7065D219E9038C42E8ED60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
