#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x52ab8877, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x3f7e29be, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xbd35832b, "");
SYMBOL_CRC(sdw_intel_startup, 0xe00bac02, "");
SYMBOL_CRC(sdw_intel_exit, 0x041b0f69, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x4b34298c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6a9b2bb, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xce0174ac, "sdw_cdns_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd59fe85b, "sdw_cdns_clock_restart" },
	{ 0xf94c3c9f, "sdw_cdns_debugfs_init" },
	{ 0x889f0d72, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x27980fe2, "sdw_bus_master_add" },
	{ 0x0e31d3e4, "sdw_cdns_enable_interrupt" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x730c2ee6, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x037a0cba, "kfree" },
	{ 0xf95a1a23, "sdw_cdns_is_clock_stop" },
	{ 0x344d49e5, "hdac_bus_eml_enable_interrupt_unlocked" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x7a7ce1c4, "sdw_cdns_config_update_set_wait" },
	{ 0xda19d952, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe87235ac, "sdw_cdns_config_stream" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x07e360b3, "auxiliary_driver_unregister" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe81316d6, "cdns_bus_conf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb47b5b06, "sdw_cdns_soft_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x00f1b1f3, "cdns_set_sdw_stream" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xd8213063, "fwnode_property_read_u32_array" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0x7a2e5e01, "sdw_clear_slave_status" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0xd45ed1e0, "sdw_stream_remove_master" },
	{ 0xf9afb7fd, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xe4e16160, "sdw_cdns_exit_reset" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fbbda5e, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0xd399b93f, "sdw_cdns_alloc_pdi" },
	{ 0xa8f73595, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdfa5239b, "fwnode_property_read_u16_array" },
	{ 0x421de1e9, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x28860585, "cdns_xfer_msg_defer" },
	{ 0xae009d38, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x960c23df, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x30872c0a, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xc265ac89, "sdw_stream_add_master" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x93614d9d, "cdns_read_ping_status" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x7f80341c, "acpi_fetch_acpi_dev" },
	{ 0xa690cad9, "device_get_named_child_node" },
	{ 0xc76c75a5, "sdw_cdns_probe" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x21cff56c, "sdw_cdns_config_update" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xfd425fea, "sdw_bus_master_delete" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x740b597f, "__auxiliary_driver_register" },
	{ 0xa0a88094, "sdw_cdns_check_self_clearing_bits" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xb7ce0c2d, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x7722dba8, "single_open" },
	{ 0x4b0f5c20, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x1a431f49, "sdw_master_read_prop" },
	{ 0x5ca3b533, "hdac_bus_eml_get_count" },
	{ 0x9cb52446, "sdw_compute_params" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "E41C91A4BA983835044E4BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
