#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x6d5c5cc0, "");
SYMBOL_CRC(ssb_bus_suspend, 0x1325e403, "");
SYMBOL_CRC(ssb_bus_unregister, 0x0e51e839, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xded0fa03, "");
SYMBOL_CRC(__ssb_driver_register, 0x71c12604, "");
SYMBOL_CRC(ssb_driver_unregister, 0xbf8c0a36, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xd9a867bd, "");
SYMBOL_CRC(ssb_clockspeed, 0xb38b2e74, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xef476710, "");
SYMBOL_CRC(ssb_device_enable, 0x7bda5cef, "");
SYMBOL_CRC(ssb_device_disable, 0x87f7832a, "");
SYMBOL_CRC(ssb_dma_translation, 0xf0659ed0, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x979f6566, "");
SYMBOL_CRC(ssb_bus_powerup, 0xac0a66d4, "");
SYMBOL_CRC(ssb_commit_settings, 0x47f4b857, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xf5290da2, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x2c8f495d, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x4e57e499, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x7de9b98b, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x27101537, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x3fff0046, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x54e331b9, "pci_save_state" },
	{ 0xbae680fd, "sdio_release_host" },
	{ 0x2da9772d, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x2d8a4a62, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x35404f4c, "sdio_claim_host" },
	{ 0x93040ffb, "pci_iomap" },
	{ 0x8cff8950, "sdio_readw" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x8c5d4907, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xb3d1ea5d, "pcmcia_unregister_driver" },
	{ 0xe7b088d8, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xc64a9e6e, "pcmcia_map_mem_page" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x037a0cba, "kfree" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0x80701289, "sdio_writew" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x5d90f06a, "sdio_readsb" },
	{ 0xf486e5f1, "gpiochip_get_data" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x699c2599, "pcmcia_request_window" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x63a33be4, "sdio_readl" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x89d5cc2b, "pcmcia_write_config_byte" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5969ad9f, "device_register" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xfeaebd81, "sdio_writel" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x691f05d8, "gpiochip_add_data_with_key" },
	{ 0xee9c61ed, "_dev_emerg" },
	{ 0x7cd9e0a0, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf93e862e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0x990f0e6e, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5cce4fb, "pcmcia_read_config_byte" },
	{ 0x36641c5e, "pcmcia_register_driver" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0x30b360e5, "pcmcia_loop_tuple" },
	{ 0x4a1c95a3, "pcmcia_enable_device" },
	{ 0xe5515291, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xb709e456, "bus_register" },
	{ 0xf7b3995b, "sdio_readb" },
	{ 0x23a6892b, "sdio_writeb" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
