#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x65355787, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xdce1b311, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x2ada3a00, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x7b0d8ae6, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x3d2bce05, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x0d9e8c40, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x617614e8, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xbd9593ad, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xd1cd1412, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x18bae23b, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xab947b55, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x7a17f892, "");
SYMBOL_CRC(iscsit_release_cmd, 0x1f0e798b, "");
SYMBOL_CRC(iscsit_free_cmd, 0x69a5fac8, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x44b8c0c8, "");
SYMBOL_CRC(iscsit_aborted_task, 0x18cea3b0, "");
SYMBOL_CRC(iscsit_add_reject, 0xd9b805d8, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xe5990d07, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x9c152650, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x2f7bec9d, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xb1117a81, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x60c71f53, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xff2afabd, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xdc3cecfc, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x9fd3d48d, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xe5597309, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x474cf927, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x68c0b736, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xfa115a2e, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x696800dd, "");
SYMBOL_CRC(iscsit_handle_snack, 0xae479162, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x5c55cbbf, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x69c0aba0, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xe76bf9f4, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xfc46db7d, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xe588a106, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x103c419c, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x440cb0b6, "");
SYMBOL_CRC(iscsit_build_reject, 0xfed513a1, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x70dcc4b0, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x961aff23, "");
SYMBOL_CRC(iscsit_response_queue, 0x13f5f02c, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0xd6a50c11, "");
SYMBOL_CRC(iscsit_register_transport, 0xa882f1e3, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x2c1cf9f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x1980562a, "target_alloc_cmd_counter" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55b82158, "target_wait_for_cmds" },
	{ 0xc995b321, "transport_generic_new_cmd" },
	{ 0xe50b4e8a, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xa413de62, "kmap_high" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x50ab7e7c, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3d490c77, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x82b3f504, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1891649, "target_submit" },
	{ 0x2fadf2f7, "kernel_accept" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xacebddc0, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x86820580, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x09185f43, "transport_generic_handle_tmr" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8d198d15, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x209b9d9c, "transport_alloc_session_tags" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5f6ccfb5, "transport_alloc_session" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x73233585, "target_unregister_template" },
	{ 0xeb9a5ded, "transport_send_check_condition_and_sense" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xac86db13, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0x189650df, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5bb38b2f, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xaefa07f8, "kunmap_high" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x42c92f21, "set_cpus_allowed_ptr" },
	{ 0x6aadb017, "transport_deregister_session_configfs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3d77675d, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x769ba11d, "sock_sendmsg" },
	{ 0xf1e7907e, "crypto_shash_update" },
	{ 0xc638fc30, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8a4daa34, "target_cmd_parse_cdb" },
	{ 0x04f5d273, "sock_set_reuseaddr" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf1f97b56, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0xbcdda67d, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xafd9efbe, "core_tpg_check_initiator_node_acl" },
	{ 0x7f3a8f9b, "target_cmd_init_cdb" },
	{ 0xf586d15e, "kernel_listen" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0xeb41728c, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x14e86eea, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa2f75b69, "crypto_shash_finup" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x410f50a8, "transport_wait_for_tasks" },
	{ 0x0dc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c108756, "target_get_sess_cmd" },
	{ 0xac884af1, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x46f079e5, "sock_recvmsg" },
	{ 0x6f25d436, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb3a8f9c5, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2746c411, "target_show_dynamic_sessions" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0x882cfc33, "target_register_template" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa723f56e, "tcp_sock_set_nodelay" },
	{ 0xd8dc2c3c, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6e5822f8, "transport_generic_free_cmd" },
	{ 0xf7bac116, "page_address" },
	{ 0xcdac09d4, "core_tpg_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x697c8e1a, "target_put_sess_cmd" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x378e4f16, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x2edb3766, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xf4889d80, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "70CE5A2639135FB87742BAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
