#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x07a5e1be, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x203ea40d, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xf7976984, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x7ab95dda, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x9c14e6a1, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xf510a9e1, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xe92baedb, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xfa25c14d, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x3d5f16b5, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x9609b79b, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x95c37626, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x300740d7, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x53d3373e, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x7caefbd7, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x12dd79fc, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xbc0ef0f2, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x226be0ae, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xb44aa560, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xf9905028, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x8c80647e, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x25f3005c, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x8cea83b7, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xba0e4ba2, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x513b3478, "");
SYMBOL_CRC(ufshcd_system_resume, 0x4c37e7a0, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xf0273409, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x81a4e801, "");
SYMBOL_CRC(ufshcd_remove, 0xb4ad9f2a, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x72185953, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xf9478dce, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x61a7453e, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x5d93e4f1, "");
SYMBOL_CRC(ufshcd_init, 0x1efeac0b, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xb0510093, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x1af1c1f3, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x6b51882b, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x8deabf38, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x85fa00ce, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xe7d50e8c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xaba4291e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xc714deed, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x0fb2f07c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x79da6cc0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x332d32bb, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xa5336518, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0x65da8268, "scsi_dma_map" },
	{ 0xde43ba5f, "scsi_print_sense_hdr" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x821b92ff, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xe85d50cb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x37998f54, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x40b006fd, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xacf3bbbf, "scsi_autopm_put_device" },
	{ 0xdbb1bb49, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xe462c0ea, "bsg_remove_queue" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x4e7944b3, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8cb18263, "dmam_alloc_attrs" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x54d88b0c, "scsi_remove_host" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x00cd4650, "blk_pm_runtime_init" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x8d6cf94a, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb6c5c45e, "sysfs_remove_groups" },
	{ 0x466de783, "hwmon_notify_event" },
	{ 0xdf5e7119, "pm_runtime_get_if_active" },
	{ 0x30f46797, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x4bd9a5aa, "devfreq_recommended_opp" },
	{ 0x20205ab0, "sysfs_create_groups" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9d4bb543, "scsi_dma_unmap" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xe3e35272, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x2b8740b7, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac822a7b, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf20847c9, "blk_mq_alloc_tag_set" },
	{ 0x31d7363e, "scsi_device_set_state" },
	{ 0x10df1b74, "devfreq_add_device" },
	{ 0x139a76df, "dev_driver_string" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xee78fe6c, "blk_crypto_register" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x3e19c2e0, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x6e768964, "blk_mq_unquiesce_tagset" },
	{ 0xec6464d5, "dev_pm_opp_put" },
	{ 0xb7371033, "blk_mq_free_request" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0xf79c24c0, "dev_pm_opp_get_freq_indexed" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x2655d595, "scsi_device_put" },
	{ 0x1fb190b9, "device_create_file" },
	{ 0x16d0119c, "blk_mq_quiesce_tagset" },
	{ 0xc5efeacb, "debugfs_attr_read" },
	{ 0x7b7c2e05, "regulator_set_load" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xe087852d, "devfreq_remove_device" },
	{ 0x76f06cf6, "scsi_host_put" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x84ff6e16, "simple_attr_release" },
	{ 0x85f989e2, "hwmon_device_register_with_info" },
	{ 0x6d80b267, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0xffe2aa8c, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6aaa17f4, "dev_pm_opp_remove" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d165192, "cpu_latency_qos_update_request" },
	{ 0xc0cd420f, "sdev_prefix_printk" },
	{ 0xa43d0ccf, "scsi_scan_host" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x6612754a, "device_link_remove" },
	{ 0x57a5a0f8, "blk_mq_alloc_request" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xd1a3092d, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd1b3233d, "blk_put_queue" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2de54411, "dev_pm_opp_set_opp" },
	{ 0x7a40e411, "dmam_free_coherent" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xb8208027, "regulator_count_voltages" },
	{ 0x9100917c, "scsi_is_host_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x5943fa52, "bpf_trace_run10" },
	{ 0xa695a0ba, "scsi_host_busy" },
	{ 0xbade7c0b, "scsi_device_quiesce" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0ced5563, "scsi_autopm_get_device" },
	{ 0x525cadad, "dma_set_coherent_mask" },
	{ 0x7aebb8d2, "scsi_print_command" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5ad8b2af, "__scsi_register_driver" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0x63fab978, "param_set_uint_minmax" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x02656cab, "devfreq_suspend_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x0fb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xc616e1a9, "blk_mq_destroy_queue" },
	{ 0x66c602d8, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xddd0f924, "blk_mq_alloc_queue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x50037f84, "devm_blk_crypto_profile_init" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x87792471, "blk_mq_tagset_busy_iter" },
	{ 0x83ee22ac, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x2d88724e, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x20288559, "dma_unmap_sg_attrs" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0xbd12caff, "scsi_remove_device" },
	{ 0xb2c8d19e, "scsi_add_host_with_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6f255087, "blk_mq_freeze_queue_nomemsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0x04d5cdd7, "scsi_host_alloc" },
	{ 0x9831d3a2, "__scsi_add_device" },
	{ 0x08d3e584, "devfreq_resume_device" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea6b2627, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0x422ce113, "scsi_change_queue_depth" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x595240ac, "device_remove_file" },
	{ 0xaab06ec2, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "56C82EF6D99E402A3E6BE0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
