#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ohci_hub_status_data, "_gpl", "");
KSYMTAB_FUNC(ohci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ohci_setup, "_gpl", "");
KSYMTAB_FUNC(ohci_restart, "_gpl", "");
KSYMTAB_FUNC(ohci_suspend, "_gpl", "");
KSYMTAB_FUNC(ohci_resume, "_gpl", "");
KSYMTAB_FUNC(ohci_init_driver, "_gpl", "");

SYMBOL_CRC(ohci_hub_status_data, 0xc3fa4dac, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0x70d0ba49, "_gpl");
SYMBOL_CRC(ohci_setup, 0x414ab04d, "_gpl");
SYMBOL_CRC(ohci_restart, 0x6ec6e731, "_gpl");
SYMBOL_CRC(ohci_suspend, 0x5eaa1d2c, "_gpl");
SYMBOL_CRC(ohci_resume, 0x25f219d7, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0x5d5428a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x037a0cba, "kfree" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x543b3016, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe5aa47c7, "usb_debug_root" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a3ed29d, "usb_hcd_unlink_urb_from_ep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb6c5db56, "usb_hcd_giveback_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x10d9c98e, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x523779e5, "usb_hcd_link_urb_to_ep" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xd0dad150, "usb_hcd_check_unlink_urb" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfd95ac0f, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe70a90fc, "dma_free_attrs" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x92b57248, "flush_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xa245615a, "dma_pool_create" },
	{ 0xeb848869, "dma_alloc_attrs" },
	{ 0xbbd50ea8, "device_set_wakeup_capable" },
	{ 0x5dd13631, "usb_root_hub_lost_power" },
	{ 0x371db4fe, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb0c9a21e, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "3C01155FDA007AE9D945A69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
