#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x8974bf4e, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0xe3c2ad6f, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xa87065d6, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x34c4bf72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2e60bace, "memcpy" },
	{ 0x96df04de, "usb_autopm_get_interface" },
	{ 0xa166bac9, "usb_bulk_msg" },
	{ 0xdd5b8efe, "usb_autopm_put_interface" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5ef6921d, "usb_register_driver" },
	{ 0x96df0ec7, "usb_submit_urb" },
	{ 0xa170fb0e, "usb_kill_urb" },
	{ 0x037a0cba, "kfree" },
	{ 0xa6257a2f, "complete" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x44327365, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2708126d, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x95bd5340, "auxiliary_device_init" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314f5f4c, "acpi_dev_for_each_child" },
	{ 0xe3566e0c, "set_primary_fwnode" },
	{ 0x189a130c, "__auxiliary_device_add" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xad5338ad, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x383ffe28, "usb_alloc_urb" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x59a21d81, "usb_free_urb" },
	{ 0xff63f5fb, "usb_put_intf" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x8fb4e9ff, "usb_enable_autosuspend" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "789F573277A06897F17664C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
