#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x799df794, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x74a7d948, "kthread_queue_work" },
	{ 0x57e339c0, "typec_unregister_altmode" },
	{ 0x1337be16, "typec_get_drvdata" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbef75a60, "typec_register_partner" },
	{ 0xbe321aa4, "typec_partner_set_usb_power_delivery" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe5aa47c7, "usb_debug_root" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x7722dba8, "single_open" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xe474ad2c, "usb_power_delivery_unregister_capabilities" },
	{ 0x32d82281, "devm_kfree" },
	{ 0xef7a4c43, "usb_power_delivery_unregister" },
	{ 0xb4625ee0, "power_supply_get_drvdata" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d3d2d53, "typec_get_negotiated_svdm_version" },
	{ 0xd2a15305, "typec_get_cable_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5d70fbcc, "typec_partner_register_altmode" },
	{ 0x00bc0ddc, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x0949a563, "typec_set_mode" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x87f8d71d, "typec_set_data_role" },
	{ 0x12893efd, "typec_set_pwr_role" },
	{ 0xf9af2569, "typec_set_vconn_role" },
	{ 0x64bb3a8e, "power_supply_changed" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd1bcf9b, "typec_unregister_plug" },
	{ 0x8091827e, "typec_unregister_cable" },
	{ 0x96defb34, "typec_unregister_partner" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x11e26722, "kthread_create_worker_on_node" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x58c93fcd, "sched_set_fifo" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8c60acba, "fw_devlink_purge_absent_suppliers" },
	{ 0x54756a22, "typec_get_fw_cap" },
	{ 0x76378e2e, "fwnode_property_read_bool" },
	{ 0x68ce502e, "fwnode_get_named_child_node" },
	{ 0xb30174a9, "fwnode_get_next_child_node" },
	{ 0xd8213063, "fwnode_property_read_u32_array" },
	{ 0x037a0cba, "kfree" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0xe0dff536, "kthread_destroy_worker" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xed6888b3, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x3a64d43e, "fwnode_property_read_u8_array" },
	{ 0xce93303d, "usb_role_switch_get" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0x38a9ad05, "devm_power_supply_register" },
	{ 0x5502c59c, "usb_power_delivery_register" },
	{ 0x3c07c091, "usb_power_delivery_register_capabilities" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x50487dbf, "fwnode_usb_role_switch_get" },
	{ 0xcff739bf, "typec_register_port" },
	{ 0xc56a3f15, "typec_port_register_altmodes" },
	{ 0xd8a793cc, "typec_port_register_cable_ops" },
	{ 0xd2ed6868, "typec_unregister_port" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5cdf7eec, "typec_port_set_usb_power_delivery" },
	{ 0xc6aadac8, "typec_match_altmode" },
	{ 0xf0ab03d6, "typec_altmode_vdm" },
	{ 0x288e04b0, "typec_altmode_update_active" },
	{ 0x5a843a22, "typec_cable_altmode_vdm" },
	{ 0xd2c1f827, "typec_cable_set_svdm_version" },
	{ 0xdd3bfb85, "typec_altmode_notify" },
	{ 0x77be1604, "typec_altmode_attention" },
	{ 0xed9885a0, "typec_partner_set_identity" },
	{ 0x6f9b0cac, "typec_cable_is_active" },
	{ 0x60f8eac2, "typec_partner_set_svdm_version" },
	{ 0x5c86b104, "typec_plug_set_num_altmodes" },
	{ 0xfec974c2, "typec_plug_register_altmode" },
	{ 0x79def7e0, "typec_register_plug" },
	{ 0x57057123, "typec_register_cable" },
	{ 0xa2213c8f, "typec_cable_set_identity" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x09d7cb99, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0xb1da0f59, "seq_read" },
	{ 0xdda430b4, "single_release" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "typec,usb-common,roles");


MODULE_INFO(srcversion, "F383A52F17E164EEEBF69C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
