#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x91a87699, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x4cafe4b3, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xe454ff7e, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x3f21cc3c, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x371daed5, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xcba3890f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x490128ea, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x5280f96c, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xc15307be, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xdbee0619, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xa4002554, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xfba4f3fb, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x8785dee6, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x204b0104, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x475bd792, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x6cbc33d8, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x9683d230, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x688a9174, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xea77e9a0, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x20c0d282, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x15783b3e, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x31852e56, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0xb257ed09, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xdcbc3200, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x696dd613, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xa994f7aa, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x96daa6e9, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xf583ad62, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x54cec370, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x153ed5cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54e331b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x550b2c06, "vmf_insert_pfn" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbde8d0f4, "pci_read_vpd" },
	{ 0xd394d49b, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x19c8bfe4, "pci_request_selected_regions" },
	{ 0x3e4c6940, "pci_release_selected_regions" },
	{ 0xe15ef1ee, "pci_user_write_config_byte" },
	{ 0x11eeb0b8, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x3b27c0ba, "pci_bus_max_busnr" },
	{ 0x35cd59e4, "pci_check_and_mask_intx" },
	{ 0x93040ffb, "pci_iomap" },
	{ 0x51f16cdb, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x3fcbdd45, "pci_alloc_irq_vectors" },
	{ 0x05b8cfda, "vfio_set_irqs_validate_and_prepare" },
	{ 0x46582c7e, "pci_enable_atomic_ops_to_root" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0x5db51f0f, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xc54d9cc7, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf3c63074, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x7c312bff, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x48935be0, "unmap_mapping_range" },
	{ 0x1496e4f1, "pci_user_read_config_dword" },
	{ 0x037a0cba, "kfree" },
	{ 0x38990c67, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x446e1b82, "pci_probe_reset_bus" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0xe7f8d80a, "pci_probe_reset_slot" },
	{ 0x623117db, "pci_set_power_state" },
	{ 0x6713a11d, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0e664f62, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x5bd3ac78, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0e5d19c3, "pci_user_write_config_word" },
	{ 0xb7d76f6d, "bus_register_notifier" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x00f0e775, "vfio_file_is_group" },
	{ 0x83ddb24d, "pci_msix_can_alloc_dyn" },
	{ 0xe1fc3126, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xef9211e8, "pci_clear_master" },
	{ 0x452295d4, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x76647da5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x115b11f1, "pci_write_vpd" },
	{ 0x5bd6af4a, "vfio_virqfd_enable" },
	{ 0xc98fb097, "vga_client_register" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdb67ba8f, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4f119e41, "aperture_remove_conflicting_pci_devices" },
	{ 0x8b102f32, "vfio_unregister_group_dev" },
	{ 0x5924c254, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x7e8026ac, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfcc9f885, "pci_iounmap" },
	{ 0x88b6e8e5, "pci_restore_state" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x67455ad1, "pcie_get_mps" },
	{ 0x3bb408da, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x0e9e7092, "vga_put" },
	{ 0x0f655355, "vfio_info_add_capability" },
	{ 0xe37edd18, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xe20299b3, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xeb4c92df, "_dev_notice" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0xbf14f89d, "pci_reset_bus" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0xed7b9f26, "vfio_register_group_dev" },
	{ 0x10ca5b37, "vfio_assign_device_set" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf8322b8b, "pci_user_read_config_byte" },
	{ 0xf98f0ca2, "pci_try_reset_function" },
	{ 0x00aa1603, "xa_find" },
	{ 0x670dcba0, "pci_get_class" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xfa985181, "pci_user_write_config_dword" },
	{ 0x9a001345, "pcie_capability_read_dword" },
	{ 0xc1f8108c, "pci_load_and_free_saved_state" },
	{ 0xb02daa80, "pci_disable_sriov" },
	{ 0x18735984, "vfio_device_set_open_count" },
	{ 0x6e004703, "pci_disable_device" },
	{ 0xbfdcdc76, "pci_match_id" },
	{ 0x3a137bfd, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac3ec8b9, "pci_check_and_unmask_intx" },
	{ 0xf82788fe, "pcie_set_readrq" },
	{ 0xab39a76e, "pci_walk_bus" },
	{ 0x21177694, "pci_msix_alloc_irq_at" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xb107912e, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xba707be2, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd5f59c8a, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0x3c50ab71, "vga_set_legacy_decoding" },
	{ 0xe27506ea, "pci_dev_unlock" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0x9ca7944e, "pci_free_irq_vectors" },
	{ 0x2a3cdb24, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xb1f41a19, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a595765, "pci_bus_type" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "ABAFD14FC32EFE272F39339");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
