#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xb7089ad2, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x7c73e1ea, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x2c2becdc, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0xb03fbaf9, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xcc84ff19, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0xe3bdf7a5, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x2a3e07e0, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x043dfb2a, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x8e0fda6a, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x76374d65, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x5f78230a, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xcc18cd5d, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0xb63ac4a0, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x4b218a57, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xa804f384, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xbda7b081, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x5c764e0b, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x3c6c96a0, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x9658da12, "");
SYMBOL_CRC(vhost_chr_poll, 0x83cc5669, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xcad1b04f, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xeaf3e768, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xfaf44afe, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xa98709ec, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x69ff6cc9, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xf7c05bfe, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x641edc46, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xdb0e73a7, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xa10a8fcf, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xbbd14602, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xc822f607, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x77cda7f5, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xe208d071, "_gpl");
SYMBOL_CRC(vhost_signal, 0x54f59be2, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xc433e110, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xf5f89ca1, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x5c47aed0, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xb9f8fd10, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x8a1b8137, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xc7e24c28, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xb03acfc3, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x9ff85445, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x1a73731c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0x0ddb1cd7, "llist_reverse_order" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d59656a, "mmput" },
	{ 0x25c8ee92, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6bf1a6bc, "unpin_user_pages_dirty_lock" },
	{ 0x70eb33fe, "pin_user_pages_fast" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x037a0cba, "kfree" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x00aa1603, "xa_find" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x76647da5, "fput" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfe5d595b, "iov_iter_init" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0x65e047bb, "__copy_user_ll" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4292364c, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xde9b6b0a, "get_task_mm" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfd728b4d, "eventfd_fget" },
	{ 0x19a2b733, "iov_iter_advance" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xdde01c3c, "param_ops_ushort" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "C4F23D70DE2A05B29BE97B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
