#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x2482e8ae, "");
SYMBOL_CRC(w1_remove_master_device, 0x96b422ed, "");
SYMBOL_CRC(w1_register_family, 0x47c4af57, "");
SYMBOL_CRC(w1_unregister_family, 0xee9d60b2, "");
SYMBOL_CRC(w1_touch_bit, 0x6a0f1456, "_gpl");
SYMBOL_CRC(w1_write_8, 0x581f890f, "_gpl");
SYMBOL_CRC(w1_triplet, 0x2f29fb4a, "_gpl");
SYMBOL_CRC(w1_read_8, 0xcd023f6d, "_gpl");
SYMBOL_CRC(w1_write_block, 0xbec03aca, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xeaeee323, "_gpl");
SYMBOL_CRC(w1_read_block, 0x42f628e6, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x90e66439, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x10f81136, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x30fc51b9, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x255fd72f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x05075827, "of_node_put" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0xb6c5c45e, "sysfs_remove_groups" },
	{ 0x20205ab0, "sysfs_create_groups" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb999396, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18eab0d3, "cn_netlink_send_mult" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x189650df, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x85f989e2, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x5969ad9f, "device_register" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x07483e13, "cn_del_callback" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x7bf99ef1, "hwmon_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb0b7296f, "of_find_matching_node_and_match" },
	{ 0xe5515291, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa1a4dfd3, "cn_add_callback" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb709e456, "bus_register" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C9D8282B218737CDCF3452");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
