#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xcfcfbf4c, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x12192c50, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x3b8cf9eb, "_gpl");
SYMBOL_CRC(fat_scan, 0xd9dfd8de, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x8e71178d, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xedb0e355, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x34a2b4c0, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x6ec43431, "_gpl");
SYMBOL_CRC(fat_getattr, 0x2d490075, "_gpl");
SYMBOL_CRC(fat_setattr, 0x67126d6c, "_gpl");
SYMBOL_CRC(fat_attach, 0x0b659eef, "_gpl");
SYMBOL_CRC(fat_detach, 0x5b8c129b, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x6fc14bd4, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x9dd43e51, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xaa4cc012, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xf2651b50, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x0693f187, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x7482b32a, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x6bf6b708, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x8a92e3c7, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x4518ef56, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xda92d6fe, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xf31dd756, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x5767dd92, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xd79354a1, "_gpl");
SYMBOL_CRC(fat_update_time, 0x628005f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad3d67e7, "filemap_fdatawrite" },
	{ 0x6f3a8af9, "generic_fillattr" },
	{ 0x794aee54, "setattr_prepare" },
	{ 0x235dc8fe, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xc53ccad6, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3350ae6e, "make_vfsgid" },
	{ 0x6c58a6aa, "blk_start_plug" },
	{ 0x6779fe67, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf46d298f, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xfb157ff8, "fs_param_is_string" },
	{ 0xcb54d08b, "new_inode" },
	{ 0x0ab70a30, "mark_buffer_dirty" },
	{ 0x605c0305, "security_inode_setattr" },
	{ 0x169f0093, "__find_get_block" },
	{ 0xd904b472, "filemap_fdatawrite_range" },
	{ 0x2638c3a0, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x141020b5, "__blockdev_direct_IO" },
	{ 0x10f49e9f, "d_make_root" },
	{ 0x8cf6e30e, "__bforget" },
	{ 0x255d915e, "sb_set_blocksize" },
	{ 0x609e6e0e, "block_truncate_page" },
	{ 0x623fd855, "write_dirty_buffer" },
	{ 0xb1919020, "sync_filesystem" },
	{ 0xfd010d8c, "fsnotify" },
	{ 0x9c348b8c, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x408f5bee, "from_vfsuid" },
	{ 0x0467fdbe, "inode_dio_wait" },
	{ 0x4de32c12, "iunique" },
	{ 0x037a0cba, "kfree" },
	{ 0xa421642d, "cont_write_begin" },
	{ 0xe905d64c, "iput" },
	{ 0x1720dcf9, "fs_param_is_enum" },
	{ 0x3e4b9bd7, "fs_param_is_s32" },
	{ 0x3a5331d8, "iter_file_splice_write" },
	{ 0x1516706b, "fs_param_is_bool" },
	{ 0x9e71163b, "generic_file_write_iter" },
	{ 0xf28c005b, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67815908, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x1b20c40b, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9444493d, "mnt_want_write_file" },
	{ 0x070f7896, "_printk" },
	{ 0x94aba452, "block_invalidate_folio" },
	{ 0x7bd8c5eb, "__breadahead" },
	{ 0x364f5752, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2a253ab, "load_nls" },
	{ 0xd3318649, "generic_cont_expand_simple" },
	{ 0xe92b3a58, "truncate_inode_pages_final" },
	{ 0x09e51521, "generic_file_mmap" },
	{ 0x4eaf8470, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x373cd26d, "ilookup" },
	{ 0x302e0465, "invalidate_inode_buffers" },
	{ 0xaaded106, "blk_finish_plug" },
	{ 0x24628d96, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda31a62a, "mnt_drop_write_file" },
	{ 0x6cfa0aab, "fs_param_is_gid" },
	{ 0xcc2f15b1, "inode_init_once" },
	{ 0x630119ed, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2dfa4340, "__brelse" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2abce28f, "generic_file_read_iter" },
	{ 0xb7356e57, "inode_maybe_inc_iversion" },
	{ 0x6de6accc, "truncate_pagecache" },
	{ 0xb4829317, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d5c4c17, "setattr_copy" },
	{ 0xad342d76, "__wait_on_buffer" },
	{ 0xdc0d9fc9, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x4f7bef1b, "kmem_cache_alloc_lru_noprof" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe8de1a62, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x92e43a32, "from_vfsgid" },
	{ 0x5e7c1e14, "write_inode_now" },
	{ 0x5152e605, "memcmp" },
	{ 0xe12a3823, "d_obtain_alias" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdd812476, "__bread_gfp" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x41d9a81b, "block_dirty_folio" },
	{ 0x5493fe16, "mpage_read_folio" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9e4640a2, "__insert_inode_hash" },
	{ 0x7fce01f4, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x0bf97dde, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc0d3d002, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaa9824b0, "generic_encode_ino32_fh" },
	{ 0x965df118, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6933583d, "igrab" },
	{ 0x2cff7d5f, "generic_read_dir" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xefa15e2e, "mpage_readahead" },
	{ 0x20fb4602, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x4851081a, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xdbeea099, "__lock_buffer" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x540b51b6, "generic_fh_to_parent" },
	{ 0x9e09c015, "__fs_parse" },
	{ 0xbedfd3c4, "filemap_splice_read" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0xfba6d1c0, "__generic_file_fsync" },
	{ 0x5cb7539a, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x09a4444b, "__mark_inode_dirty" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb946faf6, "unload_nls" },
	{ 0x29f3a126, "up_read" },
	{ 0x9db9396c, "mark_buffer_dirty_inode" },
	{ 0x7540b0f6, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc51525ee, "inode_set_ctime_to_ts" },
	{ 0x96ea95bf, "fs_param_is_uid" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xe86641d9, "blkdev_issue_discard" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
