#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f2821e6, "inode_init_owner" },
	{ 0x6f3a8af9, "generic_fillattr" },
	{ 0x794aee54, "setattr_prepare" },
	{ 0x5f21565e, "iget_locked" },
	{ 0x27a0eea0, "clear_nlink" },
	{ 0x235dc8fe, "generic_block_bmap" },
	{ 0x66ff951b, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6779fe67, "clear_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xfb157ff8, "fs_param_is_string" },
	{ 0x8235805b, "memmove" },
	{ 0xcb54d08b, "new_inode" },
	{ 0xb5628aba, "init_special_inode" },
	{ 0x23508d9d, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8d608fd8, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x141020b5, "__blockdev_direct_IO" },
	{ 0x10f49e9f, "d_make_root" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x255d915e, "sb_set_blocksize" },
	{ 0xb1919020, "sync_filesystem" },
	{ 0x0ae85066, "d_splice_alias" },
	{ 0x5134278c, "load_nls_default" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbee84a18, "ihold" },
	{ 0x0467fdbe, "inode_dio_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0xcc8360ec, "read_cache_page" },
	{ 0xa421642d, "cont_write_begin" },
	{ 0xe905d64c, "iput" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9e71163b, "generic_file_write_iter" },
	{ 0x18c08ce6, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xf28c005b, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x374a7190, "simple_inode_init_ts" },
	{ 0xeece61e1, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1b20c40b, "fs_param_is_u32" },
	{ 0x8fef33af, "kill_block_super" },
	{ 0x01b603d0, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0x94aba452, "block_invalidate_folio" },
	{ 0x364f5752, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb2a253ab, "load_nls" },
	{ 0xd3318649, "generic_cont_expand_simple" },
	{ 0x01a046f9, "make_kuid" },
	{ 0x246bf400, "try_to_free_buffers" },
	{ 0xe92b3a58, "truncate_inode_pages_final" },
	{ 0x09e51521, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc2f15b1, "inode_init_once" },
	{ 0xd5530257, "file_write_and_wait_range" },
	{ 0xc414cf68, "__kmap_local_page_prot" },
	{ 0xfcb8e3b2, "mark_page_accessed" },
	{ 0x48cbaf3b, "cdrom_read_tocentry" },
	{ 0x9b47b4d4, "seq_escape_mem" },
	{ 0x2da8464c, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4b8e3769, "inode_nohighmem" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2abce28f, "generic_file_read_iter" },
	{ 0x6de6accc, "truncate_pagecache" },
	{ 0xb367c62b, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d5c4c17, "setattr_copy" },
	{ 0x420eabe4, "mem_section" },
	{ 0xdc0d9fc9, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4f7bef1b, "kmem_cache_alloc_lru_noprof" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1850e755, "security_inode_init_security" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xe30b42bc, "from_kgid" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x639dcf5d, "cdrom_multisession" },
	{ 0x4c70a10a, "blkdev_issue_zeroout" },
	{ 0xe8de1a62, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0ed4392c, "bio_add_page" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x41d9a81b, "block_dirty_folio" },
	{ 0x7c0f3576, "inode_add_bytes" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0x1fd8a757, "from_kuid" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9e4640a2, "__insert_inode_hash" },
	{ 0x7fce01f4, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x0bf97dde, "from_kgid_munged" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc0d3d002, "truncate_setsize" },
	{ 0x477d236e, "set_page_dirty" },
	{ 0x61c5f152, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2cff7d5f, "generic_read_dir" },
	{ 0x84edc4f3, "page_symlink_inode_operations" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x47593e30, "inode_set_ctime_current" },
	{ 0xb36ba2fa, "inc_nlink" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb26585cc, "get_tree_bdev" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x585e8db7, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2f3607dc, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x9e09c015, "__fs_parse" },
	{ 0xbedfd3c4, "filemap_splice_read" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0x5cb7539a, "d_parent_ino" },
	{ 0xb0a9e10e, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x09a4444b, "__mark_inode_dirty" },
	{ 0x9b1153c3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x79aff810, "bio_alloc_bioset" },
	{ 0xb946faf6, "unload_nls" },
	{ 0x3ab7636a, "submit_bio_wait" },
	{ 0x7540b0f6, "sb_min_blocksize" },
	{ 0x97e79f44, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xc51525ee, "inode_set_ctime_to_ts" },
	{ 0xbf488fbe, "iget_failed" },
	{ 0x183b9fa3, "fs_bio_set" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "1A08BB2F211352E5EF4E3CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
