#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xbc2e4051, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x948ff50e, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x66c5272f, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x2117f7b4, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x3069838a, "_gpl");
SYMBOL_CRC(lockd_up, 0x27ee2db0, "_gpl");
SYMBOL_CRC(lockd_down, 0xc28aee33, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xdeaf33ab, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3c53b36, "rpc_put_task" },
	{ 0x130d4319, "svc_generic_rpcbind_set" },
	{ 0xe5e223ec, "svc_wake_up" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1203f8d6, "rpc_shutdown_client" },
	{ 0x58e0fe0a, "svc_bind" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x47c36f54, "proc_create" },
	{ 0x4788b898, "svc_recv" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xfad29c45, "xdr_inline_decode" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9d4ac43a, "simple_transaction_get" },
	{ 0x037a0cba, "kfree" },
	{ 0x78a82ebc, "vfs_test_lock" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x42ba5f18, "svc_exit_thread" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x065994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5fa9e027, "param_get_ulong" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x91a74f61, "rpc_run_task" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27a1c2af, "__put_cred" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x35154168, "locks_in_grace" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0xc363ab7d, "proc_dobool" },
	{ 0xf9d9cad9, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x9ef51d55, "locks_release_private" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb0b91ab8, "locks_init_lock" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb23e0a5a, "simple_transaction_release" },
	{ 0x0213a3a6, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3b41f3ef, "svc_age_temp_xprts_now" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xbb600b33, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x843193f2, "svc_set_num_threads" },
	{ 0xcae1cb55, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6bd1ac4d, "vfs_cancel_lock" },
	{ 0x0c0e8b6d, "proc_doulongvec_minmax" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x7bb86352, "freezing_slow_path" },
	{ 0x66b59f9e, "rpc_create" },
	{ 0x0ddcfb56, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x343926a2, "rpc_call_start" },
	{ 0x2ea71fd0, "svc_create" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0x35810af3, "rpc_call_sync" },
	{ 0x52804346, "proc_mkdir" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0xaea4407c, "vfs_lock_file" },
	{ 0xa832fcac, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8f90e929, "svc_generic_init_request" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x2bbd2199, "svc_set_client" },
	{ 0x0000d0b9, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0b255f63, "rpc_force_rebind" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x9b79b9f4, "rpc_restart_call" },
	{ 0xf797c80d, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c061624, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf8409503, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf0b240b7, "locks_delete_block" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf27661d1, "locks_start_grace" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x28b34346, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x852bd8c4, "svc_xprt_create" },
	{ 0xdc197f34, "rpc_wait_for_completion_task" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xf7c151b5, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "C487026DBFA9E0356A88303");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
