#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0xbf33d596, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xad372bf5, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x22631225, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xa55ee7e8, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x876f06b7, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x8051c2da, "");
SYMBOL_CRC(p9_show_client_options, 0x3329c4f3, "");
SYMBOL_CRC(p9_fcall_fini, 0x46baf750, "");
SYMBOL_CRC(p9_tag_lookup, 0x6fedf56a, "");
SYMBOL_CRC(p9_req_put, 0x806a6a9b, "");
SYMBOL_CRC(p9_client_cb, 0x72e94927, "");
SYMBOL_CRC(p9_parse_header, 0x6db7033e, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x64852b64, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x47401fb4, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xb55ae777, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xa03202dc, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x09bfef20, "");
SYMBOL_CRC(p9_client_create, 0xb1ac335a, "");
SYMBOL_CRC(p9_client_destroy, 0x1b554bca, "");
SYMBOL_CRC(p9_client_disconnect, 0x1f4f2c2c, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xfdc0dd88, "");
SYMBOL_CRC(p9_client_attach, 0x23b61011, "");
SYMBOL_CRC(p9_client_walk, 0x0808e607, "");
SYMBOL_CRC(p9_client_open, 0x134d7c75, "");
SYMBOL_CRC(p9_client_create_dotl, 0xc6d46bf3, "");
SYMBOL_CRC(p9_client_fcreate, 0x078f79c8, "");
SYMBOL_CRC(p9_client_symlink, 0x1d158b5f, "");
SYMBOL_CRC(p9_client_link, 0x9e1c6acd, "");
SYMBOL_CRC(p9_client_fsync, 0xb2b0bd2a, "");
SYMBOL_CRC(p9_client_clunk, 0x4355dde7, "");
SYMBOL_CRC(p9_client_remove, 0xbbff9945, "");
SYMBOL_CRC(p9_client_unlinkat, 0x021bd072, "");
SYMBOL_CRC(p9_client_read, 0x3d8d2d08, "");
SYMBOL_CRC(p9_client_read_once, 0x29d8634a, "");
SYMBOL_CRC(p9_client_write, 0x884ecede, "");
SYMBOL_CRC(p9_client_write_subreq, 0x12f4da90, "");
SYMBOL_CRC(p9_client_stat, 0xbb93724f, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xace04fa0, "");
SYMBOL_CRC(p9_client_wstat, 0xacb05078, "");
SYMBOL_CRC(p9_client_setattr, 0x59c7271f, "");
SYMBOL_CRC(p9_client_statfs, 0x30e5a315, "");
SYMBOL_CRC(p9_client_rename, 0x191f25a7, "");
SYMBOL_CRC(p9_client_renameat, 0x85d52c8e, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x4e27b516, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0xb67559be, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x3c22c905, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x512a8252, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x765ea139, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x49070bee, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xa9cba101, "");
SYMBOL_CRC(p9_client_readlink, 0x2caefcca, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0x2458bef1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x01a046f9, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe30b42bc, "from_kgid" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1fd8a757, "from_kuid" },
	{ 0x278a1eee, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2e9840d, "make_kgid" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4851081a, "init_user_ns" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "4C531F7DD86FD70554375E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
