#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x62db38c3, "");
SYMBOL_CRC(bt_sock_register, 0x7a76051b, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xf8fe0f12, "");
SYMBOL_CRC(bt_sock_link, 0xc0ae7e24, "");
SYMBOL_CRC(bt_sock_unlink, 0x70bced08, "");
SYMBOL_CRC(bt_sock_linked, 0xc65bfdae, "");
SYMBOL_CRC(bt_accept_enqueue, 0x172e14f7, "");
SYMBOL_CRC(bt_accept_unlink, 0xd5e4f570, "");
SYMBOL_CRC(bt_accept_dequeue, 0x460b0d4e, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x84fe60aa, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x54fc76b1, "");
SYMBOL_CRC(bt_sock_poll, 0x363cbf4e, "");
SYMBOL_CRC(bt_sock_ioctl, 0xf28508dc, "");
SYMBOL_CRC(bt_sock_wait_state, 0xe3bfbd17, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x85a465d6, "");
SYMBOL_CRC(bt_procfs_init, 0xebda673f, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x060348fd, "");
SYMBOL_CRC(bt_debugfs, 0x92385b65, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x509961fb, "");
SYMBOL_CRC(hci_free_dev, 0x4d41bb8e, "");
SYMBOL_CRC(hci_register_dev, 0xcbbaee7b, "");
SYMBOL_CRC(hci_unregister_dev, 0x1a8d9a3b, "");
SYMBOL_CRC(hci_release_dev, 0xf8157f95, "");
SYMBOL_CRC(hci_suspend_dev, 0xc1bb7cf9, "");
SYMBOL_CRC(hci_resume_dev, 0x35305f74, "");
SYMBOL_CRC(hci_reset_dev, 0x2de97471, "");
SYMBOL_CRC(hci_recv_frame, 0x24c5e47f, "");
SYMBOL_CRC(hci_recv_diag, 0xcac714f7, "");
SYMBOL_CRC(hci_set_hw_info, 0xc8a3e36b, "");
SYMBOL_CRC(hci_set_fw_info, 0xda3988d9, "");
SYMBOL_CRC(hci_register_cb, 0x33d0fccb, "");
SYMBOL_CRC(hci_unregister_cb, 0x02668124, "");
SYMBOL_CRC(__hci_cmd_send, 0x391c3cb1, "");
SYMBOL_CRC(hci_get_route, 0xd2c81815, "");
SYMBOL_CRC(hci_conn_security, 0x10fe9bc9, "");
SYMBOL_CRC(hci_conn_check_secure, 0x0b14ab45, "");
SYMBOL_CRC(hci_conn_switch_role, 0x72366371, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x7f41b2f2, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xb812be8f, "");
SYMBOL_CRC(l2cap_add_psm, 0x97463ca6, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xd3e4daa7, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xcd7a3080, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x5a8ffa32, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x14fde1f7, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x33cdba43, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xf97c894e, "");
SYMBOL_CRC(l2cap_register_user, 0x0448b7e0, "");
SYMBOL_CRC(l2cap_unregister_user, 0x03968719, "");
SYMBOL_CRC(l2cap_conn_get, 0xe7515998, "");
SYMBOL_CRC(l2cap_conn_put, 0x71ff33df, "");
SYMBOL_CRC(l2cap_chan_send, 0xa8efcd8f, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x0cddf421, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xca90f079, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x6ade18b1, "");
SYMBOL_CRC(__hci_cmd_sync, 0xf568f58a, "");
SYMBOL_CRC(hci_cmd_sync, 0x5b5d419f, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x09d8130c, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xf4e41921, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xd9221c2e, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xc0bd5476, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x63216256, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x4961e324, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x8c39130d, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x30950425, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x15706f7e, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x06fd3346, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x69c6a916, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x40a3a45e, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x9f3b3c94, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xf1d105a7, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x874d8473, "");
SYMBOL_CRC(hci_devcd_rx, 0xb4870d75, "");
SYMBOL_CRC(hci_devcd_timeout, 0x32c9a10c, "");
SYMBOL_CRC(hci_devcd_register, 0xe4f6e493, "");
SYMBOL_CRC(hci_devcd_init, 0xc4b518a7, "");
SYMBOL_CRC(hci_devcd_append, 0x20e53375, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xdf737142, "");
SYMBOL_CRC(hci_devcd_complete, 0x87fb847e, "");
SYMBOL_CRC(hci_devcd_abort, 0xe58b6169, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x884f721c, "security_sock_graft" },
	{ 0x411131ab, "skb_free_datagram" },
	{ 0xf37f5a7a, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x32c17fbb, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x25e61dae, "scm_detach_fds" },
	{ 0x5f832a6a, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb5002f7c, "led_trigger_register_simple" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x0ab1b086, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf8770b3c, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xcb9813af, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xdf636def, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x213393e2, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27a1c2af, "__put_cred" },
	{ 0x109e8da0, "put_cmsg" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0x2132ad41, "disable_delayed_work" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x070f7896, "_printk" },
	{ 0x84f7f03e, "disable_work_sync" },
	{ 0x0367097c, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x226e427d, "sock_register" },
	{ 0x9f030ae3, "datagram_poll" },
	{ 0x03475a0f, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x3b91ea98, "security_secid_to_secctx" },
	{ 0x051cd40b, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1fa9f18a, "__sock_recv_timestamp" },
	{ 0x75584a26, "sock_no_shutdown" },
	{ 0xcbae4fe1, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7924f6e1, "crypto_shash_setkey" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x37e4a860, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x666f9e16, "init_uts_ns" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc8254514, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff38f7fd, "device_move" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x6d3d57b2, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x55961f69, "sock_no_listen" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0xf102732a, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaf05a71d, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0xab6b7243, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4524d81d, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0x046fd637, "rfkill_alloc" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x03fa1145, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc9d8277a, "__sock_recv_wifi_status" },
	{ 0x1fd8a757, "from_kuid" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x3c720d5e, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaef4d491, "security_sk_clone" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xfdbdb436, "__scm_destroy" },
	{ 0x0bf97dde, "from_kgid_munged" },
	{ 0x04c6b4c3, "__crypto_memneq" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb248e823, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x7de361d9, "sock_i_ino" },
	{ 0x2ddc2873, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x61f6f098, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xe1c4facc, "skb_recv_datagram" },
	{ 0x89062b26, "sock_alloc_send_pskb" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a90b06b, "skb_copy" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0x756cfcc5, "device_match_any" },
	{ 0x4be9c4e6, "led_set_brightness" },
	{ 0x16a2d8c6, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xef60b5cd, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x8faacd6c, "pid_vnr" },
	{ 0xafbea04a, "disable_delayed_work_sync" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0x04f963c7, "led_trigger_event" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfaf213eb, "proc_create_seq_private" },
	{ 0x7722dba8, "single_open" },
	{ 0x2edb3766, "crypto_alloc_shash" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x3a64d43e, "fwnode_property_read_u8_array" },
	{ 0xcddfc3a2, "put_pid" },
	{ 0xed0d3c8b, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6696ab1a, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1de91261, "__dev_fwnode" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb113e23, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x92b57248, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "599499556D6B7AFC053C7C6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
