#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(get_cfcnfg, "", "");
KSYMTAB_FUNC(caif_enroll_dev, "", "");
KSYMTAB_FUNC(caif_disconnect_client, "", "");
KSYMTAB_FUNC(caif_connect_client, "", "");
KSYMTAB_FUNC(cfcnfg_add_phy_layer, "", "");
KSYMTAB_FUNC(cfcnfg_set_phy_state, "", "");
KSYMTAB_FUNC(cfcnfg_del_phy_layer, "", "");
KSYMTAB_FUNC(caif_free_client, "", "");
KSYMTAB_FUNC(caif_client_register_refcnt, "", "");
KSYMTAB_FUNC(cfpkt_fromnative, "", "");
KSYMTAB_FUNC(cfpkt_tonative, "", "");
KSYMTAB_FUNC(cfpkt_extr_head, "", "");
KSYMTAB_FUNC(cfpkt_add_head, "", "");
KSYMTAB_FUNC(cfpkt_info, "", "");
KSYMTAB_FUNC(cfpkt_set_prio, "", "");

SYMBOL_CRC(get_cfcnfg, 0x1bd9ff79, "");
SYMBOL_CRC(caif_enroll_dev, 0xf6ce7344, "");
SYMBOL_CRC(caif_disconnect_client, 0xa5f6b913, "");
SYMBOL_CRC(caif_connect_client, 0x07667225, "");
SYMBOL_CRC(cfcnfg_add_phy_layer, 0x1303c984, "");
SYMBOL_CRC(cfcnfg_set_phy_state, 0x839ddb7b, "");
SYMBOL_CRC(cfcnfg_del_phy_layer, 0x38701a7c, "");
SYMBOL_CRC(caif_free_client, 0xb7b6874e, "");
SYMBOL_CRC(caif_client_register_refcnt, 0x1446b60a, "");
SYMBOL_CRC(cfpkt_fromnative, 0x2a09f713, "");
SYMBOL_CRC(cfpkt_tonative, 0x4a237e57, "");
SYMBOL_CRC(cfpkt_extr_head, 0x40babbe0, "");
SYMBOL_CRC(cfpkt_add_head, 0x3fa84493, "");
SYMBOL_CRC(cfpkt_info, 0x329dbd06, "");
SYMBOL_CRC(cfpkt_set_prio, 0x9e3e305d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x178197cb, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x26b34790, "dev_remove_pack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xabef9252, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6538d925, "pskb_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F24B1F2836AD87760577685");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
