#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x9e03f8e9, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x0a312c54, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xcf810738, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x03c9aa57, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x97e33c9d, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x6bedc400, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x3f2598fd, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xcb03729c, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x64d4fa41, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xf7a84b4d, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x5e55487a, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xe14ca9f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9be6f4e2, "ip6tun_encaps" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x95049177, "ipv6_chk_addr_and_flags" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0xbad099ee, "xfrm6_tunnel_register" },
	{ 0x05904801, "rtnl_link_register" },
	{ 0xa7709da1, "xfrm6_tunnel_deregister" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x51813ef6, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x858da8d2, "unregister_netdevice_queue" },
	{ 0x04e3169c, "dev_addr_mod" },
	{ 0xbc2e77ea, "rt6_lookup" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x6ad8ad2b, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8b39bfe8, "gro_cells_init" },
	{ 0xe2e4aba8, "ip_tunnel_header_ops" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1490dc34, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xbb600b33, "init_net" },
	{ 0x05e1707b, "alloc_netdev_mqs" },
	{ 0xfea9dea1, "register_netdev" },
	{ 0x738803e6, "strnlen" },
	{ 0x3098eee7, "free_netdev" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x2d64d5b8, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xc0ee5f7e, "netdev_state_change" },
	{ 0x2f18deea, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x01a046f9, "make_kuid" },
	{ 0x07ce76f2, "ip6_redirect" },
	{ 0xb46e3033, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeffaff08, "ip6_route_output_flags" },
	{ 0x0d1e9935, "xfrm_lookup" },
	{ 0xfd963b75, "ip6_mtu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x671928a6, "skb_scrub_packet" },
	{ 0xe87b680f, "skb_realloc_headroom" },
	{ 0x2c4d9e7a, "skb_set_owner_w" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9a18c4b6, "ipv6_push_frag_opts" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x66d6fa9d, "ip6_local_out" },
	{ 0xf7bc3865, "dst_cache_get" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0xd92e555f, "dst_cache_set_ip6" },
	{ 0x4df54664, "ipv6_dev_get_saddr" },
	{ 0xa34333c6, "ip6_dst_hoplimit" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe1daf3c3, "ipv4_mtu" },
	{ 0xdf12ca77, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x070c18f9, "iptunnel_handle_offloads" },
	{ 0x4c3439de, "icmpv6_ndo_send" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x71684182, "icmp_ndo_send" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x08ad4191, "icmp6_send" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0x620fc478, "ip_route_input_noref" },
	{ 0xe3e2ea8d, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x70e2b75c, "gro_cells_receive" },
	{ 0x93278c37, "eth_type_trans" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xe31cb0fe, "__iptunnel_pull_header" },
	{ 0x69daef1b, "metadata_dst_alloc" },
	{ 0x1034e8d3, "__xfrm_policy_check" },
	{ 0xc2537483, "__skb_ext_del" },
	{ 0xc6f63c14, "dev_get_tstats64" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "77E96F1E82FBA05ADA1E5AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
