#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xe033abec, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x63c89a24, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x8c5ff883, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xbcba83f7, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x8213d371, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x9e5caab4, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xec34e7f5, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x4ab8bba3, "");
SYMBOL_CRC(ip_vs_conn_put, 0x86acecd4, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x099c8970, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xd8708338, "");
SYMBOL_CRC(register_ip_vs_app, 0x599f413b, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xf184e670, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x82206fe3, "");
SYMBOL_CRC(ip_vs_proto_get, 0xe277d54d, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xf4f3bea8, "");
SYMBOL_CRC(register_ip_vs_pe, 0x99b006d7, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xb764336c, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x7d3e9421, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca200431, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x8cdb7548, "nf_conntrack_find_get" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0xaba464f1, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x08ad4191, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x0d1e9935, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x7b8d630e, "housekeeping_cpumask" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x66d6fa9d, "ip6_local_out" },
	{ 0x07d50a24, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd6d39f3c, "ip_output" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x6e612e8d, "nf_register_sockopt" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbf122ade, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3d490c77, "kernel_bind" },
	{ 0xf486c78e, "set_user_nice" },
	{ 0x39e153f8, "genlmsg_put" },
	{ 0x56fb1b20, "udp_set_csum" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x06afa15e, "ip6_output" },
	{ 0xc2ffe4e0, "ip6_route_me_harder" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7c69eaf2, "__module_get" },
	{ 0x4de754db, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x070c18f9, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc21cc2f2, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4049aeb5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0xeb999396, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xcdd6e15b, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x98241e34, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xae519050, "nf_register_net_hooks" },
	{ 0xeffaff08, "ip6_route_output_flags" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x2abf55b3, "ipv6_sock_mc_join" },
	{ 0x376c05b2, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x4df54664, "ipv6_dev_get_saddr" },
	{ 0x36813814, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd963b75, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0ea3b52e, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x620f01e9, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x087dde0b, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0xcf3c0357, "kmem_cache_free" },
	{ 0x42c92f21, "set_cpus_allowed_ptr" },
	{ 0xa4a9acde, "seq_putc" },
	{ 0x51813ef6, "nla_put" },
	{ 0x0c0e8b6d, "proc_doulongvec_minmax" },
	{ 0x66676602, "nf_ct_expect_alloc" },
	{ 0xb647c064, "skb_ensure_writable" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4fee330e, "ip_mc_join_group" },
	{ 0xf407bae8, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f18deea, "ns_capable" },
	{ 0x200f73e2, "nf_unregister_net_hooks" },
	{ 0xe4add2f3, "inet_select_addr" },
	{ 0x48ddae8a, "unregister_pernet_device" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0x35b4743c, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0x3565274a, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1a571745, "__nf_conntrack_confirm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xc1835c5b, "kernel_connect" },
	{ 0x291e4192, "skb_checksum" },
	{ 0xbcb079c0, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5866af7e, "kmem_cache_alloc_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0xe3b18a30, "nf_ct_delete" },
	{ 0x7d4acd5f, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xbfea99d6, "nf_hook_slow" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x327e6a71, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x4395fbb3, "nf_ct_deliver_cached_events" },
	{ 0xe87b680f, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfa3c4a76, "ipv6_find_hdr" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe3e2ea8d, "__icmp_send" },
	{ 0xea683f27, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1daf3c3, "ipv4_mtu" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x2c4d9e7a, "skb_set_owner_w" },
	{ 0x3c026004, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x83fca088, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x7f411b9c, "nf_ct_expect_init" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x46f079e5, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x7cb73d47, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0b837df3, "ipv4_update_pmtu" },
	{ 0xa399a518, "nf_defrag_ipv6_enable" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x8e12cdc4, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xfe2f35d5, "ip_local_out" },
	{ 0x28df845b, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2a47acba, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x97eb8faf, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x072f29c2, "kernel_sendmsg" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x1c30bc03, "nf_ct_netns_put" },
	{ 0x85d28062, "register_pernet_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c6a819a, "kmem_cache_destroy" },
	{ 0xfb113e23, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "20C118F242C452670BCB591");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
