#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x0ea52368, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x8fe9b192, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x43ff7fcd, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xd2e05914, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x0f1ba9bc, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xc111cf0c, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x986aac86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc4815fab, "nf_ct_helper_init" },
	{ 0xcfb56fba, "nf_conntrack_helpers_register" },
	{ 0x070f7896, "_printk" },
	{ 0xcdbbbed2, "nf_conntrack_helpers_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x12990fc8, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x17c823d0, "__nf_ct_expect_find" },
	{ 0x66676602, "nf_ct_expect_alloc" },
	{ 0x7f411b9c, "nf_ct_expect_init" },
	{ 0x620f01e9, "nf_ct_expect_related_report" },
	{ 0xf407bae8, "nf_ct_expect_put" },
	{ 0x91b8c1b5, "__nf_ip6_route" },
	{ 0x8b1137a0, "dst_release" },
	{ 0xb44f169d, "nf_ip_route" },
	{ 0x3dd87961, "nf_ct_unexpect_related" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd8b156bf, "nf_ct_helper_log" },
	{ 0x06dd8670, "__nf_ct_refresh_acct" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0x6a8039eb, "param_array_ops" },
	{ 0xdde01c3c, "param_ops_ushort" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "16F54D87A0A64D5CA4D3C7D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
