#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x1589bb0e, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x7910f847, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x1f1960ad, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xce6546a1, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x96b6a88a, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x4784142c, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x3dd3a418, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x3f8d04d2, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xe98c6827, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x39d978e6, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xe8ebc440, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0x86210e3c, "skb_put" },
	{ 0xae519050, "nf_register_net_hooks" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x200f73e2, "nf_unregister_net_hooks" },
	{ 0xb647c064, "skb_ensure_writable" },
	{ 0xe12970b4, "inet_proto_csum_replace4" },
	{ 0x087dde0b, "ip_route_me_harder" },
	{ 0xfe2f35d5, "ip_local_out" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdf4cda6f, "security_skb_classify_flow" },
	{ 0x91b8c1b5, "__nf_ip6_route" },
	{ 0x0d1e9935, "xfrm_lookup" },
	{ 0x66d6fa9d, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf1a1efb8, "nf_ct_tmpl_alloc" },
	{ 0xca200431, "nf_ct_ext_add" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x4049aeb5, "proc_create_net_data" },
	{ 0xa117239f, "nf_ct_tmpl_free" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x8f82791d, "nf_ct_seqadj_init" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xc1524778, "ipv6_skip_exthdr" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
