#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0xbe680746, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x44700c43, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x4d4a939d, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xcfff908b, "");
SYMBOL_CRC(nfc_hci_free_device, 0x672b5a7b, "");
SYMBOL_CRC(nfc_hci_register_device, 0xbe2a98f1, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x0f00f88e, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xa6b898cd, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xd3202e9d, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x9c05c5e2, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x64f9f873, "");
SYMBOL_CRC(nfc_hci_send_event, 0xfd37752b, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0xe24d4f95, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x3fb6e4ff, "");
SYMBOL_CRC(nfc_hci_set_param, 0x7365f6ae, "");
SYMBOL_CRC(nfc_hci_get_param, 0x1d442e34, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x01faf3dd, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x9ffdd2d2, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x0a5405b9, "");
SYMBOL_CRC(nfc_llc_start, 0xc97d50f2, "");
SYMBOL_CRC(nfc_llc_stop, 0x8d87c702, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x86210e3c, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe17215f4, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69c8bf27, "nfc_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x23539ed4, "nfc_allocate_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xea55bdb8, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xe11d9fee, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x74e891ff, "skb_pull" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xdc704aaa, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6d845d7, "nfc_targets_found" },
	{ 0xd44578b3, "nfc_driver_failure" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x7860476d, "nfc_register_device" },
	{ 0xd67fccbe, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "04C8699622E961E39E6C61F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
