#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x5b4aa0de, "");
SYMBOL_CRC(pn_sock_unhash, 0x861a80f2, "");
SYMBOL_CRC(phonet_stream_ops, 0x37071246, "");
SYMBOL_CRC(pn_sock_get_port, 0x334af468, "");
SYMBOL_CRC(phonet_header_ops, 0xa819cb3a, "");
SYMBOL_CRC(pn_skb_send, 0x1fc15082, "");
SYMBOL_CRC(phonet_proto_register, 0xd50a112d, "");
SYMBOL_CRC(phonet_proto_unregister, 0x89f77505, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x884f721c, "security_sock_graft" },
	{ 0x411131ab, "skb_free_datagram" },
	{ 0xf37f5a7a, "sock_queue_rcv_skb_reason" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x32c17fbb, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf1c24f3a, "__nlmsg_put" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0x178197cb, "dev_add_pack" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x8289148e, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x0ab1b086, "sock_no_connect" },
	{ 0xae2a194e, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4049aeb5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c6a8e00, "pskb_expand_head" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x5f7d5993, "skb_queue_purge_reason" },
	{ 0xcdd6e15b, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5de1eac4, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x226e427d, "sock_register" },
	{ 0x9f030ae3, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x6f34f29f, "netlink_capable" },
	{ 0x1bf765a8, "rtnl_set_sk_err" },
	{ 0x051cd40b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x376c05b2, "module_put" },
	{ 0xafe8fa47, "__sk_receive_skb" },
	{ 0x75584a26, "sock_no_shutdown" },
	{ 0xbb600b33, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x26b34790, "dev_remove_pack" },
	{ 0x1ca5b126, "dev_get_by_index" },
	{ 0xc8254514, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd8e38e4e, "dev_get_by_index_rcu" },
	{ 0x6d3d57b2, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xefa7d1f2, "skb_push" },
	{ 0x55961f69, "sock_no_listen" },
	{ 0x51813ef6, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x985b3853, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0x45c78f91, "sk_alloc" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0x3c720d5e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e148134, "sock_no_mmap" },
	{ 0x716298fb, "__pskb_pull_tail" },
	{ 0x88bcff49, "netif_rx" },
	{ 0x022342f5, "sock_common_recvmsg" },
	{ 0x685ceea3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x62d56ef6, "sk_common_release" },
	{ 0x208d464e, "seq_pad" },
	{ 0x7de361d9, "sock_i_ino" },
	{ 0x28bac7a4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe1c4facc, "skb_recv_datagram" },
	{ 0x89062b26, "sock_alloc_send_pskb" },
	{ 0xcfbd8968, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x723fccdf, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe30fb3c7, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6696ab1a, "sock_init_data" },
	{ 0x62c5bbf7, "sk_ioctl" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb113e23, "release_sock" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "401DE45A1664A2E99D84E3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
