#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x7f340607, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xddc90ca7, "_gpl");
SYMBOL_CRC(tls_get_record, 0x16fb3ed8, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xbe568176, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x5471952b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x576dc1fb, "sk_msg_free" },
	{ 0xe030a02b, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x411be6c8, "tcp_read_sock" },
	{ 0x8c75680b, "bpf_trace_run4" },
	{ 0x2f949557, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7c6cbbbf, "sk_page_frag_refill" },
	{ 0x86210e3c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e6c2aa2, "tcp_sendmsg_locked" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8de32ff3, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x8ce8d19e, "sk_psock_msg_verdict" },
	{ 0xaf3d6e21, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe360c3d4, "iov_iter_get_pages2" },
	{ 0x5e29cf11, "___pskb_trim" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x3b40879d, "check_zeroed_user" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x65aabbb9, "clean_acked_data_enable" },
	{ 0xdc2d2541, "skb_splice_bits" },
	{ 0x0957408a, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xe86e051e, "crypto_aead_setauthsize" },
	{ 0xb0af4eb3, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5b3a5464, "sk_stream_error" },
	{ 0x85b08ba6, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90078c86, "sk_msg_memcopy_from_iter" },
	{ 0x2f26f2a1, "sk_error_report" },
	{ 0x31b803c7, "register_pernet_subsys" },
	{ 0x109e8da0, "put_cmsg" },
	{ 0x9d7c3c51, "__sk_flush_backlog" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0xf2afe1f7, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x35ad5a60, "sk_psock_tls_strp_read" },
	{ 0xa09ea99e, "sk_msg_clone" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x578c4808, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35bc485a, "const_pcpu_hot" },
	{ 0x9fae4405, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7c680bf6, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd20fdfb1, "tcp_recv_skb" },
	{ 0x5a69eade, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6a99557, "crypto_aead_encrypt" },
	{ 0x9a471bee, "sk_skb_reason_drop" },
	{ 0x118cb560, "bpf_trace_run5" },
	{ 0xc8254514, "sk_free" },
	{ 0xfb8ea2b3, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa8025355, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7020705c, "sk_stream_wait_memory" },
	{ 0x51813ef6, "nla_put" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc0c1e61e, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaec84042, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c06dac6, "lock_sock_nested" },
	{ 0xc59c8cde, "sk_msg_return_zero" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xb94d1bdb, "skb_copy_datagram_iter" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0xf9269061, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xfcb72d2f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4c24b6b8, "sock_efree" },
	{ 0xdc7cf6f2, "iov_iter_bvec" },
	{ 0xcdf95ccb, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3f10a3c4, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd23bfa28, "sk_msg_free_partial" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x685ceea3, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xc4146b41, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f668ff2, "tcp_register_ulp" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0x906fa721, "sk_psock_drop" },
	{ 0x09c1900c, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcc104a45, "skb_page_frag_refill" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x8706c3ea, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1136a8ba, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc575e6db, "remove_proc_entry" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x7cb73d47, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfce7b1e6, "skb_clone" },
	{ 0x8b1137a0, "dst_release" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0xedca1615, "skb_copy_header" },
	{ 0x28b86b33, "sk_msg_trim" },
	{ 0x24fb1ce7, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x59802e04, "netdev_sk_get_lowest_dev" },
	{ 0x9599c7e3, "sk_msg_alloc" },
	{ 0xf7bac116, "page_address" },
	{ 0xfa67276d, "_copy_from_iter_nocache" },
	{ 0x0cf176f7, "tcp_rate_check_app_limited" },
	{ 0x904934d8, "tcp_poll" },
	{ 0xdefb22ea, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2228f2e4, "sk_msg_zerocopy_from_iter" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x8df5ca55, "skb_to_sgvec" },
	{ 0x29f3a126, "up_read" },
	{ 0xddf969ad, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x713989ec, "tcp_read_done" },
	{ 0xfb113e23, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A731213208D01F941176B5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
