#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x1730e77a, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x21e0d332, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x8cd6f93c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x84f67bf5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x1b733252, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xf43dac61, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x22e47a6b, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xe1bcd8f1, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xf63512cb, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x5b9a679d, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xddf27b32, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x509b62a7, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xd34c96da, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x833ffe1a, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x71ee20f5, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xbd28db31, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x902c0015, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x8411ad83, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xcd6c500c, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xacc0c0de, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xde3892e0, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xb15f4b33, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xf4e89235, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xf80b939e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x8996bf34, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x892e6b2d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x583dfe8e, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xc8db1093, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x1a657c87, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xb1da11d2, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xdc7d414e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x0a35e6ea, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x72049568, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x124ecd51, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xc714b988, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xf8fa586f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x6380a8b2, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x8c2abab0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x14ce1aa0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xed17d0ab, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x1786109a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x02d15619, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x5acef25a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x6a77bf3b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xbca3d90a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xbc477d91, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xbf800338, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x47a35c1f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x8845e48e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x1d8d9f15, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x463e0de8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x8b2f6450, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x0f49f66b, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xbd7f21c7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xe3e33bf2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x5a994747, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xac3cb0a6, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x36ba51c0, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xb52f0073, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x9783eba8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xf360f46c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x848199b6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x199ac780, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x8c3a7d53, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x63021381, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x71beb46b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xe28c8638, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x5a0f8beb, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x0a4aaa29, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x0fa468a7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xcd1265f8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x2c83bd9f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x27931b51, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x69a3c247, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x5623dd72, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x9aca5e6e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x3025359c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x5040155c, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x30edac95, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x35acb381, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x36a95544, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x4c2ec3c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x6c29905c, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x4e6e3588, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x3a4775e5, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xd4867fcf, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x9f5fca6c, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x692e4b5a, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xe9732cbf, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xc97e6616, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x92a26877, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xe03a2d00, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xb2086357, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x7fb43035, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x366dae33, "snd_dma_alloc_dir_pages" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x78624f77, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x68b12897, "component_master_add_with_match" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0xbad1525e, "snd_pcm_add_chmap_ctls" },
	{ 0xd93e9b32, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6afd3021, "pci_get_device" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0xa7eba670, "devres_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdf5e7119, "pm_runtime_get_if_active" },
	{ 0x0ed6cd71, "kobject_init" },
	{ 0x9c97bd1e, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x037a0cba, "kfree" },
	{ 0x8b313168, "regcache_reg_cached" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbeaf10ac, "snd_sgbuf_get_addr" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0x34cf996d, "snd_sgbuf_get_chunk_size" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x193c28f2, "snd_dma_free_pages" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x376c05b2, "module_put" },
	{ 0xafc69a5c, "component_match_add_typed" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x8ced3bf7, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37e4a860, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8681b88a, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x76872810, "__regmap_init" },
	{ 0x8e63f1e8, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc6de70d3, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x11cb563d, "sysfs_remove_group" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xd7eb7465, "component_master_del" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf96f7735, "component_bind_all" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x02551719, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbfdcdc76, "pci_match_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x41cb844a, "devres_find" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xa1142d73, "regmap_exit" },
	{ 0xd0d8621b, "strlen" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5a2ab19d, "component_unbind_all" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a595765, "pci_bus_type" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0xb709e456, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "7F190FC1032A05C8F2C4B9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
