#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfafd4882, "snd_hda_add_new_ctls" },
	{ 0xf4060bc9, "snd_hda_gen_build_controls" },
	{ 0x5b9ee6f9, "snd_hda_gen_mic_autoswitch" },
	{ 0x512bce2e, "query_amp_caps" },
	{ 0x081217fc, "snd_hda_mixer_amp_volume_info" },
	{ 0xc714b988, "snd_hdac_regmap_read_raw" },
	{ 0xe8479278, "snd_hda_jack_detect_state_mst" },
	{ 0x0077bfd9, "snd_hda_gen_spec_init" },
	{ 0x67ab0171, "snd_hda_mixer_amp_switch_info" },
	{ 0x8e596209, "hda_codec_driver_unregister" },
	{ 0x83e11950, "snd_hda_add_new_path" },
	{ 0xc8db1093, "snd_hdac_codec_write" },
	{ 0xbca19bfd, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xc5e1f0d7, "snd_hda_gen_add_kctl" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5bd6d755, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x71ee20f5, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x94bc3182, "snd_ctl_boolean_mono_info" },
	{ 0xa849d0b8, "snd_hda_override_amp_caps" },
	{ 0x02675647, "__hda_codec_driver_register" },
	{ 0x929df83b, "snd_hda_jack_set_gating_jack" },
	{ 0x0b07f20e, "snd_hda_parse_pin_defcfg" },
	{ 0x6a29530a, "snd_hda_gen_init" },
	{ 0x1c3c9bc2, "snd_hda_activate_path" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd12763c4, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x72049568, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xb97311bd, "snd_hda_codec_set_pin_target" },
	{ 0x7b2fab72, "snd_hda_gen_check_power_status" },
	{ 0x01e4827c, "_snd_hda_set_pin_ctl" },
	{ 0x124ecd51, "snd_hdac_regmap_write_raw" },
	{ 0xcdaecd00, "snd_hda_mixer_amp_volume_get" },
	{ 0x149bad33, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0e9d8140, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa591afb0, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x698e8a29, "snd_hda_jack_unsol_event" },
	{ 0x7809c4b5, "snd_hda_gen_build_pcms" },
	{ 0x01478911, "snd_hda_mixer_amp_tlv" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x5c007739, "snd_hda_pick_fixup" },
	{ 0x488f95b4, "snd_hda_apply_fixup" },
	{ 0x911c6743, "snd_hda_gen_parse_auto_config" },
	{ 0x583dfe8e, "snd_hdac_codec_read" },
	{ 0xeea0070a, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x10c120f4, "snd_hda_codec_get_pin_target" },
	{ 0xe0f6da1b, "snd_hda_gen_free" },
	{ 0xdcf81111, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "82034026E6BA1FE96382EA9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
