#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xd688a28e, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x234b082b, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x8f71bf24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbba63170, "acpi_dev_get_first_match_dev" },
	{ 0x1b598137, "gpiod_get_value_cansleep" },
	{ 0xfc887207, "cs35l41_global_enable" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xed1c8539, "gpiod_put" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xbc4ebcd8, "cs_amp_get_efi_calibration_data" },
	{ 0xf8a1fd4f, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb186bfdc, "gpiod_count" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcbca9f4f, "cs_dsp_stop" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x6f359f75, "cs35l41_register_errata_patch" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2290b05a, "gpiod_get_index" },
	{ 0x9124b848, "component_del" },
	{ 0x037a0cba, "kfree" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x77f1f1cf, "cs35l41_init_boost" },
	{ 0x2eee0888, "cs35l41_enter_hibernate" },
	{ 0xdf636def, "get_device" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4871531a, "hda_cs_dsp_read_ctl" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xfad734a9, "fwnode_gpiod_get_index" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x051085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x94bc3182, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x97094c88, "devm_acpi_dev_add_driver_gpios" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8b539113, "cs_dsp_halo_init" },
	{ 0x8d439637, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x6612754a, "device_link_remove" },
	{ 0x6c81cce3, "cs35l41_test_key_unlock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x682e5805, "cs35l41_test_key_lock" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x5b546233, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x87f6fde6, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc59be92d, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x82c3d754, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xb87c57bd, "devm_regmap_add_irq_chip" },
	{ 0x28c4de01, "cs35l41_exit_hibernate" },
	{ 0x2e7f3c50, "spi_setup" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x86a8557c, "cs_dsp_run" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xef5a14e0, "cs_amp_write_cal_coeffs" },
	{ 0x22a3cb72, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xde9ddbb0, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x8ea211e1, "cs35l41_write_fs_errata" },
	{ 0x420aa8a4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xea3f88f5, "cs35l41_configure_cs_dsp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd3ca4bc7, "_dev_crit" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x2b25321e, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xd1057745, "component_add" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x82acbcca, "cs35l41_set_channels" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xea6b2627, "device_link_add" },
	{ 0xd6ffafa8, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "7444454CDD49410427AEE82");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
