#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x50ec453d, "");
SYMBOL_CRC(oxygen_read16, 0xbb8bc11c, "");
SYMBOL_CRC(oxygen_read32, 0xd395fc66, "");
SYMBOL_CRC(oxygen_write8, 0x94251b12, "");
SYMBOL_CRC(oxygen_write16, 0x56d4a886, "");
SYMBOL_CRC(oxygen_write32, 0xa379f297, "");
SYMBOL_CRC(oxygen_write8_masked, 0xb796b8b6, "");
SYMBOL_CRC(oxygen_write16_masked, 0x8610d5ca, "");
SYMBOL_CRC(oxygen_write32_masked, 0x27b839aa, "");
SYMBOL_CRC(oxygen_write_ac97, 0xdd3c52c1, "");
SYMBOL_CRC(oxygen_read_ac97, 0xe129393e, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x9d487132, "");
SYMBOL_CRC(oxygen_write_spi, 0xbdd5d4e0, "");
SYMBOL_CRC(oxygen_write_i2c, 0x445cb854, "");
SYMBOL_CRC(oxygen_reset_uart, 0x216080fb, "");
SYMBOL_CRC(oxygen_write_uart, 0x2b67c172, "");
SYMBOL_CRC(oxygen_pci_probe, 0xdf4a5363, "");
SYMBOL_CRC(oxygen_pci_pm, 0x720d9ba1, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x52ac4da8, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xdd754402, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x594c3e48, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x50934764, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa16b7330, "snd_card_free_on_error" },
	{ 0x88d4c747, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe19c573e, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a6769eb, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x94bc3182, "snd_ctl_boolean_mono_info" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xada93aab, "snd_ctl_notify" },
	{ 0xc98ec966, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfa063d6c, "snd_pcm_set_managed_buffer" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x737bf7c1, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x1ab663d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x68e47975, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0x88ded1be, "snd_mpu401_uart_new" },
	{ 0xbfdcdc76, "pci_match_id" },
	{ 0x28ac9fa8, "snd_pcm_hw_constraint_msbits" },
	{ 0x600fadcf, "snd_pcm_period_elapsed" },
	{ 0xd35f75a1, "match_string" },
	{ 0xe31b4263, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb35705f2, "pcim_enable_device" },
	{ 0x6cad8da0, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc4332fb8, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
