#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0xf9d17e2a, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x3115288e, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xa1880958, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x763f2994, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xe2f20572, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xa1cac43e, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76e0b6bd, "snd_soc_dapm_put_enum_double" },
	{ 0x6304250f, "wm_adsp_fw_put" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0x05075827, "of_node_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x251b7083, "snd_soc_component_get_kcontrol" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x3f18d7dc, "gpiod_set_value_cansleep" },
	{ 0xb1be365c, "wm_adsp2_remove" },
	{ 0x4f84b4c1, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0x94203826, "snd_soc_component_disable_pin_unlocked" },
	{ 0xb48743c9, "_dev_info" },
	{ 0xf8e6da19, "snd_soc_info_volsw" },
	{ 0x9820fab8, "of_get_child_by_name" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x70721e37, "wm_adsp_event" },
	{ 0x2f15e209, "snd_soc_dapm_put_volsw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xada93aab, "snd_ctl_notify" },
	{ 0x4d8d308f, "wm_adsp_fw_enum" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x8ee9f4a2, "wm_adsp2_component_probe" },
	{ 0xc04143b8, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77719a38, "wm_adsp2_preloader_get" },
	{ 0x7de355d3, "snd_soc_info_enum_double" },
	{ 0xc0f400ea, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb87c57bd, "devm_regmap_add_irq_chip" },
	{ 0x46bfe270, "snd_soc_get_volsw" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x60b6aae0, "snd_soc_put_volsw" },
	{ 0xd434fc8f, "wm_adsp_fw_get" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc7990cb4, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbeaac2d3, "regmap_bulk_read" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x2284cb61, "regulator_disable" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0x2b25321e, "regmap_multi_reg_write" },
	{ 0xa9223ef0, "snd_soc_dapm_get_volsw" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xbe50bbfe, "regmap_register_patch" },
	{ 0x803ccb1e, "snd_soc_dapm_get_enum_double" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0xdeab4210, "wm_halo_init" },
	{ 0x07d907fd, "wm_adsp_early_event" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "53BE2582FD8BF031369F854");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
