#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(max98090_mic_detect, "_gpl", "");

SYMBOL_CRC(max98090_mic_detect, 0x25764c2c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76e0b6bd, "snd_soc_dapm_put_enum_double" },
	{ 0x01f419ec, "regcache_cache_only" },
	{ 0x52b94a01, "regcache_sync" },
	{ 0x58ebf915, "regmap_write" },
	{ 0x2c2020c5, "devm_request_threaded_irq" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0xe9feffd8, "snd_soc_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb0db2421, "snd_soc_bytes_put" },
	{ 0x442cbbe2, "snd_soc_component_read" },
	{ 0x2265623e, "snd_soc_bytes_get" },
	{ 0x9d12482c, "snd_soc_put_enum_double" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xac822a7b, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad18ec41, "snd_soc_component_write" },
	{ 0xdc2ff8b9, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xad5a6bf0, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4d0a67b2, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa3706fa8, "device_property_read_u32_array" },
	{ 0xa93f383f, "snd_soc_get_enum_double" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x8145de07, "i2c_register_driver" },
	{ 0xf8e6da19, "snd_soc_info_volsw" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x8fd36704, "snd_soc_get_volsw_range" },
	{ 0x2f15e209, "snd_soc_dapm_put_volsw" },
	{ 0x178da5dc, "snd_soc_bytes_info" },
	{ 0x488cc2e3, "snd_soc_info_volsw_range" },
	{ 0xb05a3134, "i2c_get_match_data" },
	{ 0xad5e6958, "snd_soc_add_component_controls" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xbbfe1717, "snd_soc_put_volsw_range" },
	{ 0xb166e8eb, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7de355d3, "snd_soc_info_enum_double" },
	{ 0x46bfe270, "snd_soc_get_volsw" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x60b6aae0, "snd_soc_put_volsw" },
	{ 0x553ce2c6, "snd_soc_component_update_bits" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9430a570, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x28ac9fa8, "snd_pcm_hw_constraint_msbits" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0xa9223ef0, "snd_soc_dapm_get_volsw" },
	{ 0xbce9c379, "i2c_del_driver" },
	{ 0x803ccb1e, "snd_soc_dapm_get_enum_double" },
	{ 0xd42d9c21, "snd_soc_dai_active" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2acda8a0, "snd_soc_params_to_bclk" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "74E7E484C46FFE4BFE3E62D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
