#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_feedback_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x9b3435cd, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0xaa399cc0, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x9d48c387, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x20c29e56, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xdb8035ab, "");
SYMBOL_CRC(asoc_sdw_startup, 0x6ff1df73, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x777d9653, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x0a2b4758, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x1762ad27, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x763a94bf, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xb1b63b4a, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x25a2ec65, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x817835f5, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x1212cd30, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x9f40ccd7, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0xb2bd99f3, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x6137e57b, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xb45e6c1d, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x887f042e, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xa28f0c19, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0xd679ec5a, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x3ef521dd, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x5816f75f, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xb4900418, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x2e0c3aee, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x2417db57, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0xe14ed755, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0xbcc1aec0, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x2f17fb26, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x91e09b1c, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x50be2087, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x2445fd16, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x25865a0d, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x218af7e4, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0xb9617033, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0xca86d3ec, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x008cf6dd, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x57e0b3f5, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0x48d97c8d, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0xa2ccdefb, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x4b4d0dc5, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xd12390ee, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xa4c0a05b, "");
SYMBOL_CRC(asoc_sdw_cs_spk_feedback_rtd_init, 0x938c9a09, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x8b1a3355, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x98b97224, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x1f5df0ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2a49b7b, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xe2d17a38, "to_software_node" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbb1a1461, "snd_soc_dai_set_tdm_slot" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x88dc2936, "snd_soc_dapm_enable_pin" },
	{ 0x2e60bace, "memcpy" },
	{ 0x791408b5, "snd_soc_dapm_disable_pin" },
	{ 0x9e8b9320, "snd_soc_component_set_sysclk" },
	{ 0x7ac0a3e9, "snd_soc_dai_set_sysclk" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd175b149, "snd_soc_dapm_sync" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xccba2aef, "snd_soc_component_set_jack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xd6e022b7, "fwnode_create_software_node" },
	{ 0x0a3ed373, "snd_soc_dapm_get_pin_switch" },
	{ 0x9542f962, "sdw_disable_stream" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0xa8156c84, "sdw_deprepare_stream" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0xb166e8eb, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8583f98, "device_remove_software_node" },
	{ 0x8c28ef7b, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x42985a74, "snd_soc_card_jack_new_pins" },
	{ 0x2a51e09e, "snd_soc_dai_set_pll" },
	{ 0x9430a570, "snd_soc_dapm_new_controls" },
	{ 0x62705df3, "sdw_enable_stream" },
	{ 0x6f652ba6, "snd_soc_dapm_put_pin_switch" },
	{ 0x14bd828a, "device_match_name" },
	{ 0xab15e702, "snd_soc_dapm_info_pin_switch" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x0dff5fb1, "snd_soc_add_card_controls" },
	{ 0x2d97c380, "device_add_software_node" },
	{ 0x0e975776, "snd_soc_find_dai" },
	{ 0xcf4d01b6, "sdw_prepare_stream" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,snd-soc-core,snd");


MODULE_INFO(srcversion, "D6235E0C39625ABF3674FB1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
