#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x33a876db, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x0658be97, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x2294cac9, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x02615b8b, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xa23251e3, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xf2d5a534, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xc9f23ad1, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xe820c2da, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x33f78c04, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x5251e817, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x12751efe, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x0e975776, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x7a55755d, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x07fdb829, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xc6e2ce90, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xc51556e2, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xac8ac67a, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0xe615d011, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x4e6644cc, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x67fe7e92, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xad5e6958, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x0dff5fb1, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xc94278fa, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x27a237cf, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xd9ed1117, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xc15b58fc, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x677fca96, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0xd7b1d607, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xab10432c, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x53fa5f60, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x522e386f, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x1cf8e619, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xb1ce587f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x9b541eca, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xd3e8e015, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xe9582682, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x49e69afc, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x2762d8f8, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x0e83b284, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0xb32f7973, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xfe609c83, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x3ce32b04, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xa9688d42, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x5e66f45e, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xf3dbefac, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x9d808c3c, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x47a1353f, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xff2b1e61, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xcb403840, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x913d3086, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xdfa0cb56, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x8a4eaa5a, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x960a1dda, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x2e079419, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xad3d6da7, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x23ab0859, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xc85cb04b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xfc93ee44, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x0c4b12dc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x61859d79, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x82bb959a, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x508df066, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x561760d9, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x24b552fc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x63f74fc8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xfab0553f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x67e4fd69, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x4f84b4c1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xd175b149, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0xa00cb1da, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x4168e4c9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xb166e8eb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x1c32c257, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0xfa213e59, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xba12399b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xa9223ef0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x2f15e209, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x803ccb1e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x76e0b6bd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xab15e702, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x0a3ed373, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x6f652ba6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x7cdd76b3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x9430a570, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x9c7c4f3d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xbbf488c9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x5c5d8008, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x88dc2936, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x08320ca9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xf11f9f3c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x1765c51a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x791408b5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0xab92966f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x44c54014, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x4ef2cdc8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xca43ea85, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x6548548b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xa6497b57, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xe9feffd8, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x4b33242c, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x486c516c, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x06c8f540, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x601ea413, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x1dc985ca, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xf0f07db9, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x3ef9b8e0, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x2b06f5b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xd27b874e, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x779a5b6b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x7ac0a3e9, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x45b3ddfc, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x2a51e09e, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x511dac2c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x12e3e005, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0xbb1a1461, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xdb7af5e1, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xdf2e2bfd, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x5a908333, "_gpl");
SYMBOL_CRC(snd_soc_dai_prepare, 0x0edf74aa, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xf604fb60, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x24f96400, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0xd42d9c21, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x4d4d6185, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x9e4f3c94, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x6357a6ba, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x3092874d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0xa01b4b91, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xa9be5e78, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x9e88350c, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xaa910ea6, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x15815d4a, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x9e8b9320, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x033ec82e, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x8c3fa3c0, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xc7990cb4, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x11a3d71c, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x94203826, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xe6167bd3, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x74664fda, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x60ce854b, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x23f16d88, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xb997bf43, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x251b7083, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x96645641, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xccba2aef, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x159e8243, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x8444a6e9, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x2abd661b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xaf4baf51, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x608201c2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x9e1e59d4, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x153dc030, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x1163b077, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x65d551ee, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0xa017ec31, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x4fb15daa, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x26b2177c, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0xb9c42ea6, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0xece3cc94, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xabe3a163, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x442cbbe2, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xad18ec41, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x553ce2c6, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0xe441406d, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x3d4a13e8, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x4c7ce8e1, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xf97c3c46, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x2c9fb240, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x278b0b85, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xff9883aa, "_gpl");
SYMBOL_CRC(widget_in_list, 0x99b63d6f, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xf7ccdf74, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xd4e583b2, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x44535050, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x66dfcc6a, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0xdc2ff8b9, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x3c1e81b4, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x1e4468e3, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x7de355d3, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xa93f383f, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x9d12482c, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xf8e6da19, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x35bab579, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x46bfe270, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x60b6aae0, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x8c0e7ee6, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x3061bb99, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x488cc2e3, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0xbbfe1717, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x8fd36704, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xc2f971bf, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x178da5dc, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x2265623e, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xb0db2421, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x89a9aa30, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xd3c8ce1e, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x60f78605, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x5226af63, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x742fe7f3, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x1edf9c36, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0xeef6063a, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x13bbed6e, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x93bb7ef9, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x4f261068, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xbed41523, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x357464c8, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x42985a74, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x36bc3600, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x40091a5d, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xbec513b0, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x0037ac67, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0xa1640c82, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x5694b8e5, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0xe3054d3e, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0xe9a28bdc, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x6de1b748, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x1b598137, "gpiod_get_value_cansleep" },
	{ 0xc44ac437, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8abc7e7c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x2d4ce024, "_copy_to_iter" },
	{ 0xed1c8539, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x58ebf915, "regmap_write" },
	{ 0xaaef3d90, "param_ops_uint" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x05075827, "of_node_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x1f64833d, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x78624f77, "dev_set_name" },
	{ 0xb3e2ed80, "regmap_get_val_bytes" },
	{ 0x1949a620, "platform_driver_unregister" },
	{ 0xc1a895df, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4573eb59, "snd_dmaengine_pcm_sync_stop" },
	{ 0xb4bf5c21, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x76588563, "snd_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xade5eda8, "trace_raw_output_prep" },
	{ 0x41fb3237, "regmap_raw_read" },
	{ 0x594c3e48, "snd_card_register" },
	{ 0x0f2a3648, "device_unregister" },
	{ 0x25bc467b, "snd_card_free" },
	{ 0xcfa44d0e, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1a2a4caf, "trace_event_printf" },
	{ 0xa7eba670, "devres_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2290b05a, "gpiod_get_index" },
	{ 0xa8751d8b, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xa43848dc, "snd_pcm_hw_constraint_minmax" },
	{ 0x56a9714d, "trace_event_raw_init" },
	{ 0x07d2fb0a, "gpiod_to_irq" },
	{ 0x9e47eab5, "gpiod_export" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0x45360aa9, "dma_release_channel" },
	{ 0xee822aa9, "pcpu_hot" },
	{ 0x560cdc28, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xe93cd2fd, "regcache_mark_dirty" },
	{ 0x7593b921, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xa9a61bcd, "regulator_disable_deferred" },
	{ 0x699f6e79, "__dynamic_dev_dbg" },
	{ 0xaafd5bda, "snd_ctl_remove" },
	{ 0xd7e7d3f7, "snd_ctl_free_one" },
	{ 0xab576ca1, "snd_ctl_find_id" },
	{ 0xac822a7b, "devm_clk_get" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3eb77917, "snd_pcm_new_internal" },
	{ 0x43a9f4a5, "of_get_property" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x40cc6e47, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0xaa0057cf, "snd_dmaengine_pcm_get_chan" },
	{ 0x6504cec8, "pinctrl_pm_select_default_state" },
	{ 0x67f601df, "trace_event_buffer_commit" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x851b6e2e, "snd_ctl_new1" },
	{ 0x070f7896, "_printk" },
	{ 0x1c25441b, "snd_pcm_stream_unlock_irq" },
	{ 0xad5a6bf0, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0x400a3f15, "devm_kstrdup" },
	{ 0x33a92229, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe130d676, "debugfs_lookup_and_remove" },
	{ 0x5cb35d8d, "put_device" },
	{ 0xad60653c, "gpiod_unexport" },
	{ 0x8a6769eb, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0x273a7842, "devm_regulator_get" },
	{ 0x2bac9916, "snd_dmaengine_pcm_close" },
	{ 0x2f8da9e4, "dma_get_slave_caps" },
	{ 0xb48743c9, "_dev_info" },
	{ 0x376c05b2, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x36169970, "snd_card_new" },
	{ 0x890421af, "snd_card_disconnect_sync" },
	{ 0xda12c19d, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xc745fea4, "snd_dmaengine_pcm_request_channel" },
	{ 0x6a9ebfa3, "perf_trace_run_bpf_submit" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x02b9d8a0, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xbe8dbbae, "pinctrl_pm_select_sleep_state" },
	{ 0x946d6020, "simple_open" },
	{ 0xc5eb79d1, "__of_parse_phandle_with_args" },
	{ 0x9f2b1049, "snd_pcm_lib_ioctl" },
	{ 0x600da135, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x9e051b6b, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe021230f, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x1c38d709, "snd_jack_add_new_kctl" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xff0438a6, "dev_get_regmap" },
	{ 0x4a29aff1, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x701a949c, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xada93aab, "snd_ctl_notify" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0x7bdedc11, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc98ec966, "snd_pcm_set_ops" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xbfa844ea, "regmap_async_complete" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfa063d6c, "snd_pcm_set_managed_buffer" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x920990a6, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5969ad9f, "device_register" },
	{ 0x83da8c84, "bpf_trace_run1" },
	{ 0x8b7fa019, "default_llseek" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8183cdb, "debugfs_create_u32" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x938784be, "snd_dmaengine_pcm_open" },
	{ 0xc9d26490, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6474e79b, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd56d1d66, "snd_dmaengine_pcm_pointer" },
	{ 0x24b6f079, "of_graph_get_port_parent" },
	{ 0x01ca498a, "__platform_driver_register" },
	{ 0x59cd858b, "dma_request_chan" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xc773c2ba, "pinctrl_lookup_state" },
	{ 0x65f5bf2e, "bpf_trace_run3" },
	{ 0xb1da0f59, "seq_read" },
	{ 0x2a1a8cea, "snd_compress_new" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xe87e7392, "snd_hwparams_to_dma_slave_config" },
	{ 0x4ac2ba99, "platform_device_register_full" },
	{ 0xd4650d9d, "regmap_read" },
	{ 0x0b1505ec, "trace_event_buffer_reserve" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe53c62f2, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x61bc58f0, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x3dec4c5b, "_copy_from_iter" },
	{ 0x8613b671, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x13143d18, "pinctrl_select_state" },
	{ 0x161c06ff, "snd_power_wait" },
	{ 0x28ac9fa8, "snd_pcm_hw_constraint_msbits" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdda430b4, "single_release" },
	{ 0x78df5d51, "of_count_phandle_with_args" },
	{ 0x42f44023, "regmap_update_bits_base" },
	{ 0x9d45976a, "dev_err_probe" },
	{ 0xbe0e2fa3, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0xd9693b0d, "device_add_groups" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xa1142d73, "regmap_exit" },
	{ 0xd35f75a1, "match_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf727437f, "regmap_raw_write" },
	{ 0xd0d8621b, "strlen" },
	{ 0x29b02efc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7722dba8, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x1c6265dc, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc7c1f018, "of_property_read_string_helper" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x44925323, "krealloc_noprof" },
	{ 0x7504a495, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "0B1D067B3D570B9928A7FFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
