#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_DATA(ptl_chip_info, "", "SND_SOC_SOF_INTEL_LNL");

SYMBOL_CRC(sof_lnl_ops, 0xccaac4f6, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x7e0e471a, "");
SYMBOL_CRC(ptl_chip_info, 0x5e43d894, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33999242, "hda_dsp_probe" },
	{ 0x71e638f6, "hda_dsp_shutdown" },
	{ 0x08ab1787, "mtl_ipc_dump" },
	{ 0x517a474b, "__pci_register_driver" },
	{ 0xf7a012b3, "mtl_dsp_check_ipc_irq" },
	{ 0xf058d2b2, "hda_dsp_set_power_state_ipc4" },
	{ 0xcb12d0e4, "pci_unregister_driver" },
	{ 0xecd03c5f, "hdac_bus_eml_check_interrupt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7c1e425, "mtl_dsp_cl_init" },
	{ 0xaba533ce, "sof_hda_common_ops" },
	{ 0xf982a874, "mtl_enable_interrupts" },
	{ 0x1389b805, "hda_pci_intel_probe" },
	{ 0xfbf55669, "debugfs_create_bool" },
	{ 0x9b479b6a, "sof_pci_remove" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa4550010, "mtl_dsp_ipc_get_mailbox_offset" },
	{ 0xb610ddb8, "mtl_dsp_pre_fw_run" },
	{ 0x6488cb0d, "hda_set_dai_drv_ops" },
	{ 0x2367645f, "mtl_disable_ipc_interrupts" },
	{ 0xaba7c751, "mtl_dsp_dump" },
	{ 0xf6c76383, "mtl_ipc_send_msg" },
	{ 0xf6c8dcde, "hdac_bus_eml_enable_offload" },
	{ 0xa533d47a, "mtl_dsp_core_get" },
	{ 0xb8420d0d, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x896bf411, "mtl_dsp_core_put" },
	{ 0xafd22f5c, "snd_soc_acpi_intel_lnl_machines" },
	{ 0x7ece252f, "hda_dsp_runtime_resume" },
	{ 0x8b94245f, "hda_dsp_remove" },
	{ 0xf40f1f91, "sof_pci_shutdown" },
	{ 0x29e1b4e9, "__kmalloc_cache_noprof" },
	{ 0x6aae1926, "hda_sdw_process_wakeen_common" },
	{ 0x89d6fc1d, "mtl_dsp_ipc_get_window_offset" },
	{ 0x278f6be0, "hda_dsp_ipc4_load_library" },
	{ 0x8d51f03f, "hda_dsp_resume" },
	{ 0xab529553, "hda_sdw_check_lcount_ext" },
	{ 0x34ce5749, "sof_pci_pm" },
	{ 0x8001c2bf, "mtl_ipc_irq_thread" },
	{ 0x41567c70, "mtl_power_down_dsp" },
	{ 0xd1990d1f, "kmalloc_caches" },
	{ 0x4ba5816e, "snd_soc_acpi_intel_lnl_sdw_machines" },
	{ 0x29ed0a57, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-generic,snd-sof-intel-hda-common,snd-sof-pci-intel-mtl,snd-sof-intel-hda-mlink,snd-sof-pci,snd-sof,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d0000A828sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "274836F7BBF0D132A0D79AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
